*COMDECK HISTORY FS3892  IDENT TO INTRODUCE MULTI-HOST A-A FEATURE CODE.
          CJB     82/11/09     TEXTNVF,TXTANVF,NVFCBPA,TXINNVF,NVFUMQE, 
                               NVFTCCT,NVFIBWD,NVFTICR,NVFTPVR,NVFAIAP, 
                               NVFTIAM,NVFIBOF,NVFTRVD,NVFADQE,NVFIAST, 
                               NVFAACC,NVFARAP
 *L580*    ************************************************ 
 NA5A001  RESOLVE NON-FATAL LOADER ERROR ON NON-DEBUG NIP BUILD.
          JCL    82/11/10    OCTCON 
  
 NA5A003  NETREL SHOULD ROUTE FILE ACCORDING TO JOB ORIGIN TYPE.
          DKE     82/11/23     NETREL 
 NA5A010  COLLECTOR JOB SHOULD ROLLOUT BEFORE THE TAPE REQUEST IS 
          MADE. 
          DKE     82/11/16     NAMSTRT
 NA5A014  DEFAULTING HD ON DEVICE STATEMENT IF HD IS NOT SPECIFIED
          FOR NON USER DEFINED TIPTYPES.
          IF THERE IS ONLY ONE LOGICAL LINK TERMINATING AT A NPU WHERE THE
          DEVICE IS DEFINED ON, OR IF FOR ALL LOGICAL LINKS TERMINATING AT
          THE SAME NPU, THE SAME HOST NAMES ARE USED THEN NDLP DEFAULTS 
          HD TO "NO". 
          IF HOST NAMES ARE DIFFERENT FOR ALL LOGICAL LINKS TERMINATING AT
          THE SAME NPU THEN NDLP DEFAULTS HD TO "YES".
          YCY     82/11/23     NDLNFCM
 NA5A016  SUPPRESSING DUPLICATE ERROR MESSAGES WHEN THERE ARE 
          MORE THAN ONE PORT NUMBER NOT BEING CONSECUTIVELY ASSIGNED ON 
          A GIVEN NODE. 
          YCY     82/11/22     NDLNFTM
 NA5A017  REMOVING DOP AND NOP AS RESERVED NAMES NOT TO BE USED 
          AS LEGAL APPLICATION NAMES. 
          YCY     82/11/19     NDLP2LF
 NA5A019  CHANGING THE RANGE OF MC FROM 0 TO 127 TO THE FOLLOWING 
          LEGAL RANGES : 03-1F,21-2F,3A-3C,3E-40,5B-60,7B-7E,AND 0. 
          USER DEFINED TIPTYPE WOULD STILL BE VALID FOR MC BETWEEN 0 TO 255.
          YCY     82/11/22     NDLNFCM,NDLCKRG
 NA5A020  INSERTING RANGE CHECKS FOR DHOST ON OUTCALL STATEMENT.
          DHOST CAN RANGE BETWEEN 00 TO HEX FF ONLY.
          YCY     82/11/22     NDLP2LF
 NA5A021  CHANGING THE UPPER LIMIT FOR FRAME ON LINE STATEMENT FROM 
          127 TO 7 AND CHANGING THE THE UPPER LIMIT FOR DFL ON LINE STATEMENT 
          FROM 65535 TO 1024. 
          YCY     82/11/22     NDLCKRG
 NA5A022  IMPLEMENTING XAUTO AS AN NDL KEYWORD. 
          XAUTO AND AUTO CAN APPEAR ON THE LINE STATEMENT IN ANY SEQUENCE,
          BUT THE LAST OCCURRENCE OF EACH OF THESE TWO KEYWORDS WOULD BE
          THE ONLY AUTO RECEC INDICATOR IN THE LINE STATEMENT.
           TSPEED IS EXTENDED TO 9600 WHEN LINE IS XAUTO AND CROSS CHECKING 
           IS DONE FOR LOW TSPEED AND HIGH AUTO REC INDICATOR OR HIGH 
           TSPEED AND LOW AUTO REC INDICATOR. ERROR 162 IS GENERATED FOR
           BOTH CASES.
          YCY     82/11/19     DATANDL,ER2CNDL,NDLPSS1,NDLSDAT,NDLLIST, 
                               NDLNFCM,NDLTBLT
 NA5A023  FIX FOR STATE TABLE ERROR 
          NIP/HBSTTP ERR AN=1,CN=3,18,12 ON AN
          APPLICATION INTERRUPT.
          CYB    82/12/02    STATTBL
 NA5A025  FIX NSTORE TO PARSE FIELD=VALUE ONE BY ONE. 
          FIX SUPERFLUOUS CODE GENERATED BY NFETCH MACRO. 
          FIX NFETCH/NSTORE TO USE MACREF FOR CROSS REFERENCE.
          FIX BAD FORMAL PARAMETER NAME IN NFETCH/ECHO STATEMENT. 
          JCL    82/12/03    NFETCHM,NSTOREM
 NA5A030  PROBLEM - PIP ISSUES FUNCTION CODE 100 TO HALT THE NPU.  THIS 
                    FUNCTION CODE ONLY STOPS MACRO MEMORY BUT THE REST
                    OF THE 2550 CONTINUES RUNNING.
          SOLUTION - PIP HAS BEEN CORRECTED TO ALWAYS ISSUE FUNCTION
                     CODE 200 TO HALT THE NPU.
          EG     11/30/82    PIP
 NA5A031  PROBLEM - PIP KILLS THE NPU WHEN THE FOLLOWING SITUATION
                    OCCURS.  PIP TELLS CCP TO RESUME INPUT.  AT THE 
                    SAME TIME, CCP IS SENDING PIP A BATCH INTERRUPT 
                    FOR THE INPUT DEVICE.  THE BATCH INTERRUPT CAUSES 
                    PIP TO CHANGE STATES AND NO LONGER ACCEPT BATCH 
                    DATA FROM CCP.  CCP PROCESSES THE RESUME INPUT AND
                    THEN SENDS MORE BATCH DATA TO PIP.  PIP DETECTS THE 
                    BATCH DATA AS A CCP PROTOCAL ERROR. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ACCEPT BATCH DATA AFTER
                     RECEIVING A BATCH INTERRUPT ON A CARD READER 
                     CONNECTION.
          EG     11/30/82    PIP
 NA5A034  IF CS RECEIVES A BREAK WHILE AN OUTBOUND *MSG* BLOCK IS 
          QUEUED FOR THE CONNECTION WITHIN CS, CS PROCESSES THE BREAK 
          INCORRECTLY (HANGS THE CONNECTION). 
          DGD     82/11/19     CSCBPA,CSCCPA,CSCPNQ,CSCUFS
 NA5A036  FIXING NDLP SO THAT IT ACCEPTS MORE THAN 13 NPU NAMES.
          YC.     82/11/12     NDLPSS1
 NA5A038  REMOVING W AS A VALID PARAMETER ON LINE STATEMENT,
          LEAVING THE ONLY W PARAMETER ON TERMINAL STATEMENT. 
          YC.     82/11/12     NDLPSS1,NDLNFCM,NDLLIST,NDLSDAT
 NA5A040  INCLUDING 752 AS A TERMINAL CLASS 
          IT WILL PASS 7 AS TC CODE TO NCF WHILE 751 AND 713 PASS 2 TO NCF. 
          YC.     82/11/12     NDLPSS1,NDLNFCM,NDLLIST
 NA5A041  NVF ACCOUNT FILE MESSAGE CONTAINS COLONS. 
          DKE     82/11/30     NVFIAST
 NA5A043  CORRECTIVE CODE FOR NIP ABORT WHEN APPLICATION SENDS
          A NETGET ON A NON-EXISTING ACN. 
          JCL    82/11/30    HPGET
 NA5A045  NDA ERROR MESSAGE UPDATE. 
          JCL    82/11/30    NDAS 
 NA5A046 MODIFIES ROUTINE NDAS TO CORRECTLY PROCESS CARDS FOLLOWING 
 A DIRECTIVE CARD THAT HAS ERRORS.
          ECT     82/11/24     NDAS 
 NA5A047 CHANGES "FILE XXXXXXX NOT FOUND" ERROR MESSAGE TO "DUMP FILE 
         XXXXXXXXEMPTY"". 
          ECT     82/11/17     NDAS 
 NA5A048  CORRECTIVE CODE FOR APPLICATION ABORTS WITH CPU ERROR EXIT
          ON A NETLOG CALL. 
          LTN    82/11/15    NETLOG 
 NA5A049  NVF ACCOUNT FILE MESSAGE HAVE COLONS. 
          DKE     82/11/30     NVFTIAM
 NA5A051  FIX FOR NAMI ABORTED BY DSP WHEN A NON-EXISTING 
          RECORD NAME WAS ASSIGNED. 
          JCL    82/11/30    NAMI 
 NA5A063  FIX FOR PIP TAKING DOWN BOTH NPUS ON SAME CHANNEL PROBLEM.
          SW    82/11/24    PIP 
 NA5A066  FIX FOR BUFFER MANAGEMENT ERROR ON BAD BSN. 
          BUILD ACKNOWLEDGE QUEUE ON TERMINATING PRU CONNECTIONS. 
          REMOVE OCTCON FROM RESIDENT AREA. 
          CYB    82/11/10    OCTCON,SKENIP,NPBACK,NPPCT 
  
 NA5A067  FIX FOR STATE TABLE ERROR 
          NIP/NBSTTP ERR HN=2,TN=3,CN=36,2,62 
          ON BAD BSN. 
 NA5A073  NIP FIX FOR ROLLIN/ROLLOUT PROBLEM WHEN THE 
          NETWORK IS UP FOR SEVERAL DAYS. 
          CYB    82/11/18    ACB,NWLNTRY
 NA5A077  FUNCTION LIST BUFFER ASSOCIATED WITH THE NO ACB SWAPIN
          ENTRY SHOULD BE MADE NON-MOVABLE TO PREVENT GARBAGE 
          COLLECTION FROM MOVING THE BUFFER, CAUSING XSAPP OR 
          HAPFAIL TO ABORT WITH BUFFER MANAGER ERROR. 
          CLEANUP NEIB TO SAVE SOME SPACE.
          JCL    82/12/01    HPNOFF,XSAPPRC,NEIB
 NA5A081  ALLOWING DBL PARAMETER ON DEVICE STATEMENT WHEN TIPTYPE IS
          USER DEFINED. DEFAULT VALUE OF 2 IS PROVIDED WHEN DBL IS NOT
          SPECIFIED.
          YCY     82/11/29     NDLNFCM
 NA5A082  FIX FOR PROTOCOL ERROR ON BAD ICT ON A
          CON/REQ/N . 
          CYB    82/12/01    HCSTTP 
 NA5A083  FIX FOR CCP HALT 10 - INVALID STATE TABLE ACTION
          ON ERROR CONDITION.  MOD TO DAYFILE A MESSAGE 
          BEFORE HALTING THE NPU.  ALSO CORRECT THE TEXT
          LENGTH ON NPI/IN MESSAGE. 
          CYB    82/11/29    NIPDEF,NBSTTP,NCSTTP,NNPIIN
 NA5A084 NDLP NOEW DEFAULTS UBL TO 7 FOR ALL PASSIVE DEVICES. 
          YCY     82/12/03     NDLNFCM
 NA5A085  FOR ALL TIPTYPES AT LEAST ONE CONSOLE DEVICE MUST BE DEFINED
          BEFORE A SET OF PASSIVE DEVICES, OTHERWISE A WARNING IS GENERATED.
          IF THERE IS MORE THAN ONE CONSOLE PRECEDING A SET OF PASSIVE
          DEVICES, THE LAST CONSOLE DEFINED BEFORE A SET OF PASSIVE 
          DEVICE DEFINITION BEGINS IS THE OWNING CONSOLE FOR ALL PASSIVE
          DEVICES THAT FOLLOW UNTIL A NEW CONSOLE DEFINITION BEGINS.
          YCY     82/12/03     ER1CNDL,NDLPSS1,NDLNFCM
 NA5A122  FIX FOR STATE TABLE ERROR 
          NIP/NBSTTP ERR HN=2,TN=12,CN=2,19,6.
          THIS OCCURS WHEN AN APPLICATION 
          ATTEMPTS A GET WHEN THE CONNECTION IS 
          TERMINATING.
          CYB    82/12/14    XSTTP
 NA5A126  PROBLEM - PIP DETECTS CCP PROTOCOL ERRORS WHEN BATCH INTERRUPT
                    FROM CCP CROSSES DOWNLINE SUP MSG FROM PIP.  THIS 
                    CAUSES PIP TO HALT THE NPU WITH A COUPLER ERROR 90. 
                    ALSO PIP SENDS ERR/LGL TO RBF IF IT PROCESSES AN
                    SET/DEV SUP MSG AFTER PROCESSING AN OFC/ABORT FROM
                    RBF.   RBF SENT THE SET/DEV SUP MSG BEFORE SENDING
                    THE OFC/ABORT SUP MSG.
          SOLUTION - PIP HAS BEEN CORRECTED TO BE MORE TOLERANT OF CCP
                     WHEN A BATCH INTERRUPT OCCURS AND MORE TOLERANT
                     OF RBF WHEN IT PROCESSES A OFC/ABORT SUP MSG.
          EG     12/13/82    PIP
 *L596*    ************************************************ 
 NA5A111  STATE TABLE UPDATE TO TURN OFF TLO FLAG WHEN RECEIVED A 
          DOWNLINE -MSG- BLOCK FROM APPLICATION ON AN BREAK 
          OUTSTANDING CONDITION.
          JCL    82/12/13    XSTTP,HPPUT,HBSTTP,STATTBL,SKENIP
 NA5A129  NIP ABORTED ON NBSTTP ERROR UPON RECEIVING AN UNEXPECTED
          -BACK- FROM CCP ON AN IVT CONNECTION THAT WAS JUST
          CONVERTED FROM A PRU CONNECTION BECAUSE OF RBF FAILURE. 
          NIP ABORTED ALSO ON HBSTTP ERROR WHEN RBF NETTED OFF AND THEN 
          FAILED, HAPFAIL SHOULD NOT ISSUE RECONNECT TRIGGER TO HBSTTP
          WHEN APPLICATION IS AWAITING NET/OFF/N FROM NVF.
          JCL    83/01/10    NPPCT
 NA5A153  A-A INTER-HOST FIXES. 
          CYB    83/01/17    HCONREQ,HCRRAPR,NCSTTP,
                             NNPIIN,HCSTTP,HAPFAIL
          JCL    83/02/04    QTGET,QTPUT,QTLINK,QTRMCOM 
 NA5A155  CS IMS NEEDS UPDATING.
          DKE     83/02/09     CSIBOT,CSSATM,CSSCHB,CSSCTR,CSSDNS,
                               CSSAEN,CSSATR,CSODOO,TEXTCS,CSESLE,
                               CSESLS,TEXTOV,TXCMDCS,CSDDNT,CSIBOF, 
                               CSIBWD,CSIBXT,CSIIMT,CSSROC,CSTITR,
                               CSTSCD,CSTSCT,CSESCM,CSESDE,CSOAHL,
                               CSOBOE,CSOGHL,CSOROO,CSSACO,CSSAED,
                               CSSASD,CSSDTC,CSSICT,TXTCTCS 
 NA5A161  MULTI HOST A-A ENHANCEMENT CODE.
          CJB      83/02/23 
 NA5A165  NOP CONNECTION HANGS WHEN REQUESTING THE STATUS OF
          ALL TERMINALS ON A LOGICAL LINK THAT IS NOT CURRENTLY 
          BEING SUPERVISED. 
          DKE     83/02/10     CSSRCA 
  FA4206  NPU STATISTICS MONITORING.
          REPORTS CPU UTILIZATION THRESHOLD EXECEED, AND
          BUFFER AVAILABILITY THRESHOLD EXECEED.
          AML     83/03/05     TEXTCS,CSICCC,CSSROC,CSIBXT,CSSDRC,
                               CSSASD,CSESES,CSSRCA,CSUCDB,CSSAAC 
  FA5161  SEND COPYRIGHT WITH BANNER
          AML     83/03/05     NVFTITE,NVFTCRN
  FA5167B  CLEAR SCREEN AFTER PASSWORD
          AML     83/03/05     TMSGNVF,NVFTILP
  FA5167C  LOG UNSUCCESSFUL LOGINS
          AML     83/03/05     TEXTNVF,TXTANVF,NVFTIAM,NVFTPUV,NVFTETI
 FA5214   MODIFY NVF TO ACCEPT NEW CPM 56 BLOCK FORMAT.  THIS IS IN 
          CONJUNCTION WITH THE NEW OS VALIDATION BLOCK STRUCTURE. 
          DKE     83/04/04     TEXTNVF,NVFAVVD,NVFIAST,NVFTPSV, 
                               NVFTVAA,NVFTVVD
 FA5392   NIP MOD TO SUPPORT NATIONAL CHARACTER SET.
          CYB    83/04/04    BCONV
 FN4376A   RBF TERMINAL TIMEOUT 
  
          THIS MOD DEFINES A NEW FIELD IN THE CON/REQ, CR/SWH,
          CR/ITE, AND ICN/TE SUPERVISORY MESSAGES.  THE CM LENGTH OF
          THESE MESSAGES IS NOT CHANGED.  A NEW FIELD IS ALSO DEFINED IN
          THE VALIDATION CONTROL BLOCK.  EACH OF THE NEW FIELDS DEFINED 
          IS 1-BIT IN LENGTH AND IS DESIGNED TO CONTAIN A HARDWIRED 
          TERMINAL FLAG(SET TRUE IF HARDWIRED, FALSE IF DIAL-UP). 
          THE TERMINAL TIMEOUT CODE IN RBF WILL USE THIS FLAG TO
          DETERMINE IF THE TERMINAL IS A CANDIDATE TO BE AUTO-LOGGED
          OUT DUE TO INACTIVITY.  ONLY DIAL-UP TERMINALS WILL BE
          CHECKED FOR INACTIVITY. 
  
          DEPENDENCIES - THIS MOD IS DEPENDENT ON THE RBF FEATURE CODE
                         AND THE MODIFICATION TO CCP TO INCLUDE 
                         THE LINE TYPE(SWITCHED/HARDWIRED) IN THE 
                         ICN/TE/R MESSAGE TO NIP. 
  
          ALT            01/10/83       SMAPPL, SMNVF, TEXTNVF, TXTANVF,
                                        SMNIP, HCRITER, NVFTACC,
                                        NVFTDSP, NVFTITE, NVFTRVD 
  
          FN4376A 
  
 FN4378A   CHANGE THE PASSWORD MASK TO 3-CHARACTERS 
  
          MODIFY NVF TO SPEED UP LOGIN PROCESSING BY ISSUEING 
          A PASSWORD MASK OF THREE CHARACTERS(H,I, AND #).
          THIS 3-CHARACTER MASK OFFERS EQUIVALENT SECURITY AS THE 
          PREVIOUS 4-CHARACTER MASK(M, (, ), AND X).
  
          ALT                01/10/83       TMSGNVF, NVFTILP
  
          FN4378A 
  
 FN5167A  SL PARAMETER ON LINE STATEMENT CHANGED TO AL. 
          THE RANGE OF AL IS NOW 0 TO 7 DECIMAL INSTEAD OF 1 TO 15. 
          THE FV FIELD OF THE AL NCB HAS BIT 2**3 FLAGGED FOR VALID 
          ACCESS LIMIT LEVEL. 
          YCY     82/12/10     DATANDL,ER1CNDL,ER2CNDL,NDLNFCM,NDLSDAT, 
                               NDLLIST,NDLCKRG,NDLPSS1
 FS2873A  NAM QBLK/QMSG FEATURE CODE. 
          JCL    83/03/23    HBSTTP,HPPUT,HFASTQ,HPGET
                             NFOB,NXBLINK,NEIB1,ACNB,MISCOM 
 FS2873B  NIP USER BREAK AND A-A BRK/RST BLOCKS FEATURE CODE. 
          ABA    83/03/30    XSTTP
                             NEIB1,NBSTTP,NPBRK,HPGET,HPPUT 
                             HBSTTP,UPACNB3,HSFCBRK,NXBLOCK,UPDACNB 
 FS2873C  FEATURE CODE TO CHANGE THE RECONNECT PROTOCOL 
          EXCHANGE BETWEEN NVF AND NIP SO THAT A RECONNECT NORMAL 
          RESPONSE IS NOT ISSUED ON A-A CONNECTIONS.
          CJB     83/04/06     NVFATAC
 FS2873D  CHANGE PIP TO ACCEPT NEW QBLK AND QMSG BLOCK TYPES AND
          PROCESS THEM THE SAME WAY AS BLK AND MSG BLOCKS 
          RESPECTIVELY. 
          EG     03/31/83    PIP
 FS4334A  QTRM USER BREAK FEATURE CODE. 
          JCL    83/03/22    QTGET
 FS4334B  NAM USER BREAK FEATURE CODE.
          JCL    83/03/22    SUPMSG,SMAPDEF,SMAPPFC 
 FS4334C  TVF USER BREAK FEATURE CODE.
          JCL    83/03/22    TVF
 FS4334E  ADD SUPPORT OF NEW USER BREAK PROTOCOL TO CS. 
          DKE     83/04/08     TEXTCS,CSCANT,CSCDQE,CSCPNT,CSCUFS,
                               CSDDNT,CSCBPA
 FS4334F  ADD NEW USER BREAK PROTOCOL TO NVF. 
          DKE     83/04/08     TXTANVF,NVFCAUT,NVFCCPA,NVFCDQE,NVFCUFS, 
                               NVFDDNT,NVFTBRK,NVFTDQE
 FS4398A  NAM K-DISPLAY ENHANCEMENTS. 
          PROCESS DB,DE,LB,LE,RS,LR,DU COMMANDS 
          FOR NAM.
          CYB    83/04/01    NIPDEF,NIPTXT,INIP,NEIB, 
                             NIP,KNAMMOD,KNAMCOM,XEXEC, 
                             NNETREL,NXDCB,INIPD
 FS4398B  NAM HOST REGULATION LEVEL SUPPORT FEATURE CODE. 
          JCL    83/03/28    MGETC
 FS4398C  NAM HOP TO HOP MESSAGE FEATURE CODE.
          JCL    83/03/25 
 FS4400A  NAMI ENHANCEMENT - ALLOW RESTART OF APPLICATIONS. 
          ALSO CREATE NRF1 AND NRF2 FILES FOR NIP IN ORDER TO 
          SUPPORT NAM K-DISPLAY LOG RELEASE FEATURE.
          CYB    83/04/04    NAMI,NMI=IO1,NMI=RTE 
 FS4400B  UPDATE TO NAMSTRT-ADD NFR1 AND NRF2 RECORDS 
          TO JOBNIP.
          CYB    83/04/11    NAMSTRT
 FS4400C  MOD TO NAMSTRT TO HANDLE THE NIP TRACE FILE 
          WITH THE MC PARAMETER.
          CYB    83/04/18    NAMSTRT
 FS4401B  DEFERRED SUPERVISION FEATURES FOR CS. 
          DKE     83/04/08     SMCS,SMCSDEF,CSSACO,CSIBWD,CSEDEQ, 
                               CSSANS,CSESSM,CSSAGO,CSSTNO,CSSAED,
                               CSSDNR,CSSASD,CSSROC,CSSAIN,CSSANO,
                               CSESAM,CSESCM,CSESEC,CSESCS,CSESIM,
                               CSESLL,CSESLS,CSESNS,CSESOD,CSESOM,
                               CSESTR,CSESTS,CSSDRC,CSOAHL,CSOBOE,
                               CSOGHL,CSIBOT,CSIBPT,CSOROO,TEXTCS,
                               CSLSIT,CS,CSSAST,CSSCSR,CSSAEN,
                               CSSTNS,CSSAMS,CSSCHB,CSSATM,CSSATR,
                               CSSCTR,CSSATD,CSESDE,CSSADL,CSSTCM,
                               CSSRCA,CSSARE,CSSASO 
 FS4401A  DEFERRED SUPERVISION FEATURE. 
          STATUS OF MULTIPLE NPUS.
          AML     83/04/05     HOC$NS,NS$HST,NS$HCP 
 FV5167A  CORRECT FIELD WIDTH OF AL FIELD IN NVF/APPL SM-S. 
          DKE     82/12/13     SMNVF,SMAPPL,TEXTNVF,TXTANVF 
 NA5A006  PROBLEM - PIP CANNOT HANDLE THE CASE WHEN IT RECEIVES PRU 
                    INPUT ON A CARD READER CONNECTION THAT HAS BEEN 
                    CONVERTED TO AN IVT CONNECTION DUE TO RBF FAILING.
                    PIP STARTS PROCESSING THE INPUT AS PRU INPUT, BUT 
                    AFTER READING IN THE NETWORK HEADER AND DETERMINING 
                    THE CONNECTION TO BE A IVT CONNECTION, PIP BEGINS 
                    PROCESSING THE INPUT AS IVT INPUT.  THE RESULT IS 
                    THAT PIP USES THE FBA, CBA, AND LBA INTERNAL ADDRESS
                    POINTERS WITHOUT INITIALIZING THEM.  THIS CAUSE PIP 
                    TO OVERWRITE THE LIMBO BUFFER TABLE AND NIP OVERLAY 
                    TABLE.
          SOLUTION - PIP HAS BEEN CORRECTED TO CHECK FOR PRU INPUT ON 
                     IVT CONNECTIONS AND DISCARD THE PRU INPUT AFTER
                     SENDING NIP A WORKLIST WITH A NEW ERROR CODE.
          EG     01/05/83    PIP
 NA5A039  THIS IDENT ALLOWS USER TO SPECIFY VALUES FOR PARAMETERS ON
          LINE,TERMINAL AND DEVICE STATEMENT UP TO DECIMAL 255 FOR ONE
          WORD FN/FV ENTRY AND UP TO  65535 FOR TWO WORD FN/FV ENTRY, 
          WHEN TIPTYPE IS USER DEFINED. 
          ERROR 100 IS STILL GENERATED IF PARAMETERS IS OUTSIDE THIS RANGE. 
          YCY     82/12/21     NDLNFCM
 NA5A079  CS ABORTS WITH *BAD NCF READ* DAYFILE MESSAGE.
          DKE     82/12/17     CSIBXT 
 NA5A088  NDLP GENERATES DAYFILE MESSAGE CONCERNING WARNING NUMBER
          WITH RESERVED FIELD WIDTH OF 12 BITS FOR WARNING COUNT ONLY.
          YCY     82/12/10     NDLMAIN
 NA5A092  NDLLIST IS CHANGED TO REPORT TA VALUES FOR USER TIPTYPES. 
          YCY     82/12/10     NDLLIST
 NA5A101  NDLP NOW MAKES DIRECT ENTRY TO NCF FOR UBZ AND DBZ WHEN 
          TIPTYPE IS USER DEFINED.
          YCY     82/12/07     NDLNFCM
 NA5A105  NTOTBTS SHOULD CHECK FOR MATCHING HOST NODE NUMBER
          BEFORE DISCARDING QUEUED NPU/IN/R FOR NS. 
          JCL    82/12/08    NTOTBTS
 NA5A109  FIX HPUTF TO RETURN FIRST WORD OF BAD NETPUTF TEXT ARRAY
          ON AN ERROR LOGICAL CONDITION.
          JCL    82/12/09    HPUTF
 NA5A110  NVF ADDS AN EXTRA DAY TO NOVEMBER.
          AML     83/01/28     NVFTCCT
 NA5A112  CS DOES NOT CRACK ITS CONTROL CARD. 
          DKE     82/12/14     CSLSIT 
 NA5A113  INTRODUCE NEW NS CONTROL STATEMENT PARAMETER NDFCT TO 
          ALLOW INSTALLATION TO SPECIFY FILE CATAGORY OF NPU
          DUMP FILES. 
          JCL    82/12/13    NDF$NS,COM$NS,NS$CRA 
 NA5A118  REMOVE QTGET CODE THAT PROCESSES UPLINE FC/STP AND
          FC/STRT SUPERVISORY MESSAGES WHICH ARE NO LONGER VALID
          FOR MULTI-HOST NETWORK. 
          JCL    82/12/17    QTGET
 NA5A119  NIP SHOULD DAYFILE COUPLER ERRCOR CODE FROM HE/CP.
          JCL    82/12/14    NPHECP 
 NA5A120  COMMAND RECOGNIZER CANNOT RECOGNIZE ANY VALUE 
          (KEYWORD=VALUE) STARTING WITH "A" AS THE FIRST
          CHARACTER.
          AML     83/01/28     SSRRCS 
 NA5A121  MACREF NFETCH AND MACREF NSTORE CAUSE ASSEMBLY ERRORS.
          JCL    83/01/14    NFETCH,NSTORE
 NA5A123  NVF ABORTS WITH *NVFTACC - CANNOT FD PDCT ENTRY*
          MESSAGE IN DAYFILE
          DKE     82/12/17     NVFTRCN
 NA5A124  MODIFY NAMI TO SAVE THE NETWORK MEMORY FILE 
          AS A PRIVATE FILE INSTEAD OF A PUBLIC FILE. 
          CYB    83/04/18    NMI=IO1
 NA5A130  A NEGATIVE NETWAIT TIME SPECIFIED FOR NETWAIT CALL
          WOULD CAUSE APPLICATION TO STAY IN NETWAIT STATE JUST 
          ABOUT FOREVER IF NO UPLINE MESSAGES ARE QUEUED FOR IT.
          JCL    83/01/14    NETWAIT
 NA5A140  AIP ROUTINE NP$ERR IS NOT DAYFILING THE SECONDARY ERROR 
          MESSAGE FOR RC = 99.
          JCL    83/01/26    NP$ERR 
 NA5A142  NAMSTRT PROCEDURES DO NOT SUPPORT SECONDARY INVOCATIONS.
          DKE     83/04/21     NAMSTRT
 NA5A146  INSERTING A NEW DECK IN NDLP FOR ITS IMS. 
          A NEW DECK IS CREATED TO INSERT A SUMMARY IMS FOR NDLP IN THE 
          NAMPL. SOME CHANGES ALSO OCCUR IN NDLP EXISITNG DECKS IN ORDER
          THAT THE "DOCMENT" PROGRAM CAN RETRIEVE IMS FOR EVERY DECK IN 
          NDLP INCLUDING THE NEW DECK ADDED.
          YCY     83/01/17     NDLNFCM,SYNGEN,NDLNFTM,NDLP2LF 
 NA5A148  NVF ABORTS WITHOUT ERROR MESSAGES ON UNKNOWN
          RECORD ON LCF.
          AML     83/02/11     NVFIAST
 NA5A151  ANAME ON INCALL STATEMENT WAS ACCEPTING HEXIDECIMAL DIGITS
          RATHER THAN ALPHANUMERIC CHARACTERS. NOW IT ACCEPTS CHARACTER 
          AND CONVERTS EACH CHARACTER INTO 8 BIT ASCII. ADDITIONAL
          CHECKS ARE INSERTED INTO UDATA TO ENSURE THAT IT ACCEPTS ONLY 
          HEXIDECIMAL DIGITS. 
          YCY     83/01/28     NDLLIST,NDLPSS1,NDLP2LF
 NA5A154  NVF IMS NEEDS UPDATING. 
          DKE     83/02/10     TEXTNVF,TXTANVF,NVFUMVD,NVFURDS,NVFUROS, 
                               NVFUAFV,NVFUFVO,TXVCBNV
 NA5A156  SERVICES AND SCHEDULING IMS NEEDS UPDATING. 
          DKE     83/02/09     SSSPES 
 NA5A160  BAD CTRL/TCD IF INPUT CHARACTER TPYE 3 IS USED FOR
          SYNCHRONOUS COMMANDS. 
          JCL    83/02/09    BDELINK,HPGET,XEXEC,KDIS,ACNB,BLINK,BFSCAN 
 NA5A159  NVF ACCEPTS 8-CHARACTERS USER NAME, AS LONG 
          AS THE FIRST 7-CHARACTERS ARE CORRECT.
          AML     83/02/10     NVFTETI
 NA5A162  FIX FOR RELEASE COLLECTOR JOB ON NAMSTRT RECORD.
          JCL    83/02/05    NAMSTRT
 NA5A166  PFAM AND PUSER ARE ADDED AS PARAMETERS ON USER STATEMENTS.
          ONLY ONE OF PFAM, DFAM AND MFAM OR ONE OF DUSER, PUSER AND
          MUSER MAY EXIST ON ANY ONE USER STATEMENT.
          YCY     83/03/21     DATANDL,ER2CNDL,NDLSDAT,NDLPSS1,NDLP2LF
 NA5A168  ON INCALL STATEMENT, FAMILY NAME AND USER NAME ARE NOW
          ZERO FILLED.
          YCY     83/02/22     NDLLIST,NDLP2LF,IBLCF
 NA5A170  RESOLVE INVALID RETURN PARAMETER FROM ROUTINE -LOCLLCB- 
          IF THE SPECIFIED LOGICAL LINK DOES NOT EXIST. 
          JCL    83/02/16    LOCLLCB
 NA5A172  ROUTINE SSTETS ERRONEOUSLY USED NEW TABLE LENGTH
          WHEN COMPUTING NUMBER OF WORDS TO MOVE AFTER ENLARGEMENT
          OF TABLE. CALCULATE COUNT PRIOR TO ALLOCATING NEW TABLE 
          SPACE.
          DKE     83/02/23     SSTTMR 
 NA5A173  NIP TAKES LOGICAL LINK DOWN UPON RECEIVING A REG/LL 
          IN NETWORK SHUTDOWN MODE. 
          JCL    83/03/01    BLDLLCB,NPREGLL
 NA5A175  NIP STRUCTURE REORGANIZATION TO FREE UP SPACES TO REDUCE
          NIP FL SIZE.
          JCL    83/04/25    XEXEC,BFSCAN,KPTYPIN,XCHKPCR,XSACB 
                             IRECVR,XENDRPV,RMAIN,KPCLNUP,KDSTIN
                             KDIS,NEIB,SKENIP 
 NA5A177  USER STATEMENT LIMIT TOO LOW.  CHANGEDSIX, 12-BIT LCF FIELDS
          TO 18 BITS.  ALSO CHANGED MAXIMUM USER STATEMENT LIMIT
          (IN NDLP2LF) FROM 2**12-1 TO 2**18-1. 
          MSC     83/05/20     ATLCF,UTLCF,IBLCF,OBLCF,NDLP2LF
 NA5A178  PROBLEM - PIP IMS WAS NOT COMPLETELY UPDATED AT LEVEL 580.
          SOLUTION - PIP IMS HAS BEEN UPDATED TO DESRIBED NEW DATA
                     STRUCTURE AND INITIALIZATION PROCEDURE INTRODUCED
                     AT LEVEL 580.
          EG     03/07/83    PIP
 FA5206   IMPLEMENT CHANGES FOR *EST EXPANSION* IN NOS V2.2.
          DKE    04/19/83    PIP
  NA5A179  COMMAND RECOGNIZER NOT RECOGNIZING SINGLE CHARACTER VALUE. 
          AML     83/03/07     SSRRCS 
 NA5A180  NVF SETS DT INCORRECTLY FOR AN INTER-HOST A-A CONNECTION. 
          DKE     83/04/11     NVFARAP
 NA5A182  CODE TO BLANK THE SWITCH APPLICATION NAME OF THE
          CR/SWH/R SM FOR A-A CONNECTIONS.
          CJB     83/03/10     NVFARAP,NVFAIAP,NVFAVVD
 NA5A183  THE REASON NDLP ABORTS WITH CM OUT OF RANGE IS
          THAT THE BUFFER SIZE AT 7R2 FOR NCB IS 200 CM WORDS AND 
          ANY NCB BIGGER THAN THAT WILL CLOBBER THE NCF INDEX WHICH 
          IMMEDIATELY FOLLOWS THE NCB TABLE. NEW BUFFER SIZE OF 600 
          CM WORDS IS ALLOCATED FOR NCB.
          YCY     83/05/10     NDLTBLT
 NA5A185  LOGICAL LINK STATUS NOT DISPLAYED AFTER ST,TES,LL=LL410 
          COMMAND ISSUED. 
          DKE     83/04/18     CSSAST 
 NA5A187  PROVIDE SYMBOLIC REFERENCES FOR SYNCHRONOUS SUPERVISORY 
          MESSAGES IN APPLICATION CHARACTER TYPE 3 FORMAT TO
          AIP NFETCH AND NSTORE PROCEDURE USERS.
          JCL    83/06/13    SUPMSG,SMAPPL
 NA5A189  IDLING DOWN IAF CAUSE NVF TO ABORT WITH AN *SM NOT
          ROUTED MESSAGE. 
          DKE     83/04/07     NVFOPSC
 NA5A190  QTRM RETURNS REASON CODE *LOGICAL ERROR* IF APPLICATION 
          ATTEMPTS TO SEND DATA ON A NON-EXISTENT CONNECTION. 
          JCL    83/04/20    QTGET,QTPUT
 NA5A191  ON TERMINAL STATEMENT, RIC IS DEFAULTED TO "YES" FOR
          BISYNC AND HASP TIPTYPE AND "NO" FOR ALL OTHER TIPTYPES RESPECTIVELY. 
          YCY     83/03/21     NDLNFCM
 NA5A192  UBZ SHOULD BE INTERNALLY ENCODED AS MULTIPLES OF 100 IN 
          APPROPRIATE LOCATION WITHIN THE LCF FOR EACH OCCURRENCE OF INCALL 
           AND OUTCALL STATEMENTS. ALSO DEFAULT IS 200 WHICH IS 2 IN LCF. 
           LEGAL RANGE FOR UBZ IS 1 THROUGH 200.
          YCY     83/03/25     NDLLIST,NDLCKRG,NDLP2LF
 NA5A193  TC=3 IS ALLOCATED TO 721 TERMINAL. IT WILL BE THE SAME AS 
          TC=2 EXCEPT THAT THE HOME CURSOR AND CLEAR SCREEN SEQUENCE SENT TO
          THE TERMINAL WILL BE FF(X'OC) 
          YCY     83/03/24     NDLNFCM,NDLLIST,NDLPSS1
 NA5A195  ADDING EOF AS A PARAMETER ON TERMINAL STATEMENT. EOF=NO OR
          EOF=YES WILL PASS A EOF FNFV TO THE LINE RECORD. EOF IS VALID FOR 
          MODE 4  AND USER TERMINAL ONLY. THE DEFAULT FOR MODE 4 TERMINAL 
          IS NO. FN VALUE FOR EOF IS 111 AND KEYWORD ID FOR EOF IS 127. 
          YCY     83/03/28     DATANDL,NDLNFCM,NDLSDAT,NDLLIST,NDLPSS1
 NA5A196  ADDING ARSPEED PARAMETER TO LINE STATEMENT. ARSPEED 
          IS DEFAULTED TO YES FOR AUTO RECOGNITION LINES AND TO NO
          OTHERWISE. WHEN ARSPEED IS SET OR DEFAULTED TO YES, BIT 1 OF
          THE TT BYTE IS SET, OTHERWISE BIT 1 IS IS CLEARED.
          YCY     83/03/29     DATANDL,NDLNFCM,NDLSDAT,NDLLIST,NDLPSS1, 
                               NDLTBLT
 NA5A199  FIX NIP TO ASSIGN PROPER CONNECTION PRIORITY TO 
          APPLICATION-TO-APPLICATION CONNECTIONS. 
          ABORT NIP ON RECEIVED BAD BSN ON A -BACK-.
          JCL    83/04/06    BLDNCNB,NICNAPX,NPBACK 
 NA5A200  ADDING USER VALUES SDT12 TRHOUGH SDT15 AS LEGAL VALUES
          FOR SDT PARAMETER ON DEVICE STATEMENT. SDT12 THROUGH SDT15 HAVE 
          INTERNAL VALUES 12 THROUGH 15 RESPECTIVELY. ALSO, THESE VALUES ARE
          USED INDEPENDENT OF TIPTYPE AND DEVICE TYPE. CONSTRAINTS ON 
          TIPTYPE AND DEVICE TYPE VERSUS ALL OTHER VALUES OF SDT STILL MAINTAIN.
          YCY     83/03/31     NDLNFCM,NDLLIST,NDLPSS1
 NA5A201  ADDING DEVICE TYPE "AP" TO DEVICE STATEMENT. THE INTERNAL 
          VALUE FOR AP IS 6. ALSO, WHEN  DT=AP, UBZ IS DEFAULTED TO 200,
          NDLP SETS TO 2 AND DBZ IS DEFAULTED TO 128. AP IS ALLOWED ONLY
          FOR STIP=X25 . ALSO CHECKS FOR CTYP=PVC USED ONLY FOR STIP=X25
          IS INCLUDED.
          YCY     83/04/05     NDLNFCM,NDLLIST,NDLPSS1
 NA5A202  REMOVING FACILITIES FAC1-FAC31 BEING SPECIFIED ON INCALL
          STATEMENT. THE SAMAP FOR FAC1 THROUGH FAC31 IN DECK NDLSDAT IS
          CHANGED  SUCH THAT THEY MAY ONLY APPEAR ON OUTCALL STATEMENTS.
          YCY     83/04/05     NDLSDAT
 NA5A203  CORRECTIVE CODE TO INSERT THE LENGTH OF CALL USER 
          DATA INTO THE FOURTH OCTET OF CALL USER DATA PROTOCOL ID
          FIELD.
          CJB     83/04/06     NVFAIAP
 NA5A204  CORRECTIVE CODE TO INTRODUCE NEW ALGORITHM FOR
          CHECKING THE FACILITIES OF AN INCALL TO THE FACILITIES
          OF THE INCALL BLOCKS. 
          CJB     83/04/06     TEXTNVF,NVFARAP,NVFAVVD
 NA5A206  CORRECTIVE CODE TO CORRECTLY DEFINE THE FIELDS FOR
          UPLINE BLOCK SIZE AND UPLINE BLOCK LIMIT IN NVF AND THE 
          COMMON DECK SCANNED BY NIP. 
          CJB     83/04/06     SMNVF,TEXTNVF,NVFARAP,NVFAIAP
 NA5A207   FIX FOR X.25 APPLICATION TO APPLICATION CONNECTION 
          PROCESSING. 
          JCL    83/03/31    NCNB,NPNIPSM,BLDNCNB,HCSTTP
                             NCSTTP,NICNAPX 
 NA5A208  BEFORE HOST TABLE IS PACKED INTO NCB WORDS, HOST NAMES
          ARE NOW SORTED IN ALPHABETICAL ORDER BEGINNING FROM THE LOWEST
          TO THE HIGHEST ACCORDING TO THEIR DISPLAY CODE VALUE. HENCE 
          IDENTICAL HOST NAMES WILL BE GROUPED TOGETHER AND BLANK HOST
          NAMES WILL BE APPEARING AT THE BOTTOM OF THE HOST DISPLAY.
          YCY     83/04/07     NDLNFTM,NDLTBLT
 NA5A209  ALERT HOST OPERATOR WHEN AN UPLINE BLOCK ADDRESSED TO 
          AN UNKNOWN HOST NODE IS RECEIVED. 
          JCL    83/04/22    NGIGO,NPHOPMS,KHOPMSG
 NA5A212  ALLOW TERMINATOR FOR K.* COMMAND WHILE NAM-S K
          DISPLAY IS IN APPLICATION MODE. 
          JCL    83/04/21    KPTYPIN
 NA5A213  A CONTROLLING NOP LOGGING OUT CAUSES CS TO ABORT. 
          DKE     83/04/21     CSSANS,CSSTNS,CSSTNO,CSSAED
 NA5A214  ADDING SHOST ON OUTCALL STATEMENT. IT ACCEPTS 1-6 HEXIDECIMAL 
          DIGITS AND DEFUALTS TO SNODE IF IT IS NOT SPECIFIED. IF UDATA 
          IS NOT USED AND SHOST IS SPECIFIED THEN NDLP WILL BUILD UDATA FROM
          SHOST,DENODE AND ANAME. 
          YCY     83/04/18     NDLSDAT,NDLP2LF
 NA5A215  NVF SHOULD NOT IGNORE BLK BLOCKS DURING LOGIN DIALOGUE. 
          DKE     83/04/21     TEXTNVF,NVFCAUT,NVFCUFS,NVFTDQE
 NA5A216  CHANGE PROTOCOL OF TURNING ECHO PLEX OFF AFTER THE PASSWORD 
          PROMPT SO THAT NO TYPE AHEAD DATA WILL BE LOST. 
          DKE     83/04/21     NVFTILP,TEXTNVF,NVFCAUT,NVFTDQE,NVFCCPA, 
                               NVFCDQE,NVFTITE,NVFTBRK,NVFTCRN,NVFTETI, 
                               NVFUMQE,NVFTTCD,NVFDDNT,TXTANVF
 NA5A217  ADD NEW PARAMETER RECORDS FOR MULTI-HOST ENVIRONMENT. 
          DKE     83/05/03     NAMSTRT
 NA5A218  CORRECT THE INTRHOST CONNECTION ABL SETTING.
          CJB     83/04/19     TEXTNVF
 NA5A219  SEND COMMAND HANGS OPERATOR CONNECTION. 
          DKE     83/04/21     CSSASD 
 NA5A220  IBUBL, IBUBZ, OBUBL AND OBUBZ ARE NOW REDEFINED IN ITEM 
          WIDTH. THEY ARE ALL 8 BIT ITEMS WITH UBL STARTING FROM BIT 36 
          AND UBZ FROM BIT 44.
          YCY     83/04/21     IBLCF,OBLCF
 NA5A221  NVF SHOULD SUPPORT PRIMARY FAMILY AND USER. 
          DKE     83/04/21     NVFTILP,NVFTPVR
 NA5A224  INFO COMMAND AT THE K-DISPLAY CAUSES CS TO ABORT. 
          DKE     83/04/22     CSSAIN 
 NA5A225  PROBLEM - TRACE FILES NOT BEING COPIED PROPERLY.
          THE FORMAT OF THE TRACE FILES HAVE BEEN MODIFIED
          TO BE MULTI-FILE FILES.  EACH FILE WILL HAVE A
          SEPARATE HEADER RECORD. 
          CYB    83/06/01    NAMSTRT
 NA5A226  NAMSTRT MOD FOR SERVICE CLASS CHANGES IN NOS 2.2
          CYB    83/05/18    NAMSTRT
 NA5A227  PROCESSING OF CR/CB AND TIME OUT AT THE SAME TIME CAUSES NVF
          TO SEND OUT TWO CS/TRM-S FOR THE SAME CONNECTION. 
          DKE     83/04/22     TXINNVF
NA5A228   CHANGED INITIAL MEMORY ALLOCATION FROM 600 TO 200.  NOW USING 
          DYNAMIC MEMORY ALLOCATION RATHER THAN STATIC ALLOC. FOR NCB.
          TO VERIFY FIX, USED NDLMUG2 (UN=YCY2423) WITHOUT CURRENT
          MODS TO PRODUCE AN NCF.  COMPARED THAT WITH AN NCF GENERATED
          WITH AN NDLP WHICH HAD THE MODS.  USED VERIFY AND TDUMP 
          UTILITIES TO CHECK DIFFERENCES (TIME AND VERSION NUMBER DIFFERED).
          MSC     83/06/07     NDLNFTM,NDLTBLT
 NA5A230  FIX FOR MONITOR CALL ERROR WHEN CS OR NS FAILS. 
          CYB    83/04/25    PT,HPNOFFN,KNAMMOD,NCREGCP,
                             NTOTBTS,HPNONSA,HPPUT,KAPIGP,
                             HCSUPCB,NPREGCP,NPREGLL
 NA5A231  PROBLEM - PIP RECEIVED PRU INPUT WHEN IT WAS TOLD BY CCP TO 
                    EXPECT IVT INPUT.  PIP GOT CONFUSED AND OVERWROTE 
                    RA+1.  THIS CAUSED NAM TO FAIL WITH A MONITOR CALL
                    ERROR.
          SOLUTION - PIP HAS BEEN CORRECTED TO DETECT THIS CCP ERROR
                     CONDITION AND KILL THE NPU WHEN IT OCCURS.  THE
                     SAME PROBLEM WAS FIXED IN NOS VERSION 1 WITH PSR 
                     NA20605. 
          EG     05/31/83    PIP
 NA5A234  CODE TO SET THE WINDOW AND PACKET SIZE OF THE PAAC
          ENTRY WHEN THERE ARE NO FACILITIES REQUESTED. 
          CJB     83/04/29     NVFARAP
 NA5A235  CHANGE KNAMDFL TO ACCEPT FL=XXXXXX TYPE-IN WHICH
          WOULD REDUCE FL ALERT THRESOLD. 
          JCL    83/05/26    KNAMDFL
 NA5A236  REORGANIZE K DISPLAY ROUTINES TO MOVE KADD/KDEL ROUTINES
          ROUTINES TO OVERLAYS TO HELP MEETING DR. WORKLIST 
          PROCESSING IS INTRODUCED TO ADD AND DELETE ENTRY(S) 
          FROM NAM STATUS DISPLAY.
          JCL    83/05/04    KDIS,KINITBF,KSTTAB,KADD,KDEL
                             BLDACB,BLDLLCB,XCHKCET,RELACB, 
                             RELLLCB,NPESTOF,BLDKWL,KCHANGE,
                             KDSTIN,NPREGLL,MISDEF,OVLNAME, 
                             OVLSTAT,SKENIP 
                             BLINK,BDELINK,NPREGLL,XSACB,BLDACNB
                             BLDNCNB,RELACNB,RELNCNB,KAPIGP,HPNONVF 
 NA5A237  NIP WOULD DAYFILE *PROTOCOL VIOLATION, NPU DUMP REQUEST 
          SENT* WHEN IT DETECTS A PROTOCOL VIOLATION FROM CCP 
          AND SENDS A NPI/IN TO CAUSE A CCP HALT 10. A NIP FL DUMP
          WILL ALSO BE TAKEN AT THE SAME TIME.
          JCL    83/05/05    KNAMCOM,XDUMPFL,NNPIIN 
 NA5A238  NIP MAY FAIL WITH CPU ERROR EXIT UPON RECEIVING A 
          BAD BSN -BACK- BLOCK FROM THE NPU. NPBACK AND NBADBSN 
          ROUTINES ARE REWRITTEN TO RESOLVE THE PROBLEM.
          JCL    83/05/01    NRELBLK,NPBACK,NBADBSN,NPBRK 
 NA5A239  NIP SHOULD SUPPORT CONTROL STATEMENT PARAMETER WITH VALUE 
          GREATER THAN 9. 
          CLEANUP INPARU COMDECK TO REMOVE UNUSED INSTALLATION
          PARAMETERS. 
          FIX INIP TO RECOGNIZE MC=0. 
          FIX INIP TO RECOGNIZE N1PRUB,N2PRUB,N3PRUB PARAMETERS 
          PROPERLY. 
          JCL    83/05/03    INPARU,INPARUT,HPRUON,INIP 
 NA5A240  MAKE NETWORK MAINTAINENCE COMMANDS DB,DE,LR,RS,LB,LE
          VALID FOR ALL APPLICATIONS. 
          JCL    83/05/06    KNAMMOD
NA5A244   NAMSTRT MODIFIED SO THAT TRACE FILES ARE NOT PURGED FOR 
          APPLICATION ABORTS.  ALSO, TRACE FILES ARE NOT PURGED 
          FOR APPLICATION RESTART FOLLOWED BY NORMAL TERMINATION
          (SEE NA5A355).
          MSC     83/07/12     NAMSTRT
 NA5A245  FIX TO SAVE THE CORRECT OIN (OLD INVOCATION 
          NUMBER) WHEN THE OIN IS SPECIFIED IN THE
          NAMI CALL.
          CYB    83/05/11    NAMI 
 NA5A246  FIX FOR CPU ERROR EXIT AT 017134 ON 
          EXECUTING A NIP TRACE.
          CYB    83/05/06    DLSCAN 
 NA5A247  NAM SHOULD BE INCLUDED FOR THE HOP "ALL" COMMANDS.
          CYB    83/05/06    KPTYPIN
 NA5A248  RS AND MXCOPYS ARE ADDED TO APPL STATEMENT IN LFILE.
          RS = YES OR RS MEANS REQUEST RESTARTABLE INDICATOR IS ON AND OFF
          OTHERWISE. MXCOPYS IS BETWEEN 1-15 DECIMAL AND DEFAULTS TO 1. 
          YCY     83/05/06     DATANDL,ATLCF,NDLSDAT,NDLPSS1,NDLCKRG, 
                               NDLP2LF,NDLLIST
 NA5A249  NIP ABORTS ON GARBAGE COLLECTION BECAUSE KDSTIN IS
          CALLED TO UPDATE THE STATUS DISPLAY WHILE K DISPLAY 
          IS IN APPLICATION MODE. 
          JCL    83/05/04    KPCLNUP
 NA5A251  ADD SUPPORT OF DIAGNOSTIC OPERATORS.
          DKE     83/05/09     CSSAIN,CSSANO
 NA5A252  CS PUTS EXTRA CHARACTER AT END OF ONLINE DIAGNOSTIC 
          MESSAGE.
          DKE     83/05/09     CSESOD 
 NA5A253  TVF ABORTED TRYING TO SEND A DOWNLINE BLOCK ON A
          PRINTER CONNECTION WITH ABL=0. TVF SHOULD ONLY ACCEPT 
          CONSOLE DEVICE CONNECTIONS, BATCH DEVICE CONNECTIONS
          WILL BE REJECTED. 
          JCL    83/06/06    TVF
 NA5A254  CS CONTINUES TO SEND *GO REQUIRED* MESSAGE AFTER THE
          SUPERVISION OF THE NPU REQUESTING A GO IS LOST. 
          DKE     83/05/09     TEXTCS,CSSAGO,CSSANS,CSSTNS,CSESSM 
 NA5A255  RESOLVE NAM NON-DEBUG VERSION PROBLEM. NIP TIMERS ARE 
          NOT GETTING INITIALIZED IN NON-DEBUG SYSTEM, FIX IS PUT 
          INTO XEXEC TO INITIALIZE THE REAL TIME CLOCK ON EVERY 
          MAIN LOOP.
          JCL    83/05/10    XEXEC
 NA5A256  RESOLVE NIP MEMORY FRAGMENTATION PROBLEM WHEN THE 
          NPU EST ENTRY ARE TURNED OFF. ALL INBOUND AND 
          OUTBOUND BUFFERS ASSOCIATED WITH AN *OFF*ED NPU 
          ARE RELEASED TO THE FREE BUFFER POOL. 
          JCL    83/05/10    NBT,NPESTOF
 NA5A259  NAMI DOES NOT DEFAULT THE PASSWORD FOR USER NAME NETOPS.
          DKE     83/06/20     NMI=IO1
 NA5A262  FIX NBSTTP STATE TABLE ERROR ON APPLICATION FAILURE WHILE 
          CONNECTION BLOCK STATE IS IN DOWNLINE BREAK CASE. 
          JCL    83/05/10   STATTBL 
 NA5A264    SEND TO HOST CAUSES CS TO ABORT.
          DKE     83/05/13     CSSASO 
 NA5A265   NVF CLEARS THE TERMINAL SCREEN AFTER EACH INVALID APPLICATION
          IS TYPED IN.  NVF SHOULD ONLY CLEAR THE SCREEN FOR THE FIRST
          APPLICATION PROMPT. 
          DKE     83/05/13     NVFTILP
 NA5A271  CHANGED LIMIT FOR MAXIMUM NODE NUMBER ON COUPLER STATEMENT
          FROM 31 TO 63.  NCF FIELD LENGTH DID NOT HAVE TO BE CHANGED SINCE 
          IT ALREADY IS 8 BITS LONG.  THIS CHANGE EXPANDS THE NUMBER OF 
          THESE BITS USED FROM 5 TO 6.
          MSC     83/05/24     NDLNFNT,NDLCKRG
 NA5A274  WHEN SWITCHING FROM ONE APPLICATION TO ANOTHER, NVF 
          RESPONDS WITH "ILLEGAL APPLICATION" IF A CARRIAGE RETURN
          IS ENTERED IN RESPONSE TO THE APPLICATION PROMPT.  NVF
          SHOULD INSTEAD SWITCH TO THE PRIMARY (DEFAULT) APPLICATION. 
          CHANGE NVF TO CHECK IF THE VOLUNTEERED APPLICATION IS 
          EITHER ZERO OR BLANK AND IF SO, SWITCH TO THE PRIMARY 
          APPLICATION INSTEAD OF THE VOLUNTEERED APPLICATION. 
          PAM     83/06/15     NVFTVAA
 NA5A275  NIP WILL ISSUE NPI/DD TO HALT THE NPU UPON DETECTING
          PROTOCOL VIOLATION FROM THAT NPU. 
          JCL    83/05/24    SMPFC,NNPIIN 
 NA5A276  RESOLVE NIP/PIP TIMING PROBLEM WHEN NPU EST ENTRY 
          IS TURNED OFF AND THEN BACK ON AGAIN. PIP MAY ABORT 
          NAM WITH PIP ERROR 24.
          JCL    83/05/13    NPESTOF
 NA5A277  NIP/NVF SUPERVISORY MESSAGE FORMAT NOT COMPATIBLE WITH
          THE CCP SUPERVISORY MESSAGE FORMAT. 
          JCL    83/05/17    SMNVF
 NA5A278  NPESTOF AND NPHECP MAY NOT RELEASE ALL OUTBOUND BUFFERS 
          IF PIP HAS NOT PROCESSED ANY QUEUED MESSAGES YET. NPESTOF 
          AND NPHECP SHOULD START RELEASING OUTBOUND CHAIN AT THE 
          FIRST POINTER INSTEAD OF THE OUT POINTER. 
          JCL    83/05/18    NPESTOF,NPHECP 
 NA5A280  NVF NEEDS TO WIDEN THE WORD COUNT FIELDS IN THE TABLES THAT 
          IT READS FROM THE LCF.  TO FIX THIS, EXPAND THE WORD COUNT
          FIELDS TO 18 BITS IN THE INCALL, OUTCALL, AND LCFWSA ARRAYS.
          THIS FIX WAS NEEDED TO CORRESPOND WITH NA5A177. 
          PAM     83/05/27     NVFIAST,NVFAIAP,NVFARAP
 NA5A289  NIP FAILED ON CPU ERROR EXIT UPON RECEIVING THE 
          NAM K DISPLAY COMMAND IG=APPNAME. FIX KAPIGP TO 
          PRESET THE ACB BASED ARRAY POINTER FOR SUBSEQUENT 
          ACB DATA STRUCTURE REFERENCES.
          JCL    83/05/23    KAPIGP 
 NA5A290  QTRM GOES INTO TIGHT LOOP IF ABL IS REACHED ON THE
          CONNECTION AND A USER BREAK IS ENTERED. CHANGE QTGET
          TO NOT USING THE INDUCTION VARIABLE TEMP2 AS A
          TEMPORARY VARIABLE. 
          JCL    83/05/20    QTGET
 NA5A291  NPU STATISTICS FORMAT CHANGED TO MAKE NPU NODE I.D. 
          FOUR CHARACTERS INSTEAD OF THREE. 
          DKE     83/06/15     CSESES 
 NA5A292  HBSTTP SHOULD DISCARD DOWNLINE DATA FROM APPLICATION IF 
          THE CONNECTION IS IN UPLINE INTERRUPT STATE. IN ADDITION, 
          IF THE CONNECTION IS IN HALF-DUPLEX MODE AND THE BLOCK
          RECEIVED IS A -MSG- BLOCK, THE LIST PROCESSING SHOULD BE
          TURNED BACK ON. 
          JCL    83/05/25    STATTBL
 NA5A293  ADDING DTEA TO INCALL STATEMENT. IT IS THE PSN ADDRESS OF 
          REMOTE DTEA INTERFACE TO THE SOURCE HOST/APPLICATION. EQUIVALENT
          TO THE "CALLING DTEA ADDRESS" IN THE X.25 INCOMING CALL REQUEST 
          PACKET. 
          YCY     83/05/31     IBLCF,NDLP2LF,NDLSDAT,NDLLIST
 NA5A294  FIX TO NAMI TO PROCESS A XXD3FIL FOR NIP-S
          ZZZZTMP FILE (CREATED ON HOP/DU COMMAND). 
          CYB    83/05/18    NMI=IO1
 NA5A295  WRITE END OF RECORD AFTER THE HEADER RECORD 
          ON THE ZZZZZDN FILE IN NETREL.
          CYB    83/04/29    NETREL 
 NA5A296  WRITE END OF RECORD AFTER THE NIP 
          HEADER ON THE ZZZZZDN.
          CYB    83/04/29    NNETREL,INIPD
 NA5A297  FIX TO DLFP TO PROCESS MULTI-FILE FILES.
          CYB    83/05/12    DLSCAN,DLRDW,DLREP,DLFP
 NA5A298  NVF ABORTS WITH *NVFTACC - CANNOT FIND P* IN DAYFILE. 
          DKE     83/06/13     NVFTACC
 NA5A300  NETWORK CONNECTION STATISTIC DATA FOR NUMBER OF CHARACTERS
          TRANSMITTED IS INCORRECT. THE CHARACTER COUNT SHOULD BE 
          PICKED UP FROM THE APPLICATION BLOCK HEADER WORD INSTEAD
          OF THE NETWORK HEADER WORD. 
          JCL    83/06/01    NFOB 
 NA5A301  CHANGE NIP ALGORITHM FOR RELEASING EXTRA MEMORY TO REDUCE 
          FL DURING GARBAGE COLLECTION TIME. A LAST BUFFER WITH A 
          MINIMUM SIZE OF 320 WORDS IS ALWAYS RESERVED FOR SUBSEQUENT 
          BUFFER REQUEST. THE REMAINING SPACE IN THE LAST BUFFER IS 
          RELEASED BACK TO THE SYSTEM.
          JCL    83/06/02    INPARU,FREETAB,ITABS,MGBGCLT,
                             XCHKPCR,XEXEC
 NA5A302  NVF SHOULD SCAN THE RIGHT MOST 48 BIT IN AAVW WORD FOR
          DEFAULT APPLICATION.
          DKE     83/06/06     NVFTPSV
 NA5A306  PROBLEM - PIP IGNORED OFC/START WHEN IT WAS IN EXTERNALLY 
                    STOPPED STATE (41D) AND SO IT NEVER STARTED 
                    OUTPUT. 
          SOLUTION - PIP WILL NOT PROCESS OFC/START WHEN IT IS IN 
                     STATE 41 OR STATE 51 AND WILL WAIT FOR THE STATE TO
                     CHANGE BEFORE PIP WILL PROCESS IT. 
          EG     06/06/83    PIP
 NA5A307  RESOLVE NAM FAILURE ON PIP ERROR 026B. PIP MAY ABORT
          NAM IF IT IS IN A STATE OF DUMPING/LOADING A LOCAL NPU
          AND WAITING FOR INBOUND BUFFER SPACE FROM NIP, AND THE
          EST ENTRY FOR THAT NPU HAS JUST BEEN TURNED OFF. PIP
          THEN MAY JUMP TO AN ERRONEOUS ACTION PROCESSOR. 
          JCL,SW    83/06/03    PIP 
 NA5A308  USER BREAK DOES NOT WORK WHEN CONNECTION IS IDLE. 
          DKE     83/06/07     CSCPNT,CSCUFS
 NA5A309  NVF DOES NOT A CR/TRM WHEN DBL IS REACHED.
          DKE     83/06/07     NVFCCPA
 NA5A310  SPECIFYING THE NPU PARAMETER TWICE ON THE REPORT COMMAND
          CAUSES CS TO ABORT.  CODE WAS ADDED TO THE COMMAND
          RECOGNIZER TO DIAGNOSE THE CASE WHERE A PARAMETER WAS 
          SPECIFIED TWICE.
          DKE     83/06/15     SSRRCS 
 NA5A311  THE FAMILY ORDINAL FIELD IN THE RAU TABLE NEEDS TO BE 
          EXPANDED TO NINE BITS.
          DKE     83/06/07     TEXTNVF
 NA5A313  NVF DOES NOT TIME OUT T-A CONNECTION. 
          DKE     83/06/07     NVFTILP
 NA5A314  UPDATE DLFP IMS.
          CYB    83/06/15    DLFP,DLREP,DLSCAN
 NA5A315  UPDATES TO AIP IMS. 
          CYB    83/06/08    NETCHEK,NETDMB,NETOFF,NETPUT,
                             NETPUTF,NP$DBG,QTCLOSE,QTENDT, 
                             QTGET,QTLINK,QTOPEN,QTPUT, 
                             NP$RCL,NP$DMB,DRHDIMS
 NA5A316  UPDATES TO NIP IMS. 
          CYB    83/01/17    NIP....XWTLC 
 NA5A317  SERVICE AND SCHEDULING SHOULD ALLOW THE APPLICATION 
          PROGRAM TO SET ITS OWN *TLMAX* IN THE NETGETL CALL. 
          AML     83/06/07     TEXTSS,SSACNI,CSLSIT,NVFLSIT 
 NA5A318  SEVERAL APPLICATION IN NETWAIT STATE MAY CAUSE SEVERE 
          BUFFER FRAGMENTATION PROBLEM IN NIP. NIP SHOULD RELEASE 
          THE NETWORK WORKLIST BUFFER IF THE NETWAIT WORKLIST 
          ENTRY IS PROCESSED AND THE NUMBER OF REMAINING WORKLIST 
          ENTRY(S) TO PROCESS IS ZERO.
          JCL    83/06/08    ACB,HPAWL,HWLP,HPWAIT,HRELWWL
NA5A320   TERMINAL CLASS MNEMONIC "X364" NOW MAPS TO TC=7.  OLDMVALUE 
          "752", WHICH PREVIOUSLY MAPPED TO TC=7, NOW IS TC=2.
          CHANGES IN NUMBER OF TERMINAL CLASSES, TERMINAL CLASSES 
          AND NUMBERS, ONE NEW MNEMONIC ADDED.
          MSC     83/06/16     NDLNFCM,NDLPSS1
 NA5A321  CS NEEDS SUPPORT NEW TERMINAL CLASSES -- 721 AND X364.
          DKE     83/06/13     CSESTS 
 NA5A322  TVF SUPPORT CODE FOR TC=3 AND 7.
          JCL    83/06/07    TVF
 NA5A324  CON/REQ CONTAINS AN EXTRA WORD.  DELETE THE ELEVENTH WORD 
          FROM CON/REQ (CONASWI) AND CR/SWH (CRSAAVW), AS IT IS 
          NOT USED. 
          PAM     83/06/23     SMNVF,SMDEF,SMAPPL,SMAPDEF,NVFTDSP 
 NA5A327  DBG/STOP PROCESSING CODE SHOULD BE PART OF THE DYNAMIC
          DEBUG CODE THAT CAN BE TURNED ON AND OFF VIA THE NAM K
          DISPLAY DB COMMAND. 
          JCL    83/06/07    HPPUT,HPDBGST,NEIB1,OVLSTAT,OVLNAME, 
                             SKENIP 
 NA5A329  PROVIDE AN EASY MEANS OF IDENTIFYING *EBCDIC* DATA IN AN
          NPU DUMP. 
  
          THIS MODSET ADDS THE CONVERSION SELECTION PARAMETER, *CV*,
          TO THE *NDA* CALL CARD.  LEGAL VALUES FOR *CV* ARE *AS* 
          (ASCII) AND *EB* (EBCDIC).  *AS* IS THE DEFAULT VALUE IF
          *CV* IS NOT SELECTED. 
  
          RWW     80/02/18     NDAS 
          RWW     81/01/27     NDAS (531) 
          RWW     83/02/14     NDAS (NOS 2.1-580) 
  
 NA5A331  PROBLEM - PIP TIMED OUT THE NPU WHICH HAD SAM.  PIP THEN
                    PROCESSED THIS CONDITION AS IF THE EST HAD BEEN 
                    TURNED OFF.  THIS CAUSED PIP TO WRITE OUT THE ORDER 
                    WORD TO INFORM CCP THAT THE REGULATION LEVEL WAS 0. 
                    IF THE PREVIOUS ORDER WORD HAD NOT BEEN READ UP,
                    PIP WAITED 2 SECONDS FOR IT TO BE READ.  WHEN IT DID
                    NOT GET READ, PIP HALTED THE NPU/SAM.  DEPENDING
                    ON WHEN SAM WAS LOADED INTO THE NPU, THE PROBLEM
                    COULD OCCUR MANY TIMES. 
          SOLUTION - PIP HAS BEEN CORRECTED TO NOT INFORM CCP THAT THE
                     REGULATION LEVEL IS ZERO UNLESS THE EST ENTRY WAS
                     ACTUALLY TURNED OFF. 
          EG     06/09/83    PIP
 NA5A334  DSP/CIO REQUEST PARAMETER BLOCK SHOULD BE RELEASED
          BY XCHKPCR UPON COMPLETION OF THE CIO/DSP REQUEST.
          JCL    83/06/13    NPPCT,XCHKPCR
 NA5A335  NVF DOES NOT SEND A FAIL/APPL/N FOR AN A-A CONNECTION 
          THAT NVF STILL OWNS.
          DKE     83/06/29     NVFAIAP
 NA5A336  NVF ABORTS WITH MONITOR CALL ERROR WHEN CR/RAP CONTAINS 
          FACILITY CODES. 
          DKE     83/06/29     NVFARAP
 NA5A337  THE SCREEN IS NOT CLEARED TO BLANK OUT THE PASSWORD IF NO 
          APPLICATION PROMPT IS SENT.  CHANGE NVF TO CLEAR THE SCREEN 
          UPON SUCCESSFUL USER VALIDATION (INSTEAD OF CLEARING IT 
          WHEN THE APPLICATION PROMPT IS ISSUED). 
          PAM     83/06/30     TMSGNVF,MISCOM,NVFTILP,NVFTPSV 
 NA5A340  IMS CODE FOR NDA. 
          JCL    83/06/20    NDA
 NA5A341  IMS CODE FOR NS.
          AML    83/06/16    NS$IMS 
 NA5A342  PROBLEM - PIP DOES NOT CONVERT FILE TYPE VALUE FOR 8
                    BIT TRANSPARENT OUTPUT FILES WHEN IT CREATES
                    A BATCH/FILE SUP MSG FOR CCP FROM A SET/FILE
                    SUP MSG FROM RBF.  THIS CAUSES CCP TO TREAT 
                    THE 8 BIT TRANSPARENT OUTPUT FILE AS A DISPLAY
                    CODE NONTRANSPARENT OUTPUT FILE.
          SOLUTION - PIP SUBROUTINE COSF HAS BEEN CORRECTED TO CONVERT
                     FILE TYPE VALUE FOR 8 BIT TRANSPARENT OUTPUT FILES 
                     TO THE APPROPRIATE VALUE FOR CCP TO RECOGNIZE THAT 
                     THE FILE CONTAINS TRANSPARENT DATA.
          REMARKS - THIS CODE IS ONLY FOR NOS 2.1 AND LATER SYSTEMS.
                    THE PROBLEM HAS BEEN FIXED WITH PSR NA2B783 IN THE
                    NOS VERSION 2.0 AND NOS VERSION 1 SYSTEM
          EG     04/30/81    PIP
 NA5A343  NAM MAY DELIVER BAD UPLINE DATA AFTER THE BLOCK WAS 
          PREVIOUSLY MARKED AS UNDELIVERABLE TO APPLICATION.
          HPGET SHOULD RESTORE THE ACT OF THE UPLINE BLOCK WHEN 
          IT DETECTS THE BLOCK CANNOT BE DELIVERED TO THE APP.
          JCL     83/06/20     HPGET
NA5A344   NDLP NOW CHARACTER-ZERO FILLS (TO THE RIGHT) ALL X25 TERMINAL 
          NAMES THAT ARE LESS THAN 5 CHARACTERS LONG. 
          MSC     83/06/27     NDLPSS1
 NA5A354  PROBLEM - IF PIP RECEIVES A OUTPUT STOPPED SUPERVISORY MESSAGE
                    FROM CCP FOR AN OUTPUT DEVICE, PIP WILL ALWAYS PASS 
                    THE CURRENT PRU POSITION OF THE FILE TO RBF EVEN IF 
                    NAM DOES NOT HAVE A FILE ASSIGNED TO IT YET.  THIS
                    CAN CAUSE RBF TO STORE A BAD CURRENT PRU POSTION IN 
                    ITS TABLE.  WHEN THE OUTPUT IS RESTARTED, RBF PASSES
                    THE BAD VALUE BACK TO PIP.  PIP USES THAT VALUE 
                    WHICH MAY THEN CAUSES CIO TO ABORT NAM SPECIFYING A 
                    BAD PRU POSITION IN A CIO CALL. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ZERO OUT THE CURRENT PRU 
                     POSITION FIELD WHENEVER IT FINISHES PRINTING A 
                     OUTPUT FILE.  IF THE ABOVE CONDITION OCCURRS, PIP
                     WILL THEN PASS A VALUE OF ZERO FOR CURRENT PRU 
                     POSITION.  RBF IS BEING CORRECTED TO NOT STORE THE 
                     CURRENT PRU POSITION IF THE VALUE IS ZERO. 
          REMARK - RB2AXXX SHOULD ALSO BE INSTALLED WITH THIS PSR.
 NA5A356  REFORMAT THE BANNER AND COPYRIGHT CODE TO BE SHORTER, 
          CONTAIN THE CURRENT YEAR, AND INCLUDE A BLANK LINE AT 
          THE END.
          PAM     83/06/29     TMSGNVF,NVFTCRN,NVFTITE
 NA5A359  *HISTORY,ALL,* SHOULD NOT BE A VALID COMMAND. 
          AML     83/07/06     SSRRCS,CSSROC,NVFOROC
 NA5A360  CS ABORTS AFTER CALLING NETREL. 
          DKE     83/07/01     NETREL 
 NA5A361  CS FAILS WHEN GIVEN BOTH *ON* AND *OFF* PARAMETERS
          ON THE REPORT COMMAND 
          AML     83/07/06     SSRRCS 
 NA5A363  SS USES TOO MUCH OF CPU.
          DKE     83/07/06     TEXTSS,SSACNI,SSSWNR 
 NA5A377  USING NAM K DISPLAY FL COMMAND TO RESET NAM MAXIMUM 
          FIELD LENGTH DOWN TO CURRENT RUNNING FIELD LENGTH MAY 
          CAUSE NAM TO ABORT WITH BUFFER MANAGEMENT ERROR.
          NIP SHOULD NOT ALLOW HOP TO ENTER FL VALUE LESS THAN
          THE CURRENT FIELD LENGTH PLUS 2K, SO AS TO ENABLE NIP 
          TO REQUEST MORE MEMORY FROM OS WHEN BUFFER REQUEST
          COMES IN. 
          SWITCHING NAM K DISPLAY FROM SLOW MODE TO FAST MODE 
          CAN RESULT IN ERRONEOUS DISPLAY DATA. WHEN MO=FAST IS 
          PROCESSED, KDSTIN SHOULD BE CALLED TO UPDATE THE
          STATUS DISPLAY BEFORE THE FAST MODE IS ACTIVATED. 
          JCL    83/07/18    KNAMDFL,KPTYPIN
 NA5A380  CODE TO INITIALIZE THE FACILITY START BIT LOCATION, 
          TO CHANGE STRUCTURE FOR EXAMINING FACILITY CODES AND TO 
          GUARANTEE REFUSAL OF REQUESTS USING FACILITIES UNKNOWN TO 
          NHP NETWORK.
          CJB     83/08/02     NVFARAP
 NA5A381  NIP ABORTS WITH REG/LL = 0.  BEFORE PROCESSING THE REG/LL 
          CHECK IF THE LLCBWOF FLAG IN THE LLCB IS SET.  IF IT IS,
          THEN THE LOGICAL LINK IS GOING DOWN ANYWAY, SO DO NOTHING.
          ABA     83/08/01     NPREGLL
NA5A384   FIXED STIP DEFAULT FOR TC=752,X364. 
          MSC     83/08/03     NDLNFCM
 NA5A385  NVF WRITES GARBAGE ACCOUNT FILE MESSAGES FOR A-A CONNECTIONS. 
          CHANGE NVFAIAM TO:  CORRECTLY STORE THE MESSAGE IDENTIFIERS 
          IN THE ACCOUNTING MESSAGE, SEPARATE THE MESSAGE PARAMETERS
          WITH COMMAS, TERMINATE THE MESSAGES WITH A ZERO BYTE, RIGHT 
          JUSTIFY THE SNODE AND DNODE FIELDS SO THEY CAN BE CORRECTLY 
          INSERTED INTO THE MESSAGE, INCLUDE "AEAA" MESSAGE PROCESSING, 
          AND DELETE THE EXTRA COMMA IN THE "AEAA" C2 MESSAGE.
          PAM     83/08/10     NVFAIAM
 NA5A386  NVF SENT AN INTR/RSP AFTER A CR/SWH.  THIS RESULTED IN AN 
          ERR/LGL SM BEING SENT, CAUSING NVF TO ABORT WITH THE
          "SM NOT ROUTED" MESSAGE.  IN NVFCUFS, PRIOR TO ISSUING
          THE INTR/RSP SM, CHECK IF THE ACN IS IN THE PROCESS OF
          BEING SWITCHED OR TERMINATED AND IF SO, DO NOT ISSUE THE SM.
          PAM     83/08/02     NVFCUFS
NA5A387   CHECKSUM FOR NCB NOW CALCULATES CORRECTLY, USING THE
          INTERNAL VERSION/LEVEL NUMBER.
          MSC     83/08/03     NDLNFTM
 NA5A395  ADD COLLECT OF NEW APPLICATIONS FILE TO THE COLLECTOR.
          DKE     83/08/09     CLT=INI
NA5A399   THE PHYSICAL LINK XREF TABLE IS NOW SORTED BEFORE 
          IT IS PUT INTO THE NCF.  THIS FIX MAKES COUPLER 
          AND TRUNK STATEMENTS INDEPENDENT OF THEIR ORDER IN
          THE NDL SOURCE FILE.
          MSC     83/08/12     NDLNFTM
 NA5A402  ADD CODE TO SUPPRESS THE HALTING OF AN NPU WHEN RECEIVING A 
          BACK, ICMD, MSG, DURING AN A-A BREAK. 
          ABA     83/08/18     XSTTP
 NA5A403  ADD CODE TO SUPPRESS THE HALTING OF AN NPU WHEN RECEIVING A 
          ICN/TE WHEN NVF HAS NOT NETTED ON YET AND DURING HOST 
          SHUTDOWN. 
          ABA     83/08/18     NCSTTP 
 NA5A404  NAMSTRT - LOCAL FILE NAME FOR NID3FIL WRONG IN NIP
          STARTUP JOB.
  
          CHANGE NIP STARTUP JOB IN NAMSTRT TO ASSIGN CORRECT 
          LOCAL FILE NAME TO NID3FIL. 
  
          RWH            08/16/83       NAMSTRT 
  
NA5A405   NEW UPPER UBL LIMIT FOR PASSIVE DEVICES IS 7. 
          ALSO, NDL MODIFIED TO SUPPORT THE FOLLOWING DEVICE
          TYPES FOR THESE TIPTYPES: 
  
            HASP  - CON, CR, LP, CP, PL 
            MODE4 - CON, CR, LP 
            BSC   - CON, CR, LP, CP 
  
          THESE ARE DOCUMENTED IN BOTH THE NDL ERS AND NDL RM.
          MSC     83/08/24     NDLNFCM
 NA5A411  PROBLEM - IF PIP IS DRIVING ONLY A SINGLE NPU, THAT PIP 
                    WILL NOT ACKNOWLEDGE THE NIP INTERLOCK FOR 12 
                    SECONDS IF THE EST ENTRY OF THAT NPU IS TURNED
                    OFF OR PIP TIMES OUT THAT NPU AND THAT NPU HAS
                    SAM.  THIS MAY CAUSE NIP AND OTHER PIPS TO HANG 
                    FOR UP TO 12 SECONDS WAITING FOR THIS PIP TO
                    ACKNOWLEDGE THE INTERLOCK.  CCP MAY THEN TIME 
                    OUT THE HOSTS BECAUSE THE OTHER PIPS ARE NOT
                    TALKING TO CCP AND TAKE THE LOGICAL LINKS DOWN. 
  
          SOLUTION - PIP HAS BEEN CORRECTED TO CHECK THE NIP
                     INTERLOCK IF IT IS DRIVING ONLY A SINGLE NPU 
                     AND THAT NPU IS TURNED OFF OR TIMED OUT IF IT
                     HAS SAM. 
          EG     08/24/83    PIP
 NA50006  CE ERROR LOG FILE MESSAGE FOR COUPLER ERROR IS
          INCORRECT. THE CORRECT MEESAGE FORMAT SHOULD BE 
          *NW01,HHHH,FFCC* WHERE HHHH IS THE COUPLER NODE NUMBER
          AND CC IS THE ERROR CODE. 
          JCL    83/06/03    NPHECP 
 NA50008  COLLECT JOB DOES NOT RECOVER FROM A *READY DROP*. 
          DKE     83/05/03     NAMSTRT
NA5A312   NAMSTRT MODIFIED TO SUPPORT SUBSYSTEM CHECKPOINT. 
          MSC     83/07/12     NAMSTRT
 NA50009  THE *AST* CONTAINS EXTRANEOUS WORDS OF ZEROES.  TO FIX THIS,
          IN THE SSTATS CALL, CHANGE THE ARITHMETIC STATEMENT IN THE
          PARAMETER LIST TO CORRECTLY COMPUTE THE NUMBER OF WORDS TO
          REMOVE FROM THE *AST*.
          PAM     83/05/27     NVFIAST
 NA50011  NVF NEEDS TO ISSUE A CARRIAGE RETURN AND LINE FEED WHEN 
          ISSUING THE USER NUMBER PROMPT AFTER THE SYSTEM HEADER. 
          DKE     83/05/03     TMSGNVF
 NA50014  IDLE,HOST CAUSES NVF TO ABORT.  THIS IS CAUSED BY AN
          APPLICATION NETTING OFF WITH AN UNRECOGNIZABLE APPLICATION
          NUMBER. 
          DKE     83/05/24     NVFSNON
 NA50021  CS SENDS ERRONEOUS TRUNK STATUS MESSAGE WHEN THE PORT 
          NUMBER FOR THE TRUNK MATCHES A COUPLER NODE I.D. FOR
          THE SAME NPU. 
          DKE     83/05/24     CSESTR 
NA50024   MOVED DECRYPTION MULTIPLIER CONSTANTS FOR ACTIVE AND PASSIVE
          DEVICE TYPES FROM NDLNFCM TO GLOBAL TEXT IN NDLPS2T.  IF
          NON-USER-DEFINED TIPTYPE, THEN APPROPRIATE MULTIPLIER IS
          USED TO DECODE UBZ TABLE ENTRY FOR USE IN NCF SUMMARY LISTING.
          MSC     83/06/13     NDLLIST,NDLNFCM,NDLPS2T
 NA50045  RBF HUNG AFTER A SST RETURN CODE 2. NPPSM USES
          SUBSCRIPT ZERO INSTEAD OF THE APPLICATION NUMBER
          FOR SETTING THE ATPSO FLAG IN APPLICATION TABLE 
          ENTRY, THUS CAUSING NIP TO LOSE *PRU APPLICATION
          SWAPPED OUT AND PWL RING EXISTS STATUS*. ALSO A 
          TIMING PROBLEM EXISTS WHEN NPPSM RECEIVES SST REASON
          CODE 2 THE APPLICATION IS IN *AWAITING SWAP IN
          REQUEST COMPLETION AFTER NETWAIT TIMER WAS UP*. 
          WHEN THIS HAPPENS, XSACB WILL NOT DELINK PWL(S) 
          FROM THE PWL RING AND CHAIN IT BACK TO RBF-S DATA 
          RING, THUS CAUSING ALL UPLINE DATA FOR RBF TO BE
          CONTINUALLY CHAIN TO THE PWL RING.
          JCL    83/07/15    NPPSM,XSACB
NA50048   NDLP CHANGED FOR CORRECT ACTION ON NOLOAD PARAMETERS
          OF TRUNK STATEMENT. 
          MSC     83/07/27     NDLNFTM
 NA50049  INCREASE THE NS TIME OUT VALUE TO ALLOW FOR DUMPING AND 
          LOADING OF REMOTE NPU-S WITH A SLOW LONG DISTANCE TRUNK.
          DKE     83/07/20     DEF$NS 
 NA50066  THE INTENSIFIED MESSAGE *REQUEST NAM K-DISPLAY* IS NOT
          CLEARED WHEN K-DISPLAY IS ASSIGNED TO NAM.
          DKE     83/08/05     OMSG 
 NA5A415  CODE TO ALLOW NVF TO RECORD WHEN AN APPLICATION 
          THAT IS REQUESTING AN A-A OUTCALL HAS FAILED WHEN IN A REPEAT 
          OUTCALL SEQUENCE. 
          CJB     83/09/07     NVFAIAP
 NA5A417  CHECKSUM FOR NPU NOT MISCALCULATED. 
          DKE     83/09/02     NDLNFTM
 *L614*    ************************************************ 
 NA5A260  NAMSTRT - JOBTVF IN ERROR.
          CODE IN NA5A142 REFERENCES FILE ZZZZZSN/TVS0FIL WHICH IS
          NOT USED BY TVF.
          REMOVE REFERENCES TO ZZZZZSN/TVS0FIL. 
          RWH     10/14/83     NAMSTRT
NA5A347   NDL MODIFIED TO ALLOW USAGE OF HD PARAMETER ON DEVICE 
          STATEMENT FOR BSC TIPTYPES (2780/3780 CONSOLES).
          MSC     83/07/21     NDLNFCM
NA5A367   CS MODIFIED SO THAT STATUS MESSAGES CONTAINING X.25 
          TERMINAL INFO. ARE LISTED IN PROPER FORMAT. 
          MSC     83/08/19     CSESTS 
 NA5A391  NVF ABORTED UPON RECEIVING THE CTRL/TCD SM.  THIS HAPPENED
          BECAUSE NO ENTRY EXISTED IN THE PFC/SFC TABLE FOR CTRL/TCD. 
          ADD THE CTRL/TCD TO THE PFC/SFC ARRAY IN NVFDDNT.  PUT IT 
          IN THE CATEGORY OF "IGNORED SMS". 
          PAM     83/08/18     NVFDDNT
NA5A394   DOCUMENTATION WAS ADDED TO DESCRIBE ACCOUNT DAYFILE 
          MESSAGE FORMAT. 
          MSC     83/09/01     CSESES 
NA5A410   NEW MAXIMUM FOR HN PARAMETER ON DEVICE STATEMENT IS 63. 
          MSC     83/09/02     NDLCKRG
 NA5A413  NIP MAY ABORT WITH CPU ERROR EXIT IF AN APPLICATION 
          ISSUES A NETGET CALL ON AN ILLEGAL ACN. 
          JCL    83/09/01    HPGET
 NA5A418  NIP ABORTS WITH A BAD PWL.
          ABA     83/09/21     NPREGCN
 NA5A426  NIP DOES NOT RESUME AN PRU-APPLICATION'S WORKLIST 
          PROCESSING IF A SST REASON CODE 2 (APPLICATION SWAPPED
          OUT) IS RETURNED DURING THE OFC/STRT PROCESSING. THE
          ATASBS BIT IN THE APPLICATION TABLE SHOULD BE SET TO
          ALLOW WORKLIST PROCESSING TO RESUME ONCE THE APPLICATION
          IS SWAPPED BACK IN. 
          JCL    83/09/06    HPRUSM 
 NA5A427  CS/NS NETON STATUS MAY NOT BE COMMUNICATED TO NAM/CCP 
          IF CS/NS IS SWAPPED OUT DURING THE NETON ATTEMPT. THIS
          CAUSE NPU(S) NOT GETTING LOADED OR SUPERVISED, AND CS/NS
          NOT RESPONDING TO K DISPLAY TYPEINS.
          HPNONSA IS MODIFIED TO SET ATASBO IN AT ENTRY TO INDICATE 
          APPLICATION SWAPPED OUT AT NETON STATUS SO THAT XSACB 
          CAN ISSUE ANOTHER CALL TO HPNONSA WHEN IT DETECTS THE 
          APPLICATION IS SWAPPED BACK IN. 
          JCL    83/09/26    HPNONSA
 NA5A431  NAMI - MAKING NRF1 FILE GREATER THAN ONE PRU CAUSES 
          *BUFFER ARGUMENT ERROR*.
  
          ALSO OCCURS FOR NRF2 FILE.  NAMI DOES A SINGLE READ AND 
          WRITE PER NRF FILE, EXPECTING TO SEE END OF RECORD.  AS 
          THE BUFFER IS ONE PRU IN LENGTH, THE SIZE OF THE NRF FILES
          IS LIMITED. 
  
          CHANGE THE COPY SEQUENCE TO TEST FOR FULL BUFFER OR END OF
          RECORD.  IF FULL BUFFER, DO ANOTHER READ AFTER THE WRITE. 
          CODE ALSO IS INCLUDED TO ALLOW A JOB RECORD TO CONTAIN
          MORE THAN 200 LINES.
  
          RWH     09/30/83     NMI=RTE,NAMI 
  
 NA5A430  NAMI - NULL PASSWORD NOT SUBSTITUTED IN JOB RECORD. 
  
          NAMI ACCEPTS A NULL PASSWORD ON THE CFO COMMAND, AND
          CORRECTLY SETS IT INTO THE MASTER FILE.  HOWEVER, NO
          SUBSTITUTION IS PERFORMED ON THE JOB RECORD FILES (WHAT 
          WAS IN THE PASSWORD FIELD REMAINS). 
  
          CHANGE THE PASSWORD SUBSTITUTION LOGIC TO SUBSTITUTE
          THE PASSWORD REGARDLESS OF ITS CONTENTS.
  
          RWH     09/30/83     NAMI 
NA5A432   CS NOW ALLOWS A NOP TO LOAD AN NPU THAT IS BEING
          SUPERVISED WITH AN NCF MISMATCH.
          MSC     83/10/19     CSSRCA 
NA5A434   CPU IS NOW RELEASED IF THERE ARE NO OUTSTANDING 
          MESSAGES TO PROCESS.
          MSC     83/10/14     SSSWNR 
NA5A436   TABLE LENGTH FIELD HAD NOT BEEN TAKEN INTO ACCOUNT WHEN 
          CREATING THE NCB, CAUSING A GAP IN A HOST NAME.  THE
          HOST NAMES ARE NOW INTACT.
          MSC     83/10/11     NDLNFTM
 NA5A441  CHANGE NVF TO SEND THE CLEAR SCREEN FORMAT EFFECTOR AS A
          BLK BLOCK INSTEAD OF A MSG BLOCK. 
          PAM     83/10/06     NVFTPSV
 NA5A442  IMS OF NDLP MODIFIED TO REFLECT CHANGES IN NDL 2.2. 
          YCY     83/10/10     NDLP2LF,NDLNFCM,NDLNFTM
 NA5A443  QTRM SHOULD NOT IGNORE TRANSPARENT DATA ON A-A CONNECTION.
          DKE     83/10/03     QTGET
 NA5A448  PERFORMANCE MOD TO REDUCE NUMBER OF RECALLS ISSUED
          BY 2.2 NAM. RECALL WILL BE ISSUED IFF THERE IS NO PENDING 
          APPLICATION REQUEST AND NO UPLINE NETWORK TRAFFIC.
          JCL     83/10/04     HHIR,NEIB
NA50081   LINE XREF TABLE WAS SEARCHED ONE TOO MANY ELEMENTS -- FIXED.
          MSC     83/09/22     CSESTS 
NA50082   LINE XREF TABLE WAS SEARCHED ONE TOO MANY ELEMENTS -- FIXED.
          MSC     83/09/22     CSESLS 
NA50083   LOGICAL LINK XREF TABLE WAS SEARCHED ONE TOO MANY ELEMENTS -- FIXED.
          MSC     83/09/22     CSESLL 
NA50084   LINE XREF TABLE WAS SEARCHED ONE TOO MANY ELEMENTS -- FIXED.
          MSC     83/09/22     CSESEC 
NA50086   PHYSICAL LINK XREF TABLE WAS SEARCHED ONE ELEMENT TOO MANY, 
          AND ENTRIES WERE NOT BEING CHECKED FOR "COUPLER" STATUS 
          (SAME FIX FOR NA50086). 
          MSC     83/09/22     CSESCS 
NA50087   PHYSICAL LINK TABLE HAD BEEN SEARCHED ONE ELEMENT 
          TOO MANY -- FIXED.
          MSC     83/09/22     CSESTR 
 NA50092  ADD A NEW FIELD TO THE PTAC TABLE -- PTA$IUVF.  THIS FIELD
          IS A FLAG THAT IS SET IF THIS IS THE INITIAL USER VALIDATION. 
          WHEN THIS FLAG IS SET, NVF WILL ISSUE THE ABUN ACCOUNTING 
          MESSAGE UPON SUCCESSFUL USER VALIDATION.
          PAM     83/10/14     NVFTPSV,TEXTNVF,NVFTITE,NVFTCRN,NVFTETC
 FN4170B  NEW STATEMENTS, PATH AND PID WITH STATEMENT IDS 22, AND 23
          RESPECTIVELY ARE IMPLEMENTED. EACH PATH STATEMENT MUST BE FOLLOWED^ 
          BY AT LEAST ONE PID STATMENT. THE STATEMENT LABEL OF EACH PID 
          STATEMENT IDENTIFIES THAT PID STATEMENT AND MUST BE EXACTLY THREE 
          CHARACTERS LONG. A NEW PATHPID TABLE IS GENERATED WITH RECORDS
          OF PID FOLLOWED BY ALL THE LOGICAL LINKS REFERENCED BY THAT PID.
          YCY     83/06/30     DATANDL,ER2CNDL,ER1CNDL,NDLPSS1,NDLSDAT, 
                               NDLTBLT,NDLP2LF,NDLLIST
 FN4201A  CODE FOR 2.3 LEVEL. INTRODUCING FILE TRANSFER FACILITY IN TO
          AIP, IT IS CALL NETXFR. 
          LTN     83/09/23     NETWAIT,NETPUT,NETGET,NP$ERR,NP$MSG
 FN4201B  CODE FOR 2.3 LEVEL. INTRODUCING NETXFRC INTO NETPUT ROUTINE.
          LTN     83/09/23     NETPUT,NP$PUT,NETOFF,NETON 
 FN4201C  CODE FOR 2.3 LEVEL. STAR CALL THE NEW COMDECKS OF NETXFR. 
          LTN     83/09/23     AIPDEF,AIPTXT,NP$DBG 
 FN4201D  CODE FOR 2.3 IN NIP. NIP HANDLES THE NEW PROTOCAL INTERFACE 
          BETWEEN PIP-NIP-AIP. DYNAMIC PRU BUFFER ALLOCATION AND GABAGE 
          COLLECTION. 
          LTN     83/09/23     HCSTTP,NCSTTP,XSTTP,PCNB,NBT 
 FN4201E  VODE FOR 2.3 LEVEL IN NIP. CLEAN UP NIP FOR BETTER PERFORMANCE. 
          ABA     83/09/23     NCSTTP,HCSTTP,NPPCT,NPPWL
 NETXFR   NEW ROUTINE IN AIP TO HANDLE FILE TRANSFERRING
 NETXFRC  CONTINUING FILE TRANSFER ROUTINE. 
 NP$INIT  INITIALIZE ALL TABLE FOR FILE TRANSFERRING. 
 NP$BFET  BUILD ALL FET'S FOR FILE TRANSFERRING.
 NP$ITMG  INTERCEPT SM TO FILE TRANSFERRING APPLICATION.
 CALLSYS  SYSTEM INTERFACE ROUTINE OF AIP.
 CMMINT   CMM INTERFACE ROUTINE OF AIP. 
 NP$CIO   CIO INTERFACE ROUTINE OF AIP. 
 NP$ZRWD  ZERO BUFFER ROUTINE IN AIP. 
 NP$ZRBK  REPLACE ZERO WITH BLANK IN AIP. 
 CSET63   INITIALIZE CHARACTER SET 63 IF NEED.
 NP$ZLOC  LOCATE FTT ENTRY. 
 NP$XCMP  COMPLETING FILE TRANSFERRING. 
 XCHKABC  CHECKING THE TYPE OF PRU BUFFER NEEDED. 
 NPRLB    RELEASE LIMBO BUFFER IN PIP.
 NP$CDD   CONVERT INTEGER INTO DECIMAL DISPLAY. 
 NP$STTP  STATE TABLE PROCESSOR IN AIP. 
 NP$STPR  STATE TABLE DRIVER IN AIP.
 NP$SMSG  PROCESS ALL ASYN SM FOR FILE TRANSFERRING CONNECTION IN AIP.
 NP$DATA  PROCESS ALL DATA FOR FILE TRANSFERRING CONNECTION IN AIP .
 NP$BTO8  CONVERT BINARY TO ASCII.
          LTN     83/23/09      NEW AIP ROUTINES FOR 2.3
                                XCHKABC,NPRLB 
  
 RHF      FEATURE CODE IDENT THAT INTRODUCES CHANGES TO NVF 
          FOR THE FOLLOWING:  
            1) REQUEST STARTABLE APPLICATIONS.
            2) MULTIPLE COPIES OF APPLICATION.
            3) LOGICAL LINK STATUS MESSAGE FOR PID UPDATING TO OS.
            4) A-A REQUESTS USING LID/PID MANAGEMENT. 
            5) NEW HOP OPERATOR COMMAND OUTPUT FORMATS. 
            6) AUTOMATIC ENABLING/DISABLING OF PIDS.
            7) INCALL REQUESTS VALIDATION BASED ON ORIGIN DTE ADDRESS.
          CJB     83/08/10     SMDEF,SMNVF,SMAPPL,SMPFC,TEXTNVF,
                               NVFOFAD,NVFOPAC,TXVCBNV,NVFVPSR,NVFOFVD, 
                               NVFOPSS,TXTANVF,NVFIAST,NVFCDQE,NVFTDSP, 
                               NVFSNON,NVFSCAD,NVFTCB,NVFTRCN,NVFTRVD,
                               NVFTDQE,NVFTINA,NVFTICR,NVFAIAP,NVFARVD, 
                               NVFARAP,NVFAVVD,NVFDDNT,NVFAPVD,NVFATAC, 
                               NVFTACC,NVFTPVD,NVFTURT,NVFTVAA,NVFAACC, 
                               NVFVFSD,NVFADQE,MACREL 
 FN4201F  CLEAN UP THE FIRST GENERATION OF CODE FOR 2.3.
          LTN    83/09/29    HCSTTP,NCSTTP,NPPSM,NPPCT
                             NETXFR,NERXFRC,NP$XCMP 
 RHF2     SECOND SET OF MODS FOR RHF/NVF FEATURE. 
          CJB     83/09/27     TEXTNVF,TXTANVF,NVFTSPC,NVFASPC,NVFTDSP, 
                               NVFAVVD,NVFARAP,NVFSCAD,NVFATAC,NVFTINA, 
                               NVFTCB,NVFTRCN,NVFUCRS,NVFOPSS,NVFTICR,
                               NVFSNON,NVFOPAC,NVFARVD,NVFTRVD
 FN4201G  NEW PIP TO SUPPORT 2.3 LEVEL. 
          RKK     83/09/28  PIP 
 FN4201I  THIS MODSET EXPANDS THE FIELD LENGTH OF FTTTBN FROM 
          A THREE BIT FIELD  TO AN 18 BIT FIELD IN WORD 5 OF FTT. 
          ALSO INITIALIZE THE CURRENT PRU POSITION TO 1.
          LTN     83/10/25     NX$ACBX,NP$INIT,NP$SENF
  
 THIS MODSET IMPLEMENTS THE K-DISPLAY PARAMETER ON THE
 APPL STATEMENT TO ALLOW NON-SUPERVISORY APPLICATIONS 
 TO USE THE K-DISPLAY.
 FS4420A  ECT     83/03/10     NDLSDAT,NDLDATT,NDLTBLT,NDLLIST,NDLPSS1,NDLP2LF
 NA5A144  NIP KEEPS TRACK OF UP-LINE BSN AND SAVE THE NEXT NUMBER IN
          NCNT. 
          UPON SWITCHING FROM PRU TO IVT, NIP WILL CREAT AN ACK-QUEUE 
          ACORDING TO THE NUMBER OF OUTSTANDING BACK COUNT GIVEN BY 
          PIP 
          LTN     83/10/26     NEIB1,HPRUON,NBSTTP,BLDNCNB,NPBACK 
                               XSTTP
  
 FN4170C  CORRECTIVE CODE TO MODIFY THE NEW GETFIL MACREL PROCEDURE 
          AND TO UPDATE THE NVF PROCEDURES THAT ARE AFFECTED BY THE MACREL
          CHANGES.
  
          ADD CODE TO NVF TOPRINT OUT THE FOLLOWING ACCOUNTING
          MESSAGES: SANW,SBNW,SBER,SENW.
          PAM     83/09/29. 
          CJB     83/10/31     NVFTICR,NVFSCAD,NVFSNON,TXTANVF,NVFSNOF, 
                               NVFSIAM
 FN4201K  BASE ON ACTIVE AND NON-ACTIVE ENTRIES IN PIT TO RELEASE 
          LIMBO POINTER.
          LTN     83/11/01    NPRLB 
  
 NA5A059  NAMI REPEATS THE LAST LINE OF THE PARAM RECORD
          LIST IN THE DAYFILE IF THERE ARE ZERO OR A MULTIPLE 
          OF 4 PARAM RECORDS, AND IF THE LAST RECORD IN THE 
          MASTER FILE IS A JOB RECORD.
  
          THE SOLUTION IS, IN DFL$RCDS, TO OUTPUT THE MESSAGE 
          BUFFER WHEN THE END OF THE DIRECTORY IS REACHED 
          ONLY IF THERE IS SOMETHING IN THE BUFFER. 
  
          NOS 2.1, 2.2.  NO DEPENDENCIES. 
  
          EMH    83/10/23    NAMI 
  
 NA5A089  NAMI DOES NOT ABORT WHEN CALLER IS NOT SYOT.
  
          NAMI DOES NOT CHECK THE ORIGIN OF THE CALLER. 
          THIS CODE CAUSES NAMI TO ABORT IF NOT SYOT, UNLESS
          USER HAS *CSOJ* AND THE SYSTEM IS IN DEBUG. 
  
          NOS 2.1, 2.2.  NO DEPENDENCIES. 
  
          EMH      83/10/23    NMI=ENV,NAMI 
  
 NA5A103  NAMI TRIED TO START NAM WITH BAD USER NAME AND
          PREVIOUS MASTER FILE. 
  
          IF NAMI HAS A VALID MASTER FILE *MFN*, AND A DIFFERENT
          USER NAME IS ENTERED VIA THE *UN* PARAMETER, AND IT 
          CAN NOT FIND A FILE *MFN* UNDER THE NEW USER, IT ISSUES 
          A DIAGNOSTIC BUT CONTINUES TO USE THE ORIGINAL *MFN*. 
  
          THE SOLUTION IS TO RETURN *MFN* BEFORE TRYING TO GET IT 
          SO THAT NO FILE WILL BE THERE IF THE GET IS NOT 
          SUCCESSFUL. 
  
          NOS 2.1 AND 2.2.  NO DEPENDENCIES.
  
          EMH    83/10/25    NMI=IO1
  
 NA5A243  NAMI REQUIRES PUBLIC NAMSTRT FILE.
  
          SINCE NAMI RUNS WITHOUT A USER STATEMENT, IT CANNOT GET 
          THE NAMSTRT FILE FROM ANOTHER USER UNLESS THE FILE IS 
          PUBLIC.  THIS CODE PERFORMS A SETPFP TO SYSTEMX, IF THE 
          CALLER HAS SYSTEM ORIGIN, SO THAT NAMI CAN GET A FILE 
          PERMITTED TO SYSTEMX. 
  
          THANKS TO J. HUSTON, WHOSE SUGGESTED METHOD WAS IMPLEMENTED.
  
          THE NAMSTRT FILE MUST BE PERMITTED TO SYSTEMX.
  
          NOS 2.2 AND LATER.  IF THIS MODSET IS INSTALLED, IT IS
          STRONGLY RECOMMENDED THAT NA5A089 ALSO BE INSTALLED.
  
          EMH    83/10/23    NMI=ENV,NAMI,NMI=IO1 
  
 NA5A325  NAMI WRITES CFO MESSAGE TO DAYFILE FOLLOWED BY COLONS.
  
          IF A NAMI CFO COMMAND IS ENTERED OF LENGTH 2 CHARS LESS THAN
          A MULTIPLE OF 10, THE CFO COMMAND IS WRITTEN TO THE DAYFILE 
          FOLLOWED BY 2 COLONS.  THIS IS BECAUSE THE CHARACTER FILLED 
          MESSAGE IS RIGHT SHIFTED ONE CHARACTER, THEREBY BREAKING
          THE 2-CHAR ZERO BYTE TERMINATOR OVER A WORD BOUNDARY. 
  
          SOLUTION IS TO DETECT THAT SITUATION AND ZERO OUT THE NEXT
          WORD, FORCING THE END OF MESSAGE CORRECTLY. 
  
          NOS 2.1, 2.2.  NO DEPENDENCIES. 
  
          EMH    83/10/25    NAMI 
  
 NA5A349  NAMI DOES NOT EXPAND OIN PARAMETER TO THREE 
          CHARACTERS. 
  
          WHEN AN OIN OF LESS THAN 3 DIGITS IS ENTERED, THE NUMBER
          IS NOT EXPANDED WITH DISPLAY CODE ZEROES.  THIS MODSET
          CAUSES THE OIN TO BE DISPLAY CODE ZERO FILLED TO
          THREE DIGITS. 
  
          EMH    83/10/26    NAMI 
  
 NA5A379  NPU HARDWARE ERROR MAY CAUSE NAM TO REACH MAXIMUM 
          FIELD LENGTH CONDITION. 
          NS WOULD FLOOD NAM WITH NPU LOAD DATA MESSAGES IF IT
          CANNOT SUCCESSFULY LOAD SAM INTO THE NPU DUE TO 
          HARDWARE PROBLEMS. NS SHOULD ONLY ALLOW 2 CONSECUTIVE 
          SAM LOAD PREEMPTION TO REDUCE THE AMOUNT OF MESSAGES
          SENT TO NAM.
          JCL    83/10/21    NST$NS,NS$ERR,NS$XPD 
 NA5A388  MODIFY NS TO SUPPORT THE ABBREVIATED FORM OF FILE 
          COMMAND.
          JCL    83/10/23    NS$HCP 
 NA5A422  NS ABORTED ON - LOAD TSB NOT FOUND - DURING THE NPU 
          LOAD PROCESS. THE LOAD TSB ACTIVITY COUNT IS NOT
          DECREMENTED WHEN DUMP/LOAD ACTIVITY ON A NPU TERMINATES,
          WHEN THE ACCUMULATED ACTIVITY COUNT EXCEEDS THE 6-BIT 
          FIELD ASSIGNED TO IT, THE LOAD TSB WILL BE RELEASED 
          EVEN THERE MAY BE ONGOING NPU ACTIVITY. 
          PROCEDURE NS$TNA SHOULD DECREMENT THE ACTIVITY COUNTER
          IN THE LOAD TSB CONTROL WORD WHEN ACTIVITY ON A NPU 
          TERMINATES. 
          JCL    83/10/22    NS$TNA 
 NA5A450  NAM ABORTS WITH CPU ERROR EXIT ON TRYING TO MOVE
          A BAD ACKNOWLEDGE QUEUE BUFFER DURING GARBAGE COLLECTION. 
          RBF NETTING ON COULD CAUSE A NAM BUFFER GETTING CLOBBERED 
          IF THE NETON PROCESS RESULTS IN THE APPLICATION TABLE (AT)
          EXPANSION. PROCEDURE HPNON SHOULD RESET THE BASED ARRAY 
          POINTER TO AT AFTER PROCEDURE BLDACB IS CALLED. 
          JCL    83/10/23    HPNON
 NA5A455  PM MESSAGE IS TRUNCATED TO HALF THE SIZE
          BECAUSE RBF PICKS UP 11 BITS. 
  
          SOLUTION CHANGE RBF TO PICK UP 12 BITS OF CHAR COUNT. 
  
          BOTH NAM AND RBF SHOULD BE REBUILT
  
          CYC     10/27/83     SMRBF
  
NA50034   CS NOW RECOGNIZES X.25 SVC DEVICE NAMES.  THE PROBLEM HAD BEEN
          THAT THE WHOLE 7-CHARACTER NAME WAS BEING SEARCHED FOR IN THE 
          DEVICE TABLE, WHICH CONTAINS ONLY THE 5-CHAR. ROOT NAME FOR SVC 
          DEVICES.  REFERENCES TO SVC NAMES WERE CHANGED TO 5-CHAR LENGTHS. 
          MSC     83/10/31     TXCMDCS,TEXTCS,CSSRCA
 NA50046  NAMI DOES NOT DIAGNOSE ILLEGAL KEYWORDS.
  
          SOLUTION - ILLEGAL KEYWORDS AND MISSING VALUES ARE DIAGNOSED. 
          IF ERRORS ARE FOUND, DAYFILE MESSAGES ARE ISSUED AND NAMI 
          WAITS FOR A NEW CFO COMMAND.
  
          DEPENDENT ON MODSETS NA5A245 AND FS4400A. 
  
          EMH    83/10/22    NAMI 
  
 NA50079  KEEP NAMI FROM DISPLAYING A PASSWORD ON ITS CALL STATEMENT
          IN THE DAYFILE. 
  
          THIS IS ACCOMPLISHED BY ADDING THE SDM= ENTRY POINT 
          TO NAMI, AND BY DELETING ANY PASSWORD ON THE NAMI 
          CALL STATEMENT BEFORE WRITING IT TO THE DAYFILE.
  
          HOWEVER, THIS MODSET DOES NOT ADDRESS THE PROBLEM OF THE
          CFO COMMAND, WHICH ALSO CAUSES THE PASSWORD TO APPEAR 
          IN THE DAYFILE.  UNTIL THAT IS CHANGED, IT IS RECOMMENDED 
          THAT SITES USE DISCRETION IN ENTERING A PASSWORD ON THE 
          NAMI CFO COMMAND. 
  
          NOS 2.1 AND LATER.
  
          THIS MODSET IS DEPENDENT ON THE DECKOPL MODSET WHICH
          ADDS SDM= TO THE NAMI NOGO STATEMENT, IN ORDER TO 
          WORK CORRECTLY. 
  
          EMH    83/10/23    NAMI,NMI=IO1 
  
 NA50105  NS SHOULD ALWAYS ALLOW DUMPING OF A FAILED NPU
          AFTER THE INITIAL DOWNLINE LOAD IS SUCCEEDED. 
          SETTING THE NS CONTROL STATEMENT PARAMETER FDP TO 
          -NO- WOULD ONLY INHIBIT DUMPING DURING THE INITIAL
          LOAD OF A NPU WHEN THE NETWORK IS STARTING UP.
          JCL    83/10/23    NS$N04 
NA50120   NDLP DOES NOT UPDATE TABLE ADDRESSES WHEN WRITING 
          RECORDS TO THE NCF.  IF THE TABLES ARE MOVED BY THE 
          MEMORY MANAGEMENT ROUTINE BEFORE THEY ARE ACCESSED, THE 
          WRONG WORDS ARE ACCESSED. 
  
          SOLUTION - WHEN CALLING NDLWNCF WITH A BASED ARRAY, PASS
          THE BASED ARRAY POINTER OF THE TABLE TO BE WRITTEN, 
          RATHER THAN PASSING A VARIABLE CONTAINING THE ADDRESS.
          THIS WAY IF THE TABLE IS MOVED, THE MEMORY MANAGEMENT 
          ROUTINES WILL UPDATE THE POINTER, AND NDLWNCF WILL
          READ FROM THE NEW LOCATION. 
          EMH    83/10/31    NDLNFCM,NDLNFTM,NDLWNCF
  
          ALSO, 50 WORDS HAD BEEN ALLOCATED FOR THE INDEX TABLE, WHICH
          ALLOWED AN OVERFLOW TO OCCUR WHEN MANY NPUS WERE DEFINED.  NOW
          THE INDEX TABLE IS ENLARGED DYNAMICALLY SO THE NUMBER OF NPUS 
          DOES NOT CAUSE AN OVERFLOW. 
          MSC     83/11/08     NDLNFTM,NDLNFCM,NDLWNCF
 NA5A333   BAD NETWORK BLOCK DISCARDED APPEARS ALSO FOR LOAD/LUMP.
           CHECK IF THE CASE IS NS/CS NOT UP, THEN IGNORE THE BLOCK.
           ABA     11/4/83     NEIB1,PT 
 NA5A459  INDEX INTO NCNT BY CONNECTION NUMBER OF THAT ENTRY. 
          LTN     83/11/10     NBSTTP 
  
 FN4201J  MAKING NETIOD/NETIO INDEPENDENT OF MACREL.
          YCY     83/11/01     NP$DATA,NP$STPR,NP$SMSG,NP$RECV,NP$SENF, 
                               NP$STTP
  
 NA5A467  DELETE EXTRANEOUS CODE BETWEEN AND INCLUDING $BEGIN AND 
          $END.  THERE ARE NO INTERDEPENDENCIES AND THE CODE IS 
          PRERELEASABLE.
          MSG     83/11/14     HPGETSM,HPNONVF
 FN4170D  FEATURE IDENT FN4170 SUPPLEMENT CODE TO FIX FOLLOWING 
          PROBLEMS  NVF SITTING AT CONTROL POINT IN TIMED RECALL, 
          RECEIVING APPLICATION BUSY MESSAGE WHEN SECOND ATTEMPT MADE 
          TO CONNECT TO REQUEST STARTABLE APPLICATION, PERFORM PROPER 
          CLEANUP ON DISABLE APPLICATION COMMAND. 
  
          DEPENDENT ON PSR FN4044.
  
          CJB     83/11/12     NVFSNON,NVFTICR,NVFUCRS,NVFCUPS,NVFTDSP, 
                               NVFSCAD,NVFAIAP,NVFAVVD,NVFIAST,TXSMNVF
 NA5A462  CORRECTIVE CODE TO FIX NVF FAILURE PROBLEM. CAUSED BY 
          TERMINAL STATUS LINE NOT BEING FORMATTED CORRECTLY. CODE ALSO 
          FIXES PROBLEM OF ERRONEOUS STATUS INFO IN RESPONSE TO ST,TES
          COMMAND (PSR NA5A460).
          CJB     83/11/12     TXTANVF,NVFAACC,NVFOFVD,NVFOPSS,NVFAIAP
 NA5A435  CHANGE THE DBZ FIELD FROM 12 BITS TO 16 BITS IN THE CR/IAP
          AND CR/RAP SMS, AND IN THE INCALL AND OUTCALL BLOCKS. 
          PAM     83/10/28     TEXTNVF,SMNVF,NVFAIAP,NVFARAP
                               OBLCF,IBLCF
 FN4201L  SET THE MAX NUMBER FOR EACH TYPE PRU'S BY VALUES FROM 
          NIP CONTROL CARD.    ITABS. (ANSWER FOR RB5A082)
          BEFORE SENDING CR/SLL TO NVF, CHECK IF NVF IS ALREADY 
          NETTED ON. DURING NETTING ON OF NVF, SEND CR/SLL TO ALL 
          EXITING LLCB.        BLDLLCB,HPNON,RELLLCB. 
          CALL SETIL WITH PARAMETER. SETIL. 
          CAN NOT HAVE INTRA-HOST PRU A-A CONNECTION.  HPRUON.
                               BLDLLCB,HPNON,RELLCB,ITABS,SETIL.
                               HPRUON.
          RESET TEXT ADDRESS WITHIN THE LOOP IN NP$GET. (FIX ADDRESS
          OUT OF RANGE DURING QTF/QTFS JITTING) NP$GET. 
          ZERO OUT FTT ENTRY FOR EACH FILE TO BE TRANSFERED BEFORE
          THE REAL PROCESS BEGINS.       NP$INIT. 
          LTN       12/01/83
  
 NA5A474  PRESET POINTER BEFORE LOOPING TO FIND THE END OF LIST.
          LTN    83/11/16    XCHKABC
  
 NA5A491  CHANGE MIN AND MAX EXTERNAL TRIGGER IN HBSTTP.
          LTN    12/01/83    STBLDEF
  
 NA5A492  INSERT STATE/TRIGGER INTO NCSTTP. 
          LTN    12/01/83    STATTBL
  
 NA5A479  NAMI FAILS WITH *FL TOO SHORT FOR PROGRAM*. 
  
          FIXED-VALUE RFL= TOO SHORT BECAUSE OF SEVERAL RECENT
          MODSETS.
  
          CHANGE RFL= TO BE A FLOATING VALUE.  THIS WILL ACCOMODATE 
          ALL FUTURE MODSETS. 
  
          RWH            11/28/83       NMI=IO1 
  
NA5A440   NDLP NOW ALLOWS A MAXIMUM OF 5 CHARACTERS FOR THE APPLICATION 
          NAME IF MXCOPYS IS SPECIFIED AND > 1.  IF MXCOPYS IS NOT SPECIFIED, 
          IT DEFAULTS TO 1, AND A FULL 7 CHARS. IS ALLOWED FOR THE NAME.
          MSC     83/11/14     ATLCF,ER2CNDL,NDLP2LF
 FN4201M  NEW PIP FOR V2.3. 
          RMK     83/12/06     COMPCHNM,PIP 
 NA5A508  CODE TO ALLOW THE X25 PID TO BE NAM ACCESSIBLE IN 
          AN A-A CONNECTION REQUEST.
          TEMPORARY CODE AND ROUTINE TO ALLOW LID/PID A-A REQUESTS
          FROM APPLICATIONS WITHOUT THE NOS 2.3 SYSTEM MACRO INTER- 
          FACE FOR LID/PID VERIFICATION.
          CJB     83/12/13     GETPIDA
 NA5A429  NIP ABORTED WITH A MONITOR CALL ERROR BECAUSE NVF SENT A
          CR/IAP/A WITH AN INVALID REASON CODE.  THIS HAPPENED WHEN 
          THE APPL NETTED OFF AFTER THE CR/IAP/R SM WAS SENT TO NVF.
          CHANGE NVF TO SEND THE CORRECT REASON CODE (APPLICATION 
          FAILED) IN THIS CASE. 
          PAM     83/09/28     NVFAIAP
 NA5A480  CLEAR NWL POINTERS IN ACB WHEN SCP REQUEST
          IS COMPLETED AND AFTER NWL IS RELEASED. 
          MSG     83/12/13     HPNONSA,XABTAPP
 FN4201N   DO STATISTIC FOR BLOCK TYPE 6 AND 7. 
           LTN      12/07/83       NP$STAT,NP$SN. 
           FIX LOOPING IN CHAR MODE FILE TRANSFER. YCY
           CORRECTING FTTINDEX FOR SECOND FILE IN PARARELL MODE.
           FIX FOR BROKEN TEXT FILE OF MULTIPLE RECORD FILE. YCY
           FIX FOR EXTRA EOF MARKERS IN CHAR MODE. YCY
  
           CHECKING THE RANGE OF EXTERNAL TRIGGER FROM 6 TO 13 IN 
           HBSTTP.
           UNTIL IN SYMPL WILL INCLUDE THE LAST VALUE. CHANGE MSETPTR 
           NOT TO INCLUDE THIS VALUE. 
           DECRECMENT THE NUMBER OF BUFFER IN INTERLOCK TABLE WHEN
           A LIMBO BUFFER GOT RELEASE.
  
           LTN      12/07/83       HBSTTP,MSETPTR,NPRLB.
  
 FN4201O   RELEASE THE LAST LIMBO OR SYSTEM PRU BUFFER THEN ZERO
           OUT THE COUNTERS, THIS FIX THE PROBLEM WITH STARTING 
           THE SECOND PRU FILE TRANSFERRING.
           CHANGE DEFAULT VALUES FOR NUMBER OF BUFFERS PER EACH TYPE
           OF PRU'S TO 4,8,4; TO HAVE PIP REQUEST MORE BUFFERS IF 
           NEEDED.
           LTN      83/12/15       INPARUT,NPRLB. 
           CHANGE INPUT PARAMP TO NGIGO FROM PARAMP2 TO PARAMP4 
           TO FIX INTERNAL NIP ERROR IN NCSTTP2.
           LTN      83/12/20       NBSTTP,NEIB1,NPPWL,NGIGO,NCSTTP, 
                                   HPPUT
 NA5A407  PROBLEM: APPLICATIONS DEFINED IN THE LCF TO BE PRIVILEDGED
          WERE NOT ALLOWED TO NETON.
  
          SOLUTION: MODIFY NIP TO LOOK AT THE CORRECT BIT POSITION WHERE
          PRIV IS SPECIFIED.
          DKE     84/01/10     SCPCOM 
 NA5A483  CODE TO CHANGE THE VCB LOGIC AND COMMAND LOGIC FOR
          ST,TES TYPE COMMANDS WHERE THE VCB FILE MUST BE SEARCHED. 
          CJB     84/01/09     NVFARVD,NVFOPAC
 NA5A534  RBF DOES NOT TIME OUT TERMINALS SELECTIVELY.
  
          THIS MODSET IS REQUIRED TO SUPPORT RB50034, WHICH 
          ENHANCES RBF TO, IN ADDITION TO THE OTHER TESTS MADE
          IN DETERMINING TO TIME OUT A TERMINAL, CHECK THE
          CONSOLE CONNECTION VALIDATION ACCESS WORD FOR THE BIT 
          WHICH SPECIFIES NO TERMINAL TIMEOUT.  THIS MODSET 
          DEFINES THE NO-TERMINAL-TIMEOUT BIT IN THE CON/REQ. 
  
          RWH            12/12/83       SMAPPL
  
 NA5A540  CODE TO ENHANCE AND CORRECT APPLICATION DEPARTURE 
          PROCESSING. ALSO CODE TO CORRECT MISCELLANEOUS OTHER MINOR
          PROBLEMS. 
          CJB     84/01/09     SMNVF,NVFAACC,NVFATAC,NVFUCRS,NVFARAP, 
                               NVFASPC,NVFSCAD,TEXTNVF,NVFAIAP,NVFACTC
 NA5A503  CHANGE NVF TO CHECK IF THE USER-VOLUNTEERED APPLICATION 
          IS EITHER ZERO OR BLANK (INSTEAD OF JUST CHECKING FOR ZERO).
          THIS IS ACTUALLY A DUPLICATE OF NA5A274, BUT THE FIX FOR
          THIS PSR WAS ACCIDENTLY DELETED BY SOME NEW FEATURE CODE. 
          PAM     84/01/16     NVFTVAA
 NA5A519  PIP ERROR 64 CAUSED BY PRU BUFFERS GOT MOVED WITHOUT CHECKING 
          CURRENT NUMBER OF BUFFER IN CHAIN.
          I.E. MOVE BUFFERS ONLY WHEN COUNT IS NON-ZERO.
          LTN    84/01/23    MSETPTR,MAJPTR 
  
 NA5A535  NAM HUNG BECAUSE PIP WAS NOT POLLING DUE TO TOO MANY INTER- 
          LOCK REQUESTS TO PIP. 
          SOLUTION IS NOT TO SET INTERLOCK REQUEST BIT IN PIT IF THE
          ACKNOWLEDGE FLAG IS STILL SET FROM THE PREVIOUS REQUEST.
          LTN    84/01/17    MSETIL 
  
 NA5A539  PIP ERROR 75 CAUSED BY THE DIFFENCES BETWEEN THE OLD PIP (2.0)
          AND NEW PIP(2.3). NEW PIP FOR EACH TIME IT ACTIVATES, PIP 
          DOSE NOT LOOK AND RESET ALL PIP POINTERS BUFFER. I.E. 
          WHEN THERE ARE CHANGES LLCB,NCNT,TNT NIP MUSTS REQUEST
          FOR INTERLOCK.
          LTN    84/01/18    BLDLLCB,BLDNCNB,RELLLCB,RELNCNB
  
 NA5A543  CPU ERROR EXIT IN NPPWL DUE TO A BLOCK PROTOCAL ERROR PWL 
          OP=6, FROM PIP GOES ONTO A COUPLER ( PWL WITH HN=TN, CN=0). 
          IN THIS CASE, NIP WILL BY PASS THE ALLOCATION OF LLCB, NCNT 
          AND THE TERMINATION OF CONNECTION, JUST DAYFILE THE MESSAGE.
          LTN    84/01/12    NPPWL
  
 FN4201P  THIS MOD CHANGE THE PRU BUFFER SIZE 
             - TO 103B FOR TYPE 1 PRU.
             - TO 205B FOR TYPE 2 PRU.
             - TO 307B FOR TYPE 3 PRU.
          DUES TO THE PROBLEM IN TRANSFERRING FILE IN PRU-MODE WITH 
          DD = 0. 
          LTN       84/01/17       HPRUON,XCHKACB 
  
 NA5A490  SOME OF THE DEBUG MESSAGES IN NVF WERE INCORRECTLY FORMATTED, 
          CAUSING NVF TO HANG AT TIMES.  THE SOLUTION IS TO DELETE
          ALL OF THE NVF DEBUG MESSAGES SINCE THEY HAVE TO BE 
          DELETED SOMETIME ANYWAY.
          PAM     84/01/30     NVFAVVD,NVFTDSP,NVFTPSV,NVFTVAA, 
                               NVFTVVD,NVFSNON
 NA5A577  NS WOULD REMAIN UP AFTER K.ID,HO WAS ENTERED AT THE CONSOLE.
          THIS WAS BECAUSE NVF THOUGHT THAT NS HAD SOME OUTSTANDING 
          A-A CONNECTIONS.  NVF HAD BEEN ACCIDENTLY DECREMENTING THE
          A-A CONNECTION FIELD IN AST ENTRY 0 (HAPPENED TO BE NS).
          THIS FIX WILL PREVENT NVF FROM DOING THIS WHEN A SECONDARY
          APPLICATION DOES NOT EXIST. 
          PAM     84/02/07     NVFARVD
 NA5A575  NIP ABORTS WITH CPU ERROR EXIT.  NIP USES 
          A BAD POINTER BECAUSE PIP CHANGED THE POINTER 
          AFTER NIP CHECKED ITS VALIDITY.  CORRECT NIP
          TO RECHECK THE POINTER AFTER INTERLOCKING 
          PIP.
          MSG     84/01/31     XCHKPCR
 NA5A546  PIP ERROR 64. 
          RETURN IMMEDIATELY FROM CHAIN ROUTINE IF FIND A NON-LIMBO 
          TYPE BUFFER IN LIST.
          CHECK FOR NUMBER OF PRU BUFFER IN CHAIN BY PIPNP[INDEX].
          LTN       84/02/08       MSETPTR. 
  
 NA5A558  MRELS BUFFER ERROR (NA5A558)
          18 BITS OF PFCSFC HAS GABAGE (NA5A581,NA5A559)
          CPU ERROR EXITS (NA5A567) 
          ALSO ACN GET CHANGED IN ACNB ( NA5A568) 
          DUE TO ERROR IN NPPCT WHEN IT TRIES TO BUILD THE
          FAKE ACKNOWLEGE QUEUE AT THE END OF PRU CONN. TERMINATION.
          LTN       02/06/84       NPPCT
  
 NA5A565  MONITOR CALLED ERROR DUE TO NIP DID NOT REJECT AN INTRA 
          A-A PRU CONNECTION. 
          IF APPLICATION IS TRYING TO ESTABLISH A PRU A-A INTRA-
          HOST CONNECTION, NIP WILL REJECT WITH PRU/ON/A REASON 
          CODE IS 4.
          LTN     02/06/84         HPRUON 
  
 FN4170F  FEATURE CODE MODSET FOR LID/PID 2.3 MANAGEMENT
          CODE. 
          CJB     84/01/20     TXTANVF,NVFTICR,NVFCUPS,NVFIBWD,NVFADQE, 
                               NVFLSIT,NVF,NVFACTC,TEXTNVF,NVFAIAP, 
                               MACREL,TEXTSS,SSSPAT 
 FN4201T  THIS IDENT FIXES INCORRECT FETCH OF TLC IN SCANNING 
          ABH IN NETWORK BUFFER WHEN QTFS IS RUNNING IN AN X25
          ENVIRONMENT. IT ALSO ALLOCATES 6 MORE WORDS IN THE
          NETWORK BUFFER OF THE RECEIVER TO ACCOMMODATE ABH'S 
          FROM CCP BECAUSE THE MAXIMUM BLOCKSIZE WAS CHANGED
          FROM 512 TO 1024. 
          YCY     84/02/06     NX$ADEF,NP$N2D 
 FN4201W  NEW PIP THAT FIXES ALL OUTSTANDING PROBLEMS OCCURED IN
          QTF/PTF JITS AND SVL TEST/MUG SESSIONS. 
          RMK       84/02/09       COMPCHNM,PIP 
  
 NA5A595  CS ABORTED AFTER RECEIVING AN ERR/LGL.  THIS SM WAS RECEIVED
          BECAUSE AN EMPTY SM WAS SENT BY CS.  THE PROBLEM WAS AFTER A
          NOP REQUESTED FOR AUTO CONTROL OF ALL NPUS THE HOP STATUS-ED
          THE LINE AND CS THEN SENT THE EMPTY SM. 
  
          CS WAS SETTING A BIT IN THE WRONG BIT MAP AFTER THE NOP 
          REQUESTED AUTO CONTROL.  THE SOLUTION WAS TO RE-SET THE BASED 
          ARRAY EVERY TIME THE BIT WAS TO BE SET. 
          DKE     84/02/18     CSSACO 
 NA5A561  NVF GOT A CR/CB WITH AN=1 (APPL 1 IS NVF).  NVF FAILED
          BECAUSE WHEN IT DID NOT FIND AN AST ENTRY FOR APPL 1, 
          IT MODIFIED WHATEVER WAS AFTER THE AST.  TO FIX THIS
          PROBLEM, NVF WILL SPECIAL CASE APPL 1.  NVF WILL MODIFY 
          THE AST ONLY IF AN AST ENTRY IS FOUND.  ALSO, IF NVF
          CANNOT FIND AN AST ENTRY FOR ANY OTHER APPLICATION, IT
          WILL ABORT (IN DEBUG MODE ONLY).
          PAM     84/02/16     NVFATAC
 NA5A593  NVF WAS SETTING THE SNODE AND DNODE PARAMETERS IN THE 
          CR/RAP/N TO THE VALUES IN THE INCALL BLOCK INSTEAD OF 
          THE VALUES IN THE CR/RAP/R.  SOMETIMES THE SNODE AND
          DNODE VALUES COULD BE ZERO IN THE INCALL BLOCK AND
          NONZERO IN THE SM.  IN THIS CASE, NVF WOULD SET THE 
          SNODE, DNODE PARAMETERS TO ZERO IN CR/RAP/N AND TREAT 
          THE INTERHOST A-A CONNECTION AS AN INTRAHOST CONNECTION.
          TO FIX THIS, WHEN NVF IS COPYING WORDS FROM THE INCALL
          BLOCK TO THE PAAC ENTRY, DO NOT COPY OVER THE SNODE AND 
          DNODE VALUES, AS THEY HAVE BEEN PREVIOUSLY SET FROM THE 
          CR/RAP/R SM.
          PAM     84/02/20     NVFARAP
 FN4201Q  THIS IDENT FIXES GARBLED DATA IN TRANSMITTING BINARY FILE.
          IT ALSO SETS THE TRANSMISSION BLOCK NUMBER FOR BOTH 
          SENDER AND RECEIVER TO START FROM 0.
          YCY     84/01/10     NP$RECV,NP$SENF,NX$ACBX
 FN4201R  THIS IDENT EXTENDS THE ALLOWABLE BLOCKSIZE FOR CHARACTER
          MOD FILE TRANSFER FROM 512 TO 1024. 
          YCY     84/01/25     NP$ADEF
 FN4201S  THIS IDENT FIXES TIMING PROBLEM WHICH OCCURS WHEN 
          TRANSFERRING FILES IN PRU MODE. IT CHANGES STATE TABLE 0
          FOR FILE TRANSFER SO THAT IN STATE 0 WHERE AN FCACK IS
          EXPECTED IT MAY ALSO EXPECTS AN SR TO ARRIVE BEFORE THE FCACK.
          IF THIS  SITUATION HAPPENS, IT SENDS PRU/ON AND GOES TO STATE 
          2 WHERE FCACK AND FT/ON ARE IGNORED.
          YCY     84/01/18     NP$STTP
 NA5A592   PROBLEM OCCURRED BECAUSE *HPNONSA* SET ID OF NWL TO
           MOVEABLE (FLIDVALUE), THEREFORE IN A VERY BUSY SYSTEM, 
           NETON TIME, NETTING-ON APPLICATION CAN BE ROLLOUT, LEAVE 
           THIS BUFFER FLOATING IN MEMORY.
           CHANGE THIS BUFFER ID TO NON-MOVEABLE (NAFLIDVALUE). 
           LTN      84/02/21       HPNONSA
  
 FN4201V  NEW PIP THAT FIXES ALL OUTSTANDING PROBLEMS OCCURED IN
          QTF/PTF JITS AND SVL TEST/MUG SESSIONS. 
          RMK       84/02/21       COMPCHNM,PIP 
  
 FN3270A  FEATURE CODE FOR NDLP SUPPORT OF 3270 TIP.
          DKE     84/02/21     NDLLIST,NDLNFCM,NDLPSS1
 FN4201X  NEW PIP THAT FIXES ALL OUTSTANDING PROBLEMS OCCURED IN
          QTF/PTF JITS AND SVL TEST/MUG SESSIONS. 
          RMK       84/02/23       COMPCHNM,PIP 
  
 NA50156  NPU FAILS TO RELOAD AND/OR LOGICAL LINKS DO NOT COME UP AFTER A RELOAD
  
          PROBLEM - NIP IS DECREMENTING THE COUNT IN THE NBT OF LLCB S IN PRU 
                    CONNECTION TERMINATION WAIT STATE WHENEVER IT DELETES A 
                    LOGICAL LINK THAT WAS PLACED IN PRU CONNECTION TERMINATION
                    WAIT STATE. AS THIS COUNT IS USED TO DETERMINE WHETHER ALL
                    THE LOGICAL LINKS THROUGH A GIVEN COUPLER HAVE BEEN DELETED 
                    SO THAT THE REG/CP/R RESPONSE SERVICE MESSAGE CAN BE SENT TO
                    PIP, DECREMENTING IT WHEN THE LOGICAL LINK WAS DELETED DUE
                    TO A REG/LL LINK DOWN SERVICE MESSAGE IS IN ERROR. THE COUNT
                    IS CORRUPTED BY THIS AND SO CAN BE NON ZERO WHEN ALL LOGICAL
                    LINKS THROUGH A COUPLER HAVE BEEN DELETED. THIS RESULTS IN
                    THE REG/CP/R SERVICE MESSAGE NEVER BEING SENT, AND SO PIP 
                    WILL NEVER ATTEMPT TO BRING THAT NPU BACK UP. 
  
                    THE CHECK FOR THE NUMBER OF LLCB S IN PRU CONNECTION
                    TERMINATION WAIT STATE ALWAYS REFERENCED NBT ENTRY ZERO AND 
                    SO COULD RESULT IN REG/CP/R SERVICE MESSAGES SENT BEFORE ALL
                    OF THE LOGICAL LINKS THROUGH A COUPLER HAD BEEN DELETED, AND
                    SPURIOUS REG/CP/R SERVICE MESSAGES IF A LOGICAL LINK FAILED 
                    WITH ACTIVE PRU CONNECTIONS.
  
          SOLUTION- ONLY DECREMENT THE COUNT OF LLCB S IN PRU CONNECTION
                    TERMINATION WAIT STATE IF THE LLCB DELETED AT THE COMPLETION
                    OF PRU CONNECTION TERMINATION WAIT STATE IS INCLUDED IN THE 
                    COUNT. IE THE LLCB WAS DELETED IN RESPONSE TO A REG/CP FROM 
                    PIP.
  
          THIS MODSET ALSO INCREASES THE SIZE OF THE FIELD THAT CONTAINS THE
          COUNT OF LOGICAL LINKS IN PRU CONNECTION TERMINATION WAIT STATE FROM
          SIX BITS TO NINE BITS AS THE MAXIMUM NUMBER OF LOGICAL LINKS POSSIBLE 
          THROUGH ONE COUPLER IS 254. 
  
          RMF                84/02/21              NBT
                                                   NPPCT
  
 NA5A598  CHANGE NVF TO SET THE APPLICATION LIST NUMBER FIELD IN THE
          CR/IAP/N AND CR/RAP/N SMS TO 1. 
          PAM     84/02/23     NVFAIAP,NVFARAP
 NA5A603  NVF RECEIVED AN ERR/LGL ON A CR/IAP/A WITH AN ACN OF ZERO.
          NVF SENT OUT THE CR/IAP/A BECAUSE A LOCAL SHUTDOWN WAS IN 
          PROGRESS.  AT THIS POINT, A PAAC ENTRY HAD NOT BEEN CREATED.
          NVF, HOWEVER, TRIED TO STORE THE ACN IN THE CR/IAP/A FROM A 
          NONEXISTENT PAAC ENTRY, AND THE ACN ENDED UP AS ZERO. 
          TO FIX THIS, NVF WILL SAVE THE ACN FROM THE CR/IAP/R IN A 
          TEMPORARY CELL.  WHEN BUILDING THE CR/IAP/A, IF THE PAAC
          ENTRY IS DEFINED, NVF WILL GET THE ACN FROM THE PAAC.  IF 
          THE PAAC ENTRY IS NOT DEFINED, NVF WILL GET THE ACN FROM
          THE TEMPORARY CELL. 
          PAM     84/02/21     NVFAIAP
 NA5A604  NVF WAS NOT KEEPING TRACK OF THE NUMBER OF A-A CONNECTIONS
          TO AN APPLICATION.  WHEN NVF RECEIVED A REPEAT CR/IAP/R SM, 
          IF THE APPL FAILED AND NVF HAD TO ISSUE A CR/IAP/A SM,
          NVF WOULD DECREMENT THE A-A CONNECTION COUNT BUT WOULD NOT
          CHECK IF THE COUNT WAS ZERO.  THIS CAUSED THE FAILED APPL 
          TO STAY AROUND.  TO FIX THIS, WHEN NVF ISSUES A CR/IAP/A
          SM, NVF WILL CALL NVFSCAD TO COMPLETE APPLICATION 
          DEPARTURE.  THEN, IF THE CONNECTION COUNT IS ZERO AND 
          THE APPL HAS FAILED OR NETTED OFF, NVF CAN GET SEND THE 
          NET/OFF/N OR FAI/APP/N. 
          PAM     84/02/23     NVFAIAP
 NA5A613  WHEN COPYING THE APPL INFORMATION FROM THE LCF TO THE AST,
          NVF WILL CHECK IF THE MXCOPY FIELD IN THE LCF IS ZERO, AND
          IF SO, IT WILL SET THE MXCOPY FIELD IN THE AST TO 1.
          PAM     84/02/24     NVFIAST
 NA5A612   PIP ERROR 33 (NA5A612) 
           BUFFER ARGUMENT ERRORS (NA5A616) 
           SET UP THE CIRCULAR BUFFER CHAINS COMPLETELY, THEN 
           CHECK FOR LIMBO FLAG.
           MAKING SURE TO CALL MSETPTR 2*N TH TIME WITH PARAMP1 
           NON-ZERO.
           CHANGE BUFFER ID OF PRU BUFFERS IN CHAIN TO BE MOVEABLE
           IF IT IS ALLOWABLE TO MOVE PRU BUFFERS.
           SET LIMIT POINTER IN PRU BUFFER TO LESS 1 THAN FIRST + BS. 
           LTN      84/02/27       MSETPTR,XEXEC
  
 NA5A621  FIXED Q-MSG PROBLEM ENCOUNTERED DURING QTF/PTF JITTING
          IN ARDEN HILLS. 
  
 NA5A623  THESE CORRECTIONS WERE SUGGESTED BY SHINZO WATABANE 
          DURING THE INITIAL JITTING. 
  
 NA5A622  PIP ERROR 26 AND ALSO BUFFER MAGMENT ERROR (NA5A606)
  
 NA5A611  PIP ERROR 24 AND ALSO A HALT A WHILE RUNNING NIP. 
  
 NA5A588  PP HUNG DURRING JIT TIME IN ARH.
  
 NA5A463  COLON MISSING AT TERMINAL IN NVF BANNER.
  
          RMK    84/02/28    PIP
  
 NA5A632  IN THE CR/IAP/N AND CR/RAP/N, THE WS FIELD WAS 4 BITS LONG. 
          IT SHOULD HAVE BEEN 8 BITS LONG.  CHANGE THE FORMAT OF THE
          WS FIELD IN THE CR/IAP/N FROM 4 BITS TO 8 BITS.  IN NVFARAP,
          COPY WORD 3 OF THE CR/RAP/N SM FROM THE PAAC INSTEAD OF FROM
          THE INCALL BLOCK.  THE WS FIELD IS 8 BITS LONG IN THE PAAC
          AND ONLY 4 BITS LONG IN THE INCALL BLOCK. 
          PAM     84/03/06     SMNVF,NVFARAP
 NA5A625  PIP MAY HANG AT DROPPING MULTIPLE PRU CONNECTIONS.
  
          PAUSE IS TO BE ADDED TO DRIVER BUFFER RELEASE ROUTINE.
  
          FOLLOWING MINOR CORRECTIONS ARE ADDED IN THIS MOD SET.
          1. CE ERROR MESSAGE PFC/SFC VALUES ARE CORRECTED. 
          2. SHIFT VALUE FOR CONNECTION TABLE DISPLACEMENT IS CORRECTED.
          3. CALL FOR ABSOLUTE MEMORY ADDRESS IN INITIALIZATION PHASE 
             IS CORRECTED.
          4. MACRO DEFINITION FOR JUMP INSTRUCTION IS CORRECTED.
  
          RMK    03/06/84    PIP
 NA5A611  PIP HALT A
  
          WHEN NPU EST ENTRY IS SET ON, PIP MAY GET OLD NPU STATUS
          THAT IS NO LONGER VALID.  PIP SHOULD DISCARD OUTSTANDING
          NPU STATUS WORD.
  
          CORRECT DRIVER STRUCTURE PROBLEM WHICH RESULTS IN JUMPS 
          TO OVERLAY CODE WHEN OVERLAY HAS NOT BEEN LOADED
  
          RMK            84/03/01       PIP 
 NA5A645  REMOVE CMMINT CMM INTERFACE ROUTINE FROM NETIO
          MSG     84/03/09     CMMINT 
 NA5A646  NDLP SHOULD ALLOW DO PARAMETER FOR 3270 TIPTYPE.
          DKE     84/03/09     NDLNFCM
 NA5A630  NIP WAS TRYING TO LINK A BLOCK TO PIPOUT BOUND OF 
          A PCNB. NFOB ONLY CHECKING FOR NCNB, I.E. NFOB REGARDS
          AS LINKING TO LLCB. THIS LEADS TO INDEXING INTO OUTSIDE 
          OF NBT. 
          ALSO DUP OF NA5A637.
          PWL'S REASON CODE WAS 20B, INVALID VALUE, NIP DISCARD THE 
          WORKLIST BUT DID NOT RESET THE STATE IN NCSTTP. 
          PIP SENT PWL WITH BT=0, NIP SHOULD DISCARD THIS BLOCK AND 
          CONTINUE PROCESS TIS PRU CONN. ( PRU/ON/A ERROROUSLY SENT 
          TO APPLICATION DURING QTF/PTF TESTING)
          LTN       84/03/07       NCSTTP,NPPWL,NEIB1 
  
 NA5A600  WHEN NVF RECEIVES AN FC/BRK SM ON AN A-A CONNECTION, IT 
          WILL NOW SEND BACK AN FC/RST INSTEAD OF ABORTING. 
          PAM     84/03/13     NVFDDNT,NVFCUFS,NVFCDQE,TXTANVF
 NA5A651  CORRECT FIXED FREE SPACE CALCULATION IN 
          TABLE MANAGER.
          MSG     84/03/13     SSTTMR 
 NA5A650  CHECK FOR BLOCK TYPE ONLY WHEN IT IS NOT A PWL. 
          LTN       84/03/12       NEIB1,STBLDEF
  
 NA5A637  PRU TYPE DBC GIVEN TO Q-MSG CAUSES TROUBLE
  
          PRU TYPE DBC ADDED BY PIP FOR DOWNLINE Q-MSG CAUSES TROUBLE 
          WHEN PIP RECEIVES IT UPLINE IF THE CONNECTION IS IVT TYPE.
  
          PIP WILL NOT SET PRU FLAG IN DBC FOR Q-MSG AND WILL NOT CHECK 
          FOR IT WHEN Q-MSG IS RECEIVED.
  
          SW     84/03/12    PIP
 NA5A638  NPU BOOTSTRAP LOAD TIME OUT CLOBBERS NIP MEMORY 
  
          BOOTSTRAP LOAD TIMED OUT PROCESSOR DOES NOT SET CENTRAL 
          WORD COUNT. 
          GET SPACE IN DRIVER OVERLAY 2IQ.
  
          RMK    84/03/12    PIP
 NA5A644  PIP DISALLOWS INITIALIZATION COMPLETE STATUS FROM ACTIVE NPU
  
          PIP DOES NOT ALLOW INITIALIZATION COMPLETE NPU STATUS FROM
          NPU IN OPERATIVE STATE. 
          ERROR PROCESSOR CHANGED FROM BLOCK PROTOCOL ERROR TO CHANNEL
          ERROR WHEN BLOCK PROTOCOL HEADER RECEIVED IN ERROR. 
  
          RMK    84/03/12    PIP
  
 NA5A653  CORRECT FOLLOWING DRIVER PROBLEMS:  
  
          1.  CORRECT INTERFACE TO DRIVER OVERLAY STRUCTURE.
  
          2.  PROTECT AGAINST A DOWNLINE BLOCK TYPE OF ZERO.
  
          3.  CHECK NBL BEFORE ATTEMPTS TO ISSUE PRU OFF COMMAND
              OR A RESET TO THE NPU DURING PRU STREAM TERMINATION.
              CORRECTS DRIVER ERROR 73. 
  
          4.  CORRECTION TO SAVE WORKLIST LENGTH IN A DIRECT
              CELL THAT IS NOT DESTROYED BY THE CALL TO CIBS. 
  
          RMK    3/14/84     PIP
  
 NA5A609  CORRECTIONS TO PIP 2.3 FROM PIP 2.2 
  
          1.  CHANGE DRIVER TO ISSUE CLEAR NPU INSTEAD OF HALT NPU. 
              FROM 2.2 PSR NUMBER NA5A030.
  
          2.  ZERO CURRENT FILE POSITION AT END OF TRANSFER.
              FROM 2.2 PSR NUMBER NA5A354.
  
          3.  ABORT NAM ON A REGULATION ZERO SERVICE MESSAGE
              TO AN OPERATIONAL NPU.  FROM 2.2 PSR NUMBER NA50165.
  
          4.  CHANGE STREAM STATE RESPONSE TABLES TO BE MORE TOLERANT 
              OF BLOCK PROTOCOL.  FROM 2.2 PSR NUMBERS NA5A031, NA5A126,
              NA5A306 AND NA50181.
  
          RMK    3/14/84     PIP
 NA5A658  CORRECT PIP TO READ BUFFER POINTER WORDS IN ORDER 
          SO AS TO AVOID ANY POSSIBLE TIMING PROBLEM WITH NIP.
  
          MOVE CALL TO PAUSE TO ALLOW NIP TO BUFFER AHEAD.
  
          ALLOW RESTART PRU STREAM IN WAIT NO 
          OUTPUT ACTIVITY STREAM STATE. 
  
          RMK    3/15/84     PIP
 NA5A634  NPU/IN CAN BE SENT ON A HOST-TO-HOST LOGICAL LINK.
          LTN       84/03/12       NNPIIN,
  
 NA5A635  DOWNLINE MESSAGE OF 2043 CHARACTERS CAUSES PIP ERROR 33.
  
          PIP ASSUMES MAXIMUM ALLOWABLE MESSAGE SIZE IS 2042 CHARACTERS.
          IT MUST BE INCREASED BY ONE.
  
          SW     84/03/14    PIP
 NA5A647  NIP DOES NOT HAVE TO REQUEST INTERLOCK WHEN ALLOCATING
          PRU BUFFERS FOR PIP.
          NIP HAS TO ARBITRARILY ZERO OUT THE PBCABC FIELDS IN
          INTERLOCK TABLE TO AVOID PIP GETTING INTO DOULBE TIED 
          LOOP. 
          LTN       84/03/13       XEXEC,MSETIL 
  
 NA5A659  NIP SHOULD NOT ALLOW CONNECTION TO BE CONVERT TO PRU MODE 
          IF THERE IS OUTSTANDING BACK'S. I.E. IF PRU/ON/R WHILE
          NBO NON-ZERO, PRU/ON/A WILL BE RETURNED WITH REASON CODE
          5.
          UPDATE NBO COUNT WHEN CONN SWITCHED FROM PRU TO IVT.(THIS 
          FIXES THE PROBLEM OF QMSG BLOCK COULD NOT GET DELIVERED TO
          THE OTHER SIDE OF A-A PRU FILE TRANSFERRING CONN.) NPPCT
          LTN       84/03/16       HPRUON,SMDEF,NPPCT 
  
          MODIFIED AIP TO PROCESS PRU/ON/A RC=5 ACCORDINGLY.
          YCY       84/03/27       AIP
  
 NA5A662  AT INITIALIZATION TIME, NVF WILL SEARCH THE PATHPID TABLE 
          FOR SNODE/DNODE VALUES OF 0,0.  FOR EVERY 0,0 PATH, NVF 
          WILL ISSUE A CALL TO SPIDA TO SET THE PATH ACTIVE.  THIS
          WILL INSURE THAT AT LEAST ONE PATH WILL ALWAYS BE ACTIVE
          FOR INTRA-HOST CONNECTIONS. 
          PAM     84/03/28     NVFIIPS,NVFCUPS,TEXTNVF
 NA5A664  MODE 4 TERMINALS HUNG 
  
          MODE 4 OUTPUT STOPS AND INTERFACE BETWEEN NPU AND PIP IS LOST.
  
          PIP INCORRECTLY HANDLES EIO RECEIVED FLAG AT THE COMPLETION 
          OF CIO ACTIVITY AND WAITS FOR NPU RESPONSE TO EOI WHEN EOI IS 
          NOT SENT YET. 
  
          SW     84/03/30    PIP
 NA5A665  CORRECT FOLLOWING PIP PROBLEMS: 
  
            1.  SAVE CONTENTS OF A-REGISTER ON ADDRESS OUT OF RANGE.
  
            2.  NA5A653 ADDED CODE THAT WAS CORRECT FOR APPLICATION TO
                APPLICATION CONNECTIONS BUT CAN CAUSE A TERMINAL TO 
                APPLICATION CONNECTION TO NOT TERMINATE PRU MODE WHEN 
                THE NETWORK BLOCK LIMIT HAS BEEN REACHED AND THE LINE 
                OR TERMINAL HAS GONE DOWN.  CORRECT NA5A653 TO HANDLE 
                BOTH APPLICATION TO APPLICATION CONNECTIONS AND TERMINAL
                TO APPLICATION CONNECTIONS. 
  
            3.  IF A CHANNEL ERROR OCCURS ON OUTPUT TO A PRU STREAM THE 
                OUTPUT BACK COUNT HAS BEEN INCREMENT BUT THE SAME STREAM
                STATE WILL BE EXECUTED FOR THE STREAM ON THE NEXT CYCLE.
                THIS CAN CAUSE A DRIVER ERROR 73 IF THE NETWORK BLOCK 
                LIMIT HAS BEEN REACHED FOR THE STREAM.  CHANGE THE ERROR
                PROCESSORS TO EXECUTE NPU INOPERATIVE FOR THE STREAM WHEN 
                AN ERROR HAS OCCURRED TO PREVENT PROCESSING THAT STREAM 
                AGAIN.
  
          RMK    3/20/84     PIP
 NA5A667  LISTPPM CAN NOT PROCESS PIP DUMP WITH ORDINAL OTHER THAN
          1 DUED TO THE DIFFERENCES BETWEEN PIP 2.2 AND PIP 2.3.
          LTN       84/03/22       LISTPPM
  
 NA5A668 THIS IDENT REMOVES PATH AND PID STATEMENTS FROM NDL. 
         A NEW PARAMETER, "PID" IS ADDED TO OUTCALL STATEMENT SUCH THAT 
         WHEN IT IS SPECIFIED, NDLP WILL FORMAT A PATH-PID TABLE ENTRY
         WITH THE DNODE, AND SNODE UNDER THE RECORD IDENTIFIED BY THE PID.
         NDLP WILL MAINTAIN UNIQUE ENTRIES OF DNODE AND SNODE UNDER THE 
         SAME PID. THE PID PARAMETER ON OUTCALL STATEMENT WILL ALSO 
         SERVE THE FUNCTION OF THE NAME2 PARAMETER. HENCE, EITHER NAME2 OR
         PID BUT NOT BOTH MAY BE SPECIFIED. 
          YCY     84/03/22     OBLCF,DATANDL,ER2CNDL,NDLLIST,NDLPSS1, 
                               NDLP2LF,NDLSDAT
 NA5A673  THIS BUG MIGHT CAUSE THE FOLLOWING RESULTS: 
             - PRU CONNECTION WILL NOT BE TERMINATED ( RELOAD OR MASTER 
               THE NPU ). 
             - BAD INTERUPT CHARACTER OR BAD USER INTERUPT CHAR, FROM 
               CCP REJECTED BY NIP. 
             - BAD REASON IN PWL FROM PIP.
          THIS CAN HAPPENED IN 2.1, 2.2 LEVEL.
  
          LTN       84/03/26       BEIB,TWRITE
  
 NA5A685  NVF ABORTS ON A BUSY SYSTEM WHILE MANY FILE TRANSFERS ARE 
          GOING ON.  NVF IS NOT CANCELLING A TIMER REQUEST FOR A
          CONNECTION WAITING FOR A RESTARTABLE APPLICATION TO 
          NETON.
  
          THIS FIX INCLUDES CANCELLING THE TIMER REQUEST, 
          CHANGING THE SEARCH CRITERIA WHEN A TIMER FIRES, AND
          STORING THE CORRECT ACN VALUE FOR THE CONNECTION IN THE 
          TIMER REQUEST.
  
          DKE     84/04/03     NVFASPC,NVFATAC,NVFAVVD,NVFCUPS, 
                               NVFARVD
 NA5A482  CORRECT NIP STATUS K-DISPLAY TO SUPPORT 
          PAGING TO ALLOW LARGE CONFIGURATIONS
          TO BE ABLE TO DISPLAY ALL NETWORK INFORMATION.
          THIS IS DONE BY REPLACING THE THREE DISPLAY 
          BUFFER SCHEME WITH A THREE SEGMENT VITUAL 
          DISPLAY WINDOW. 
  
          SECOND, IMPLEMENT 721 CONSOLE SUPPORT.
          MSG     84/01/25     KDIS,ACB,OVLNAME,OVLSTAT,KDEF, 
                               KDSTIN,KADD,KDEL,KSTTUPD,KPTYPIN,
                               KPCLNUP,BDELINK,BLDNCNB,BLINK,HALLOCN, 
                               HPNONVF,MAJPTR,NPREGLL,RELACNB,RELNCNB,
                               XSACB,KAPIGP,SKENIP,KCHANGE,IKDIS, 
                               KUPVTAB,KDISLN,KSTPAGE,KOVDIS,CSTATUS
FS4389A   ADDED NDLP SUPPORT FOR PUBLIC DATA NETWORKS CDSN AND UNINET,
          WHICH HAVE NCF FV VALUES OF 5 AND 6, RESPECTIVELY.
          MSC     83/12/19     NDLNFCM,NDLPSS1,NDLLIST
 NA5A512  IMPLEMENT EXTENDED SLEEP FIELD TO ALLOW QTRM APPLICATION
          PROGRAMS TO SLEEP LONGER THAN 31 SECONDS
  
          MSG       83/12/13        QTRMNIT,QTOPEN,QTGET
 FN4170E  THIS MODSET IMPLEMENTS THE FEATURE WHICH ALLOWS 
          OT AND SC FOR A STARTED APPLICATION TO BE SPECIFIED 
          ON THE JOB LINE IN THE PARAMETER RECORD.
  
          RWH            03/29/84       NMI=RTE,NMI=UPC,NAMI,COLLECT
  
 FA5915B  ADD 721 CONSOLE SUPPORT TO CS.
          THIS IS MERELY DONE BY PICKING UP THE HOP PAGE LENGTH FROM THE
          HOP/START SM. 
          DKE     84/02/17     CSCPHT,CSCUHS,CSSANO,TEXTCS
 FA5915C  ADD 721 CONSOLE SUPPORT TO NVF. 
          THIS IS MERELY DONE BY PICKING UP THE HOP PAGE LENGTH FROM THE
          HOP/START SM. 
          DKE     84/02/17     NVFCPHT,NVFCUHS,NVFOAPE,NVFOPHC,TXCMDNV
 FA5915D  ADD 721 SUPPORT TO NS.
          THIS IS MERELY DONE BY PICKING UP THE HOP PAGE LENGTH FROM THE
          HOP/START SM. 
          DKE     84/02/17     SMAPPL,COM$NS,DEF$NS,NS$STR
 FS4389B  THIS IS NVF FEATURE CODE TO SUPPORT THE CCITT X.25
          SPECIFICATION.  THIS INCLUDES THE FAST SELECT FACILITY
          AND ACCEPTING UNSUPPORTED FACILITY CODES FOR A-A
          CONNECTIONS.  ALSO INCLUDED IN THIS FEATURE CODE IS A 
          MOD TO NVF TO CHECK THAT THE DTE ADDRESSES IN THE 
          CR/RAP/R AND THE INCALL BLOCK MATCH.
          PAM     84/02/16     SMNVF,NVFAIAP,NVFARAP
 NA5A580  IMPLEMENT RIGHT K-DISPLAY SUPPORT IN NIP.  THIS 
          INCLUDES A GENERAL HELP TEXT, A DETAILED NIP HELP 
          DISPLAYED IN RESPONSE TO THE -HELP- COMMAND,
          AND SUPPORT OF THE APPLICATION MODE RIGHT DISPLAY.
          MSG     84/02/07     KDIS,OVLSTAT,OVLNAME,SMAPPL,IKDIS, 
                               KPCLNUP,KHOPDIS,KDSTIN,XCHKPCR,XEXEC,
                               SKENIP,KPTYPIN,KAPIGP,KRIGHT,KRIGHTD 
 NA5A583  CORRECT ERROR IN NIP K-DISPLAY 721 SUPPORT CODE.
          USE LEFT DISPLAY SIZE VARIABLE TO FIND LOCATION 
          OF ERROR LINE INSTEAD OF OLD K-DISPLAY BUFFER 
          SIZE CONSTANT.  DELETE OLD CONSTANT TO PREVENT
          SIMILIAR ERRORS.
          MSG     84/02/03     KDEF,KDISRC
 NA5A596  THIS MOD IS TO IMPLEMENT PROBLEM LOG 32. I.E. INTRODUCING 
          BITS FOR APPLICATION ACESSING TO K-DISPLAY, AND ALLOWING
          ONLY PRE-DEFINED PRU APPLICATIONS ( IN NDLP FILE )
          LTN    84/01/20    ACB,SMNVF,TEXTNVF,HPRUON,HPNONVF,
          PAM                NVFIAST,NVFSNON,ATLCF,DATANDL,NDLSDAT, 
          YCY                NDLP2LF,NDLLIST,NDLPSS1
  
 NA5A597  NIP SHOULD QUEUE DOWNLINE -BACK- TO THE SERVICE MESSAGE 
          PRIORITY OUTBOUND BUFFER TO PREVENT DEADLOCK PROBLEM
          WHEN CCP GOES INTO REGULATION LEVEL 1 AND 2.
          DKE     84/02/22     NFOB 
 NA5A288  THIS CODE REMOVES THE AUTOLOG FLAG FROM THE NCF AND THE 
          CR/ITE/R SM.  NOW, DURING USER VALIDATION, NVF WILL 
          ALWAYS CHECK FOR AUTOLOGIN DATA IN THE ALTB AND, IF 
          FOUND, WILL USE THAT DATA FOR USER VALIDATION.  IF NO 
          AUTOLOGIN DATA IS FOUND, NVF WILL PROMPT THE USER FOR 
          LOGIN INFORMATION.
          PAM     84/02/22     SMNVF,NVFTITE
 NA5A657  IMPLEMENT CODE TO VERIFY THAT THE NCF LEVEL 
          MATCHES THE CCP LEVEL ON THE SUP/IN MESSAGE.
  
          MSG     84/03/27     TEXTCS,CSESSM,CSSADL,CSSRCA,CSIBXT,
                               CSSANS 
 FS4389F  ADD THE FOLLOWING PARAMETERS TO THE INCALL BLOCK: WS, 
          DPLS,COLLECT, AND FASTSEL.  ALSO ADD THE PORT AND DTEA
          VALUES TO THE PATHPID TABLE.
          YCY     84/03/29     PPLCF,DATANDL,IBLCF,ER2CNDL,NDLP2LF, 
                               NDLPSS1,NDLSDAT,NDLLIST
 FS4389E  THIS FEATURE CODE SUPPORTS APPLICATION SUPPLIED OUTCALL 
          PARAMETERS ON THE CR/IAP/R SM.  PRIVILEGED PROGRAMS CAN 
          SPECIFY A COMPLETE OUTCALL BLOCK MINUS THE SNODE, DNODE,
          PORT AND DTE ADDRESS PARAMETERS.  NVF WILL SUPPLY THESE 
          PARAMETERS FROM INFORMATION IN THE PATHPID TABLE.  THIS 
          ELIMINATES THE NEED FOR NVF TO PERFORM AN OUTCALL BLOCK 
          SEARCH. 
          PAM     84/03/29     TEXTNVF,NVFAIAP,NVFACTC
 NA5A639  UPON RECEIVING A FAIL/APPL SM, NVF WILL NOW BREAK ALL 
          A-A CONNECTIONS THAT ARE TRYING TO ACCESS THE FAILED
          APPL.  THIS IS DONE BY DELETING THE PAAC ENTRIES AND
          DECREMENTING THE A-A CONNECTION COUNT OF THE APPL.
          PAM     84/03/28     NVFCCPA,NVFSNOF,NVFSFAI
 NA5A676  CHANGE IN NIP TO PROCESS PWL WITH OP CODE 6.
          NIP BREAKS THE PRU CONNECTION UPON RECEIVING PWL WITH 
          OP = 6 ( BLOCK PROTOCAL ERROR WORKLIST ). 
          INTRODUCING NEW STATE NCPRUBRK AND NEW TRIGGER NCBRLPC TO 
          NCSTTP TO INITIATE BREAKING OF NETWORK CONNECTION AS WELL 
          AS THE HOST-SIDE CONNECTION.
          LTN       84/03/27       NPPWL,XSTTP
  
 NA5A675  NIP ABORT NVF UPON RECEIVING FC/RST BEFORE CONNECTION IS
          FULLY INITIALIZED.
          FC/BRK SHOULD ONLY BE DELIVERED TO THE APPLICATION
          WHEN FC/INIT/R AND FC/INIT/N EXCHANGES COMPLETED. 
          CORESPONDING, NVF MUST HAS MOD TO HANLDE THE FC/BRK (NA5A600) 
          LTN    84/03/15    XSTTP,STATTBL,STBLDEF
  
 FS4389D  DYNAMIC SVC MANAGEMENT FEATURE. 
  
          THIS IS THE CS PORTION OF THE DYNAMIC SVC MANAGEMENT FEATURE
          WHICH ALLOWS A NETWORK OPERATOR TO ENABLE, DISABLE, AND 
          STATUS ARCHETYPE SVC CIRCUITS.  INCLUDED IN THIS FEATURE IS 
          THE REPORTING OF THE PAD AND A-A CALL REQUESTS THAT ARE 
          REJECTED DUE TO INSUFFICIENT ENABLED CIRCUITS.  THE REJECTS 
          ARE REPORTED IN THE SCLI...C3 ACCOUNT FILE AND ERRLOG FILE
          MESSAGE.
  
          DEPENDENCIES - CCP PORTION OF SVC MANAGEMENT
  
          ALT       01/01/84         CSDDNT, CSEDEQ, CSESES, CSESTS,
                                     CSESVC, CSSADI, CSSAEN, CSSAST,
                                     CSSRCA, CSSROC, DLPSIN, SMCS,
                                     SMCSDEF, SMPFC, SSRRCS, TEXTCS,
                                     TXCMDCS, TXTAPSS, TXSMNVF, SUPMSG, 
                                     CSESCT, TXTSMCS
FS4389C   FEATURE CODE FOR 2.3 RELEASE, PAD PARAMETER, UDATA ENHANCEMENTS.
          MSC     84/03/29     DATANDL,LRNCF,ER1CNDL,NDLNFCM,NDLPSS1, 
                               NDLP2LF,NDLLIST,NDLSDAT,NDLTBLT
 NA5A679  NETWORK STARTUP JOBS RUN TOO SLOWLY IN SHARED RMS 
          ENVIRONMENT.
  
          NETWORK STARTUP JOBS (NAMSTRT) DEFINE ALL PERMANENT FILES 
          FOR DUMPS, TRACES, ETC.  AT STARTUP.  THIS IS INEFFICIENT,
          ESPECIALLY IN A SHARED RMS ENVIRONMENT.  ALSO, IF THE 
          NETWORK IS RUNNING IN NON-DEBUG MODE, TRACE FILES WILL NOT
          BE USED, EVEN THOUGH THEY ARE DEFINED.  IN ADDITION, THERE
          ARE INTERLOCK/RECOVERY PROBLEMS IN A SHARED RMS ENVIRONMENT 
          WHEN A PF DEVICE GOES DOWN.  THIS CONDITION IS COMPOUNDED 
          BY THE NETWORK HAVING 30-35 DIRECT ACCESS FILES OPEN IN 
          WRITE MODE AT ALL TIMES.
  
          THE NETWORK STARTUP JOBS HAVE BEEN MODIFIED TO DEFINE FILES 
          AT JOB TERMINATION, AND ONLY IF CORRESPONDING LOCAL FILES 
          EXIST.
  
          RWH            04/19/84       NAMSTRT 
  
 NA5A533  SPECIAL WORKLIST INTRODUCED TO VALIDATE AN APPLICATION
          BEFORE USING FILE TRANSFERRING FACILITY IN NETXIOD/NETXIO 
          LIBRARIES.
          LTN       84/03/29       NIPDEF,NIPTXT,HWLP,HPXFR 
                                   AIPDEF,AIPTXT,NETXFR,NP$XFR
  
 NA5A643  IMPLEMENT NEW PARITY OPTION, PA=I(GNORE), FOR ASYNC AND 
          X.25 TERMINALS.  THIS OPTION IS JUST LIKE PA=N, EXCEPT
          THAT THE PARITY BIT WILL BE IGNORED ON TRANSPARENT
          DELIMITER.  IN OTHER WORDS, THE TRANSPARENT DELIMITER WILL
          BE MATCHED ON 7 BITS ONLY.
  
          EMH    84/03/15    NDLLIST,NDLNFCM,NDLPSS1
  
 NA50147  BEFORE SENDING OUT THE CLEAR SCREEN FORMAT EFFECTOR DURING
          LOGIN, NVF WILL CHECK IF THE USER VOLUNTEERED AT LEAST ONE
          OF FAMILY, USER NAME, OR PASSWORD.  IF AT LEAST ONE OF
          THESE VALUES WAS VOLUNTEERED, NVF WILL SEND OUT THE CLEAR 
          SCREEN.  IF NONE OF THESE VALUES WAS VOLUNTEERED, AUTOLOGIN 
          MUST BE IN EFFECT, SO NVF WILL NOT SEND OUT THE CLEAR SCREEN. 
          PAM     84/03/07     TEXTNVF,NVFTPSV
 NA5A649  CLEAR UPLINE QUEUE AND DOWNLINE QUEUE COUNTER 
          WHEN READY TO GIVE APPLICATION RC/RST.
          MSG     84/03/30     HSFCBRK
 NA5A677  CORRECT SEARCH OF LLCB-S TO INCLUDE ALL LLCB-S. 
          ALSO, DO NOT CALL KDISLN IF NEW LINE IS BLANK.  AND 
          ADD NEW LINES IN PROPER LOCATION. 
          MSG     84/04/03     KDEL,KADD
 FS4389G  THIS CODE FIXES VARIOUS PROBLEMS WITH THE X.25 FAST 
          SELECT CODE.
          PAM     84/04/20     NVFAIAP,NVFARAP
 NA5A690  CORRECT NIP TO RELEASE OUTBOUND BUFFERS AS
          SOON AS POSSIBLE. 
          MSG     84/04/10     XEXEC
 NA5A687  WHEN AN APPLICATION FAILED OR NETTED OFF, SOMETIMES NVF 
          WOULD NOT SEND THE FAIL/APPL/N OR NET/OFF/N.  THE APPL NAME 
          WOULD STILL SHOW UP IN THE K-DISPLAY.  THIS WAS BECAUSE 
          THE A-A CONNECTION COUNT FOR THE APPLICATION WAS NOT ZERO.
          TO FIX THIS, THE FOLLOWING THINGS WERE CHANGED: 
            1) IN NVFARAP, WHEN INCREMENTING THE A-A CONNECTION COUNT,
               USE A DIFFERENT VARIABLE FOR THE AST ORDINAL.  THE 
               PREVIOUS VARIABLE USED WAS ALSO USED FOR OTHER THINGS. 
            2) WHEN INCREMENTING OR DECREMENTING THE A-A CONNECTION 
               COUNT, MAKE SURE IT IS DONE FOR BOTH THE PRIMARY AND 
               SECONDARY APPLS. 
            3) IF NVF RECEIVES A CR/CB FOR A CONNECTION THAT HAS NOT
               YET BEEN SWITCHED, GET THE APPL NAME FROM THE PAAC AND 
               USE THAT NAME WHEN DECREMENTING THE A-A CONN. COUNT. 
          PAM     84/04/10     NVFAIAP,NVFARAP,NVFASPC,NVFATAC,NVFAVVD
 NA5A698  NS WOULD ABORT WHEN DETECTING ERRORS WHILE DEFINING 
          A DUMP FILE.  THIS WAS CAUSED BY A BUFFER NOT BEING LARGE 
          ENOUGH.  THE BUFFER HAD OVERFLOWED AND WROTE OVER SOME
          EXECUTABLE CODE.
  
          THE SOLUTION WAS TO ENLARGE THE BUFFER TO ACCOMODATE THE
          LARGEST MESSAGE.
          DKE     84/04/12     MACREL 
 FS4201Z  THIS FEATURE CODE ENABLES *COLLECT* TO PICK UP FILES
          GENERATED BY PSU (PR), QTF (QT), QTFS (QS), AND 
          PTFS (PS).  IT ALSO CHANGES *COLLECT* TO NOT MAKE 
          DUMPXXX AND DUNPXXX PERMANENT.
  
          RWH            04/10/84       CLT=INI,CLT=IO2 
  
 NA5A672  CORRECT DRIVER NPU CHANNEL TABLE USAGE TO ALLOW FOR MORE THAN 
          MAXNPU NPUS DRIVER BY THE DRIVER AT DIFFERENT TIMES.
  
          RMK    3/29/84     PIP
 NA5A655 CORRECTIVE CODE OF PSR NA5A363 OVERRODE PART OF THE CORRECTIVE 
         CODE OF PSR NA5A317 IN SERICE AND SCHEDULING ROUTINE *SSACNI*. 
         THE LINE TO SET THE MAXIMUM TEXT LENGTH IN CM WORDS IN 
         NETGETL CALL DELETED BY NA5A317 IS PUT BACK BY NA5A363, WHICH
         CAUSE AN INPUT-BLOCK-UNDELIVERABLE CONDITION IN FILE SERVER
         AND AOF. 
         AML     84/04/02     SSACNI
 NA5A700  FOR XFR PRU A-A CONNECTIONS, CON/END/R FROM APPLICATION WILL
          BE PROCESSED TO TERMINATE PRU MODE OF CONNECTION. 
                             XSTTP
  
          UPON PROCESSING IFT, OFT/START, IF FILE TYPE OF FILE TO BE
          SWITCHED IS ILLEGAL FILETYPE, NIP WILL SEND ERR/LGL WITH
          RC=13 TO APPLICATION. 
                             HPRUSM 
  
          UPON PROCESSING IFT/END, OFT/END, XFT/IER,
          NIP SHOULD CHECK FOR FILE IS STILL WITH NAM BEFORE CALL SST 
          TO SWITCH FILE TO ALLICATION CONTROL POINT. 
                             NPPSN
  
          LTN    84/04/11    XSTTP,HPRUSM,NPPSM 
  
  
          THIS IDENT ADDS RETURN ACTION IN THE STATE TABLE FOR PRU
          SENDER AND RECEIVER WHEN AN ILLEGAL TRIGGER IS RECEIVED.
          THE RETURN ACTION WILL THEN ASSIGN REASON CODE TO THE 
          STATUS WORD OF QTFXFER AND RETURN CONTROL TO THE CALLER 
          ISSUING APPROPRIATE DAYFILE MESSAGES. 
  
          YCY     84/04/10     NP$STTP
  
 NA5A702  FIX NIP STATE TABLE ERROR WHEN NIP RECEIVE NPI/DD FROM ANOTHER
          HOST. THIS MOST BE BUILT WITH NA5A634.
          LTN    84/04/13    NPNIPSM
  
 NA5A688  PIP PP HUNG POSSIBLY FOR COUPLER CHANNEL HARDWARE PROBLEM.
  
          DEADSTART DUMP SHOWS A PIP HUNG AT A CHANNEL INSTRUCTION
          THAT DOES NOT HAVE NO-HUNG BIT SET EVEN THOUGH THAT 
          INSTRUCTION IS GUARDED LOGICALLY POSSIBLE CHECKS. 
  
          NO-HUNG BIT SHOULD BE SET FOR A PRODUCTION ENVIRONMENT AS 
          IT WILL SAVE THE SYSTEM EVEN IF IT MAY PRODUCE LESS VALUABLE
          DEBUG INFORMATION AT A RARE HARDWARE TROUBLE. 
  
          SW     84/04/11    PIP
 NA5A641  NOS 23E HAS NOSTEXT SYMBOLS CONFLICTING WITH PIP SYMBOLS. 
  
          ROSS AND SOSS ARE SYMBOLS PIP HAS DEFINED LOCALLY.
          NOW THESE ARE IN NOSTEXT. 
  
          THESE SHOULD BE LEFT LOCAL FOR PIP ASSEMBLY.
          SW     84/04/02    PIP
 NA5A475  AN APPLICATION ISSUED A QTLINK TO ANOTHER APPLICATION.  THE 
          CALLED APPLICATION WAS AN UNKNOWN, UNDEFINED APPLICATION. 
          CONTROL NEVER RETURNED TO THE CALLING APPLICATION.  THIS WAS
          BECAUSE NVF ISSUED THE WRONG ERROR CODE IN THE CR/IAP/A SM. 
          THE ERROR CODE THAT NVF ISSUED WAS FOR APPLICATION FAILED.
          THE CALLING APPLICATION NEVER GOT CONTROL BACK BECAUSE NAM
          THOUGHT THAT THE CALLING APPL (INSTEAD OF THE CALLED APPL)
          FAILED.  TO FIX THIS, CHANGE NVF TO ISSUE THE CORRECT 
          ERROR CODE (FOR INVALID REQUEST). 
          PAM     84/04/17     NVFAIAP
 ABIC     ISSUE *ABIC* ACCOUNT FILE MESSAGE FROM NVF. 
  
          CURRENTLY NO DEFAULT CHARGE INFORMATION IS ISSUED 
          TO THE SYSTEM ACCOUNT FILE ON AN INITIAL LOG IN.
  
          THIS MODSET WILL ISSUE THE *ABIC* MESSAGE AFTER EVERY 
          PRIMARY USER ACCOUNT FILE MESSAGE (*ABUN*). THIS NEW
          MESSAGE SPECIFIES THE DEFAULT CHARGE/PROJECT RETURNED 
          FROM CPM FUNCTION 56 - VALIDATE USER. IF CHARGE FIELD 
          IS ZERO, NO MESSAGE IS ISSUED.  FORMAT OF *ABIC*
          MESSAGE IS: 
  
                 ABIC,CHARGE,PROJECT,TERMINALNAME.
  
          DEPENDENCIES:      NA50092
                             ABIC2
  
          LAE    02/22/84    TEXTNVF,TXTANVF,NVFTIAM
                             NVFTPSV,NVFTVVD
  
 NA5A707  NETXFR SHOULD CHECK FOR VALID FILE TYPE BEFORE BEGINNING
          FILE TRANSFERRING PROCESS. IF FILE TYPE IS NOT VALID ( TAPE 
          FILE TO BE SENT, SYSTEM LIBRARY...), STATUS OF 31 WILL BE 
          RETURNED TO APPLICATION. ALSO IF FILE NAME FOR XFRRING IS 
          *INPUT* AND JOB ORIGIN TYPE IS TERMINAL, NETXFR WILL REJECT 
          WITH REASON CODE 32.
          LTN       84/04/19       NETXFR,NP$GJO,NP$INFO
  
 NA5A697  NVF SOMETIMES HANGS IN THE K-DISPLAY.  THIS HAPPENED BECAUSE
          UNDER SOME CIRCUMSTANCES, NVF WOULD BUILD AND SEND A HOP/START
          TO THE I-LAYER, BUT WOULD FAIL TO SUPPLY A VALUE FOR THE
          LEFT AND RIGHT K-DISPLAY LENGTHS.  THESE VALUES WOULD THEN
          DEFAULT TO ZERO, AND THIS CAUSED NVF TO HANG.  TO FIX THIS, 
          HAVE NVF SET THE LEFT AND RIGHT K-DISPLAY LENGTHS TO THEIR
          PREVIOUS VALUES WHEN NVF SENDS A HOMEMADE HOP/START TO THE
          I-LAYER.
          PAM     84/04/19     NVFCCPA
 NA5A705  THIS CODE FIXES FOUR PROBLEMS.
          1)  NVF GETS "SM NOT ROUTED" BECAUSE IT SENDS A SH/ISD WITH 
              AN INVALID ACN.  THIS SM SHOULD NOT EVEN HAVE AN ACN. 
              CHANGE NVF TO CLEAR THE SM BUFFER PRIOR TO SENDING THE
              SH/ISD SM.
          2)  NVF DOES NOT TIME OUT CONNECTIONS.  THIS IS BECAUSE A 
              FLAG THAT NVF USES TO CHECK IF THE USER SHOULD BE TIMED 
              OUT IS NEVER INITIALIZED.  CHANGE NVF TO INITIALIZE THIS
              FLAG. 
          3)  NVF TRIES TO DISABLE THE PID.  THIS IS BECAUSE NVF SENDS
              A SPIDA WITH A FUNCTION CODE OF 0 (INSTEAD OF 1).  NVF WAS
              USING THE WRONG ARRAY SUBSCRIPT WHEN IT STORED THE FUNCTION 
              CODE IN THE SPIDA PARAMETER BLOCK.  CHANGE NVF TO STORE 
              THE FUNCTION CODE IN THE RIGHT ARRAY ENTRY. 
          4)  NVF DOES NOT SET THE PID TO IN SERVICE AT INITIALIZATION
              TIME.  THIS HAPPENED BECAUSE SPIDA CLEARS THE STATUS FIELD
              AND NVF WAS ASSUMING IT WOULD STILL BE SET TO 1.  CHANGE
              NVF TO SET THE STATUS FIELD EACH TIME IT MAKES A CALL TO
              SPIDA.
          PAM     84/04/19     NVFTINA,NVFTICR,NVFOPAC,NVFIIPS
 NA5A695  THIS IDENT FIXES FORMATTING OF DEFAULT  AND 
          SPECIFIED UDATA. IT ALSO FIXES FORMATTING OF FAC PARAMETERS 
          AND MODIFIES NDLLIST ACCORDINGLY. PAD PARAMETERS ARE LISTED 
          IN GROUPS OF FOUR. CODE WAS CUT IN TERMPR FOR EVERY TIPTYPE 
          SUCH THAT IF PAD IS SPECIFIED ON THE TERMINAL STATEMENT,
          NDLP WILL SKIP WORDS ACCORDINLY.
          YCY     84/04/18     OBLCF,NDLLIST,NDLNFCM,NDLP2LF,NDLPSS1, 
                               NDLSDAT
 NA50188  NDLP IS NOT DEFAULTING VALUES OF DBZ TO 640 FOR 
          LINE PRINTER OF A MODE 4A DEVICE WHEN STIP MODE 4A IS 
          SPECIFIED. DEFAULT VALUE OF DBZ IN THIS CASE IS SET TO 640. 
          YCY     84/04/19     NDLNFCM
 NA5A703  THIS IDENT CHANGES THE DEFAULT VALUE OF XBZ FOR MODE 4A 
          FROM 1000 TO 1040. IF STIP MODE 4A IS SPECIFIED THEN DEFAULT XBZ
          FOR ALL DEVICES IS CHANGED TO 1040. IF TERMINAL CLASS 734 OR
          200UT+ IS SPECIFIED THEN THE DEFAULT XBZ IS ALSO CHANGED TO 1040. 
          YCY     84/04/19     NDLNFCM
 NA5A710  PIP ERROR 73 AT NPU MASTER CLEAR
  
          PIP ERROR 73 WHEN PIP RELOADS NPU THAT HAS ACTIVE PRU 
          CONNECTIONS.
  
          SW     84/04/03    PIP
 NA5A711  PIP SHOULD BYPASS INPUTS AFTER LEVEL SEVEN ERROR WAS REPORTED.
  
          PIP REPORTS DRIVER ERROR AT AN INPUT AFTER LEVEL SEVEN
          ERROR WAS REPORTED. IT SHOULD BYPASS INPUTS AND BACKS AFTER 
          THE ERROR.
  
          SW     84/04/11    PIP
 NA5A689  PIP ERROR 75 MAY HAPPEN IF MASTER CLEARED WHILE CCP DUMPING.
  
          PIP BLOCK HANDLER RESPONSE ACTION FOR PROCESSING START/WAIT 
          COMMAND IS NOT CORRECT AND THERE IS NO WAYOUT FROM THE STATE. 
  
          SW     84/04/20    PIP
 NA5A708  A-A PRU MODE FILE TRANSFER FAILS WITH LARGE FILES 
  
          A-A PRU MODE FILE TRANSFER FAILS AT BLOCK NUMBER 4096 AS
          THE BLOCK NUMBER VERIFICATION PROCESSING IS VALID UP TO THIS
          LIMIT.  A CORRECTION FOR HANDLING BLOCK NUMBER RESETTING AT 
          65535 AND A PROPER BLOCK NUMBER INITIALIZATION ARE INCLUDED.
  
          SW     84/04/19    PIP
 NA5A526  MODIFY PIP TO USE A BUFFER FOR BACK-S THAT IS LARGE 
          ENOUGH FOR NIP TO USE IN CONSTRUCTING FC/ACK MESSAGES 
          FROM THE BACK.  THIS WILL REDUCE THE AMOUNT OF
          MEMORY MANAGEMENT IN NIP. 
          MSG     84/04/29     HSFCACK,CSTATUS,PIP
 IVTBACK  PIP MAKES UPLINE IVT BACK AS 3 CM WORD BLOCK IN INBOUND BUFFER
  
          SW     84/04/10    PIP
 NA5A670  WHEN A USER TRIES TO LOGIN TO AN APPLICATION THAT HAS 
          MULTIPLE COPIES RUNNING, THE USER SHOULD NOT HAVE TO
          APPEND THE APPLICATION NUMBER TO THE APPLICATION NAME.
          NVF SHOULD HANDLE LOGGING IN TO A MULTI-COPY APPLICATION
          SIMILAR TO THE WAY IT HANDLES LOGGING IN TO A REQUEST 
          STARTABLE APPLICATION (WITH THE EXCEPTION OF ROUTING A
          JOB TO START UP THE APPLICATION). 
          PAM     84/04/20     NVFTDSP,NVFUCRS
 NA5A693  STOP,LP,END FOLLOWED BY RETURN LP KILLS RBF.
  
          PIP GENERATES ERROR 163 IF OFC/STOP COMES AFTER OFC/ABORT.
          IT SHOULD BE ACCEPTED.
  
          SW     84/04/11    PIP
 NA5A273  CHANGE AN ERROR MESSAGE TO REFLECT WHAT IS DOCUMENTED.
          DKE     84/04/20     NDAS 
 NA5A678  NDLP SHOULD ALLOW THE *IN* PARAMETER FOR DEVICES DEFINE FOR 
          TIPTYPE=X25.
  
          THIS CODE ALLOWS KB AND BK AS VALID VALUES AND DISALLOWS PT.
          DKE     84/04/20     NDLNFCM
 NA5A712  CHANGE NVF TO SET HOST PID TO IN SERVICE
          BY CONSTRUCTING HOST PID FROM MACHINE ID. 
          MSG     84/04/20     NVFIIPS,MACREL 
 NA5A656  ADD REASON CODE STATE FOR SFORM ERROR 
          (FULL SCREEN INTERFACE ERROR) 
          MSG     84/03/23     QTRMNIT
 NA5A626  CORRECT QTRM TO USE THE CHARACTER SET 
          SPECIFIED BY THE USER FOR INTRA HOST
          A-A CONNECTIONS.
          MSG     84/03/23     QTGET,QTPUT
 NA5A691  CORRECT HELP RIGHT K-DISPLAY TO ZERO BYTE 
          BLANK LINES AT THE END OF ITS DATA PROPERLY.
          MSG     84/04/10     KRIGHTD
 NA5A721  THIS CODE FIXES THREE NVF A-A PROBLEMS. 
          1)  NVF ABORTED BECAUSE INTRA-HOST OUTCALL UDATA LENGTH 
              FIELD WAS NOT THE SAME FORMAT AS THE INTER-HOST OUTCALL 
              UDATA LENGTH FIELD.  CHANGE THE INTRA-HOST OUTCALL BLOCK
              TO HAVE THE SAME FORMAT AS THE INTER-HOST OUTCALL BLOCK.
          2)  NVF SENT A CR/TRM WITH AN ACN THAT WAS ALREADY RELEASED.
              CHANGE THE WAY NVF SEARCHES THE PAAC TABLE SO IT DOES NOT 
              READ BEYOND THE PAAC TABLE AND PICK UP WRONG ACN VALUES.
          3)  NVF ABORTED BECAUSE IT COULD NOT FIND AN AST ENTRY FOR
              THE CR/RCN.  THIS WAS BECAUSE IT HAD BEEN DELETED BY
              FAIL/APPL PROCESSING.  CHANGE NVF TO NOT ABORT IN THIS
              CASE EXCEPT IF THE CONNECTION WAS IN LIMBO STATE. 
          PAM     84/05/04     NVFAIAP,NVFATAC,NVFSFAI
 NA5A715  WHEN CS RECEIVED A ST,NPS IMMEDIATELY FOLLOWED BY A 
          DI,LI=LINE,  IT SENT A REQUEST FOR NPU STATUS SM WITH THE 
          WRONG SFC.  WHEN THE NPU RESPONDED WITH A NORMAL RESPONSE 
          TO THE ILL-FORMATTED SM CS ABORTED COMPLAINING IT DID NOT 
          RECOGNIZE THE SM. 
  
          CS NEEDED TO CLEAR A BUFFER BEFORE RECEIVING THE COMMAND
          PARAMETER BLOCK FOR A QUEUE.  THE SOLUTION DOES JUST THAT.
          DKE     84/04/28     CSSDRC 
 NA5A714  CS NOP CONNECTION HUNG WHEN ATTEMPTING TO STATUS ELEMENTS IN
          THE NETWORK.
  
          CS WAS NOT CLEARING THE NPU ORDINAL IN THE OPERATOR CONTROL 
          BLOCK ONCE THE STATUS REQUEST WAS COMPLETED BY THE NPU.  IF 
          THE OPERATOR WAS WAITING FOR ANOTHER NPU TO COMPLETE A STATUS 
          REQUEST AND THEN HIT A USER BREAK, THE PREVIOUSLY COMPLETED 
          STATUS REQUEST WOULD BE SET TO REQUEST TERMINATED AND WOULD 
          NEVER BE CLEARED. 
  
          THE SOLUTION WAS TO CLEAR THE NPU ORDINAL ONCE THE REQUEST WAS
          COMPLETED.
          DKE     84/05/04     CSSCSR 
 NA5A680  THIS IDENT FIXES THE PROBLEM THAT NDLP WAS NOT CLEARING 
          CRNT$TIP IN PASS ONE CORRECTLY AND ADDING EXTRA ZEROES TO NON-X25 
          DEVICE NAMES AS A RESULT. 
          YCY     84/04/25     NDLPSS1
 NA5A709  THIS IDENT CHANGES THE SEVERITY LEVEL OF ERROR
          MESSAGE 127 FROM WARNING TO FATAL. THIS MESSAGE IS GENERATED
          WHENEVER THERE IS NO LOGICAL LINK DEFINED TO A NPU. 
          YCY     84/05/03     ER2CNDL
 NA5A706  PIP NPU INTERFACE LOST AFTER NPU TIMES OUT PIP
  
          PIP DOES NOT RE-INITIATE INTERFACE TO NPU AFTER NPU TIMES 
          OUT PIP FOR SOME REASON.  PIP DOES NOT ACKNOWLEDGE REG/CP 
          RESPONSE FROM NIP AFTER IT SENT REG/CP REQUEST. 
  
          SW     84/04/24    PIP
 NA5A733  THIS IDENT FIXES THE PROBLEM THAT DPLS VALUE WHICH
          IS ENCODED AS THE POWER OF 2 IS NOT CONVERTED BACK TO ITS 
          ORIGINAL VALUE IN THE SUMMARY LIST. 
          THIS APPLIES TO INCALL AND OUTCALL STATEMENTS.
          YCY     84/05/03     NDLLIST
 NA5A735  THIS IDENT FIXES THE PROBLEM THAT DPLR WHICH IS 
          ENCODED AS THE POWER OF 2 IS NOT LISTED IN TERMS OF ITS 
          ACTUAL VALUE IN NDLLIST BUT AS THE POWER OF 2 ONLY. 
          YCY     84/05/04     NDLLIST
 NA5A742  NIP WILL FORCE THE CONTROL CARD PARAMETERS, N1PRUB, N2PRUB
          AND N3PRUB TO BE THE MINIMUM IF ANY OF THOSE PARAMS SPECIFIED 
          BELOW ITS MINIMUM (2,4,2), AND DAYFILE A MESSAGE. 
          LTN       84/04/25       INIP 
  
          WHEN PRU CONNECTION IS INITIATED, ALLOCATE NUMBERS OF PRU 
          BUFFERS ACCORDING TO THE MAXIMUM VALUES OF THAT TYPE OF PRU.
          LTN       84/04/25       HPRUON 
  
          IF NIP HAS REACHED MAXFL AND WENT INTO REGULATION OF ZERO, NIP
          WILL TRY TO CALL GABAGE COLLECTION AS MUCH AS POSSIBLE TO FREE
          NIP FROM FRAGMENTATION. AFTER MOVING BUFFERS COMPLETED, 
          MGBGCLT SHOULD TRY TO CHANGE THE REGULATION ACCORDING TO THE
          BUFFER SIZE OF THE LAST FREE BUFFER IN THE FREE CHAIN.
          LTN       84/04/30       MGBGCLT
  
          WHEN ALOCATING BUFFERS FOR PIP, NIP MAKES SURE TO CHECK 
          REGULATION LEVEL BEFORE GOES ON TO GET NEXT BUFFER. 
          ONLY ALLOCATE PRU BUFFERS IN BUFFER REGULATION THREE. 
          LTN       84/04/24       XEXEC,XCHKABC
  
          CHANGE THE REASON CODE FOR ERR/LGL IN THE CASE OF ILLEGAL 
          FILETYPE TO 11. 
          LTN       84/04/25       HPRUSM 
  
 NA5A742  THIS IDENT PERFORMS A REWIND FOR THE THE FILE AT THE
          RECEIVER'S END. 
          IT MODIFIES ACTION CODE IN THE STATE TABLE FOR BOTH 
          PRU AND CHARACTER MODE SO THAT RESTART REQUEST IS 
          DISABLED. IT ALSO CHANGES NP$SMSG TO TREAT REASON 
          CODE 10  IN XFTIER RATHER THAN REASON CODE 2 TO 
          BE RECOVERABLE. 
          YCY     84/04/05     NP$ADEF,AIPSTDF,NP$SMSG,NP$STTP
 NA5A716  CORRECT CS TO ISSUE CORRECT ERROR MESSAGE ON
          NCF MISMATCH CONDITION. 
          MSG     84/05/01     CSESSM 
 NA5A748  CORRECT ERROR MESSAGE FORMAT IN MGETC.
          MSG     84/05/01     MGETC
 FS4389I  MODIFY NDLP TO CONVERT THE DFL VALUE TO LOG 2.
          DKE     84/01/09     NDLNFCM,NDLCKRG
 FS4389H  THIS IDENT IMPLEMENTS THE IMDISC AND THE LCN PARAMETERS 
          FOR THE LINE STATEMENT. LCN IS VALID ONLY FOR X25 LINES AND IMDISC
          IS VALID FOR ALL TIPTIPES AND IN THE CASE OF A X25 LINE THE USER
          MAY ONLY SPECIFY "NO" FOR IMDISC. 
          YCY     84/04/26     NDLSDAT,NDLCKRG,NDLPSS1,NDLNFCM,NDLLIST
 *L617*    ************************************************ 
 FN3270B  ADD SUPPORT OF 3270 IN TVF. 
          DKE     84/04/18     TVF
 FS4389J  THIS IDENT ADDS C120 AS A PSN NAME TO THE NDLP LINE 
          STATEMENT. THIS PSN HAS AN INTERNAL VALUE OF 7. 
          YCY     84/06/04     NDLPSS1,NDLNFCM,NDLLIST
 NA5A523  WHEN TIPTYPE IS USER DEFINED, NDLLIST WAS 
          LOOKING AT THE WRONG INTEGER TEMPORARY FOR CONVERSION.
          THIS IS CORRECTED.
          YCY     84/07/13     NDLLIST
 NA5A525  ISSUE DAYFILE MESSAGE INDICATING NIP WAS
          BUILT WITH DEBUG OR STAT DURRING NIP STARTUP. 
          MSG     84/05/31     INIP 
 NA5A531  PIP DOES NOT HALT NPU AT NAM TERMINATION
  
          PIP DOES NOT HALT NPU AT NAM TERMINATION FOR AN ERROR 
          EVEN IF IT IS SO SPECIFED BY A REQUEST FLAG IN PIP INTERFACE
          TABLE.
  
          SW     84/05/16    PIP
 NA5A532  NP$PUT RETURNS TO NETPUTF AFTER SETING UP ABH BLOCK.
          RETURN INFOMATION OF BLOCK HEADER AFTER INFO HAS BE CHECKED 
          AND UPDATED.
          LTN       84/05/18       NP$PUT,NP$GSM
  
 NA5A538   CORRECT TLW VALUE LISTED OUT IN TRACE FILE.
           LTN      84/07/17       DLAREP 
  
 NA5A579  DLFP WILL RESET PAGE COUNT AND MESSAGE COUNT WHEN EOF IS
          ENCOUNTERD AND THERE IS STILL INFORMATION TO BE PROCESSED.
          LTN       84/07/17       DLREP
  
 NA5A610   NIP SHOULD TERMINATE WITH DUMP IF DETECTING AN INTERNAL ERROR. 
           FIX NA5A634 ACCORDING TO COMMENTS. 
           LTN      84/02/24       MAJPTR,NPREGLL,RELACB,RELACNB
                                   RELNCNB,BLDLLCB,BLDACNB,HPNONVF. 
  
 NA5A683  PUT IN ALL NEW SUPERVISORY MESSAGES SINCE 2.0 LEVEL, ALSO 
          ALL LEVEL SEVEN SUPERISORY MESSAGES FOR FILE TRANSFERRING 
          FEATURE.
  
 NA5A717  THIS IS AN ADDITIONAL FIX FOR NA5A697 WHICH SET THE 
          LEFT AND RIGHT PAGE LENGTHS IN THE HOP/START MESSAGE SENT 
          TO THE INNER LAYER. 
  
          THE FIX IS TO MERELY INCREASE THE ENTRY WORD COUNT TO INCLUDE 
          THE TEXT AREA.
          DKE     84/05/16     NVFCPHT,NVFCCPA
 NA5A734 THIS IDENT CHANGES THE MAXIMUM NUMBER OF HEX DIGITS
          THAT ONE CAN SPECIFY FOR PRID TO BE SIX. NDLLIST IS ALSO
          CHANGED TO REFLECT THE CHANGE. DEFAULT PRID IS NOW C10000.
          YCY     84/05/29     NDLLIST,NDLP2LF
 NA5A746  NVF WAS ABORTED BY DSP WHEN TRYING TO ROUTE AN EMPTY JOB
          RECORD. 
  
          WHEN DOING A GET ON A FILE NVF WAS ASSUMING THAT IT WAS DONE
          WITH RECALL.  THE GET FUNCTION WAS MODIFY TO ALWAYS DO IT 
          WAITING UNTIL THE COMPLETE BIT IS SET.
  
          DKE     84/05/24     MACREL 
 NA5A749  DLFP SHOULD ACCOMODATE NEW OP CODE FOR XFR. 
          LTN       84/05/24       DLAREP 
  
 NA5A754  THIS CODE FIXES TWO RELATED PROBLEMS OF NVF FAILING WHILE 
          RUNNING A-A CONNECTIONS.
          1) IF A FAIL/APPL IS RECEIVED AFTER A CR/SWH/N IS RECEIVED
             BUT BEFORE A CR/ACC IS RECEIVED, AND 
          2) IF A FAIL/APPL IS RECEIVED AFTER A CR/RCN IS RECEIVED
             BUT BEFORE THE VCB DATA CAN BE READ IN.
          IN THE FIRST CASE, NVF WOULD SEND OUT A CR/TRM, WHICH WOULD 
          THEN ABORT BECAUSE THE ACN ENTRY HAD ALREADY BEEN DELETED.
          IN THE SECOND CASE, THE VCB READ WOULD ABORT BECAUSE THE VCB
          ORDINAL WOULD ALREADY HAVE BEEN RELEASED. 
          WITH THIS CODE, NVF WILL CHECK FOR THESE TWO CASES BEFORE 
          CLEANING UP THE PAAC AND VCB, AND SENDING THE CR/TRM. 
          PAM     84/05/10     NVFCBPA,NVFADQE,NVFAACC,NVFASPC, 
                               NVFSFAI,NVFASWN
 NA5A760  PIP ERROR 103 
  
          AT BHS10 WITH SAM BIT SET, IF LEFTOVER LOAD COMMANDS ARE
          PRESENT, RESPONSE ACTION IS ENTERED WITHOUT SETTING COMMAND 
          ORDINAL. THAT MAY CAUSE PIP ERROR 103.
  
          SUBROUTINE IPD USES T16 WITHOUT SETTING IT. 
  
          LEVEL SEVEN ERROR LEAVES ERRCODE SET, RESULTING ABORTING NAM
          WHEN PIP DROPS FOR NO ACTIVITY. 
  
          SW     84/06/01    PIP
 NA5A762  PIP SHOULD ALLOW UPLINE BACK AFTER OUTPUT PRU STREAM STOPPED. 
  
          PIP SHOULD ALLOW UPLINE BACK AFTER OUTPUT PRU STREAM STOPPED
          EXTERNALLY. 
          (THIS CORRECTION CORRESPONDS TO NA50206 FOR NOS 2.2.) 
  
          SW     84/05/09    PIP
 NA5A763  NAM ABORTS WITH RANDOM ADDRESS NOT ON FILE
  
          PIP SHOULD KEEP CURRENT PRU POSITION IN PCNB CLEARED WHILE NO 
          FNT EXISTS. 
  
          (THIS CORRECTION CORRESPONDS TO NA50140 FOR NOS 2.2.) 
  
          SW     84/05/09    PIP
 NA5A764  PROBLEM OCCURRED WHEN USER DROPPED APPLICATION DURING AB- 
          NORMAL NETTING ON.
          THIS MOD INTRODUCES AN ABNORMAL NETON BIT IS AT, THIS BIT IS
          SET WHEN NET/ON/A IS RECEIVED FROM NVF. HAPFAIL SHOULD CHECK
          FOR THIS BIT BEFORE SENDING APPL/FAIL/R TO NVF; IF THIS BIT 
          IS ON, DO NOT SEND APPL/FAIL/R BUT JUST RELEASING ACB AND 
          RELATED BUFFERS.
          LTN       84/05/08       AT,HPPUT,HAPFAIL 
  
 NA5A770  SETTING ATNVFA WHEN RECEIVING NET/ON/A BY APLLICATION FROM
          THE SUPERVISORY MESSAGE.
          WHEN XSACB FINDS AN ENTRY WITH ATNVFF AND ATNVFA SET, IT WILL 
          JUST GO AHEAD AND RELEASE THE ENTRY.
          LTN      84/06/14       HPPUT 
  
 NA5A774  XEXEC WILL GET PRU BUFFERS ONLY WHEN HOST REGULATION IS THREE.
          UPDATE BUFFER COUNT IN XCHKABC BY NUMBER ALLOCATED. 
          NPRLB RESET COUNT AFTER RELEASE ALL LIMBO BUFFERS.
          LTN       84/05/16       XEXEC,XCHKABC,NPRLB
  
 NA5A775  NDLP ABORTS WHEN MAXIMUM NUMBER OF FACILITY IS DEFINED
          FOR INCALL OR OUTCALL STATEMENTS. THIS IS CAUSED BY THE STATEMENT 
          TABLE COUNT FIELD WIDTH BEING DEFINED AS A SIX BIT DATA ITEM. 
          STWC IS NOW AN EIGHTEEN BIT DATA ITEM.
          YCY     84/05/21     NDLTBLT,NDLP2LF
 NA5A776  UPON RECEIVING PWL WITH OP 6 (BLOCK PROTOCAL ERROR), BREAK
          TRIGGER WILL BE SENT TO NCSTTP, BUT THE CONVERTED NCNB SHOULD 
          NOT BE RELEASED.
          THIS MOD FIXES NCSTTP2 NIP INTERNAL ERROR DUE TO BLOCK
          PROTOCOL VIOLATION ERROR 91 FROM PIP. 
          LTN       84/05/25       NPPCT,NPPWL,MAJPTR,PCNB,NCNB 
  
 NA5A780  IMPLEMENT TIMEOUT OF REQUEST STARTED APPLICATIONS.
          IF A REQUEST STARTED APPLICATION DOES NOT NETON 
          WITHIN THE DEFINED TIME PERIOD, CLEAR THE REQUEST 
          STARTED APPLICATION PENDING FLAG TO ALLOW ANOTHER 
          ATTEMPT.  IF APPLICATION FAILS THREE SUCCESSIVE 
          TIMES, DISABLE APPLICATION. 
          MSG     84/05/30     TEXTNVF,NVFSNON,NVFUCRS,TXSANVF,NVFSDQE, 
                               NVFIAST,NVFSTIM
 NA5A781  THIS IDENT RECONVERTS ENCODED VALUE OF DBZ
          INTO THE ENCODED VALUE MULTIPLED BY 640. EXCEPTIONS ARE 
          DBZ FOR USER DEFINED TIPTYPE, USER DEVICE TYPE, CONSOLE AND 
          AP DEVICE TYPE. 
  
          YCY     84/06/18     NDLLIST
 NA5A782  PIP ERROR 66 AT CHANNEL HARDWARE ERROR
  
          IF CHANNEL HARDWARE ERROR HAPPENS IMMEDIATELY AFTER A COUPLER 
          EST ENTRY IS SET ON, PIP MAY GIVE ERROR 66 INSTEAD OF A 
          CORRECT ERROR CODE. 
  
          SW     84/05/21    PIP
 NA5A783  NVF SHOWS A PHANTOM APPLICATION ACTIVE WHICH NEVER
          REALLY NETTED ON.  ALSO WHEN TRYING TO STATUS THE PHANTOM 
          APPLICTION NVF ABORTS WITH A CPU ERROR EXIT.
  
          THE SOLUTION WAS TO INCREMENT THE ACTIVE APPLICATION COUNT
          ONLY WHEN THE APPLICTION NET-S ON.
  
          DKE     84/05/24     NVFUCRS,NVFSNON
 NA5A785  CHANGE *USER NUMBER* TO *USER NAME* IN COMMENTS ON
          NAMSTRT FILE. 
  
          RWH            05/18/84       JOBNVF,JOBNS,JOBCS
  
 NA5A788  NVF DOES NOT RESPOND TO THE K-DISPLAY.
  
          THE NVF C-LAYER WAS NOT SENDING THE HOP/START INTO THE INNER
          LAYER INTACT.  THIS CODE MODIFIES THE C-LAYER TO SEND THE SM
          UNMODIFIED. 
          DKE     84/05/24     NVFCUHS
 NA5A789  THE CS K-DISLPLAY WOULD HANG WHEN INVOKING A SEND 
          MESSAGE TO ALL NPUS COMMAND WHEN NO NPUS ARE BEING
          SUPERVISED. 
  
          THIS FIX COMPLETES THE ACTION ON THE SEND COMMAND WHEN
          THERE ARE NO NPUS BEING SUPERVISED. 
  
          DKE     84/06/08     CSSAMS 
 NA5A791  NVF ABORTED WHEN, FOR AN A-A CONNECTION, THE CR/SWH/N 
          WAS RECEIVED AT THE SAME TIME AS A FAIL/APPL.  NVF PROCESSED
          THE FAIL SM BEFORE THE SWITCH SM AND THEN PROCEEDED TO
          ABORT.
  
          THE WORKLIST PRIORITIES WERE CHANGED SUCH THAT THE PROCESSING 
          OF THE SWITCH WOULD ALWAYS BE PROCESSED BEFORE A FAIL/APPL. 
  
          DKE     84/06/13     TXINNVF
 NA5A794  PIP ERROR 24 ON THE LOW-COST MACHINE. 
  
          PP ORDER CODE TO SHIFT A-REGISTER OF LOW-COST CYBER 
          SEEMS TO ACCEPT AS THE SHIFT COUNTER UP TO 17 DECIMAL.
          AND ANY VALUE GREATER THAN 17 SEEMS TO BE TREATED AS 17.
          SW        84/05/22       PIP
  
 NA5A795  NVF WAS NOT CORRECTLY COMPARING THE DTE ADDRESS IN THE INCALL 
          BLOCK WITH THE DTE ADDRESS SPECIFIED IN THE CR/RAP/R.  THIS 
          CODE ALLOWS NVF TO COMPARE THE CORRECT NUMBER OF BITS IN THE
          DTE ADDRESS.
          PAM     84/05/22     NVFARAP
 NA5A796  THIS CODE UPDATES THE COPYRIGHT INFORMATION IN THE NVF BANNER 
          AND IN THE NAM PL.
          PAM     84/05/22     TMSGNVF,CRCOM
NA5A797   NVF WAS ONLY CHECKING FOR PENDING A-A CONNECTION REQUESTS 
          IF AN APPLICATION FAILED.  IN THIS CASE THE APPL MERELY 
          NETTED OFF SO THAT NO CONNECTION TERMINATION PROCESSING 
          WAS DONE. 
  
          THIS FIX MOVES THE CHECK OUT SUCH THAT WHETHER AN APPLICATION 
          FAILS OR NETS OFF, THE BREAKING OF CONNECTIONS IS DONE. 
  
          DKE     84/06/06     NVFSNOF
 NA5A800  AIP SHOULD WAIT FOR XFR WORKLIST COMPLETION BIT IS SET
          BEFORE CONTINUE PROCESSING. 
          FIXING SEVERAL PROBLEM DURING X.25 JITTING WITH ROSEVILLE.
  
          LTN       84/05/17       NP$XFR,NP$XFER 
          YCY       84/06/01       NP$STTP,NP$BFET
  
 NA5A801  CORRECT DETAILED RIGHT DISPLAY TO ALLOCATE
          RIGHT DISPLAY BUFFER IF IT DOES NOT ALREADY 
          EXIST.
          MSG     84/05/30     KRIGHTD
 NA5A804  WHEN NVF DETECTED THAT THE PID WAS DISABLED 
          IT CORRECTLY REJECTED THE A-A CONNECTION REQUEST.  IN DOING 
          SO NVF FAILED TO DELETE AN ENTRY IN A TABLE.  ALL SUBSEQUENT
          CONNECTION REQUESTS WERE MAPPED INTO THE SAME ENTRY WHICH 
          RESULTED IN REJECTING THEM ALL EVEN AFTER THE PID WAS ENABLED.
  
          THIS FIX INSURES THAT THE ENTRY IS DELETED SO THAT WHEN THE 
          PID IS RE-ENABLED NVF WILL ALLOW CONNECTION ESTABLISHMENT.
  
          DKE     84/06/14     NVFAIAP
 NA5A806  NIP SHOULD ASSIGN CONNECTION NUMBER WITH SN LESS THAN DN
          FROM 1 UP, AND WITH SN GREATER THAN DN FROM 255 DOWN, 
          ACCORDING TO ISF HAS SPECIFIED. 
          THIS MOD SHOULD BE RUNNING WITH CCP BUILT WITH CC5A329. 
          LTN       84/06/05       HVLLCB 
  
 NA5A807  CHANGES FIELD DEFINITION FOR USER DATA LENGTH FROM
          A TWELVE BIT DATA ITEM TO AN EIGHT BIT DATA ITEM. 
          ALSO CHANGE THE DBZ AND ABL FIELDS IN THE INCALL AND
          OUTCALL BLOCKS BACK TO WHAT THEY WERE AT V2.2.
  
          THIS MODSET CAN ONLY BE APPLIED TO VERSION 2.3 NDLP/NVF.
  
          YCY     84/06/04     IBLCF,OBLCF,NDLP2LF
          DKE     84/06/11     NVFAIAP,NVFARAP
 NA5A809  NVF WOULD NOT RECOGNIZE THE FACILITY CODES IN THE INCALL BLOCK. 
          THIS HAPPENED BECAUSE NVF WAS NOT PICKING UP THE CORRECT FIELD
          IN THE INCALL BLOCK FOR THE NUMBER OF FACILITIES, AND NVF 
          ALWAYS THOUGHT THE NUMBER OF FACILITIES WAS ZERO.  TO FIX THIS, 
          CHANGE NVF TO PICK UP THE CORRECT FACILITY NUMBER FIELD IN THE
          INCALL BLOCK. 
          PAM     84/06/14     NVFARAP
 NA5A812   HPGET SHOULD NOT STORE ICT IN ABH BEFORE MAKING SURE THAT
           DATA IS O.K. TO BE SENT. 
           CHANGE ACTION IN HCSTTP TO SEND CR/CB/U WHEN CON/END/R IS
           RECEIVED, TO AVOID THE INCONSISTENCY OF NUMBERS OF ACTIVE
           CONNECTION IN NVF AND HOST SIDE OF NIP (CUURENTLY, NVF CLEANS
           UP CONNECTION WHEN RECEIVES CR/CB/U, AND NIP CLEANS UP 
           CONNECTION WHEN CON/END IS SENT BY APPLICATION.
  
           LTN      84/06/13       HALLOCN,HPGET
  
 NA5A815  PROBLEM - CON/ACRQ REASON CODES THAT NHP ISSUES DO NOT
                    CORRESPOND TO SAME CODES THAT LCN ISSUES. 
          ANALYSIS - NHP CON/ACRQ REASON CODES SHOULD BE CHANGED. 
          SOLUTION - NVF AND NAM HAVE BEEN CORRECTED TO USE NEW REASON
                     CODES IN THE CON/ACRQ/A SUPERVISORY MESSAGES TO
                     CORRESPOND TO WHAT LCN ISSUES. 
          EG     6/11/84    NVFAIAP, NVFARAP, NVFASPC, NVFATAC, NVFAVVP,
                            SMDEF, SMNVF, SMAPDEF. SMAPPL, QTRMNIT, 
                            QTGET 
          LTN    6/18/84    HVLLCB
  
 NA5A816  CHARACTER MODE TRANSLATION TABLE NOW USES FULL ASCII
          CODE SET INCLUDING THE 7TH BIT. NO FOLDING IS DONE
          TO THE PARITY BIT OF THE NETWORK8 CHARACTER.
          YCY        84/06/12        NX$CHAR,NP$N2D 
 NA5A818  ADD *ALTERNATE CATLIST* PARAMETER TO *DEFINE*.
          FIX *MODE* PROCESSING.
          RAM     84/05/22     MACREL,NS$NDF,NDF$NS 
 NA5A820  ADD CODE TO NVF TO SPECIAL CASE PTF, PTFS, QTF, AND QTFS
          WHEN NVF BUILDS THE AST TABLE.  THESE FOUR APPLICATIONS 
          WILL BE REMOVED FROM COMTNAP. 
          PAM     84/06/18     NVFIAST
 NA5A822  PROBLEM - PIP DID NOT PAUSE FOR STORAGE MOVE BEFORE IT
                    ISSUED RPP MONITOR FUNCTION, WHICH RESULTED 
                    IN A SYSTEM HUNG. 
          SOLUTION - PIP SUBROUTINE RLR HAS BEEN CHANGED TO ISSUE 
                     PRL MONITOR FUNCTION TO PAUSE FOR STORAGE
                     RELOCATION BEFORE ISSUEING RPP MONITOR 
                     FUNCTION.
          EG      6/25/84    PIP
 NA5A824  WHEN ACKNOWLEDGE QUEUE IS FULL, NPPCT SHOULD START BSN
          AT 0. 
          ALLOW INTRA-HOST CONNECTION TO HAVE DOWNLINE BLOCK
          WITH ACT 4. THIS SUPPORTS INTRA-HOST PRU FILE TRANFERRING.
          LTN       84/07/13       NPPCT,HPPUT
  
 NA5A826  NVF WAS NOT ENDING AN A-A CONNECTION WHEN THE INITIATING
          APPLICTION FAILED.  WHEN THE FC/INIT FINALLY CAME IN FROM 
          THE CALLED SIDE NVF WENT AHEAD AND SENT THE CR/SWH/R.  AS 
          A RESULT UPON RECEIVING THE CR/SWH/N NVF ABORTED. 
  
          THE SOLUTION WAS TO MOVE THE CHECK OUT FOR THE PENDING
          SWITCH STATE SUCH THAT THE CR/TRM/R WOULD BE SENT AND THE 
          CR/SWH/R WOULD BE PURGED FROM THE WAITING BLOCK QUEUE.
  
          DKE     84/07/03     NVFCCPA
NA5A827   CR/CB/U IS SENT TO NVF WHEN APPLICATION NETS OFF OR FAILS 
          BEFORE CON/END/R IS RECEIVED BY NIP.
          LTN       84/06/20       HCSTTP,XSTTP 
  
 NA5A829  THIS CODE FIXES TWO PROBLEMS: 
          1)  NVF ABORTED AFTER A NET/OFF/N SM WAS SENT.  THIS HAPPENED 
              BECAUSE NVF TRIED TO CLEAN UP THE AST ENTRY TWICE FOR THE 
              NETTED OFF APPL.  CHANGE NVF TO CALL NVFSCAD ONLY ONCE (VIA 
              NVFSFAI). 
          2)  FOUR APPLS WERE MISSING FROM THE AST.  THIS HAPPENED BECAUSE
              NVF DID NOT ALLOCATE ENOUGH SPACE FOR THE AST TO TAKE INTO
              ACCOUNT THE FOUR NEW APPLS, PTF, QTF, PTFS, AND QTFS.  CHANGE 
              NVF TO ALLOCATE ENOUGH AST SPACE FOR FOUR MORE ENTRIES. 
          PAM     84/06/21     NVFIAST,NVFSNOF
 NA5A831  FOR NETGTFL AND NETGETF, NWL$TA SHOULD NOT BE SET IF
          FRAGMENT ARRAY CAN BE FITED INTO NWL AREA.
          LTN       84/07/12       NP$GET 
  
 NA5A832  NVF WAS NOT COMPLETING THE RESPONSE TO A COMMAND SO 
          THAT ANY SUBSEQUENT COMMAND TYPE-INS WOULD NOT BE 
          HONORED.
  
          THE FIX WAS TO CAUSE NVF TO COMPLETE THE COMMAND REPONSE
          WHEN STATUS-ING ALL THE TERMINALS CONNECTED TO AN APPL
          THAT IS 1)REQUEST STARTABLE, 2)HAS MXCOPYS SET GREATER
          THAN ONE, AND 3)HAS NOT YET NETTED ON.
  
          DKE     84/07/06     NVFOPSS
 NA5A833  NVF WAS NOT DISTINGUISHING WHETHER OR NOT AN APPLICATION
          WAS DISABLED OR HAD REACHED MAXIMUM COPIES/CONNECTIONS. 
  
          THIS FIX CAUSES NVF TO SEND THE *BUSY* MESSAGE ONLY IF
          THE MAXIMUM LIMIT IS REACHED. 
  
          DKE     84/07/03     TXTANVF,NVFARAP,NVFASPC,NVFAVVD,NVFTDSP, 
                               NVFUCRS
 NA5A834   FIX DLFP TO INTEPRET NETLOG FOR FORMAT DATA. 
           LTN      84/07/03       DLSCAN 
  
 NA5A836  INTRODUCE NEW STATE IN HCSTTP TO HAVE CR/CB/U SENT TO 
          NVF WITH APPROPRIATE TRIGGERS.
          LTN       84/06/26       XSTTP
  
 NA5A843  PROBLEM - NVF RECEIVED ERR/LGL SM AND ABORTED IN DEBUG MODE.
          ANALYSIS - NVF RECEIVED AN ERR/LGL SM BECAUSE IT HAD SENT A 
                     CR/TRM SM WHEN IT WAS NOT SUPPOSE TO.  NVF HAD 
                     RECEIVED A CR/IAP SM FOLLOWED BY A NET/OFF SM
                     FOR THE SAME APPLICATION THAT INITIATED THE A-A
                     CONNECTION (I.E. TRIGGERED THE CR/IAP SM).  DUE
                     TO THE QUEUING DESIGN OF NVF, THE NET/OFF SM GOT 
                     PROCESSED FIRST BEFORE THE CR/IAP SM.  THIS
                     RESULTED IN NVF ISSUING THE CR/TRM SM.  NIP DID
                     NOT LIKE THE CR/TRM SINCE IT WAS EXPECTING A 
                     CR/IAP/N SM. 
          SOLUTION - THE PROCESSING OF THE QUEUES IN NVF HAVE BEEN
                     CHANGED SO THAT THE CR/IAP SM WILL BE PROCESSED
                     FIRST. 
          EG     7/3/84    TXINNVF
          EG:     84/07/03     TXINNVF
 NA5A844  PROBLEM - NIP ABORTED WITH STATE TABLE ERROR (STATE 1,
                    TRIGGER 2). 
          ANALYSIS - NIP ABORTED BECAUSE NVF HAD SENT A CR/SWH SM 
                     WHEN IT WAS NOT SUPPOSE TO.  NVF HAD CREATED 
                     A CR/SWH SM WHEN IT PROCESSED A CR/IAP SM. 
                     THE CR/SWH SM WAS SAVED IN THE WAITING BLOCK 
                     QUEUE.  THE APPLICATION THAT INITIATED THE 
                     A-A CONNECTION TERMINATED.  WHEN NVF PROCESSED 
                     THE NET/OFF SM FROM NIP, IT ADDED A CR/TRM SM
                     TO THE WAITING BLOCK QUEUE AND STARTED A 
                     TIMER.  WHEN THE TIMER EXPIRED, NVF EXTRACTED
                     A ENTRY IN THE WAITING BLOCK QUEUE FOR THAT
                     CONNECTION ASSUMING IT WAS THE CR/TRM SM.
          SOLUTION - NVF HAS BEEN CORRECTED TO REMOVE THE CR/SWH FROM 
                     THE WAITING BLOCK QUEUE IF IT QUEUES A CR/TRM SM.
          EG     7/3/84    NVFCCPA
          EG:     84/07/03     NVFCCPA
 NA5A846  MONITOR CALL ERROR -- DURING A-A CONNECTION ESTABLISH-
          MENT, APPLICATION THAT SENT CON/ACRQ/R FAILED AND AT THE
          SAME TIME LOGICAL LINKS WENT DOWN. BEFORE NIP SENDS 
          CON/ACRQ/A TO APPLICATION, IT CHECKS IF APPLICATION STILL 
          THERE OR NOT. 
          LTN       84/06/29       HCSTTP 
  
 NA5A848  DLFP SETS END TIME TO NETON TIME IF SPECIFIED ENDTIME IS
          LESS THAN NETON TIME. 
          LTN       84/07/11       DLSCAN,DLREP 
  
 NA5A853  PROBLEM - NVF DOES NOT ROLLOUT WHEN THERE IS NO DATA FOR IT.
          ANALYSIS - THE FORCED ROLLOUT FLAG AND THE COUNTER OF NUMBER
                     OF NULL NETGETS ALLOWED OVERLAP EACH OTHER.  ALSO
                     THE FORCED NETWAIT TIME IS TOO SMALL.
          SOLUTION - THE FORCED NETWAIT TIME HAS BEEN INCREMENTED AND 
                     THE FORCED ROLLOUT FLAG FIELD HAS BEEN CHANGED TO
                     NOT OVERLAP WITH THE NULL NETGET COUNTER.
          EG     07/15/84    TEXTSS 
 NA5A854  PROBLEM - PIP TIMED OUT A FILE TRANSFER FROM SVL TO ROSEVILLE.
          ANALYSIS - PIP UPDATES ITS TIMER ONLY WHEN IT RECEIVES A MSG, 
                     CMD, OR QMSG BLOCK FROM THE NETWORK.  FOR A FILE 
                     TRANSFER WITH NO CHECKMARKING, PIP WILL NOT RECEIVE
                     ANY OF THESE BLOCK TIMES UNTIL AFTER THE FILE IS 
                     COMPLETELY TRANSFERRED.  FOR A LARGE FILE, THIS
                     CAUSED PIP TO TIMEOUT THE FILE TRANSFER. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ALSO UPDATE ITS TIMER
                     WHEN IT RECEIVES A BACK BLOCK FROM THE NETWORK.
          EG     7/5/84      PIP
 NA5A857  PROBLEM - PIP PROCESSED NPU STATUS WORD THAT IT WAS SUPPOSE TO
                    IGNORE. 
          ANALYSIS - THE NPU THAT WROTE THE STATUS WORD WAS ON THE SAME 
                     CHANNEL AS THE PREVIOUS NPU THAT PIP HAD BEEN
                     COMMUNICATING WITH.  PIP DOES NOT READ UP AND
                     IGNORE THE NPU STATUS WORD IN THIS CASE. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ALWAYS READ UP AND IGNORE
                     THE NPU STATUS WORD IF IS LOADED WHEN PIP FIRST
                     COMMUNICATES WITH A NPU IRREGARDLESS OF WHETHER THE
                     NPU IS ON THE SAME CHANNEL OR A DIFFERENT ONE. 
          EG     07/05/84    PIP
 NA5A858  PIP MAY FAIL TO ACKNOWLEDGE INITIALIZATION REQUEST IN TIME. 
  
          PIP SENDS INITIALIZATION REQUEST ACKNOWLEDGEMENT PP ORDER 
          WORD ONE FULL CYCLE LATER AFTER IT RECEIVES INITIALIZATION
          REQUEST NPU STATUS WORD.
          SAM MAY HAVE TIMED OUT THE REQUEST WHEN PIP RESPONDS. 
  
          PIP WILL SENDS ACKNOWKEDGEMENT IMMEDIATELY AFTER IT SENSES
          THE REQUEST.
  
          SW     84/06/08    PIP
 NA5A859  LEVEL 7 HEADER FOR PRU A-A HAS INCORRECT CHARACTER COUNT. 
  
          LEVEL SEVEN HEADER FOR PRU A-A GENERATED BY PIP HAS THE 
          TEXT CHARACTER COUNT THAT INCLUDES THE HEADER ITSELF. 
          IT SHOULD BE MESSAGE TEXT CHARACTER COUNT.
  
          SW     84/05/29    PIP
 NA5A860  FIX CPU ERROR EXIT DUE TO ACNB POINTER NOT BEING SET
          CORRECTLY.
          LTN       84/07/06       HCSTTP 
  
 NA5A861  PROBLEM - PIP ABORTED NAM WITH PIP ERROR 034. 
          ANALYSIS - PIP RECEIVED TWO REG/CP RESPONSES FROM NIP.
                     NPREGCP SENT A REG/CP RESPONSE TO PIP WHEN 
                     IT THOUGH IT HAD CLEANED UP ALL THE LOGICAL
                     LINKS.  NPPCT ALSO SENT A REG/CP RESPONSE
                     WHEN IT HAD CLEANED UP ALL THE PRU CONNECTIONS 
                     AND RELEASED THE LAST LOGICAL LINK THROUGH 
                     THE DOWNED COUPLER.
          SOLUTION - NPREGCP HAS BEEN CORRECTED TO NOT SENT THE 
                     REG/CP RESPONSE IF IT HAD NOT CLEANED UP ALL 
                     LOGICAL LINKS. 
          EG     07/06/84    NPREGCP
 NA5A862  NVF ABORTS IF ON AN A-A CONNECTION THE REQUESTING APPL
          NETS OFF OR FAILS AT THE SAME TIME NVF SWITCHES THE CONNECTION
          TO THAT APPLICATION.
  
          THIS DELETES THE CODE TO ABORT IF A CR/SWH/N COMES IN AND 
          THERE IS NO PAAC ENTRY FOR IT.
  
          DKE     84/07/10     NVFASWN
 NA5A863  NVF ABORTED WHEN AN APPLICATION NETTED ON AT THE SAME 
          TIME AS THE TIMER FOR THAT SAME APPLICATION HAD EXPIRED.
          WHEN NVF WENT TO CANCEL THAT TIMER REQUEST IT ABORTED 
          WHEN IT COULD NOT FIND IT.
  
          THIS FIX CAUSES NVF TO MERELY IGNORE THE CASE WHERE THE 
          TIMER REQUEST COULD NOT BE FOUND. 
  
          DKE     84/07/10     NVFASPC
 NA5A866  THIS IDENT SETS CHECKMARK WINDOW SIZE TO BE ZERO IN THE 
          PRUON RERQUEST WHEN NO CHECKMARKING FACILITY IS USED. 
          WHEN PIP RETURN XFTIER WITH REASON CODE 2, AIP SENDS
          ES(E) AND GETS ER(E) TO COMPLETE THE ERROR EXIT PROTOCOLS.
          YCY     84/07/12     NP$STPR,NP$SMSG
 NA5A867  PROBLEM - NIP FAILED WITH I/O SEQUENCE ERROR ON FILE XXXX AT
                    YYYYYY. 
          ANALYSIS - NIP HAD ISSUED A RETURN CIO FUNCTION FOR AN A-A
                     FILE TRANSFER FILE.  1MS FOUND THE FTN BUSY AND
                     ABORTED NIP.  THE FNT WAS BUSY BECAUSE PIP HAD AN
                     CIO CALL OUTSTANDING TO WRITE DATA TO THE FILE.
                     BECAUSE OF A BLOCK PROTOCOL ERROR, PIP HAD DIRECTED
                     NIP TO TERMINATE THE A-A FILE TRANSFER.  IN DOING
                     SO, NIP ISSUED THE RETURN FUNCTION AFTER RECEIVING 
                     AN ACKNOWLEDGEMENT FROM PIP TO TERMINATE PRU 
                     PROCESSING.  PIP ACKNOWLEDGED THE TERMINATE PRU
                     WORKLIST WITHOUT CHECKING FOR OUTSTANDING CIO
                     CALLS. 
          SOLUTION - PIP HAS BEEN CORRECTED TO WAIT FOR ALL OUTSTANDING 
                     CIO REQUESTS TO BE PROCESSED BEFORE PROCESSING THE 
                     TERMINATE PRU TRANSFER WORKLIST FROM NIP.
          EG     07/15/84    PIP
 NA5A869  PROBLEM - NPU USERS GOT NO RESPONSE.
          ANALYSIS - AN A-A FILE TRANSFER HAD TERMINATED ABNORMALLY 
                     WHILE CCP STILL HAD A PRU BLOCK TO BE SENT UPLINE. 
                     BECAUSE PIP HAD NO MORE PRU BUFFERS, PIP REJECTED
                     THE UPLINE INPUT.  PIP THEN REQUESTED A PRU BUFFER.
                     HOWEVER, THE BUFFER GOT RELEASED BECAUSE PIP HAD 
                     NO MORE PRU CONNECTIONS.  WHEN CCP TRIED TO SEND 
                     THE PRU BLOCK UPLINE AGAIN, PIP AGAIN REJECTED IT
                     FOR THE SAME REASON. 
          SOLUTION - PIP HAS BEEN CORRECTED TO NOT RELEASE PRU BUFFERS
                     BECAUSE IT HAS NO PRU CONNECTIONS.  ALSO, THE
                     COUNTER OF CYCLES WITH NO BUFFER OVERRUN HAS BEEN
                     CONVERTED TO A 2 SECOND TIMER. 
          EG     07/15/84    PIP
 NA5A870  ADD ITEM DEFINITIONS FOR THE OUTCALL PARAMETERS THAT MAY
          BE SUPPLIED BY AN APPLICATION ON THE CON/ACRQ AND CR/IAP
          SUPERVISORY MESSAGES.  ALSO, INCREASE THE MAXIMUM SIZE OF 
          THE SM BUFFER TO 100 WORDS. 
          PAM     84/07/16     SMAPPL,SMNVF,TXTSMCS,TXTAPSS,TXSMNVF,
                               TEXTSS,NVFAIAP 
 NA5A871  PROBLEM - PIP CALLS TOO MANY COPIES OF 1DL IN A BUSY SYSTEM.
          ANALYSIS - PIP DOES NOT ISSUE A PRIORITY REQUEST FOR 1DL. 
                     THE REPLY BYTE RETURNED WAS NONZERO, PIP ASSUMED 
                     1DL HAD BEEN LOADED INTO A PP, WHEN IT FACT, THE 
                     PP REQUEST HAD ONLY BEEN QUEUED.  PIP TIMED OUT
                     1DL AND THEN REISSUED THE REQUEST.  THIS OCCURRED
                     OVER AND OVER AGAIN UNTIL 1DL WAS FINALLY LOADED 
                     INTO A PP. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ISSUE A PRIORITY REQUEST 
                     FOR 1DL. 
          EG     07/15/84    PIP
 NA5A881  PROBLEM - FILE TRANSFERRED TO ANOTHER HOST VIA PTF AND NAM HAD
                    EXTRA EOF RECORD AT THE END.
          ANALYSIS - PIP WAS CONVERTING THE EOI FLAG INTO A WRITEF CIO
                     FUNCTION.
          SOLUTION - PIP HAS BEEN CORRECTED TO NOT USE THE EOI FLAG TO
                     DETERMINE THE TYPE OF WRITE CIO CALL TO ISSUE. 
          EG     07/19/84    PIP
 NA5A883  PROBLEM - NVF ABORTED WITH THE MESSAGE "NVFDDNT - SM NOT
                    ROUTED".
          ANALYSIS - NVF RECEIVED A REPEAT CR/IAP/R AND A NET/OFF/R 
                     AT THE SAME TIME.  NVF PROCESSED THE NET/OFF/R 
                     SM FIRST, AND SENT OUT A CR/TRM.  NIP WAS
                     EXPECTING A CR/IAP/N, NOT A CR/TRM, AND SO NIP 
                     SENT AN ERR/LGL SM TO NVF. 
          SOLUTION - ADD CODE IN NVF TO NOT SEND OUT THE CR/TRM UNTIL 
                     AFTER THE CR/IAP/R SM HAS BEEN PROCESSED.  ALSO
                     ADD CODE TO NIP TO ACCEPT A CR/TRM BEFORE A
                     CR/IAP/N.
          PAM     84/08/13     NVFSNOF,NVFADQE,TXTANVF,NVFAIAP,NVFSFAI, 
                               NVFAFAI,STATTBL
 NA5A884  CS HAS FAILED AND THERE IS AN SM FOR IT.  NEIB1 DOES NOT CHECK
          IF THE CS/NS APPLICATION IS STILL THERE OR NOT.  NOW NEIB1
          CHECKS FOR THE APPLICATION BEFORE LINKING MESSAGE.
          LTN       84/07/24       NEIB1
  
 NA5A887  PROBLEM -  NIP DID NOT SWAPIN NVF AFTER NVF ISSUED A 3 SECOND 
                     FORCED NETWAIT.  NVF STAYED ROLLED OUT AND THE 
                     NUMBER OF MESSAGES QUEUED FOR NVF WAS CONSTANTLY 
                     GROWING. 
          ANALYSIS - NIP HAD PREVIOUSLY TRIED TO UPDATE AIP-S DATA
                     AVAILABLE WORD IN NVF.  IN RESPONSE TO THE SF.WRITE
                     SCP FUNCTION, NIP GOT A RETURN CODE 44 WHICH 
                     INDICATED NVF WAS SWAPPED OUT.  NIP THEN ISSUED A
                     SWAPIN FUNCTION FOR NVF.  BEFORE NIP PROCESSED THE 
                     SWAPIN COMPLETION, NIP GOT A NWL WORKLIST FROM NVF 
                     WITH A FORCED NETWAIT ENTRY.  NIP PROCESSED THE
                     FORCED NETWAIT ENTRY AND SWAPPED OUT NVF.  NIP 
                     FINALLY GOT AROUND TO PROCESSING THE SWAPIN
                     COMPLETION AND CLEARED THE SWAPPED OUT FLAG.  THIS 
                     CAUSED NIP TO NOT CHECK FOR THE EXPIRATION OF THE
                     NETWAIT TIME.
          SOLUTION - HHIR IN NIP HAS BEEN CORRECTED TO CHECK FOR A
                     SWAPIN REQUEST OUTSTANDING WHEN IT PROCESSES A NWL 
                     WORKLIST FROM AN APPLICATION.  IF THERE IS ONE,
                     NIP WILL GO INTO RECALL WAITING FOR THE SWAPIN 
                     TO COMPLETE.  IT WILL THEN CLEAR THE SWAPIN FLAGS
                     SO XSACB WILL NOT BE PROCESSING A SWAPIN 
                     COMPLETION.
          EG     08/15/84    HHIR 
 NA5A889  THIS IDENT GETS RID OF THE EXTRA EOF AT THE EOI OF THE
          FILE AT THE END OF A CHARACTER MODE FILE TRANSFER.
          YCY     84/07/25     NP$RECV
 NA5A891  PROBLEM - LOC2 AND LOC3 NPUS HAD PRU BLOCKS TO SENT TO THE
                    HOST.  PIP WAS REJECTING THESE PRU BLOCKS BECAUSE 
                    IT COULD NOT GET ANY MORE PRU BUFFERS FROM NIP.  NIP
                    WAS NOT ALLOCATING ANY MORE PRU BUFFERS BECAUSE NIP 
                    THOUGH IT HAD ALREADY ALLOCATED THE MAXIMUM NUMBER
                    ALLOWED.
          ANALYSIS - THE MAXIMUM ALLOWED WAS 4.  THE NIP DUMP SHOWED
                     4 PRU BUFFERS HAD BEEN ALLOCATED BUT ONLY ONE
                     ACTUALLY EXISTED.  THIS WAS DUE TO A BUG IN NIP
                     WHERE IT WOULD RELEASE PRU BUFFERS WITHOUT UPDATING
                     THE COUNTER OF NUMBER OF BUFFERS ALLOCATED.  THE 
                     REMAINING PRU BUFFER THAT DID APPEAR IN THE DUMP 
                     BELONGED TO NO ONE, I.E. NEITHER NIP NOR PIP HAD 
                     OWNERSHIP OF IT.  THIS WAS DUE TO A BUG IN PIP 
                     WHERE IT HAD DELINKED A BUFFER FROM ITS LIMBO
                     QUEUE AND THEN DETECTED AN ERROR WHILE IT WAS
                     INPUTING THE PRU BLOCK FROM CCP.  THIS RESULTED
                     IN PIP JUMPING INTO ERROR PROCESSING AND FORGETING 
                     ABOUT THE PRU BUFFER THAT IT HAD DELINKED. 
          SOLUTION - NPRLB IN NIP HAD BEEN CORRECTED TO UPDATE THE
                     COUNTER OF PRU BUFFERS ALLOCATED EVERY TIME IT 
                     RELEASES A PRU BUFFER.  IPD IN PIP HAS BEEN
                     CORRECTED TO DELINK THE PRU BUFFER FROM ITS LIMBO
                     CHAIN ONLY IF IT SUCCESSFULLY INPUTS THE PRU 
                     BLOCK FROM CCP.
          EG     07/25/84    PIP,NPRLB
 NA5A894  PROBLEM  - NVF WAS SELECTING AN OUTCALL TO A PID IF THE 
                     CON/ACRQ/R ONLY HAD THE LID SPECIFIED AND IF 
                     THAT LID WAS DEFINED AS STORE-AND-FORWARD FOR
                     THE PID. 
          ANALYSIS - NVF WAS CHECKING FOR THE STORE-AND-FORWARD 
                     ATTRIBUTE ON SECOND AND SUBSEQUENT PIDS, BUT NOT 
                     ON THE FIRST PID, IF ONLY THE LID WAS SPECIFIED. 
          SOLUTION - IF ONLY THE LID IS SPECIFIED IN THE CON/ACRQ/R,
                     NVF WILL CHECK FOR THE STORE-AND-FORWARD ATTRIBUTE 
                     ON ALL PIDS. 
          PAM     84/08/14     TEXTNVF,NVFAIAP
 NA5A895  A PRU APPLICATION FAILURE FOLLOWED BY A LLINK FAILURE,
          HOST SIDE CONNECTION BLOCK NEVER GOT RELEASED WHILE ACB AND 
          ACNT ASSOCIATED ARE GONE. WHEN GARBAGE COLLECTION MOVES THIS
          ACNB, IT CAUSES CPU ERROR EXIT. 
          SOLUTION: WHEN LLINK TRIGGER COMES TO HCSTTP, CR/RCN/R WILL BE
          SENT TO NVF FOLLOWED BY CR/CB/U ( ASSUMINGLY, NVF WILL IGNORE 
          THIS SM).  WHEN NVF RESPONDS WITH CR/TRM/R (FOR A-A CONN), NIP
          WILL CLEAN UP THE ACNB. 
          LTN     84/08/07     STATTBL,STBLDEF,XSTTP,HCSTTP 
 NA5A896  THIS IDENT CHANGES NAM NETXFR REASON CODE 15, 16 AND 17 
          TO 21, 22 AND 23 RESPECTIVELY.
          IT ALSO REMOVES SETTING ACN IN THE DAYFILE MESSAGE AND
          FOR A DEBUG SYSTEM, IT OUTPUTS DAYFILE MESSAGE TO BOTH
          USER DAYFILE AND B DISPLAY WHEREAS FOR A NONDEBUG 
          SYSTEM IT OUTPUTS DAYFILE MESSAGE TO B DISPLAY ONLY.
          YCY     84/08/03     COM$XRC,NX$ACBX,NX$MSG,NETXFR,NP$XCMP
 NA5A898  NIP ASSIGNS REASON CODE IN NET/ON/A TO BE 1 WHEN BLDACB FINDS 
          DUPLICATE NAME IN AT. 
          LTN       84/08/16       HPNON
  
 NA5A904  PROBLEM - AIP PROCESSED A STOP MSG FROM MFLINK THAT WAS 
                    INTENDED FOR PTFS TO PROCESS.  THIS RESULTED IN 
                    AIP GENERATING AN ILLEGAL TRIGGER DAYFILE MESSAGE 
                    AND THE FILE TRANSFER TO BE ABORTED.
          ANALYSIS - DUE TO A TIMING PROBLEM IN AIP, AIP DID NOT PROCESS
                     A FC/ACK SUPERVISORY MESSAGE THAT WAS QUEUED FOR 
                     IT.  PROCESSING THE FC/ACK WOULD HAVE CAUSED AIP 
                     TO COMPLETE PROCESSING THE NETXFER CALL AND RETURN 
                     CONTROL BACK TO PTFS.  PTFS WOULD HAVE THEN
                     RECEIVED THE STOP MSG INSTEAD OF AIP.
          SOLUTION - NETXFRC HAS BEEN CORRECTED TO NOT ISSUE A NETGETL
                     UNLESS THE DATA AVAILABLE FLAG IS SET AND THE
                     SUPERVISORY MESSAGE AVAILABLE FLAG IS CLEARED. 
          EG     07/31/84    NETXFRC,NETXFR 
 NA5A913  IF DURING A-A CONNECTION ESTABLISHMENT, AFTER TIMEOUT HAS 
          REACHED, CON/CB/U WILL BE SENT TO NVF OR FC/INACT/SM WILL 
          BE SENT TO APPLICATION. 
          LTN       84/08/08       XSTTP,XCHKPCR
  
 NA5A914  PROBLEM - RBF ABORTED WHEN IT RECEIVED A NONZERO RETURN CODE
                    FROM DSP WHEN IT TRIED TO ROUTE A JOB TO THE INPUT
                    QUEUE.
          ANALYSIS - DSP RETURNED A NONZERO RETURN CODE TO RBF BECAUSE
                     THE INPUT JOB WAS EMPTY.  NO DATA HAD BEEN WRITTEN 
                     TO THE FILE. THIS WAS BECAUSE
                     PIP HAD ISSUED A CIO WRITE FUNCTION FOR
                     LESS THAN ONE PRU OF DATA. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ISSUE A WRITER CIO 
                     FUNCTION IF EOI HAS BEEN DETECTED FOR THE INPUT
                     FILE AND IT IS NOT AN APP-APP CONNECTION.
          EG     08/08/84    PIP
 NA5A922  PROBLEM - PIP DETECTED A BLOCK PROTOCOL ERROR 90. 
          ANALYSIS - THE CONNECTION WAS IN STREAM STATE 19.  PIP
                     RECEIVED A BACK FROM CCP FOR THE FT/ON SUP 
                     MSG.  THIS WAS TREATED AS AN BLOCK PROTOCOL
                     ERROR BECAUSE PIP WAS NOT EXPECTING THE BACK 
                     FOR THE FT/ON SUP MSG. 
          SOLUTION - PIP HAS BEEN CORRECTED TO ACCEPT A BACK WHEN 
                     IN STATE 19. 
          EG     08/09/84    PIP
 NA5A924  NAMI DOES NOT ROUTE CORRECTLY JOBS WHICH GET
          NON-OWNED QUEUE FILES.
  
          SOME JOBS, OTHER THAN SUBSYSTEMS (E.G. PSU, QTF), 
          MUST GET NON-OWNED QUEUE FILES.  NAMI MUST ROUTE
          THESE JOBS SO THIS CAN BE ACCOMPLISHED. 
  
          SET OWNER USER NAME IN DSP CALL BLOCK TO
          SYSTEMX FOR SYOT JOBS AS WELL AS SUBSYSTEMS.
  
          RWH            8/13/84        NMI=RTE 
  
 NA5A905  PROBLEM - AIP TIMED OUT FILE TRANSFER WAITING FOR FC/ACK SUP
                    MSG.
          ANALYSIS - THE NIP TRACE FILE SHOWED NIP RECEIVED THE BACK. 
                     HOWEVER, NEITHER THE AIP TRACE NOR THE GETSM DEBUG 
                     BUFFER IN NIP SHOWED A FC/ACK SUP MSG DELIVERED
                     TO AIP.  ANALYSIS OF THE NIP CODE WHICH CONVERTS 
                     THE NCNB BACK INTO A PCNB EXPOSED A BUG WHICH
                     COULD CAUSE THIS CONDITION.  NIP COPIES THE
                     OUTSTANDING BACK COUNT FROM THE NCNT ENTRY BEFORE
                     INTERLOCKING PIP.  THIS MEANS THAT THERE IS A
                     WINDOW WHERE IF PIP PROCESSES A BACK FOR THAT
                     CONNECTION AFTER NIP HAS COPIED THE OUTSTANDING
                     BACK COUNT, NIP WILL CREATE AN ACKNOWLEDGE QUEUE 
                     TABLE WITH A BAD IN POINTER.  THIS WILL CAUSE
                     NIP TO DISCARD A BACK INTENDED FOR AIP.
          SOLUTION - NPPCT HAS BEEN CORRECTED TO REQUEST THE NIP/PIP
                     INTERLOCK BEFORE IT CREATES THE ACKNOWLEDGE QUEUE
                     TABLE. 
          EG     08/05/84    NPPCT
 NA5A908  NIP WILL IGNORE LOGICAL LINK FAILURE TRIGGER RIGHT AFTER
          PIP BROKE PRU CONNECTION WITH PWL OP = 6. 
          LTN       08/06/84       XSTTP
  
 NA5A909  PROBLEM - AIP TIMED OUT FILE TRANSFER WAITING FOR FC/ACK SUP
                    MSG.
          ANALYSIS - NIP HAD DISCARDED THE BACK THAT WAS TO GENERATE THE
                     FC/ACK SUP MSG.  THIS WAS BECAUSE NIP THOUGHT THE
                     BACK WAS FOR A BLOCK THAT PIP HAD SENT TO CCP. 
                     THE BACK FOR THE BLOCK THAT PIP HAD SENT TO CCP
                     HAD BEEN DISCARDED BY THE PIP AT THE OTHER HOST. 
                     PIP AT THE OTHER HOST DISCARDED THE BACK BECAUSE 
                     THE BACK WAS IN THE IVT OUTBOUND CHAIN AND THE 
                     CONNECTION WAS A PRU CONNECTION.  WHEN AN IVT
                     CONNECTION BECOMES A PRU CONNECTION, PIP ASSUMES 
                     RESPONSIBILITY FOR ALL NETWORK TRAFFIC ON THAT 
                     CONNECTION AND REJECTS ANY DOWNLINE NETWORK
                     TRAFFIC NOT GENERATED BY ITSELF.  NIP HAD QUEUED 
                     THE BACK IN THE IVT OUTBOUND CHAIN BEFORE THE
                     CONNECTION HAD BEEN SWITCHED TO A PRU CONNECTION.
                     HOWEVER, PIP DID NOT PROCESS THIS ENTRY IN THE 
                     IVT OUTBOUND CHAIN UNTIL AFTER THE CONNECTION WAS
                     SWITCHED INTO A PRU CONNECTION.
          SOLUTION - NIP HAS BEEN CORRECTED TO CREATE A NEW DATA
                     STRUCTURE WHEN IT PROCESSES A PRU/ON SUP MSG.  THE 
                     NEW DATA STRUTURE WILL BE A PCNB WITH A NEW BLOCK
                     ID.  AT THE SAME TIME NIP WILL ALSO CREATE A NEW 
                     DOWNLINE BLOCK AND QUEUE IT TO THE IVT OUTBOUND
                     CHAIN.  WHEN NIP RELEASES THE PROCESSED IVT
                     OUTBOUND CHAIN ENTRIES, IT WILL CHECK FOR THIS 
                     NEW DOWNLINE BLOCK.  IF IT IS ONE, THEN THE
                     NEW DATA STRUCTURE WILL BE CONVERTED INTO A
                     PCNB.  PIP HAS BEEN CORRECTED TO ACCEPT THIS 
                     NEW DOWNLINE BLOCK TYPE IN THE IVT OUTBOUND
                     CHAIN AND BYPASS IT.  PIP HAS ALSO BEEN CORRECTED
                     TO ACCEPT THE NEW DATA STRUCTURE IN THE PRU
                     CONNECTION RING AND IGNORE IT THERE ALSO.
          EG     08/14/84    PIP
          LTN    08/14/84    HPRUON, XEXEC, MISDEF, HPPUT, MGBGCLT, 
                             NCSTTP, NPPWL, HPRUSM
 NA5A929  PROBLEM  - NIP ABORTED WITH ERROR MESSAGE NIP/SCP ERROR 
                     RC=63B,JOBID= .
          ANALYSIS - THE APPLICATION APPL119 HAD FAILED AND NIP WAS 
                     WAITING FOR A FAIL/APPL/N RESPONSE FROM NVF. 
                     NIP RECEIVED A CR/IAP/A FROM NVF AND QUEUED A
                     CON/ACRQ/A FOR THE APPLICATION.  WHEN IT DOES
                     THIS, IT CALLS OSCHAPP TO SWAPIN THE FAILED
                     APPLICATION.  THE SWAPIN REQUEST RECEIVED A
                     SCP RC=63B FROM NOS. 
          SOLUTION - OSCHAPP HAS BEN
                     A SCP SWAPIN FUNCTION IF THE APPLICATION HAS 
                     FAILED OR NETTED OFF.
          EG     08/20/84    OSCHAPP
 NA5A931   NIP SHOLUD RETURN FILE BACK TO APPLICATION WHEN CON/CB/U 
           IS SENT TO APPLICATION.
           LTN      84/08/16       NPPCT
  
 NA5A933  AIP ABORTED WITH RC=45 WHEN THE APPL NETTED OFF IF THE
          NETXFR FAILED.
          NETXFR ONLY UPDATES THE NUMBER OF XFR CONNECTIONS WHEN
          EVERY VALIDATION IS O.K.
          LTN        84/08/17        NETXFR 
  
 NA5A934  NDLP SHOULD NOT ENCODE UBZ THAT THE USER SPECIFIES ON 
          INCALL AND OUTCALL STATEMENTS AS MULTIPLES OF 100 SINCE 
          WHAT THE USER SPECIFIES IS ALREADY A MULTIPLE OF 100. 
          YCY     84/08/20     NDLP2LF,NDLLIST,NDLCKRG
 NA5A939   PROBLEM - MFLINK CONNECTION SITS IN AIP AND DOES NOTHING.
           THIS PROBLEM WAS INTRODUCED BY NA5A909, WHEN THERE IS ONLY ONE 
           BUFFER IN THE PIP OUTBOUND CHAIN, AND THIS BUFFER HAS THE
           SPECIAL BUFFER ID, THEN THE CONNECTION WILL NOT BE FULLY 
           CONVERTED TO PCNB UNTIL THERE IS ANOTHR OUTBOUND BUFFER LINKED 
           IN.
           LTN      84/08/20       XEXEC
  
 NA50133  NVF WAS STAYING AT A CONTROL POINT BECAUSE A LINE HAD 
          DATA QUEUED ON IT AND LIST WAS TEMPORARILY OFF ON THAT
          CONNECTION.  FURTHER MORE BECAUSE OF CERTAIN CONDITIONS 
          MESSAGES WERE NOT BEING ACK-ED BY THE NPU SO THE LINE WAS 
          NEVER BE DISCONNECTED BY NVF BECAUSE THE OUTSTANDING BLOCK
          COUNT WOULD NEVER GO TO ZERO.  NVF WOULD BE STUCK AT A
          CONTROL POINT FOREVER.
  
          THIS MODSET ADDS CODE TO ADD AN ADDITIONAL TIMER SO THAT IF 
          THE OUTSTANDING BLOCK COUNT NEVER WENT TO ZERO THE CONNECTION 
          WOULD BE BROKEN ANY WAY.
  
          DKE     84/06/11     TEXTNVF,NVFCCPA,NVFCUFS
 NA50138  CS REPORTS CPU THRESHOLD AT ONE TENTH THE SPECIFIED LEVEL 
  
          PROBLEM - CS IS SENDING ALM/OP MESSAGES INDICATING THAT AN
                    NPU HAS EXCEEDED ITS CPU UTILIZATION THRESHOLD
                    EVEN THOUGH IT HAS NOT. THIS IS DUE TO THE FACT 
                    THAT THE NPU REPORTS ITS CPU LOAD IN UNITS OF 
                    TENTHS OF A PERCENT, BUT CS IS NOT TAKING THIS
                    INTO ACCOUNT WHEN CHECKING THE REPORTED VALUE 
                    AGAINST THE THRESHOLD IN UNITS OF PERCENT FROM
                    THE CS CONTROL STATEMENT. 
  
          SOLUTION- MULTIPLY THE THRESHOLD OBTAINED FROM THE CONTROL
                    STATEMENT BY TEN BEFORE COMPARING IT TO THE VALUE 
                    REPORTED BY THE NPU.
  
          RAC                84/05/24              CSESES 
  
 NA50210  THIS IDENT FIXES THE PROBLEM THAT NDLLIST WAS 
          NOT CORRECTLY SEARCHING FOR THE BEGINNING OF THE LINE 
          CONFIGURATION TABLE.
          THE LINELST PROCEDURE IN NDLLIST IS NOW CHANGED TO
          ONE THAT LOCATES THE BEGINNING OF THE NODE TABLE
          AND FROM THAT POINT IT SKIPS FIVE TABLES PRECEDING
          THE LINE CONFIGURATION TABLE USING THE ENTRY COUNT OF 
          EACH TABLE TO ADVANCE THROUGH THE NCB.
          YCY     84/06/25     NDLLIST
 NA50212  LLCBWOF FLAG SHOULD BE CLEARED IN NPREGLL ONLY WHEN NO MORE 
          PRU CONNECTIONS ASSOCIATED WITH THIS LLINK ARE OUTSTANDING. 
          LTN       84/07/18       NPREGLL
  
 NA50215  NDLP SHOULD ALLOW CSET=ASCII AND TC=X364/752
          TO COEXIST. 
          YCY     84/07/09     NDLNFCM
 NA50241  PROBLEM  - PASSIVE DEVICES DEFINED WITH ALL MANDATORY 
                     AUTO-LOGIN PARAMETERS AND AUTO-CONNECT ARE 
                     DISCONNECTED IF THE MANDATORY APPLICATION IS 
                     NOT PRESENT AT INITIAL LOGIN TIME, OR FAILS
                     AFTER A CONNECTION HAS ALREADY BEEN ESTABLISHED. 
          ANALYSIS - CCP CLEARS THE AUTOCON FLAG UNDER CERTAIN
                     CONDITIONS, AND ONCE THIS HAPPENS, THE DEVICE
                     WILL NEVER BE RECONNECTED UNLESS THE LINE IS 
                     DISABLED AND RE-ENABLED, OR UNLESS THE NETWORK 
                     IS RESTARTED.
          SOLUTION - IF, ON AN INITIAL CONNECTION REQUEST, THE SWITCH 
                     TO THE APPLICATION CANNOT BE MADE, OR IF THE 
                     APPLICATION SHOULD FAIL AFTER THE CONNECTION IS
                     SWITCHED, NVF SHOULD CHECK IF THIS IS A CONSOLE
                     DEVICE TYPE WITH ALL MANDATORY LOGIN PARAMETERS
                     AND IF SO, SHOULD START A 30-SECOND TIMER AFTER
                     WHICH TIME ANOTHER SWITCH SHOULD BE ATTEMPTED. 
          PAM     84/08/21     NVFTCRN,NVFTDAD,NVFTINA,TXTANVF,NVFTRVD, 
                               NVFTRCN
 NA5A942  PROBLEM -  PIP TERMINATED PRU FILE TRANSFER WITH BLOCK
                     PROTOCOL ERROR 91. 
          ANALYSIS - PIP WAS TOLD TO EXPECT A 1 PRU BLOCK FROM CCP.  THE
                     BLOCK RECEIVED WAS ACTUALLY LARGER THAN 1 PRU.  CCP
                     CALCULATED THE BLOCK SIZE BASED ON THE VALUE OF THE
                     TRANSPARENT BIT IN THE DBC.  SINCE PIP DOES NOT SET
                     THIS BIT FOR PRU FILE TRANSFERS, CCP CALCULATED THE
                     WRONG SIZE.
          SOLUTION - PIP HAS BEEN CORRECTED TO SET THE TRANSPARENT BIT
                     IN THE DBC FOR ALL FILE TRANSFERS. 
          EG     08/30/84    PIP
 NA5A946  IF NIP GETS NCSTTP STATE TABLE ERROR IN NON-DEBUG SYSTEM, THIS
          A-A CONNECTION WILL BE HUNG IN PRU MODE, AND LOGICAL LINK 
          WILL NEVER BE RELEASED. 
          LTN       84/08/28       XSTTP
  
 NA5A947  THIS IDENT MAKES SURE THAT WHENEVER A TIMEOUT 
          TRIGGER IS GENERATED FOR PRU OR CHARACTER MODE
          SENDER AND RECEIVER,NETXFR WILL GENERATE
          DAYFILE MESSAGE "TIMEOUT WAITING FOR NETWORKING"
          AND RETURN CONTROL TO MFLINK OR QTF.
          YCY     84/08/29     NP$STTP
 NA5A953  PROBLEM  - REMOTE BATCH INPUT JOB ABORTED WITH INVALID USER 
                     NAME/PASSWORD. 
          ANALYSIS - PIP HAD RECEIVED A SHORT PRU FROM CCP FOR THE JOB
                    R 
                     THE SHORT PRU TO DISK.  SINCE IT WAS A SHORT PRU 
                     NOTHING GOT WRITTEN TO DISK. 
          SOLUTION - IPD IN PIP HAS BEEN CORRECTED TO USE A WRITER CIO
                     FUNCTION IF IT IS A SHORT PRU THAT WAS RECEIVED
                     FROM CCP.
          EG     08/30/84    PIP
 NA5A955  PROBLEM  - NVF ABORTED WITH THE MESSAGE "NVFTURT - CANNOT 
                     FIND RAU ENTRY". 
          ANALYSIS - A RAU TABLE ENTRY ONLY EXISTS FOR INTERACTIVE
                     DEVICES.  NIP SENT NVF A CR/CB WITH A DEVICE 
                     TYPE OF 0 (CONSOLE DEVICE) WHEN IT WAS ACTUALLY
                     A PASSIVE DEVICE.
          SOLUTION - CHANGE NVF TO NOT ABORT WHEN THIS CONDITION OCCURS.
                     A CHANGE TO NIP WILL HAVE TO BE MADE (LATER) TO
                     FIX THE ORIGINAL CAUSE OF THE ABORT. 
                     THIS CODE ALSO DELETES THE "NVFUCRS" MESSAGE.
          PAM     84/08/31     NVFUCRS,NVFTURT
 NA5A956  PROBLEM  - NVF ABORTS WITH THE MESSAGE "NVFDDNT - SM NOT
                     ROUTED". 
          ANALYSIS - AN ERR/LGL WAS SENT TO NVF BECAUSE NVF SENT
                     NIP A FC/INIT/N SM AFTER THE CONNECTION WAS
                     TERMINATED.
          SOLUTION - NVF WILL CHECK IF THE CONNECTION HAS BEEN
                     TERMINATED BEFORE SENDING OUT THE FC/INIT/N. 
                     THE REAL PROBLEM IS THAT NVF TERMINATED THE
                     CONNECTION BEFORE THE FC/INIT/N WAS SENT OUT.
                     THIS PROBLEM IS STILL BEING ANALYZED AND WILL
                     BE ANSWERED BY PSR NA5A923.  MEANWHILE, THIS 
                     CODE SHOULD PREVENT THE PROBLEM FROM OCCURING. 
          PAM     84/08/31     NVFCUFS
 NA5A911  PROBLEM -  NIP CPU USAGE HAS INCREASED OVER 50 PER CENT 
                     BETWEEN THE NOS 2.2 (7R11) AND NOS 2.3 (9RK) 
                     SYSTEMS WHEN THE TRIVIAL PERFORMANCE TEST IS RUN.
          ANALYSIS - NIP IS NOT GOING INTO RECALL AS OFTEN AS IT DID IN 
                     THE 2.2 SYSTEM.  ALSO THE 2.3 NIP CODE SHOULD HAVE 
                     CAUSED SOME INCREASE IN NIP-S CPU UTILIZATION. 
          SOLUTION - XEXEC IN NIP HAS BEEN MODIFIED TO INCORPORATE A
                     LOOP TO GO INTO RECALL WHEN IT HAS NOTHING TO DO.
          EG     06/05/84    NEIB, XEXEC
 NA5A962   PIP ERROR 42 DUE TO BLOCK HANDLERS STATE AND BATCH STREAM
           STATE BEING SET AFTER PCNB GETS FULLY CONVERTED TO PCNB. 
           LTN      84/09/05       XEXEC
  
 NA5A967  RESPONSE LOCATION FOR NETXFR WORKLIST IS NHDR+1, AIP
          SHOULD CHECK FOR COMPLETION BIT AT THIS LOCATION. 
          LTN       84/09/12       NP$XFER
  
 NA5A971  PROBLEM  - THE DEBUG VERSION OF NVF ABORTED WHEN IT COULD NOT 
                     COMPLETE PROCESSING OF A CR/CB SUP MSG.
          ANALYSIS - NVF DID NOT LIKE THE CR/CB SUP MSG BECAUSE THE 
                     CONNECTION WAS FOR A BATCH DEVICE AND THE DEVICE 
                     TYPE FIELD IN THE SUP MSG WAS ZERO.  NIP GETS THE
                     THE DEVICE TYPE FROM THE ACNB.  THE DEVICE TYPE
                     IS COPIED TO THE ACNB FROM THE NCNB WHEN A 
                     CONNECTION IS TERMINATED.  HOWEVER, IF THE NCNB IS 
                     NOT A NCNB, I.E. IT IS STILL A PCNB, THE DEVICE
                     TYPE IS NOT COPIED.  THIS CAUSED NIP TO GENERATE 
                     A CR/CB WITH THE DEVICE TYPE SET TO ZERO.
          SOLUTION - NIP HAS BEEN CORRECTED TO STORE THE DEVICE TYPE IN 
                     THE ACNB WHEN THE CONNECTION IS CREATED AND NOT
                     TO RELY ON PICKING UP THE VALUE FROM THE NCNB. 
          EG     09/07/84    UPDACNB, BLDACNB, HCRACCU, HCRRCNR, ACNB,
                             HCSTTP, NCSTTP, NPPCT, HTCHAR, NVFTURT 
 NA5A931  NIP MONITOR CALL ERROR DUE TO NIP SETTING UP SSTP BLOCK WITH
          PCNBFNT[0] INSTEAD OF WITH PCNBFNTO[0]; FNT[0] IS FOR PIP'S 
          USAGE, AND FNTO IS FOR NIP'S. THIS ONLY HAPPENS WHEN NIP
          HAS GIVEN CONTROL OF THE FILE TO PIP AND PIP HAS NOT
          PROCESSED THE FILE YET. 
          LTN       84/09/10       NPPCT
  
 NA5A981  PROBLEM  - NIP FAILED WITH MONITOR CALL ERROR ON SSF FUNCTION.
          ANALYSIS - HWRAVAL IN NIP WAS ISSUING A SF.WRITE SCP FUNCTION 
                     TO UPDATE THE DATA AVAILABLE WORD IN AIP-S MEMORY
                     BECAUSE OF A NEW UPLINE SUPERVISORY MESSAGE THAT 
                     HAD JUST BEEN RECEIVED.  NOS FOUND THAT THE
                     COMPLETION BIT WAS ALREADY SET IN THE SCP FUNCTION 
                     WORD.  NIP HAD PREVIOUSLY ISSUED A SF.SWPI SCP 
                     FUNCTION WHICH USES THE SAME BUFFER SPACE AS 
                     THE SF.WRITE SCP FUNCTION.  THE SF.SWPI WAS THE
                     RESULT OF A PREVIOUS ATTEMPT BY HWRAVAL TO UPDATE
                     THE DATA AVAILABLE WORD IN AIP-S MEMORY BECAUSE OF 
                     A UPLINE DATA BLOCK THAT HAD BEEN RECEIVED.  THE 
                     PREVIOUS SF.WRITE SCP FUNCTION HAD RESULTED IN A 
                     NONZERO REASON CODE INDICATING THE APPLICATION WAS 
                     SWAPPED OUT.  THUS THE SWAPIN SCP FUNCTION WAS 
                     ISSUED.  THE COMPLETION BIT HAD BEEN SET FOR THE 
                     COMPLETION OF THE SWAPIN FUNCTION. 
          SOLUTION - HWRAVAL HAS BEEN CORRECTED TO CHECK FOR A PREVIOUS 
                     SF.SWPI FUNCTION THAT HAD BEEN ISSUED DUE TO A 
                     PREVIOUS SF.WRITE FUNCTION ISSUED BY HWRAVAL AND 
                     IN THIS CASE, NOT ISSUE ANOTHER SF.SWRITE FUNCTION.
          EG     09/10/84    HWRAVAL
 NA5A982  NIP WILL PUT OUT "NIP/REGLL  DN= XX  SN= YY  RL= Z" 
          WHEN SUCH NPU CHANGES ITS REGULATION LEVEL. 
          LTN       84/09/12       NPREGLL
  
 NA5A983  BUILD SPECIAL OUT-BOUND BUFFER FOR PRU CONNECTION ONLY
          WHEN THERE IS NCNB. 
          LTN       84/09/12       HPPUT
  
 NA5A985  THIS MOD PULLS THE CODE FROM NVF THAT SENDS OUT A CLEAR 
          SCREEN FORMAT EFFECTOR WHEN A TERMINAL USER LOGS OUT. 
          THIS CODE WAS PULLED IN ORDER TO HELP CLEAR UP CCP
          REGULATION PROBLEMS.
          PAM     84/09/12     NA5A985
 NA5A998  PROBLEM  - NIP WAS ABORTED BY NOS FOR A MONITOR CALL ERROR
                     WHEN IT ISSUED A SYSTEM CONTROL POINT SF.WRITE 
                     FUNCTION.
          ANALYSIS - THE APPLICATION WAS SWAPPED OUT DUE TO A NETWAIT 
                     REQUEST.  NIP ISSUED A SST SYSTEM CONTROL POINT
                     FUNCTION TO TRANSFER THE FILE.  THE SST REQUEST
                     RESULTED IN A RC=2 WHICH TRIGGERED NIP TO ISSUE
                     A SYSTEM CONTROL POINT SF.SWPI FUNCTION FOR THE
                     APPLICATION.  A DATA MESSAGE THEN BECAME 
                     AVAILABLE FOR THE APPLICATION.  HWRAVAL WAS
                     CALLED TO UPDATE THE DATA AVAILABLE WORD IN AIP. 
                     HWRAVAL DETECTED THAT THE SWAPIN REQUEST WAS 
                     OUTSTANDING AND SET THE UPDATE-DATA-AVAILABLE
                     WORD FLAG.  A SUPERVISORY MESSAGE THEN BECAME
                     AVAILABLE FOR THE APPLICATION.  HWRAVAL NOW
                     SAW THAT THE UPDATE-DATA-AVAILABLE FLAG WAS
                     SET AND ISSUED THE SYSTEM CONTROL POINT FUNCTION 
                     SF.WRITE FUNCTION TO UPDATE THE DATA AVAILABLE 
                     WORD IN AIP.  THIS RESULTED IN A MONITOR CALL
                     ERROR BECAUSE THE SYSTEM CONTROL POINT SF.SWPI 
                     FUNCTION HAD NOT COMPLETED YET.
          SOLUTION - HWRAVAL HAS BEEN CORRECTED TO NOT ISSUE SYSTEM 
                     CONTROL POINT SF.WRITE FUNCTION WHEN SYSTEM
                     CONTROL POINT SF.SWPI FUNCTION HAS NOT COMPLETED.
          EG     09/16/84    HCSTTP, HWRAVAL
 NA5B001  PROBLEM  - NIP FAILED WITH THE FOLLOWING MESSAGE -
                     NIP/HCSTTP ERR  AN=  8,CN=  1, 6,14. 
          ANALYSIS - THE A-A CONNECTION WAS IN STATE 13 
                     AND THE APPLICATION TERMINATED THE 
                     CONNECTION.  THE A-A CONNECTION WAS
                     THEN CHANGED TO STATE 14 WHILE NIP 
                     WAITED FOR PIP TO ACKNOWLEDGE THE
                     CONNECTION TERMINATION.  THE 
                     APPLICATION NETTED OFF BEFORE THIS 
                     OCCURRED.  THIS CAUSED A HOST-SIDE 
                     CONNECTION STATE TABLE ERROR.
          SOLUTION - XSTTP IN NIP HAS BEEN CORRECTED TO 
                     IGNORE THE NETTED OFF OR FAILED APP
                     TRIGGER WHILE THE CONNECTION IS IN 
                     STATE 14.
          EG     09/16/84    STATTBL
 NA5B004  PROBLEM  - QTF HANGS WAITING FOR CON/ACRQ RESPONSE. 
          ANALYSIS - AFTER NVF VALIDATES THE A-A CONNECTION, NIP PUTS 
                     THE CONNECTION IN STATE 4.  IF THE NETWORK SHOULD
                     THEN TERMINATE THE CONNECTION, THE CONNECTION IS 
                     PUT IN STATE 8.  WHEN NVF RESPONDS TO THE CR/CB
                     SUP MSG WITH A CR/TRM SUP MSG, NIP ONLY CLEANS UP
                     THE CONNECTION AND SENDS THE CR/TRM/N RESPONSE TO
                     NVF.  THE APPLICATION IS NEVER SENT A CON/ACRQ/A.
          SOLUTION - NIP HAS BEEN CORRECTED BY ADDING A NEW STATE TO THE
                     HOST SIDE CONNECTION STATE TABLE.  WHEN THE ABOVE
                     CONDITION OCCURS, NIP WILL SEND A CR/TRM/N SUP MSG 
                     TO NVF AND A CON/ACRQ/A RESPONSE TO THE
                     APPLICATION. 
          EG     091784    STBLDEF, STATTBL 
 NA5B006  NCSTTP STATE TABLE ERROR DUE TO ICN/AP/R SENT BY CCP FOR PRU
          CONNECTION. NIP WILL SEND BACK ICN/AP/A INSTEAD.
          LTN    84/09/17    XSTTP
  
 FNA5457  2.4 NIP MODIFICATIONS FOR PIP SUPPORT.
          1. SUPPORT AUTOMATIC STARTUP OF -INITMDI- 
             UPON RECEIVING THE INID/MDI (HEX0600) SUPERVISORY MESSAGE
             FROM PIP (I.E. DN=SN=HOST NODE), IF THE INDICATED NODE IS A
             "ND" DEVICE, NIP WILL GET THE INDIRECT PERMANENT FILE
             WITH THE RESERVED FILE NAME ZZININD, AND SUBMIT THE FILE TO
             THE INPUT QUEUE. ZZININD CONTAINS THE JOB FILE TO STARTUP
             INITMDI VIA NAMI, IT BASICALLY CONTAINS THE #JOBIMDI.# AND 
             THE #NAMI(RS=IN)# STATEMENTS. ZZININD MUST RESIDE IN THE 
             PERMANENT FILE CATALOG OF THE USER THAT IS USED TO BRING UP
             NAM (I.E. NETOPS OR SYSTEMX). THERE MUST BE AN INITMDI JOB 
             RECORD (JOBIMDI) IN THE NAM STARTUP MASTER FILE AND THE
             PARAMETER RECORD BEING USED MUST CONTAIN THE NAMI #JOB#
             STATEMENT FOR THE INITMDI JOB (I.E.JOB(JOBIMDI,IN,DI)).
             ASSOCIATED DAYFILE MESSAGES- 
             *NIP/NO INITMDI STARTUP - ZZININD NOT FOUND.* - INDICATES THE
             INITMDI STARTUP JOB FILE ZZININD IS NOT FOUND. 
             *NIP/BAD MDI INITIATION REQUEST RECEIVED.* - INDICATES THE 
             INID/MDI SUPERVISORY MESSAGE IS RECEIVED ON A NON-MDI DEVICE.
             THE MESSAGE IS IGNORED BY NIP. 
          2. NAM STATUS DISPLAY WILL DISPLAY MNEMONIC #ND# FOR A MDI
             EST ENTRY. 
          3. DISPLAY MDI ERROR STATUS FROM PIP IN HEXADECIMAL. A MDI
             ERROR STATUS MESSAGE WILL ALWAYS BE PRECEDED BY THE DAYFILE
             MESSAGE *MDI ERROR STATUS RECEIVED*. 
          4. SUPPORT A PIP TRACE BUFFER PER FRONT END UPON OPERATOR 
             REQUEST. NIP WILL ACTIVATE THE PIP TRACE OPTION WHEN THE K 
             DISPLAY COMMAND #TB=HOST NODE NUMBER OF FRONT END# IS ENTERED, 
             AND DISABLE THE PIP TRACE OPTION WHEN THE K DISPLAY COMMAND
             *TE=HOST NODE NUMBER OF FRONT END* IS ENTERED. THE PIP TRACE 
             SUPPORT CODE WILL ONLY BE TURNED ON IF A *DEFINE PTRACE
             UPDATE DIRECTIVE IS INCLUDED IN THE BUILD JOB. 
             ASSOCIATED K DISPLAY MESSAGES- 
             *PIP TRACE OPTION NOT AVAILABLE* - INDICATES EITHER NAM IS 
             IS NOT BUILT WITH THE #PTRACE# OPTION DEFINED OR NAM IS IN 
             BUFFER REGULATION, THE PIP TRACE BUFFER CANNOT BE ALLOCATED. 
             *UNKNOWN HOST NODE* - INDICATES THE HOST NODE NUMBER ENTERED 
             FOR THE #TB# AND #TE# COMMANDS IS NOT VALID OR NOT KNOWN.
          JCL    05/18/84    NUMEROUS ROUTINES
 NA5A999  THIS IDENT HONORS THE TIMEOUT REASON CODE 9 IN
          XFTIER  WHICH PIP SENDS TO AIP. NETXFR WILL THEN
          RETURN TO THE CALLER WITH RESON CODE 5. 
          YCY     84/09/18     AIPSTDF,NP$SMSG,NP$STTP
 NA5A949  SET REASON CODE IN CR/CB/U (SENT TO NVF) TO 9 WHEN TIMEOUT IS 
          DETECTED. THIS FIXES THE PROBLEM OF MFLINK SOMETIMES GETTING
          A CON/ACRQ/A WITH RC = 0 .
          LTN       84/09/11       XCHKPCR
  
 NA5B005  PROBLEM  - NIP MAY FORGET TO UPDATE THE DATA AVAILABLE WORD 
                     IN AIP OR TO COMPLETE PROCESSING OF A FILE 
                     TRANSFER IF THE APPLICATION IS SWAPPED IN AND OUT
                     AT THE WRONG TIME. 
          ANALYSIS - HWRAVAL IS CALLED TO WRITE BACK THE DATA AVAILABLE 
                     WORD IN AIP.  THE SF.WRITE SCP FUNCTION GETS A 
                     REASON CODE OF 44B (APPLICATION SWAPPED OUT).
                     HWRAVAL THEN ISSUES A SWAPIN FOR THE APPLICATION.
                     BEFORE NIP PROCESSES THE SWAPIN COMPLETION, A
                     WORKLIST FROM THE APPLICATION IS RECEIVED (I.E.
                     THERE WAS NO PREVIOUS WORKLIST OUTSTANDING).  NIP
                     WILL THEN FORGET TO CALL HWRAVAL TO UPDATE THE 
                     DATA AVAILABLE WORD IN AIP.  NRCSSTP ISSUES A SST
                     FUNCTION TO SWITCH A FILE FROM NIP TO THE
                     APPLICATION.  IN RESPONSE TO THE SST FUNCTION, NIP 
                     GETS A REASON CODE OF 2 (APPLICATION SWAPPED OUT). 
                     NCRSTTP THEN ISSUES A SWAPIN SCP FUNCTION FOR THE
                     APPLICATION.  AS BEFORE, A WORKLIST FROM THE 
                     APPLICATION IS RECEIVED BEFORE THE SWAPIN
                     COMPLETION IS PROCESSED.  NIP WILL THEN FORGET TO
                     SWITCH THE FILE AND SENT THE ASSOCIATED SUPERVISORY
                     MESSAGE. 
          SOLUTION - HWLP IN NIP HAS BEEN CORRECTED TO NOT COMPLETE 
                     WORKLIST PROCESSING IF THE DATA AVAILABLE WORD IN
                     AIP NEEDS TO BE UPDATED.  XSACB IN NIP HAS BEEN
                     CORRECTED TO CALL HWRAVAL IF THE DATA AVAILABLE
                     WORD NEEDS TO BE UPDATED AND TO PROCESS THE PWL
                     APPLICATION-SWAPPED-OUT RING NO MATTER WHAT STATE
                     THE APPLICATION IS IN. 
          EG     09/19/84   HWLP, XSACB, NPPSM, HHIR
 NA5B009  PROBLEM  - SOMETIMES NVF WOULD ISSUE CR/TRM AFTER NIP SENT
                     A CR/SWH/N.  THIS WOULD CAUSE NVF TO ABORT BECAUSE 
                     THE ACN ENTRY FOR THE CR/TRM WOULD BE DELETED. 
          ANALYSIS - NVF NEEDS TO MAKE SURE THAT THE CONNECTION IS
                     NOT DELETED BEFORE SENDING OUT THE CR/TRM.  THIS 
                     IS ONLY A PROBLEM WHEN NVF SENDS OUT A CR/TRM AS 
                     A RESULT OF A NET/OFF OR FAI/APP.
          SOLUTION - NVF WILL NOT SEND OUT A CR/TRM AFTER THE CR/SWH
                     HAS BEEN SENT.  WHEN IT DOES SEND OUT THE CR/TRM,
                     IT WILL DO IT IN ONE STEP, BYPASSING THE C-LAYER,
                     IN ORDER TO INSURE THAT THE CR/SWH DOES NOT GET
                     SENT OUT WHILE THE CR/TRM IS WAITING IN THE <CTQ>. 
                     ALSO, WHEN NVF RECEIVES A CR/SWH/N, IT WILL
                     DELETE THE ACN IN THE PAAC AND DELETE THE ACN
                     TABLE ENTRY ALL IN ONE STEP IN ORDER TO PREVENT
                     A CR/TRM BEING SENT OUT FOR A CONNECTION COMING
                     INTO NVF RIGHT AFTER THE CR/SWH/N.  (BECAUSE NVF 
                     WOULD SEE THAT AN ACN ENTRY EXISTS AND THE STATE 
                     IS NOT SWSTART -- BUT IT WOULD BE FOR AN ENTIRELY
                     NEW CONNECTION!) 
          PAM     84/09/27     NVFCCPA,NVFASWN,NVFCBPA,NVFADQE,NVFAFAI, 
                               NVFCTRM
 NA5A773  PROBLEM  - ON A BUSY MACHINE, A REQUEST STARTABLE APPL
                     MAY TAKE MORE THAN ONE MINUTE TO START UP.  IF 
                     THIS HAPPENS MORE THAN 3 TIMES FOR AN APPL, THE
                     APPL IS DISABLED BY NVF. 
          SOLUTION - CHANGE THE TIME LIMIT FROM ONE MINUTE TO FIVE
                     MINUTES FOR STARTING UP AN APPLICATION.  ALSO, 
                     DO NOT DISABLE THE APPL IF IT EXCEEDS THREE
                     TIMEOUTS.
          PAM     84/10/01     NVFSTIM,TXTANVF,NVFIAST,NVFSNON,TEXTNVF
 NA5A920   NIP WILL RETURN TO NVF CR/IAP/R WITH RC = 35X IF 
           IT COULD NOT FIND CONNECTION NUMBER FOR THE REQUEST. 
           LTN      84/09/05       HVLLCB 
  
 NA5B008  1- THIS MOD WILL HONOR INITR IF INITR ARRIVES BEFORE ICN/AP/N.
          PROTOCOL FLOW WILL BE AS FOLLOWS: 
                 3/1                       0/2
                                    ----- 
                         INITR -----
                         ------ 
           ULINIT    <--
         <------ 3/3
                     --- INITN
                        ------- 
                                ----- 
                                     ---->      DLINIT
                       ICN/AP/N            0/4 ---------> 
                    <---------------------
                 0/3
                    ---  INITR
                        ------- 
                                ----
                                     ---->       ULINIT 
                                           0/0 ---------> 
                                     -----
                         INITN  ----
                        --------
           DLINIT   <-- 
         <------ 0/0
  
          2- SENDING ICN/AP/A WITH REASON CODE 9 TO INFORM THE OTHER
          HOST THAT CONNECTION ALREADY EXISTED. (HCSTTP STATE TABLE ERROR 
          DUES TO ILLEGAL EXTERNAL TRIGGER) 
  
          LTN    94/09/18    XSTTP
  
 NA5B022  PROBLEM  - NVF ABORTED WITH CPU ERROR EXIT AFTER K.ST,AP=QTFS.
          ANALYSIS - A REQUEST STARTABLE APPLICATION DID NOT NETON
                     PROPERLY, AND NVF THOUGHT THAT SEVERAL COPIES OF 
                     THE APPL EXISTED WHEN IN REALITY, NONE EXISTED.
                     WHEN NVF TRIED TO PROCESS THE K.ST COMMAND, IT 
                     LOCATED THE APPL IN THE "AST" TABLE AND FOUND THAT 
                     THREE COPIES SUPPOSEDLY EXISTED.  THEN IT SEARCHED 
                     THE "AST" TABLE LOOKING FOR THE MATCHING COPIES. 
                     IT DID NOT STOP AT THE END OF THE TABLE, BUT 
                     CONTINUED TO SEARCH UNTIL IT FOUND A MATCH.
                     THIS CAUSED THE CPU ERROR EXIT.
          SOLUTION - CHANGE NVF TO STOP SEARCHING WHEN IT GETS TO THE 
                     END OF THE TABLE.  IF IT HAS NOT FOUND ALL OF THE
                     APPL COPIES, IT WILL SEND THE "READY.." MESSAGE. 
          PAM     84/10/01     NVFOPAC
 NA5B018   NIP SHOULD REJECT CR/IAP/N FROM NVF WHEN LLCB HAS
           LLCBWOF FLAG TURNED ON.
  
           LTN      84/09/27       HVLLCB 
 NA50238  DT12 IS NEW REPLACING DT7 AS A VALID
          USER DEFINED TIPTYPE WITH INTERNAL VALUE 12.
          YCY     84/08/13     NDLPSS1,NDLNFCM,NDLLIST
 NA50166  NIP STOPS DURING INITIALIZATION WITH NIP MAXIMUM FL REACHED 
  
          PROBLEM - NIP DOES NOT SET THE HOST REGULATION LEVEL DURING 
                    INITIALIZATION, UNLESS THE ROUTINE MGETS REQUESTS 
                    ADDITIONAL FIELD LENGTH, SO THE HOST REGULATION 
                    LEVEL CAN BE LEFT UNSET.  IF THE HOST REGULATION
                    LEVEL AND THE PREVIOUS REGULATION LEVEL ARE NOT 
                    EQUAL, AND THE HOST REGULATION LEVEL IS ZERO, NIP 
                    WILL DISPLAY THE MESSAGE "NIP MAXIMUM FL REACHED".
  
          SOLUTION- SET THE HOST REGULATION LEVEL AND THE PREVIOUS
                    HOST REGULATION LEVEL TO NO REGULATION WHEN 
                    THE MEMORY CONTROL TABLE IS INITIALIZED.
  
          OUR THANKS TO TIM ROBERTS OF CONTROL DATA, LOS ANGELES, FOR 
          HIS DETAILED ANALYSIS OF THE PROBLEM. 
  
          EMH/RMF            84/10/04              INIP,ITABS 
  
 NA50177  PSR NA50034 WAS SUPPOSE TO ALLOW THE RECOGNITION OF X.25
          TERMINAL NAMES FOR CS COMMANDS.  THE MODSET DOES NOT WORK 
          ENTIRELY. 
  
          THIS MOD SET CORRECTS NA50034 WHEN CONVERTING HEXIDECIMAL 
          NUMBERS TO INTEGERS.
  
          NA50034 NEEDS TO BE APPLIED BEFORE THIS ONE CAN BE INSTALLED. 
          DKE     84/10/09     CSSRCA 
 NA5B032  COLLECT JOB SHOULD NOT REQUEST TAPE(S) IF NO FILES
          TO COPY.
  
          THE COLLECT JOB REQUESTS TWO TAPES IRRESPECTIVE OF
          WHETHER OR NOT ANY FILES EXIST TO BE COPIED TO TAPE.
          THIS IS UNACCEPTABLE FOR THE SUPER-MINI SYSTEM. 
  
          THE COLLECT JOB HAS BEEN CHANGED TO - 
          1.  REQUEST TAPE(S) ONLY IF THERE ARE FILES TO BE COPIED, 
          2.  REQUEST ONLY ONE TAPE IF IN THE PARAMETER RECORD THERE
              EXISTS *PARAM(ONETAPE=YES)*.
          ALL PARAMETER RECORDS HAVE BEEN CHANGED TO INCLUDE THE
          PARAMETER *ONETAPE=YES*.
  
          RWH            10/07/84       NWINIT,NWRESTRT,NWRECOVR, 
                                        NWMULTI,NWMINIT,NWMRECOV, 
                                        JOBCOL
  
 NA5A974  THIS IDENT CHANGES THE DECK NAMES AND THE NAMES OF THE
          ENTRY POINTS OF THE DECK INVOLVED TO BEGIN WITH NP$.
          THE DECKS TO BE CHANGED ARE CALLSYS, CMMINT AND CSET63. 
          THESE DECKS ARE NOW CALLED NP$CSYS, NP$CMIT AND NP$CS63.
          CALLS TO THE ENTRY POINTS OF THESE DECKS ARE ALSO 
          CHANGED ACCORDINGLY.
          YCY     84/10/05     NP$CIO,NETXFR,NP$S63,NP$CMIT,NP$CSYS.
 NA5A930  PROBLEM  - CS ABORTED WHEN IT RECEIVED SUP/MSG THAT IT
                     DID NOT KNOW HOW TO PROCESS. 
          ANALYSIS - THE SUP MSG WAS A NPI/DD SUP WHICH IS SUPPOSED TO
                     BE PROCESSED BY NIP.  NIP ROUTED IT TO CS INSTEAD. 
          SOLUTION - NEIB1 IN NIP HAS BEEN CORRECTED TO RECOGNIZE THE 
                     NPI/DD SUP MSG AS ONE FOR NIP TO PROCESS.  PIP HAS 
                     BEEN CORRECTED TO USE THE CORRECT PFC/SFC VALUE
                     FOR THE NPI/DD SUP MSG.
          EG     08/28/84    NEIB1, SMPFC, NPNIPSM
 NA5B034  PROBLEM -  NVF REJECTS CONNECTION REQUESTS FOR PTFS AND QTFS. 
                     THIS MAKES IT IMPOSSIBLE TO INITIATE FILE TRANSFERS
                     TO THAT HOST.
          ANALYSIS - NVF KEEPS A COUNT OF THE NUMBER OF COPIES OF A 
                     REQUEST-STARTABLE APPLICATION THAT ARE ACTIVE. 
                     THIS COUNT IS DECREMENTED WHEN NVF TIMES OUT ON
                     STARTING UP A REQUEST-STARTABLE APPLICATION. 
                     HOWEVER, THE COUNT WAS NEVER INCREMENTED WHEN
                     NVF INITIATED THE JOB FOR THE REQUEST-STARTABLE
                     APPLICATION.  SINCE THE COUNT IS SAVED IN AN 
                     UNSIGNED FIELD, THE COUNT WENT FROM ZERO TO THE
                     LARGEST NUMBER THAT COULD FIT IN THE FIELD MINUS 
                     ONE.  WHEN THIS HAPPENED, NVF BEGAN REJECTING
                     THE CONNECTION REQUEST FOR THE REQUEST-STARTABLE 
                     APPLICATION, SINCE THE MAXIMUM NO OF COPIES OF 
                     THE REQUEST-STARTABLE APPLICATION WERE ALREADY 
                     ACTIVE.
          SOLUTION - ROUTINE NVFSTIM IN NVF HAS BEEN CORRECTED TO NOT 
                     DECREMENT THE COUNT OF ACTIVE OR PENDING REQUEST-
                     STARTABLE APPLICATIONS.
          EG     10/10/84    NVFSTIM
 NA5B023  WHEN USER DOES CONTROL/T AT TERMINAL DURING MFLINK SESSION, 
          THE FILE DOES NOT GET RETURNED BACK TO TERMINAL AND STAYS AT
          THE NIP CONTROL POINT UNTIL NIP GOES DOWN.
          SOLUTION FOR THIS PROBLEM IS TO DELAY THE SCP REQUEST TO TERM 
          SHORT AND LONG TERM CONNECTIONS UNTIL NVF RETURNS THE 
          NET/OFF/N OR FAIL/APPL/N TO NIP.
          (FILE IS SWITCHED BACK TO APPLICATION WHEN PIP
          RESPONDS TO PRU TERMINATE REQUEST WORKLIST).
          LTN    84/10/10    HAPFAIL,HPNOFF,HPNOFFN,HPPUT,NPPCT,NPPSM 
  
 *L630*    ************************************************ 
 NA5B043  PIP IN FAULT PROCESSING OF ERRORS DURING A READ FROM DI 
  
          PIP SHOULD NOT ISSUE A READ ERROR FUNCTION FOR A CHANNEL
          ERROR IN A READ FROM DI IF GENERAL STATUS SHOWS THAT AN ERROR 
          WAS DETECTED BY DI. 
  
          PCH/SW 84/10/17    PIP
 NA5B045  2.4.1. PIP CAN NOT SEND OUT COLON CHARACTER TO NETWORK. 
  
          PIP HAS A PROBLEM IN PROCESSING DISPLAY CODE TO ASCII 
          CONVERSION AND CAN NOT OUTPUT COLON CHARACTER TO NETWORK. 
  
          SW     84/10/17    PIP
 NA5B046  PROBLEM  - NVF ALLOWED MULTIPLE COPIES OF A REQUEST STARTABLE 
                     APPLICATION TO NETON, EVEN THOUGH THE APPLICATION
                     WAS SUPPOSED TO ONLY HAVE ONE ACTIVE COPY AT A TIME. 
          ANALYSIS - IN NET/ON PROCESSING, NVF WOULD ALWAYS INCREMENT THE 
                     NUMBER OF CURRENT COPIES FIELD IN THE *AST* WHEN AN
                     APPLICATION NETTED ON.  THE ONLY CASE NVF WOULD NOT
                     SET THIS FIELD WAS IF THE APPLICATION ALLOWED ONLY 
                     ONE COPY TO BE ACTIVE.  IN THE CASE OF A REQUEST 
                     STARTABLE APPLICATION WITH A MXCOPY OF 1, NVF COULD
                     ROUTE SEVERAL JOBS TO START UP THE APPL, AND THEY
                     WOULD ALL NETON USING THE SAME *AST* ENTRY.
          SOLUTION - CHANGE NVF TO SET THE CURRENT COPIES FIELD IN THE
                     *AST* TO 1 IF AN APPLICATION WITH A MXCOPY = 1 
                     NETS ON. 
          PAM     84/10/29     NVFSNON
 NA5B047  THIS FIXES THE PROBLEM OF BUFFER MANAGEMENT IN NIP, 
          AND ALSO APPLICATION HANGS IN AUTO RECALL.
          LTN       84/10/25       HPNOFF,HPNOFFN 
  
 NA5B048  PROBLEM  - WHEN AN A-A CONNECTION REQUEST TRIED TO CONNECT
                     TO AN APPLICATION, CR/IAP/A WAS SENT BY NVF WITH 
                     RC=22, EVEN THOUGH THE CALLED APPLICATION WAS
                     AVAILABLE. 
          ANALYSIS - THE CALLED APPLICATION WAS NOT REQUEST STARTABLE,
                     BUT COULD HAVE MORE THAN ONE COPY.  THIS MEANS THAT
                     WHEN THE APPLICATION NETS ON, THE APPL NUMBER WILL 
                     BE APPENDED TO THE "BASE" APPL NAME TO FORM THE NAME 
                     OF THE NETTED ON APPL.  IN THE CR/IAP/R, THE 
                     CALLED APPL NAME WAS "TERM1" INSTEAD OF "TERM107". 
                     NVF LOCATED "TERM1" IN THE *AST* AND FOUND IT WAS
                     NOT REQUEST STARTABLE AND NOT NETTED ON, AND SO
                     SENT BACK A CR/IAP/A WITH RC=22. 
          SOLUTION - WHEN NVF CHECKS IF THE CALLED APPL IS NETTED ON, 
                     CHECK IF THE APPL IS REQUEST STARTABLE OR IF THE 
                     APPL CAN HAVE MORE THAN ONE ACTIVE COPY. 
          PAM     84/12/05     NVFARAP
 NA5B052  PIP MAY HANG IN PROCESSING OF BLOCK PROTOCOL ERROR
  
          PIP MAY HANG IN PROCESSING OF BLOCK PROTOCOL ERROR IF 
          OPTION FOR HALTING NPU AT ERROR IS SELECTED.
  
          FOUR OTHER MINOR BUG FIXES ARE INCLUDED.
  
          SW     84/10/24    PIP
 NA5B054   INCREASE NIP TABLES SPACE BY 11000B FOR PIP USAGE. 
           LTN      84/10/26       ITABS
  
 NA5B063  NIP RELEASES FL BUFFER ATFER O.S. PROCESSES SCP REQUEST WITH
          NO ERROR CODE RETURNED. 
          LTN       84/11/05       HPNOFFN
  
 NA5B067  PIP HUNG WITH MDI CHANNEL FULL ON OUTPUT
  
          DURING MDI OUTPUT IN PROGRESS PIP HUNG AT AN OUTPUT 
          INSTRUCTION.
          PIP SHOULD CHECK FOR CHANNEL EMPTY BEFORE EXECUTING 
          THE OUTPUT INSTRUCTION. 
  
          SW     84/11/13    PIP
 NA5B070  PRU MODE INTERFACE WILL NOT WORK FOR MDI
  
          CHECK FOR VALID BLOCK HEADER FOR MDI IS NOT CORRECT 
          IN COMPARING DN IN INCOMING MESSAGE WITH TARGET HN
          WHEN THE INTERFACE IS IN PRU MODE.
          IT RESULTS IN BLOCK HEADER FORMAT ERROR.
  
          SW     84/11/12    PIP
 NA5B073  PIP IS NOT PAUSING FOR STORAGE MOVE.
  
          IF PIP OVERLAYS ARE STORED IN ECS OR 819 DISK, LOADER DRIVER
          6DE DOES NOT ISSUE DRIVER-SEEK-WAIT MONITOR FUNCTION FOR
          MASS STORAGE ACCESS DELAY AS OTHER DRIVERS DO, INSTEAD, IT
          ISSUES PAUSE-FOR-STORAGE-MOVE WHEN NECESSARY. 
          PIP WAITS FOR DRIVER-SEEK-WAIT FUNCTION AS A TRIGGER FOR ITS
          PAUSE-FOR-STORAGE-MOVE THAT NEVER HAPPENS.
  
          PIP WILL CHECK FOR EITHER DRIVER-SEEK-WAIT OR PAUSE-FOR-
          STORAGE-MOVE AS A TRIGGER FOR ITS PAUSE-FOR-STORAGE-MOVE. 
  
          SW     84/11/28    PIP
 NA5B077  COLLECT FAILS TO PICK UP FILES. 
  
          DUE TO AN ERROR IN THE ALGORITHM USED TO OBTAIN THE NAMES 
          OF ALL FILES IN THE CATALOG, *COLLECT* WILL NOT SEE FROM
          1 TO 4 FILES EACH TIME IT RUNS.  THESE MAY OR MAY NOT BE
          NETWORK FILES.
  
          THIS MODSET CORRECTS THE ERROR. 
  
          RWH            11/21/84       COLLECT 
  
 NA5B079  PIP DOES NOT MAKE UPLINE IVT BACK AS A THREE-WORD BLOCK.
  
          NIP NEEDS THREE-WORD BUFFER TO PROCESS AN INCOMING BACK.
          IF PIP SENDS A BACK AS A THREE-WORD BLOCK IN THE INBOUND
          BUFFER, NIP WILL USE THE BLOCK FOR THE PROCESSING.
  
          THIS CODE CORRESPONDS TO NA5A526 OF NOS 2.3.
  
          SW     84/11/26    PIP
 NA5B082  PIP INCORRECTLY ISSUES MDI READ ERROR FUNCTION. 
  
          PIP SHOULD NOT ISSUE MDI READ ERROR FUNCTION IF THE FUNCTION
          COULD NOT BE ISSUED FOR THE CHANNEL ACTIVE BEFORE FUNCTION. 
  
          PIP IS CHANGED TO ISSUE THE READ ERROR FUNCTION IF THE ERROR
          CODE IS NOT FOR CHANNEL ACTIVE BEFORE FUNCTION AND THE LAST 
          FUNCTION IS FOR READ. 
  
          SW     84/12/05    PIP
 NA5B091  PRU INPUT ORDER CODE IS SET UP INCORRECTLY IN PIP FOR MDI.
  
          MDI GENERAL STATUS IS INTERPRETED INCORRECTLY IN PIP RESULTING
          IN AN INVALID INTERNAL CODE FOR A PRU MODE INPUT. 
  
          RMK    84/12/03    PIP
 NA5B093  TROUBLES WHEN FILE TRANSFER IS TERMINATED BY RECEIVER.
  
          BREAK-RECEIVED FLAG IS NOT SET IN PCNB WHEN FILE TRANSFER 
          IS TERMINATED BY THE RECEIVER.
  
          WHEN PRU MODE OFF COMMAND IS SENT TO THE FRONT END BY THE 
          RECEIVING PIP TO END THE FILE TRANSFER, PIP MUST BE READY 
          TO RECEIVE IVT MODE INPUT FROM THE FRONT END BEFORE THE 
          NIP-PIP INTERFACE CHANGES TO THE IVT MODE.
  
          WHEN THE SENDING PIP IS WAITING FOR NO OUTPUT ACTIVITY TO 
          REQUEST THE END OF THE FILE TRANSFER, PIP MUST WAIT FOR THE 
          PROCESSING OF BACK PIP MAY BE REQUIRED TO SEND FOR THE LAST 
          RECEIVED BLOCK. 
  
          SW     84/12/03    PIP
 NA5B095  PP DIRECT CELL CONFLICTS IN MDI INTERFACE 
  
          T6/T7 THAT ARE TEMPORARILY USED IN TAKING MDI GENERAL STATUS
          SHOULD BE KEPT INTACT THERE.
  
          T16/T17 ARE NOW USED IN PLACES OF THEM AFTER SOME INTERFACE 
          MODIFICATIONS.
  
          SW     84/12/04    PIP
 NA5B100  NO PRU BUFFERS RESERVED FOR INPUT.
  
          NUMBER OF PRU BUFFERS RESERVED FOR INPUT IS AN ITEM OF
          SITE DEFINED PIP ASSEMBLY VARIABLES.
          DEFAULT VALUE OF THIS VARIABLE IS ZERO. 
  
          TO AVOID THE CCP DEADLOCK SITUATION WHEN PRU TRAFFICS 
          ARE BUSY THE DEFAULT VALUE IS CHANGED TO ONE. 
  
          SW     84/12/05    PIP
 NA5B129  PROBLEM  - PIP MASTER CLEARED SAM WHILE SAM WAS TALKING TO
                     A DIFFERENT PIP IN A DIFFERENT HOST. 
          ANALYSIS - PIP HAS CODE TO TIME OUT SAM IF SAM DOES NOT 
                     COMMUNICATE WITH IT.  IF SAM IS TALKING TO 
                     A DIFFERENT PIP, THIS SITUATION WILL ALWAYS
                     OCCUR.  PIP WILL MASTER CLEAR SAM THEN.
          SOLUTION - PIP HAS BEEN CORRECTED TO NOT TIME OUT WAITING 
                     FOR SAM TO COMMUNICATE WITH IT.
          EG     12/19/84    PIP
 NA5B131  THIS IDENT FIXES THE PROBLEM THAT NVF CLOBBERS
          THE APPLICATION NAME IN THE PAC ENTRY FOR EVERY OTHER 
          CRRAP IF THEY REACH THE HOST ABOUT THE SAME TIME. IT
          ALSO CAUSES SOME TIME OUT ON MFLINK SINCE THE SERVER
          NEVER NETS ON.
  
          YCY     85/01/03     NVFTICR,TXTANVF,NVFASPC
 NA5B134  PROBLEM  - TERMINAL SENT 249 CHARACTER BLOCK UPLINE WHICH 
                     RESULTED IN A COUPLER ERROR 91.
          ANALYSIS - PIP RAN OUT OF INBOUND BUFFER SPACE WHEN IT WAS
                     TRANSFERRING THE DATA TO NIP'S FIELD LENGTH. 
                     PIP ASSUMED THIS WAS DUE TO CCP NOT TELLING PIP
                     WHAT THE CORRECT SIZE OF THE MESSAGE WAS AND 
                     GENERATED A COUPLER ERROR 91.  THE MESSAGE WAS 
                     254 CHARACTERS LONG INCLUDING THE NETWORK HEADER.
                     CCP TOLD PIP THE MESSAGE WAS LESS THAN OR EQUAL TO 
                     256 CHARACTERS LONG SO CCP DID NOT DO ANYTHING 
                     WRONG.  WHEN PIP CHECKED TO SEE IF THE INBOUND 
                     BUFFER SPACE WAS AVAILABLE, IT CHECKED FOR A 
                     SMALLER SIZE BUFFER THAN IT NEEDED.  THIS RESULTED 
                     IN PIP RUNNING OUT OF INBOUND BUFFER SPACE.
          SOLUTION - PIP HAS BEEN CORRECTED TO CHECK FOR THE CORRECT
                     INBOUND BUFFER SPACE.  THIS SOLUTION IS FOR NOS
                     2.4.1 AND LATER SYSTEMS. 
          EG     12/27/84    PIP
 NA5B138  CORRECTIONS FOR NA5B095 (PIP DIRECT CELL USE CONFLICTS) 
  
          AFTER NA5B095 DISPLAY-CODED IVT DOWNLINE MESSAGES THAT CONTAIN
          COLONS AND ARE LONGER THAN 640 CHARACTERS CAUSE TROUBLES IN 
          PIP AND IN FRONT END. 
  
          SW     85/01/04    PIP
 NA5B147  PROBLEM  - MFLINK HUNG BEFORE FILE TRANSFER STARTED.
          ANALYSIS - NAM K-DISPLAY SHOWED ONE SUPERVISORY MESSAGE 
                     QUEUED FOR THE APPLICATION THAT WAS NOT BEING
                     RECEIVED BY THE APPLICATION.  OBSERVATION OF 
                     THE APPLICATION SHOWED IT WAS IN A LOOP CONSTANTLY 
                     ISSUING NETWAIT CALLS.  ANALYSIS OF AIP-S MEMORY 
                     SHOWED THE DATA AVAILABLE WORD IN AIP HAD NOT BEEN 
                     UPDATED BY NIP YET.  ANALYSIS OF NIP PRODUCED A
                     CASE WHEN NIP WILL NOT UPDATE AIP-S DATA AVAILABLE 
                     WORD WHEN IT SHOULD. 
          SOLUTION - XSACB HAS BEEN CORRECTED TO PROCESS ALL
                     APPLICATIONS IN LTHE AT TABLE. 
          EG     01/09/85    XSACB
 NA5B151  PROBLEM  - PRU BUFFERS ALLOCATED BY NIP ARE GETTING LOST. 
          ANALYSIS - AFTER NIP ALLOCATED THE BUFFERS, NIP DID NOT 
                     LINK THE BUFFERS UP CORRECTLY.  ALSO THE COUNT 
                     OF BUFFERS IN THE SYSTEM CHAIN IS INCORRECT. 
          SOLUTION - NIP HAS BEEN CORRECTED TO LINK THE BUFFERS UP
                     CORRECTLY AND TO UPDATE THE COUNT OF BUFFERS 
                     IN THE SYSTEM CHAIN CORRECTLY. 
          EG     01/11/85    XCHKABC, NPRLB 
 NA5B156  PROBLEM  - MINIMUM PRU BUFFER COUNT FIELD IS SET TO ZERO IN 
                     PIP ENTRY. 
          ANALYSIS - AT INITIALIZATION TIME, NIP ROUTINE ITABS STORED 
                     THE MINIMUM PRU BUFFER COUNTS IN THE PIT ENTRIES.
                     HOWEVER, NIP ROUTINE XCHKCET ZEROED OUT THE ENTIRE 
                     PIT ENTRY BEFORE IT SET UP A NEW PIP ENTRY.
          SOLUTION - THE MINIMUM PRU BUFFER COUNT FIELDS WILL BE SET UP 
                     BY XCHKCET INSTEAD OF ITABS. 
          EG     01/15/85    ITABS, XCHKCET 
 NA5B157  PIP MAY REQUEST TOO MANY PRU BUFFERS FROM THE SYSTEM POOL 
  
          IF REQUEST FROM PIP FOR MORE PRU BUFFERS IS NOT SATISFIED FOR 
          SYSTEM PRU POINTER WORD BEING BUSY, THE REQUIRED PRU BUFFER 
          COUNT IS CARRIED ON TO THE NEXT CYCLE RESULTING IN A NUMBER OF
          REQUIRED PRU BUFFERS TOO HIGH.
  
          REQUIRED PRU BUFFER COUNT MUST BE RESET AND ACCUMULATED FOR 
          EACH CYCLE. 
  
          SW     85/01/11    PIP
 NA5B161  UPDATE THE COPYRIGHT INFORMATION IN THE NVF BANNER AND ON 
          THE NAM PL TO 1985. 
          PAM     85/01/22     TMSGNVF,CRCOM
 NA5B172  PROBLEM  - WHEN RUNNING WITH MULTIPLE PIPS, IT IS POSSIBLE FOR
                     ONE OF THE PIPS TO GRAB ALL THE PRU BUFFERS.  THIS 
                     FORCES THE OTHER PIPS TO WAIT FOR THIS PIP TO FREE 
                     UP A BUFFER.  THIS CAN RESULT IN ALL UPLINE DATA 
                     TRAFFIC FROM A NPU TO BE SUSPENDED UNTIL THE BUFFER
                     IS FREED UP. 
          ANALYSIS - THERE SHOULD BE A MAXIMUM NUMBER OF BUFFERS THAT 
                     EACH PIP CAN RESERVE.  THIS MAXIMUM NUMBER OF
                     BUFFERS MUST BE SELECTABLE BY EACH INSTALLATION. 
                     PIP MUST BE MODIFIED TO NOT EVER REQUEST MORE
                     BUFFERS THAN THE MAXIMUM VALUE.
          SOLUTION - PIP HAS BEEN CORRECTED TO NOT REQUEST MORE BUFFERS 
                     THEN THIS MAXIMUM.  NIP HAS BEEN CORRECTED TO
                     PROCESS THE N1PRUB, N2PRUB, AND N3PRUB CONTROL 
                     CARD AS THE MAXIMUM NUMBER OF BUFFERS TO ALLOCATE
                     FOR EACH PIP.
          EG     01/21/85    INIP, MSETPTR, NPRLB, PIT, XCHKCET, XEXEC
          SW     01/21/85    PIP
 NA50339  THE APPLICATION NAME WAS MISSING FROM THE ABAP AND AEAP 
          ACCOUNT MESSAGES.  THIS CODE CHANGES NVF TO CORRECTLY EXTRACT 
          THE APPLICATION NAME FROM ITS *PTAC* TABLE, STORE THE APPL
          NAME IN THE FIRST SEVEN CHARACTERS OF A TEMPORARY ITEM, AND 
          MOVE THE APPL NAME FROM THE TEMPORARY ITEM TO THE ACCOUNT 
          MESSAGE.
          PAM     84/11/13     NVFTIAM
 NA50347   NP$GSM USES LOCAL FLAG TO SET IBU, THEN UPDATE ABH BEFORE
           GIVING TO APPLICATION. 
           LTN      85/01/04       NP$GSM 
  
 *L642*    ************************************************ 
 FN2406   THIS IDENT IMPLEMENTS A NEW PARAMETER RTS=Y/N FOR 
          THE DEVICE OR TERMDEV STATEMENT. WHEN SPECIFIED FOR ASYNC 
          AND NON 2741 DEVICES, IT PASSES A FN/FV PAIR TO THE DEVICE
          CONFIGURATION RECORD. THE FN VALUE IS 145 FOR RTS. CCP HAS
          A RTS FLAG INITIALIZED TO FALSE AND SET WHEN A RTS FN/FV IS 
          MET.
          YCY     84/10/19     DATANDL,NDLSDAT,NDLPSS1,NDLNFCM,NDLLIST
 FA6469   TO IMPLEMENT NAM/CCP TERMINAL DELAY 
          ATTRIBUTES COMPATIBILITY, TWO NEW PARAMETERS
          MCI AND MLI ARE IMPLEMENTED FOR DEVICE AND TERMDEV
          STATEMENTS. EACH OF THEM HAS RANGE 0 TO 250. THE
          FN VALUS FOR MCI AND MLI ARE 146 AND 147
          RESPECTIVELY. 
          YCY     84/11/26     DATANDL,NDLSDAT,NDLCKRG,NDLPSS1,NDLNFCM, 
                               NDLLIST
 FN2425   THIS IDENT IMPROVES THE USE OF HOST AND NPU MEMORY. 
          IT ADJUSTS THE ABL AND DBZ DEFAULTS FOR ASYNC DEVICES BASED 
          ON THE LINE SPEED SPECIFIED. THE DIFFERENCE BETWEEN DBL AND 
          ABL IS ALSO ADJUSTED SUCH THAT IT IS ONE FOR LSPEED GREATER 
          THAN OR EQUAL TO 600 AND ZERO OTHERWISE.
          YCY     84/10/25     NDLNFCM
 FN2409   THIS MODSET ALLOWS PL PARAMETER FOR REMOTE
          BATCH LINE PRINTERS. IF PL IS NOT SPECIFIED THEN
          NDLP DEFAULTS PL TO 64 FOR LINE PRINTERS. 
          YCY     84/11/08     NDLNFCM
 FN2417   THIS FEATURE INTRODUCES THE INACT PARAM ON NIP CONTROL CARD.
          IT IS THE VALUE OF INACTIVE TIME OF CONNECTION IN MINUTES.
          THIS CODE IMPLEMENTS PROBLEM LOG ENTRY 17 FOR THE 2.4.1 SYSTEM. 
          IF INPUT PARAM IS ZERO, NO FC/INACT WILL BE SENT. 
          LTN       84/10/23       INPARUT,INIP,XCHKPCR 
  
 FN2420   THIS IDENT REMOVES AUTOLOG PARAMETER FROM DEVICE
          AND TERMDEV STATEMENTS. THE NDLLIST IS ALSO MODIFIED TO 
          REFLECT THIS CHANGE. THE FN VALUE FOR AUTOLOG IS 21.
          YCY     84/10/26     DATANDL,NDLSDAT,NDLNFCM,NDLLIST,NDLPSS1
 FN2423A  FEATURE CODE TO COLLECT CDCNET FILES.  CODE WILL BE ACTIVE
          ONLY IF *CDCNET* IS DEFINED DURING THE UPDATE RUN.
  
          THE FOLLOWING ADDITIONAL *HOST TYPE* FILES WILL BE COLLECTED. 
            FS - FILE SERVER
            OS - OPERATOR SERVER
            LS - LOG SERVER 
            IN - INITMDI
  
          IN ADDITION, MDI DUMP FILES WILL BE COLLECTED IN THE
          FOLLOWING RANGES OF NAMES.
            DI_AA_NIN ... DI_99_NIN 
             .             .
             .             .
             .             .
            DR_AA_NIN ... DR_99_NIN 
  
            DS_AA_NIN ... DS_99_NIN 
             .             .
             .             .
             .             .
            D9_AA_NIN ... D9_99_NIN 
  
          RELATED MODSET - FN2423B, TO *COLLECT* STARTUP JOB. 
  
          RWH            12/11/84       CLT=INI, COLLECT, CLT=IO2 
  
 FN2423B  FEATURE CODE TO COLLECT CDCNET FILES.  THIS CODE CHANGES
          THE *COLLECT* STARTUP JOB TO COPY TO TAPE MDI DUMP FILES
          IF THEY WERE PICKED UP BY *COLLECT*.  THIS CAN OCCUR
          ONLY IF *COLLECT* IS BUILT WITH *CDCNET* DEFINED. 
          SEE...
  
          RELATED MODSET - FN2423A, TO *COLLECT* AND FRIENDS. 
  
          RWH            12/11/84       JOBCOL
  
 FN2424   FEATURE: PROBLEM LOG ENTRY 24.
          THIS FEATURE INCLUDES CODE FOR NIP, AIP, AND NVF. 
  
          NIP WILL IGNORE DATA ON CONNECTIONS THAT ARE LISTED OFF WHEN
          DETERMING IF AN APPLICATION PROGRAM SHOULD BE ROLLED IN AFTER 
          NETWAIT.
  
          AIP WILL INCLUDE A NEW ROUTINE, *NETFUNC*.
  
          NVF WILL CALL THE NEW AIP ROUTINE, *NETFUNC*, DURING
          INITIALIZATION.  ALSO, SERVICES AND SCHEDULER WILL CHECK A
          NEW "DATA DELIVERABLE" BIT IN THE NSUP WORD, WHEN DETERMINING 
          IF INCOMING DATA BLOCKS ARE DELIVERABLE.
  
          LTN     84/11/29     BLINK,BDELINK,HPGET,HSWACNB,RELACNB
          YCY                  NP$NWL,NP$MODE,NETGET,NETWAIT
                               NP$ERR,NETFUNC,NP$USI
          PAM                  NVFICTN,SSACNI,TEXTSS
 FA6028   QTRM HAS BEEN ENHANCED WITH THE FOLLOWING NEW FEATURES: 
  
           1. DEVICE CONNECTION LENDING INCLUDING PASSING OF DATA 
              BETWEEN APPLICATIONS. 
           2. SUPPORT FOR ISSUING ASYNCHRONOUS SUPERVISORY MESSAGES 
              INCLUDING APPLICATION INTERRUPTS AND FLOW CONTROL 
              BREAKS. 
           3. MANIPULATION OF AIP DEBUG LOG FILE AND AIP STATISTICS 
              FILE. 
           4. USE OF DIFFERENT CHARACTER TYPES FOR INPUT ON THE SAME
              CONNECTION OR DIFFERENT CONNECTIONS.
           5. NOTIFICATION OF INACTIVE CONNECTIONS. 
           6. TRANSPARENT MODE INPUT. 
           7. SUPPORT FOR NAM K-DISPLAY.
           8. APPLICATION SUPPLIED OUTCALL PARAMETERS.
           9. SENDING QUALIFIED DATA ON APPLICATION-TO-APPLICATION
              CONNECTIONS.
          10. LOGICAL IDENTIFIERS IN THE ESTABLISHMENT OF APPLICATION-
              TO-APPLICATION CONNECTIONS. 
  
          12. APPLICATION NOTIFICATION OF USER INTERRUPTS.
          13. USE OF CHARACTER TYPE 3 FOR SYNCHRONOUS SUPERVISORY 
              MESSAGES. 
          14. SUPPORT FOR CHARACTER TYPE 4 FOR APPLICATION-TO-
             APPLICATION CONNECTIONS. 
  
          EG     12/06/84    QTRMCOM,QTRMBUF,QTRMNIT,SMAPDEF,NETDBG,
                             NETDMB,NETLGS,NETLOG,NETSTC,NETREL,NETSETF,
                             NP$ERR,QTENDT,QTGET,QTLINK,QTOPEN,QTPUT, 
                             QTCMD(NEW),QTSUP(NEW)
 FN2432   THIS FEATURE WILL ADD TO DAYFILE OF APPLICATION THE MESSAGE 
          "NETON WITH NIN = XXX" TO INFORM THE APPLICATION OWNER
          WHICH NIN OF THE NETWORK THE APPLICATION HAS NETTED ON WITH.
          THIS IMPLEMENTED BY PROBLEM LOG ENTRY NUMBER 32, 2.4.1 LEVEL. 
          LTN       84/10/22       NIP:  HPNONVF,AWLNTRY
                                   AIP: NP$ON,NP$NWL
  
 FN24CS   THIS MODSET ADDS CODE TO CS TO ACCEPT ACCOUNTING MESSAGES 
          COMING FROM THE DI.  TWO NEW SERVICE MESSAGES ARE INTRODUCED: 
          STI/AP/U AND STI/TE/U.  CS MERELY FORMATS THE INFORMATION IN
          THE MESSAGES AND SENDS IT TO THE ACCOUNT DAYFILE.  TWO NEW
          ACCOUNT MESSAGES (SCAP AND SCTE) ARE ALSO INTRODUCED. 
  
          THIS MOD CAN BE INSTALLED WITHOUT THE CORRESPONDING DI CODE.
  
          DKE     84/11/20     SMCS,SMPFC,SMCSDEF,TEXTCS,CSDDNT,
                               CSEDEQ,CSESDA
 FS4201B  THIS FEATURE IDENT INTRODUCES CHECKMARKING AND INTRAHOST
          BINARY FILE TRANSFER. 
          YCY     84/11/26     NX$ADEF,NX$ACBX,AIPSTDF,AIPDEF,
                               NP$SENF,NP$RECV,NP$DATA,NP$STPR
                               NP$STTP,NP$RLOC,NP$SHRK,NP$INT8
                               NP$XCLH,NP$UPRU
 FS4563A   INTRODUCING SWITCHING APPLICATIONS CAPABILITY INTO NIP.
           PROBLEM DESCRIBED IN DAP NUMBER S4563 BY AMATZIA-BEN-ARTZE.
           LTN      84/11/15       SMPFC,SMAPDEF,SMAPPL,HCSTTP
                                   HCONEND,NCSTTP.
  
 FS4563B  FEATURE CODE TO INTRODUCE THE ENHANCED APPLICATION SWITCHING
          FEATURE TO NVF. 
          PAM     84/11/16     SUPMSG,SMNVF,SMPFC,TEXTNVF,TXTANVF,
                               NVFTRCN,NVFTRVD,NVFTACC,NVFTPSV,NVFTDSP, 
                               NVFTVAA,NVFTPUV,NVFCCPA,NVFUMQE,NVFTRLC
 FN2404   CS WILL PROCESS CNF/RC/R FROM CCP GENERATED BY ESCAPE RC
          FROM TERMINAL BY USER. ALL ORIGINAL CHARACTERISTICS OF
          TERMINAL SHOULD BE RESET (ACCORDING TO NCF ). 
  
          LTN       85/01/07       SMPFC,TEXTCS,CS
  
 NA5A932  PROBLEM  - IN THE NAMPL, THE DECKS ST$XXX AND ND$XXX MUST SURROUND
                     THE DECKS OF EACH PRODUCT (NIP, NVF, ETC.).  SOME OF 
                     THESE DECKS ARE MISSING.  ALSO, THE ND$TVF DECK IS IN THE
                     WRONG PLACE. 
          SOLUTION - ADD ST$XXX AND ND$XXX DECKS FOR NIP, AIP, AND DLFP.
                     CHANGE THE ND$TVF DECK TO BE AFTER THE CWEOR INSTEAD OF
                     BEFORE IT. 
          PAM    1/2/85      NIPDEF,AIPDEF,DLFPDEF,PIP,ND$TVF 
 NA5A938  CS ABORTS AT INITIALIZATION TIME WITH THE MESSAGE --
          BAD NCF READ.  A RECORD WAS READ THAT CS WAS NOT
          EXPECTING.
  
          CODE WAS GENERATED TO DO ALL CIO READS WITH RECALL. 
          ALSO DEBUG CODE WAS ADDED TO SAVE THE RELATIVE PRU
          ADDRESS BEFORE INVOKING THE CIO RANDOM READ REQUEST.
  
          THIS CODE ASSUMES THAT PSR IDENT NA5A079 IS ALREADY 
          INSTALLED.
  
          DKE     84/10/25     CSIBXT 
 NA5B050  PROBLEM  - WHEN NVF PROMPTS FOR A USER'S PASSWORD, IT DOES
                     NOT OVERSTRIKE THE INPUT FIELD ON A TEKTRONIX 4014 
                     TERMINAL.
          ANALYSIS - NVF ONLY OVERSTRIKES THE INPUT FIELD FOR HARDCOPY
                     TERMINALS -- M33 AND 2741 TERMINAL CLASSES.
                     ALTHOUGH THE TEKTRONIX 4014 IS NOT A HARDCOPY
                     TERMINAL, IT BEHAVES THE SAME WAY AS A HARDCOPY
                     TERMINAL IF THE INPUT FIELD CONTAINS OVERSTRIKES,
                     I.E. IT DOES NOT LET YOU SEE THE PASSWORD BEING
                     TYPED IN.
          SOLUTION - CHANGE NVF TO OVERSTRIKE THE INPUT FIELD FOR A 
                     TEKTRONIX 4014 TERMINAL. 
          PAM     84/10/24     MISCOM,NVFTILP 
 NA5B068  SHOST PARAMETER SHOULD ACCEPT UP TO A 
          MAXIMUM OF 6 HEX DIGITS. FIXED BY CHANGING
          THE SIZE OF THE RANGE CHECK ARRAY FROM 65 TO 66 
          IN NDLCKRG. 
          YCY     84/11/27     NDLCKRG
 NA5B071  NDLP NOW DEFAULTS THE DUMP FLAG IN THE NPU
          CROSS REFERENCE TABLE TO BE TRUE, SO THAT A DUMP IS 
          ALWAYS TAKEN IF AN NPU IS GETTING RELOADED. 
          YCY     84/11/14     NDLNFNT
 NA5B072   THIS MOD PREVENTS NIP FROM ABORTING WITH BUFFER MANAGEMENT 
           ERROR WHEN APPLICATION SENDS CON/END/R THAT IS 1 WORD LONG.
           ERR/LGL/SM WITH RC=14 WILL BE SENT TO APPLICATION IF 
           CON/END/R TEXT IS LESS THAN 2. 
  
           SET REASON CODE OF CON/END/N TO 0 OR 1 OR 2 ACCORDINGLY. 
           0 - NORMAL LENDING CONFIRMATION. 
           1 - NO FORWARDING INDICATION. SECONDARY LOANED A LOANED CONN.
           2 - APPL. TRIED TO LEND AN A-A CONNECTION. NORMALLY
               TERMINATE THE CONNECTION.
           LTN      84/11/21       HCRRCNR,HPPUT,SMAPDEF
  
 NA5B074  PROBLEM  - NVF ABORTED WITH THE MESSAGE, "NVFTDSP - CANNOT
                     FIND AST ENTRY FOR APPL".
          ANALYSIS - IF NVF COULD NOT FIND THE APPL NAME IN THE AST TABLE,
                     THIS WAS CONSIDERED AN INTERNAL ERROR, AND NVF WOULD 
                     ABORT.  THE FEATURE CODE FOR ENHANCED APPL SWITCH
                     ERRONEOUSLY CHANGED THIS LOGIC TO HAVE NVF ABORT NOT 
                     ONLY IF THE APPL NAME WAS NOT FOUND, BUT ALSO IF 
                     THE APPL HAD NOT YET NETTED ON.  THIS LATTER 
                     CONDITION IS NOT AN INTERNAL ERROR, AND IN FACT, 
                     CAN HAPPEN QUITE FREQUENTLY. 
          SOLUTION - CHANGE NVF TO ONLY ABORT IF THE APPL NAME IS NOT 
                     FOUND IN THE AST TABLE (THE WAY IT USED TO BE).
          PAM     84/11/26     NVFTDSP
 NA5B076  NIP SHOULD NOT SET BLOCK TYPE TO NULL WHEN IBU IS SET.
          LTN       85/01/08       HPGET
  
 NA5B089  NIP WILL COPY FROM WORD 2 OF TEXT BUFFER OF CON/END/R 
          TO WORD 3 OF CR/RCN/R BUFFER. 
          LTN       84/12/03       HCRRCNR
  
 NA5B114  PROBLEM  - A QTGET CALL CHANGED THE VALUE OF THE CHARACTER-SET
                     FIELD IN THE NETWORK INFORMATION TABLE.  ALTHOUGH
                     THE DOCUMENTATION DOES NOT STATE THAT QTRM WILL NOT
                     OVERWRITE THIS FIELD, TEST APPLICATIONS HAVE BEEN
                     WRITTEN ASSUMING QTRM WILL NEVER CHANGE THE VALUE
                     STORED IN THIS FIELD.
          ANALYSIS - QTGET WAS CHANGED IN THE LATEST SYSTEM TO CALL 
                     QTTIP TO SEND SYNCHRONOUS SUPERVISORY MESSAGES.
                     THIS REQUIRED QTGET TO STORE THE CHARACTER SET 
                     TYPE FOR SYNCHRONOUS SUPERVISORY MESSAGE IN THE
                     CHARACTER-SET FIELD OF THE NETWORK INFORMATION 
                     TABLE. 
          SOLUTION - QTGET HAS BEEN CORRECTED TO SAVE THE VALUE IN THE
                     CHARACTER-SET FIELD BEFORE IT OVERWRITES IT AND
                     RESTORE THE FIELD AFTER THE QTTIP CALL.
          EG     12/17/84    QTGET
 NA5B115  CHECKMARK RESTART FOR PRU MODE FILE TRANSFER DOES NOT WORK. 
  
          FOR CHECKMARK RESTART CAPABILITY PIP MUST BE ABLE TO CONTROL
          THE MASS STORAGE WRITE ACCESS BY PRU POSITION AS THE PRU
          MODE READ ACCESS CURRENTLY IS.
  
          FOR THIS PURPOSE PIP SETS RANDOM PROCESSING FLAG IN FET WHEN
          A PRU FOR THE FILE TRANSFER IS RECEIVED FROM THE REMOTE.
          WHEN CIO MONITOR FUNCTION IS SENT FOR PRU MODE I/O, PIP PLACES
          CURRENT PRU POSITION IN FET FROM PCNB ALONG WITH RANDOM RE- 
          WRITE REQUEST FLAG. (NOTE: THIS FLAG IS EFECTIVE ONLY FOR 
          WRITE ACCESS AND WHEN RANDOM PROCESSING FLAG IS SET.) 
          ALSO NOTE, THAT PRU POSITION FOR MASS STORAGE READ ACCESS IS
          PLACED THERE NOW. 
          THAT THE NEXT PRU POSITION IS SAVED IN PCNB WHEN A PRU BUFFER 
          IS RELEASED IS NOW APPLICABLE TO WRITE ACCESS AS WELL AS TO 
          READ ACCESS.
  
          WHEN A CHECKMARK IS RECEIVED FROM THE REMOTE AND ALL THE
          OUTSTANDING PRUS ARE WRITTEN TO THE MASS STORAGE, THE CURRENT 
          PRU POSITION IS SAVED IN PCNB AS PENDING POSITION.
          WHEN A CHECKMARK REPLY IS SENT TO THE REMOTE, THE PENDING PRU 
          POSITION IS SAVED IN PCNB AS THE PRU CORRESPONDING TO THE 
          ACKNOWLEDGED CHECKMARK. 
  
          AT RESTART OUTPUT WORKLIST PROCESSING THE GIVEN NEW PRU 
          POSITION IS SAVED IN PCNB AS THE PRU POSITION FOR THE FIRST 
          (ACKNOWLEDGED) CHECKMARK. 
  
          SW     84/12/03    PIP
 NA5B119  PROBLEM  - WHEN A LOANED CONNECTION IS BROKEN, QTRM IS NOT
                     RETURNING A REASON CODE 20 TO THE PRIMARY
                     APPLICATION.  INSTEAD IT IS GETTING A REASON CODE
                     6. 
          ANALYSIS - QTGET IS NOT SETTING THE CORRECT STATE WHEN IT 
                     IS PROCESSING THE CON/END/N SUPERVISORY MESSAGE
                     FOR A CONNECTION IT HAS JUST LOANED.  THIS CAUSES
                     IT TO GENERATE THE WRONG REASON CODE WHEN IT 
                     RECEIVES THE CON/CB SUPERVISORY MESSAGE. 
          SOLUTION - QTGET HAS BEEN CORRECTED TO CHANGE THE CONNECTION
                     STATE TO 'LENT' WHEN IT PROCESSES THE CON/END/N
                     SUPERVISORY MESSAGE FOR A CONNECTION IT HAS JUST 
                     LOANED.
          EG     12/17/84    QTGET
 NA5B122  THIS IDENT ALLOWS AIP TO RETRY SENDING THE NETON
          WORKLIST IF NIP RETURNS REASON CODE ONE IN THE NETON
          STATUS WORD WHILE NAM IS STILL AVAILABLE. 
          YCY     85/01/14     NETON
 NA5B126  PROBLEM  - QTENDT DID NOT REJECT A CALL FOR A CONNECTION THAT 
                     HAD ALREADY BEEN TERMINATED.  ALSO QTENDT DOES NOT 
                     PASS DATA IF IT IS AN SECONDARY APPLICATION. 
          ANALYSIS - QTENDT DID NOT CHECK FOR THE STATE "WAITING FOR
                     CON/END/N" WHEN IT WAS CHECKING THE CONNECTION 
                     STATE.  QTENDT PASSES DATA ONLY IF THE NEXT
                     APPLICATION FIELD WAS NONZERO. 
          SOLUTION - QTENDT HAS BEEN CORRECTED TO CHECK FOR THAT STATE. 
                     QTENDT HAS ALSO BEEN CORRECTED TO NOT REQUIRE THE
                     NEXT APPLICATION FIELD TO BE NONZERO IF IT IS A
                     SECONDARY APPLICATION. 
          EG     12/19/84    QTENDT 
 NA5B132  REG/CP PROCESSOR SHOULD CHECK FOR LOGICAL FAILED FLAG 
          BEFORE RELAESING CONNECTIONS. 
          ALOW CON/END/R TO BE AT LEAST ONE WORD IN TEXT. 
          LTN       84/12/21       NPREGCP,HPPUT
  
 NA5B136  CHANGE NVF TO SEND A CR/RCN/A WITH REASON CODE 26 INSTEAD OF
          REASON CODE 27. 
          PAM     85/01/02     NVFTRLC
 NA5B137   CORRECTLY SEND REASON CODE IN CR/CB/U TO NVF AND CON/CB/U
           TO APPLICATION WHEN LOGICAL LINK HAS FAILED. 
           WHEN ALLOCATING ACNT ENTRY FOR NEW CONNECTION, NIP CHECKS
           THE WHOLE WORD OF ENTRY INSTEAD OF ACNB ADDRESS FIELD TO 
           TO MAKE SURE THIS ENTRY IS AVAILABLE.
           LTN      85/01/15       NPREGLL,NPREGCP,HCSTTP,HALLOCN 
  
 NA5B143  NDLP SHOULD ENABLE USE OF RC PARAMETER
          ON THE LINE STATEMENT. ALSO IT SHOULD PROVIDE 
          LISTINGS SUPPORT FOR THE RC PARAMETER IN THE
          SUMMARY LISITNGS. 
          YCY     85/01/07     NDLSDAT,NDLLIST
 NA50305  THIS IDENT FIXES THE PROBLEM THAT A TRUNK 
          STATEMENT DEFINED AFTER A GROUP STATEMENT MAY 
          GET ERROR 31. THE PROBLEM WAS CAUSED BY THE GROUP 
          INFORMATION NOT CLEARED AFTER THE GROUP STATEMENT.
          BUT SINCE THE TRUNK STATEMENT MAY APPEAR ANYWHERE 
          IN THE NCF, THE GROUP INFORMATION IS NOW CLEARED
          IN STERM FOR A TRUNK STATEMENT AND RESTORED AFTER 
          PROCESSING OF STERM FOR THE TRUNK STATEMENT. THE
          ACTUAL CLEARING OF THE REPEAT INFORMATION OCCURS
          WHERE NDLPSS1 SEES A LINE OR NPU STATEMENT. 
          YCY     84/11/27     NDLPSS1
  
 NA50336  THIS MODSET CORRECTS THE ACCOUNT DAYFILE MESSAGE FORMATS, 
          AND UPDATES THE DOCUMENTATION IN CS TO INCLUDE THE X.25 
          STATISTICS ADDED AT LEVEL 2.3.  WITH THIS MODSET, THE 
          LINE, TRUNK, AND NPU STATISTICS MESSAGES IN THE ACCOUNT 
          DAYFILE AND ERROR LOG HAVE THE FOLLOWING FORMAT:  
  
                 SCLI, NODE, C1, PORT, TTTTTTLLLLLL.
                 SCLI, NODE, C2, SSSSSSCCCCCC.
                 SCLI, NODE, C3, BBBBBBPPPPPPAAAAAA.
  
                 SCTU, NODE, C1, PORT, TTTTTTLLLLLL.
                 SCTU, NODE, C2, SSSSSSCCCCCC.
                 SCTU, NODE, C3, BBBBBB.
  
                 SCNQ, NODE, C1, CCCCCCDDDDDDLLLLLL.
                 SCNQ, NODE, C2, GGGGGGRRRRRRSSSSSS.
                 SCNQ, NODE, C3, PPPPPPIIIIIINNNNNN.
                 SCNQ, NODE, C4, WWWWWW.
  
          DEPENDENCIES:  NA5A394 (INCLUDED IN 2.3) AND NA5A291
          (INCLUDED IN 2.2).  SINCE THIS MODSET AFFECTS THE FORMAT OF 
          THE ERROR LOG MESSAGES ISSUED BY CS, THE CORRESPONDING HPA
          MODSET MUST BE INSTALLED WHEN THIS MODSET IS INSTALLED. 
  
          EMH    10/29/84    CSESES 
  
 FN2430A  MODIFY NS K-DISPLAY PROCESSING TO SEND HELP DISPLAY TO RIGHT
          K-DISPLAY SCREEN WHENEVER K-DISPLAY IS ASSIGNED TO
          APPLICATION.
          EG     12/12/84    NS$STR 
 NA5B121  PROBLEM  - NAM K-DISPLAY CODE FOR HANDLING RIGHT SCREEN HAS 
                     BUGS IN IT.
          ANALYSIS - 1. NIP ROUTINE KHOPDIS RETURNED ERR/LGL TO APP FOR 
                        HOP/DIS THAT WAS CORRECTLY FORMATTED. 
                     2. NIP ROUTINE KHOPDIS FREED UP RIGHT SCREEN BUFFER
                        RIGHT AFTER COMPLETING PROCESSING OF WORKLIST 
                        FROM APPLICATION. 
                     3. NIP ROUTINE KHOPDIS DOES NOT RETURN K-DISPLAY 
                        RIGHT SCREEN BUFFERS. 
                     4. NIP ROUTINE KHOPDIS SETS DISPLAY ADDRESS TO 
                        FIRST WORD OF SUPERVISORY MESSAGE INSTEAD OF
                        FIRST WORD OF DISPLAY TEXT. 
          SOLUTION - 1. NIP ROUTINE KHOPDIS HAS BEEN CORRECTED TO CHECK 
                        FORMAT OF RIGHT DISPLAY DATA CORRECTLY. 
                     2. NIP ROUTINE KHOPDIS HAS BEEN CORRECTED TO 
                        RELEASE THE PARTIAL WORKLIST AFTER PROCESSING 
                        THE RIGHT SCREEN DISPLAY DATA.
                     3. NIP ROUTINE KHOPDIS HAS BEEN CORRECTED TO RETURN
                        THE PREVIOUS RIGHT SCREEN BUFFER BEFORE 
                        RESETTING THE POINTERS. 
                     4. NIP ROUTINE KHOPDIS HAS BEEN CORRECTED TO SET 
                        THE DISPLAY ADDRESS TO THE FIRST WORD OF DISPLAY
                        TEXT. 
          EG     01/15/85    KHOPDIS
 NA5B144  PROBLEM  - QTRM DID NOT BUILD CORRECT THE CORRECT HOP/DIS 
                     SUPERVISORY MESSAGE. 
          ANALYSIS - QTRM CREATED A HOP/DIS SUPERVISORY MESSAGE THAT
                     WAS ONE WORD SHORTER THAN IT SHOULD BE.  THE SIZE
                     OF THE FRAGMENT BUFFER WAS ALSO TOO LONG.
          SOLUTION - QTSUP HAS BEEN CORRECTED TO BUILD A CORRECT HOP/DIS
                     SUPERVISORY MESSAGE. 
          EG     01/04/85    QTSUP
 NA5B158  PROBLEM  - NIP ALLOCATES MORE PRU BUFFERS THAN IT ACTUALLY
                     NEEDS. 
          ANALYSIS - WHEN NIP CONVERTS A NETWORK CONNECTION INTO A PRU
                     CONNECTION, IT CHECKS IF ANY PRU BUFFERS HAVE BEEN 
                     ALLOCATED YET FOR THE PRU SIZE THAT THE CONNECTION 
                     WILL BE USING FOR TRANSFERRING PRU DATA.  IF NONE
                     HAVE BEEN ALLOCATED, NIP WILL ALLOCATE THE MAXIMUM 
                     ALLOWED FOR THAT BUFFER SIZE.
          SOLUTION - NIP HAS BEEN CORRECTED TO ALLOCATE THE MINIMUM 
                     ALLOWED FOR THAT BUFFER SIZE.
          EG     01/15/85    HPRUON 
 NA5B160  PROBLEM  - QTGET TERMINATED AN A-A CONNECTION WHEN THE OTHER
                     APPLICATION SENT DATA TO THIS APPLICATION. 
          ANALYSIS - QTPUT DID NOT CONVERT THE TEXT LENGTH FROM ACT=4 TO
                     ACT=2 FOR THE A-A DATA.
          SOLUTION - QTPUT HAS BEEN CORRECTED TO CONVERT THE TEXT LENGTH
                     FROM ACT=4 TO ACT=2 FOR A-A DATA.
          EG     01/16/85    QTPUT
 NA5B162  PROBLEM  - HOP/CMD TEXT WAS NOT RETURNED TO QTRM APP. 
          ANALYSIS - QTGET CODE TO COPY TEXT WAS COPYING FROM UNSIGNED
                     INTEGER WORD INTO CHARACTER WORD.
          SOLUTION - QTGET CODE HAS BEEN CORRECTED TO COPY FROM UNSIGNED
                     WORD INTO UNSIGNED WORD. 
          EG     01/16/85    QTGET
 NA5B165  PROBLEM  - THE 2.3 QTRM INITIALIZED THE XSLEEP FIELD IN THE 
                     NETWORK INFORMATION TABLE TO ZERO.  THE 2.4.2
                     QTRM DOES NOT. 
          ANALYSIS - THE CODE TO ZERO OUT THE XSLEEP FIELD IN QTOPEN
                     WAS ACCIDENTALLY REMOVED.
          SOLUTION - QTOPEN HAS BEEN CORRECTED TO ZERO OUT THE FIELD
                     AGAIN. 
          EG     01/16/85    QTOPEN 
 NA5B166  PROBLEM  - QTRM DID NOT SEND THE RO/MARK SYNCHRONOUS SUP MSG. 
          ANALYSIS - THE APPLICATION HAD CURRENT ABL SET TO ZERO WHEN 
                     THE USER BREAK OCCURRED.  THE RO/MARK SUP MSG
                     IS SENT WHEN A FC/ACK SUP MSG IS RECEIVED BY QTRM. 
                     WHEN THE FC/ACK WAS RECEIVED BY QTGET, QTGET CALLED
                     QTTIP TO SEND THE RO/MARK SUP MSG BUT FORGOT TO
                     STORE THE CONNECTION NUMBER IN THE NIT.  QTTIP 
                     REJECTED THE CALL THEN.
          SOLUTION - QTGET HAS BEEN CORRECTED TO STORE THE CONNECTION 
                     NUMBER IN THE NIT BEFORE CALLING QTTIP.
          EG     01/17/85    QTGET
 NA5B173   NIP WILL SEND "(" AND ")" IN HOP/PAGE INSTEAD OF HOP/CMD.
           LTN      85/01/21       KAPPMOD
  
 NA5B180  THIS IDENT ALLOWS NETIO OR NETXIOD TO SAVE THE CURRENT
          FILE TRANSFER TRIGGER IN THE COMMON NX$ACBX.
          WHEN NAM INTERFACE ERROR OCCUR, EVEN FOR A NON-DEBUG
          MFLINK, THE ANALYST CAN TELL WHAT THE LAST PROBLEM
          CAUSING TRIGGER IS. 
          YCY     85/01/23     NX$ACBX, NP$STPR 
 NA50311 THIS FEATURE MOVE BUILD PARAMETER MAXNIP TO NIP
         CONTROL CARD CALL PARAMETER. 
         CYC 11/12/84  DECK INIP
 NA5B171  THIS IDENT ALLOWS USERS TO SPECIFY IMDISC 
          ON A X25 LINE STATEMENT.
          YCY     85/01/25     NDLNFCM
 NA5B182  PROBLEM  - QTRM DOES NOT SET SCT FIELD IN CON/REQ/N 
                     SUPERVISORY MESSAGE. 
          ANALYSIS - NONE NEEDED. 
          SOLUTION = QTGET HAS BEEN CORRECTED TO CLEAR SCT FIELD IN 
                     CON/REQ/N SUPERVISORY MESSAGE. 
          EG     01/25/85    QTGET
 FN2430B  THIS CODE ADDS THE HELP TEXT TO THE RIGHT K-DISPLAY OF NVF. 
          PAM     85/02/04     NVFCPHT,NVFCUHS,NVF,HMSGNVF
 FN2430C  THIS PORTION OF CODE BRINGS IN THE CAPABILITY OF RIGHT HELP 
          K-DISPLAY FOR CS. 
          LTN       85/02/04       TEXTCS,CSCPHT,CSCUHS,CSSROC,SSRRCS 
  
 FN2428    THIS MOD WAS IMPLEMENTED ACCORDING TO PROBLEM LOG ENTRY
           NUMBER 28. MESSAGES DO NOT REQUIRE ANY OPERATOR ACTION WILL
           BE REPORTED TO AUDIENCE GROUP 3; AND INITIAL DEFAULT 
           REPORTING STATUS OF THE HOP IS CHANGED TO OFF. 
           LTN      85/02/11       CSESSM,CSSSNO
  
 NA5B167  SET COUNT VARIABLE COUNTING FROM 1 TO 255 WHEN ALOCATING
          NCNTNCNB ENTRY FOR NEW CONNECTION.
          LTN       85/02/07       HVLLCB 
  
 NA5B187  NDLP SUMMARY LIST PROCESSOR IS NOT INTERPRETING 
          USER STIP PROPERLY. IT ALSO LEAVES AN EXTRA CARRIAGE
          RETURN WHEN IT PRINTS THE OPTIONAL PAD PARAMETER FOR
          THE TERMINAL STATEMENT LIST.
          YCY     85/02/19     NDLLIST,NDLNFCM
 NA5B188  PIP IS NOT PROTECTED FROM A KIND OF BLOCK PROTOCOL ERROR. 
  
          IF NPU STATUS OR MDI GENERAL STATUS STATES THAT AN IVT INPUT
          BLOCK IS AVAILABLE FOR A PRU TYPE INPUT, PIP IS CONFUSED AND
          ABORTS AS A PIP'S FAULT.
  
          PIP SHOULD DETECT THIS SITUATION AND PROCESS IT AS AN INPUT 
          FORMAT ERROR. 
  
          SW     85/02/15      PIP
 NA5B190  APPL NAME STAYED IN K-DISPLAY AFTER APPL
          WAS OVERRIDDEN. THIS TURNED OUT TO BE A NDL 
          PROBLEM THAT APPL NAMES ARE NOT CHECKED 
          AND ERRORED ACCORDINGLY IF THEY EXCEED
          5 CHARACTERS LONG WHEN MXCOPYS SPECIFIED IS 
          GREATER THAN ONE. 
          YCY     85/02/12     ATLCF,ER2CNDL,NDLP2LF
 NA5B194  PROBLEM  - QTLINK REJECTED A BAD QTLINK CALL AND THEN DID 
                     NOT ALLOW ANY FURTHER QTLINK REQUESTS. 
          ANALYSIS - QTLINK DID NOT CLEAR THE A-A REQUEST OUTSTANDING 
                     FLAG WHEN IT REJECTED THE QTLINK REQUEST.
          SOLUTION - QTLINK HAS BEEN CORRECTED TO NOT SET THE A-A 
                     REQUEST OUTSTANDING FLAG UNLESS IT ACCEPTS THE 
                     REQUEST. 
          EG     02/07/85    QTLINK 
 NA5B196  BACKS FOR PRU INPUT BLOCKS NOT SENT WHILE INPUTS OUTSTANDING. 
  
          BACKS FOR PRU INPUT BLOCKS ARE NOT SENT WHILE INPUT BLOCK 
          QUEUE IS NOT EMPTY. 
  
          PIP IS CHANGED TO SEND OUTSTANDING BACKS REGARDLESS OF THE
          INPUT BLOCK QUEUE.
  
          SW     85/02/18    PIP
 NA5B200  PROBLEM  - NIP FAILED WITH A MONITOR CALL ERROR AFTER AN A-A
                     FILE TRANSFER TERMINATED.
          ANALYSIS - NIP ROUTINE NPPCT HAD BEEN CALLED TO PROCESS THE 
                     TERMINATION OF AN A-A FILE TRANSFER CONNECTION.
                     WHEN NPPCT TRIED TO RETURN THE FILE BACK TO THE
                     APPLICATION, IT GOT A SST RC=2.  IN RESPONSE TO
                     THIS, NPPCT DISCONTINUED PROCESSING THE
                     TERMINATION.  UNFORTUNATELY NPPCT HAS SET THE
                     PIP INTERLOCK FOR ONE OF THE TWO PIPS THAT WAS 
                     RUNNING AND EXITED WITHOUT CLEARING THAT INTERLOCK.
                     THE NEXT TIME NIP WANTED TO SET THE INTERLOCK, IT
                     WAS FOR GARBAGE COLLECTION SO NIP NEEDED TO SET
                     THE INTERLOCK FOR ALL PIPS.  WHEN THE NIP ROUTINE
                     MSETIL SAW THAT THE INTERLOCK WAS ALREADY SET FOR
                     THE FIRST PIP, IT ASSUMED THE INTERLOCK WAS ALREADY
                     SET FOR ALL PIPS AND EXITED.  THE GARBAGE
                     COLLECTION ROUTINE THEN MOVED THE PRU BUFFERS
                     EVEN THOUGH THE SECOND PIP WAS NOT INTERLOCKED.
                     THIS RESULTED IN THE PIT TABLE ENTRY FOR THE SECOND
                     PIP TO CONTAIN SOME BAD POINTERS, WHICH THEN CAUSED
                     NIP TO OVERWRITE RA+0 AND RA+1, WHICH CAUSES A 
                     MONITOR CALL ERROR.
          SOLUTION - NIP ROUTINE NPPCT HAS BEEN CORRECTED TO RELEASE THE
                     PIP INTERLOCK IF IT GETS A SST RC=2 FROM THE 
                     OPERATING SYSTEM WHEN IT TRIES TO RETURN THE FILE
                     TO THE APPLICATION.
          EG     02/12/85    NPPCT
 NA5B201  PROBLEM  - CDCNET APPLICATION NETFS WAS RECEIVING NULL BLOCKS 
                     IN RESPONSE TO NETGETL CALLS EVEN THOUGH NIP HAD 
                     DATA QUEUED FOR IT.
          ANALYSIS - NIP HAD NOT UPDATED THE DELIVERABLE DATA BIT IN
                     AIP'S FIELD LENGTH.  THIS WAS DUE TO NIP ROUTINE 
                     HSWACNB CALLING HUPDTDB TO UPDATE THE DELIVERABLE
                     DATA BIT WHILE THE ACNB FLAGS FOR LIST PROCESSING
                     HAD NOT BEEN UPDATED.  THIS RESULTED IN HUPDTDB
                     DECIDING THAT THE DELIVERABLE DATA BIT DID NOT NEED
                     TO BE UPDATED WHEN IT FACT IT SHOULD HAVE BEEN.
          SOLUTION - HSWACNB HAS BEEN CORRECTED TO CALL HUPDTDB AFTER 
                     THE ACNB FLAGS HAVE BEEN UPDATED.
                     HUPDTDB IS DOING IT ANYWAY.
          EG     02/14/85    HSWACNB
 NA5B204  FOR USER DEFINED TERMINALS, W, CTYP AND NCIR
          MAY BE LEFT OUT WITHOUT GETTING WARNING MESSAGES FROM 
          NDLP SO THAT THE USER WILL NOT BE FORCED TO SPECIFY 
          THESE PARAMETERS, WHICH SOMETIMES CAUSES CONFIGURATION
          ERRORS WITH THE REVERSE HASP TIP. 
          YCY     85/02/15     NDLNFCM
 NA5B206  PRU FILE TRANSFER RESTART REQUEST FROM RECEIVER NOT ACCEPTED. 
  
          RESTART REQUEST FROM RECEIVER FOR PRU MODE FILE TANSFER IS NOT
          ACCEPTED BY THE SENDING PIP.
  
          PIP IS MODIFIED TO ACCEPT THE RESTART REQUEST AFTER A CHECK 
          FOR THE VALID RESTART POINT.
  
          SW     85/02/12    PIP
 NA50353  FOR HASP DEVICES, THE VALUE OF UBL SPECIFIED
          CAN BE BETWEEN 1 AND 31 DECIMAL FOR CONSOLE DEVICES,
          AND CAN BE BETWEEN 1 AND 7 FOR BATCH DEVICES RESPECTIVELY.
          YCY     85/02/15     NDLNFCM,NDLLIST
 FN2418   THIS CODE IMPLEMENTS THE LD PARAMETER FOR EN/DI TRUNKS
          ACCORDING TO PROBLEM LOG ENTRY 18.
          LTN       85/02/14       CSSM,CSSROC,CSSADI,CSSAEN
  
 NA5B185  PROBLEM  - NIP SWAPPED OUT APPLICATION EVEN THOUGH IT HAD DATA
                     QUEUED FOR IT. 
          ANALYSIS - NIP ROUTINE HPWAIT WILL SWAP OUT AN APPLICATION ON 
                     A NETWAIT REQUEST IF IT HAS NO SUPERVISORY MESSAGES
                     QUEUED.  HAVING DATA MESSAGES QUEUED DOES NOT MAKE 
                     ANY DIFFERENCES. 
          SOLUTION - NIP ROUTINE HPWAIT HAS BEEN CORRECTED TO NOT SWAP
                     THE APPLICATION IF IT HAS DATA QUEUED. 
          EG     02/22/85    HPWAIT 
 NA5B207  PROBLEM  - WHEN A USER ATTEMPTED TO SWITCH TO IAF FROM ANOTHER
                     APPLICATION, THE MESSAGE "ILLEGAL APPLICATION" WAS 
                     RETURNED.
          ANALYSIS - NVF WAS SETTING THE LOAN STATUS FIELD IN THE CR/SWH
                     TO THE VALUE OF THE REASON CODE FROM THE CR/RCN, 
                     EVEN IF IT WAS NOT A LOAN CONNECTION.  IAF WAS 
                     THEN REJECTING THE CON/REQ BECAUSE OF THE ILLEGAL
                     VALUE IN THE LOAN STATUS FIELD.
          SOLUTION - NVF WILL ONLY SET THE LOAN STATUS FIELD IF IT IS 
                     INDEED A LOAN CONNECTION.
          PAM     85/02/25     NVFTDSP
 NA5B214  THIS MODSET UPDATES THE IMS FOR AIP FROM 2.3 TO 2.4.2 
          LEVEL.
          YCY     85/02/22     NP$DATA,NP$SENF,NP$RECV
                               NP$SMSG,NP$STPR,NP$BTO8
 NA50358  DEFINE ADDITIONAL 4 WORDS TO NPUCB ARRAY, AND ZERO THESE
          WORDS IN INITIALIZATION ROUTINE.
          LTN       85/02/26       TEXTCS,CSIBXT
  
 NA50366  SELF LOADING NPU'S DO NOT USE CCP SO CS DOES NOT NEED TO CHECK
          FOR CCP VERSION BEFORE GRANTING SUPERVISION.
          LTN       85/02/26       CSSANS 
  
 NA50370  THIS IDENT CHANGES THE FV VALUE FOR OP
          ON THE DEVICE STATEMENT SUCH THAT IT IS 0 FOR 
          PRINTER AND 1 FOR DISPLAY.
          YCY     85/02/22     NDLNFCM,NDLLIST,NDLPSS1
 FC24N02  PROVIDE INCOMING CALL DATA FOR PAD SUBTIP TYPE CONNECTIONS
  
          THIS MODSET IS THE NAM PORTION OF THE FEATURE THAT PROVIDES 
          INCOMING CALL DATA FOR PAD SUBTIP TYPE CONNECTIONS.  NIP WILL 
          RECEIVE THE CALLING AND CALLED DTE ADDRESS, FACILITIES CODES, 
          AND CALL USER DATA FROM CCP IN THE ICN/TE SM AND PASS IT
          TO NVF IN THE CR/ITE SM.
  
          LAE            01/15/85           SMDEF, SMNIP, SMNVF.
                                            HCRITER.
  
 NA5B085  PRU MODE FILE TRANSFER GETS LEVEL 7 HEADER FORMAT ERROR.
  
          SOMETIMES CIO REQUEST TO READ CONTROL WORD IS COMPLETED 
          WITH NO DATA IN THE BUFFER EVEN WHEN FILE POSITION IS NOT 
          AT EOI. 
          PIP FAILS TO PROCESS THIS SITUATION AND SENDS TWO BLOCKS
          WITH SAME BLOCK NUBMER. 
  
          PIP IS MODIFIED TO INCREMENT BLOCK NUMBER EVEN AFTER IT 
          SENT A NULL BLOCK.
  
          SW     85/02/28    PIP
 NA5B153  THIS IDENT FIXES THE PROBLEM THAT SOMETIMES 
          WHEN CONNECTION IS REJECTED BY A T-A APPLICATION, 
          NVF GENERATES "ILLEGAL APPLICATION" MESSAGE RATHER
          THAN "USER ACCESS NOT POSSIBLE - CONTACT NETWORK
          ADDMINSTRATION.". 
          YCY     85/02/27     NVFTDAD
 NA5B212  PRU MODE FILE TRANSFER GETS NETXFER ERROR 21. 
  
          IF THE PRU MODE FILE TRANSFER REACHES EOI WITH AN EXACT 
          MULTIPLE OF 64 CM WORDS IN THE BUFFER AND MORE THAN 66
          CM WORDS STILL REMAINING AVAILABLE, PIP MISSES THE EOI
          CONDITION AND RESULTS IN NETXFER ERROR 21.
  
          CHECKING FOR FULL PRUS IN THE BUFFER BY PIP IS NOT VALID
          AND SHOULD BE REMOVED.
  
          SW     85/03/1     PIP
 NA50365  THIS IDENT FIXES THE PROBLEM THAT FOR 
          ACCOUNT MESSAGE ABER, THE PASSWORD IS MISSING.
          YCY     85/02/27     NVFTIAM
 NA5B159  WHEN NVF FORMATS THE VCB FOR THE PASSIVE
          DEVICES, IT DID NOT PASS THE APPLICATION NUMBER TO
          THEM CORRECTLY. HENCE PASSIVE DEVICES DID NOT SHOW
          UP ON THE K DISPLAY WHEN USER PERFORMS A
          K.ST,TES,AP=ANAME.  GARBAGE APPLIATION NAMES
          ARE ALSO CAUSED BY THIS PROBLEM.
          THIS PSR ALSO CONTAINS CODE FOR FIXING NA5A514
          WHERE DEVICES TYPES FOR CR AND LP WERE REVERSELY
          DISPLAYED.
          YCY     85/03/19     NVFTDSP,NVFOFVD
 NA5B169  THIS IDENT FIXES THE SLOW REPONSE TIME WHEN 
          NVF SWITCHES A CONNECTION TO A NEW APPLICATION. 
          INSTEAD OF DOING AN UNFORCED NETWAIT WHEN THERE 
          IS NOTHING FOR NVF TO DO. NVF CHECKS IF MSG OF BLKS 
          HAVE BEEN NETPUT, AND IF SO A DELAY FOR 700 MILLISECONDS
          IS PERFORMED. WHEN THE TIMER EXPIRES AND NVF HAS NOTHING
          TO DO, IT WILL THEN DO AN UNFORCED NETWAIT. 
          YCY     85/03/13     TEXTSS,SSACNI,SSSWNR 
 NA5B202  STARTUP FILE SUPPORT FOR NEW NETLS FLUSH COUNT PARAMETER. 
  
          RWH            03/06/85       NWINIT,NWRESTRT,NWRECOVR, 
                                        NWMULTI,NWMINIT,NWMRECOV
  
 NA5B205  PROBLEM  - PIP ERROR 91 OCCURS WHEN PIP GETS CONFUSED FILLING 
                     THE PRU BUFFERS. 
          ANALYSIS - BECAUSE OF THE SIZE OF THE PRU BUFFERS, PIP ROUTINE
                     IPD GETS CONFUSED WHEN IT RECEIVES A BLOCK THAT
                     EXACTLY FITS THE BUFFER SIZE.
          SOLUTION - NIP HAS BEEN CORRECTED TO ALLOCATE PRU BUFFERS THAT
                     ARE ONE WORD SMALLER.
          EG     03/04/85    HPRUON, XCHKABC
 NA5B211  STARTUP FILE SUPPORT FOR NEW NIP *INACT* PARAMETER. 
  
          RWH            03/06/85       NWINIT,NWRESTRT,NWRECOVR, 
                                        NWMULTI,NWMINIT,NWMRECOV, 
                                        JOBNIP
  
 NA5B220  PROBLEM  - NIP FAILED WITH FREE CHAIN ERROR MESSAGE.
          ANALYSIS - THE TOTOL NUMBER OF FREE WORDS DID NOT MATCH THE 
                     TOTAL NUMBER OF FREE BUFFER SPACE.  THIS WAS DUE 
                     TO ONE OF THE FREE BUFFERS HAVING ITS SIZE 
                     DECREMENTED BY ONE.  THIS OCCURRED WHEN XSACB WAS
                     CALLED TO PROCESS THE NETON OF AN APPLICATION THAT 
                     WAS REJECTED BY NVF.  THE PROCESSING THAT RESULTED 
                     CAUSED THE AT TABLE TO BE SHRUNK.  HOWEVER, AFTER
                     THE TABLE WAS SHRUNK, XSACB CONTINUED PROCESSING 
                     AS IF THE TABLE WAS STILL THE SAME SIZE AND
                     OVERWROTE THE SIZE FIELD OF THE FREE BUFFER. 
          SOLUTION - NIP ROUTINE XSACB HAS BEEN CORRECTED TO DISCONTINUE
                     PROCESSING AFTER THE AT TABLE IS SHRUNK. 
          EG     03/16/85    XSACB
 NA5B221  PROBLEM  - NAM FAILED WITH CPU ERROR EXIT.
          ANALYSIS - NAM HAD LEFT 10 BUFFERS LYING AROUND THAT HAD ZERO 
                     SIZE AND BELONGED TO NO ONE.  ONE OF THESE BUFFERS 
                     HAD THE WORD IN FRONT OF IT USED AS THE FIRST WORD 
                     OF A USED BUFFER.  THIS RESULTED IN A NIP GARBAGE
                     COLLECTION ROUTINE MOVING MOST OF NIP'S MEMORY TILL
                     IT WENT BEYOND NIP'S FIELD LENGTH WHICH RESULTED 
                     IN THE FAILURE.
          SOLUTION - NIP ROUTINE HPNON HAS BEEN CORRECTED TO RESTORE
                     THE NWL BLOCK SIZE VALUE IN THE NWL IF IT
                     TERMINATES ABNORMALLY AND NIP ROUTINE XABTAPP IS 
                     CALLED.
          EG     03/04/85    HPNON
 NA5B223  PROBLEM  - NVF ABORTED WITH THE MESSAGE "NVFDDNT - SM NOT 
                     ROUTED.  THIS HAPPENED BECAUSE NVF RECEIVED AN 
                     ERR/LGL FROM NIP.
          ANALYSIS - NVF RECEIVED AN ERR/LGL BECAUSE AFTER RECEIVING
                     A CR/RCN FOR A LOAN-TYPE CONNECTION, IT SENT OUT 
                     A CR/RCN/N AND A CR/RCN/A.  THE CR/RCN THAT NVF
                     RECEIVED WAS IN LIMBO STATE.  AFTER NVF SENT OUT 
                     THE CR/RCN/N IT SHOULD HAVE SENT OUT A CR/SWH TO 
                     SWITCH THE CONNECTION BACK TO THE PRIMARY APPL.
                     NVF WAS CHECKING THE WRONG FIELD TO DETERMINE IF 
                     THE SWITCH SHOULD BE SENT, SO INSTEAD OF A 
                     CR/SWH, NVF SENT OUT AN ERRONEOUS CR/RCN/A.
          SOLUTION - CHANGE NVF TO CHECK FOR A LOAN-TYPE CONNECTION 
                     BY CHECKING THE REASON CODE ON THE CR/RCN INSTEAD
                     OF CHECKING THE PTA$LCF FLAG.
          PAM     85/03/18     NVFTRCN
 NA5B233  PRU MODE FILE TRANSFER SOMETIMES LOSES EOF PRU. 
  
          PRU MODE FILE TRANSFER SOMETIMES GETS NETXFER ERROR 25, OR
          LOSES EOF PRUS IF NA5B085 IS INSTALLED. 
          CIO REQUEST CODE FOR READ CONTROL WORD FROM PIP IS UNDER A
          CERTAIN CIRCUMSTANCE SENT WITH LEVEL NUMBER OF 17B INCLUDED 
          IN THE REQUEST CODE THAT CAUSES EOF PRU READ WITH NO DATA 
          IN THE CIO BUFFER.
  
          READ CONTROL WORD CIO REQUEST MUST BE SENT WITH NO LEVEL
          NUMBER IN IT TO GET PRU CONTROL WORDS REGARDLESS OF THE 
          PRU LEVEL.
  
          SW     85/03/06    PIP
 NS5B245  PROBLEM  - NS ABORTED WHEN IT DETECTED A BAD DIRECTORY FOR THE
                     NLF. 
          ANALYSIS - NS THOUGHT IT HAD READ UP THE DIRECTORY FOR THE NLF
                     WHEN IT FACT IT WAS PART OF THE NCF DIRECTORY.  NS 
                     ASSUMED THAT READW WOULD RETURN CONTROL TO THE 
                     PROGRAM ONLY AFTER ALL THE NCF DATA HAD BEEN READ
                     INTO THE WORKING STORAGE AREA. 
          SOLUTION - NS HAS BEEN CORRECTED TO DOUBLE THE SIZE OF THE CIO
                     BUFFER SO THAT THE READW WILL COMPLETE BEFORE
                     CONTROL IS RETURNED TO NS. 
          EG     03/18/85    NS$NSI 
 NA5B246  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT.
          ANALYSIS - NIP ROUTINE MGETS HAD BEEN CALLED TO ALLOCATE A
                     LARGE BUFFER (5560B WORDS LONG).  SINCE NONE OF
                     THE EXISTING BUFFERS WERE LARGE ENOUGH, MORE 
                     MEMORY WAS REQUESTED.  THE CODE ASSUMES THAT 
                     IF MORE MEMORY IS REQUESTED, THEN AFTER THE MEMORY 
                     IS ALLOCATED, THERE IS ENOUGH BUFFER SPACE TO
                     SATISFY THE REQUEST.  IT WAS NOT, AND THIS CAUSED
                     NIP ROUTINE MSEIZE TO REFERENCE AN ADDRESS OUTSIDE 
                     THE FIELD LENGTH OF THE PROGRAM. 
          SOLUTION - NIP SHOULD NEVER BE REQUESTING A BUFFER 5560 WORDS 
                     LONG.  THE BUFFER WAS TO BE USED FOR THE ACNT TABLE
                     FOR NVF.  THE ACNT TABLE WAS LARGE BECAUSE NIP WAS 
                     NOT INCREMENTING THE NUMBER OF FREE ENTRIES IN THE 
                     TABLE WHENEVER IT RELEASED AN CONNECTION NUMBER. 
                     NIP ROUTINE HBSTTP HAS BEEN CORRECTED TO INFORM
                     NIP ROUTINE RELACNB TO DO THAT.
          EG     03/18/85    HBSTTP 
 NA5B231  PROBLEM  - AIP RETURNED NETON REJECT RC=1 TO APPLICATION EVEN 
                     THOUGH NAM WAS AVAILABLE.
          ANALYSIS - IF NAM DOES NOT HAVE A BUFFER AVAILABLE FOR AN 
                     INCOMING WORKLIST WHEN THE APPLICATION TRIES TO
                     NETON, AIP WILL CLEAR THE NAM AVAILABLE FLAG.
                     THIS CAUSES AIP TO NOT RETRY THE NETON BUT RATHER
                     TO RETURN A NETON REJECT RC=1 TO THE APPLICATION.
          SOLUTION - AIP ROUTINE NP$XFER HAS BEEN CORRECTED TO NOT CLEAR
                     THE NAM AVAILABLE FLAG UNLESS NAM IS REALLY NOT
                     THERE. 
          EG     03/04/85    NP$XFER
 NA5B249  PROBLEM  - WHEN USERS LOG IN WITH A BLK BLOCK AND A MSG BLOCK 
                     (INSTEAD OF JUST A MSG BLOCK), THE USER WILL 
                     SOMETIMES GET CONNECTED UNDER THE WRONG USER NUMBER. 
          ANALYSIS - IF A USER SENDS THE BLK BLOCK PART OF THE LOGIN AND
                     THEN GETS TIMED OUT OR DISCONNECTED BEFORE THE MSG 
                     BLOCK COMES IN, THE BLK BLOCK WILL REMAIN IN THE 
                     <IWBQ>.  THEN IF ANOTHER USER TRIES TO LOGIN WITH
                     THE SAME CONNECTION NUMBER, THE FIRST USER'S LOGIN 
                     BLK BLOCK WILL BE USED.
          SOLUTION - WHEN NVF ISSUES A CR/TRM, CHECK IF THE ACN$BLKF FLAG 
                     IS SET (INDICATING THAT A BLK BLOCK IS WAITING IN
                     THE <IWBQ>), AND IF SO, FIND AND DELETE THE BLK
                     BLOCK.  THIS CODE IS FOR 2.3/2.4 COUNTERPART TO
                     NA50345. 
          PAM     85/03/20     NVFCTRM
 NA5B251  THIS IDENT FIXES ONE OCCASION WHEN THE FILE TRANSFER PROCESS
          ERRORS EXIT WITH "NAM INTERFACE ERROR". 
  
          PROBLEM: WHEN THE REMOTE HOST WAS TAKEN DOWN, THE REMOTE PIP
                   SENT FT/OFF TO THE RECEIVING PIP WHEN THE RECEIVING
                   AIP WAS STILL IN DATA PHASE. 
  
          SOLUTION: DEFINE FT/OFF TRIGGERS IN THE DATA STATE OF PRU 
                    SENDER AND DO THE SAME OF ALL THE STATES THAT 
                    MIGHT HAVE BEEN TRANSFERRED TO FROM THE 
                    DATA STATE DUE TO AN ERROR CONDITION INFORMED 
                    XFTIER (PIP TO AIP) 
          YCY     85/03/22     NP$STTP
 NA5B142  PROBLEM  - SOMETIMES BEFORE NVF PUTS OUT THE BANNER, A
                     MESSAGE LEFT OVER FROM A PREVIOUS CONNECTION 
                     WOULD APPEAR.
          ANALYSIS - IF A CONNECTION WAS BEING TERMINATED BY NVF AND
                     THEN GOT HUNG BEFORE THE TERMINATION WAS COMPLETE, 
                     ANY MESSAGES FROM NVF FOR THAT CONNECTION WOULD
                     STILL BE IN NVF'S TABLES.  THEN, AFTER THE 
                     CONNECTION WAS TIMED OUT, IF ANOTHER CONNECTION
                     COMES IN WITH THE SAME CONNECTION NUMBER, THE
                     LEFTOVER MESSAGES WOULD BE SENT TO THAT CONNECTION.
          SOLUTION - WHEN A CONNECTION TIMES OUT, IF IT IS IN A 
                     "TERMINATE PENDING" STATE, NVF WILL DELETE ANY 
                     DATA MESSAGES FOR THAT CONNECTION. 
          PAM     85/04/02     NVFCUFS
 NA5B222  PROBLEM  - NVF IS ABORTED BY NOS WHEN NAM IS BROUGHT DOWN 
                     WITH THE ID,HOST COMMAND.
          ANALYSIS - WHEN NVF NETS OFF, NIP GOES AWAY WITHOUT CLEARING
                     THE LONG AND SHORT TERM CONNECTIONS IT HAS WITH
                     NVF.  THIS CAUSES NVF TO GET ABORTED BY NOS. 
          SOLUTION - NIP ROUTINE HPNOFF HAS BEEN CORRECTED TO CLEAR 
                     THE LONG AND SHORT TERM CONNECTIONS IT HAS WITH
                     NVF BEFORE GOING AWAY. 
          EG     03/29/85    HPNOFF 
 NA5B224  PROBLEM  - NVF ABORTED WHEN IT RECEIVED A CR/CB WITH THE WRONG
                     VCB ORDINAL. 
          ANALYSIS - NIP HAD CALLED GARBAGE COLLECTION AND A OLD ACNB 
                     THAT SHOULD NOT HAVE EXISTED WAS RECONNECTED TO
                     THE ACNT TABLE.  THE BAD ACNB HAD AN OLD VCB 
                     ORDINAL THAT WAS NOT THE SAME AS THE VCB ORDINAL 
                     OF THE REAL ACNB FOR THAT CONNECTION.  WHEN THE
                     REAL CONNECTION WAS TERMINATED, NIP USED THE OLD 
                     VCB ORDINAL FROM THE OLD ACNB. 
                     THE OLD ACNB WAS SUPPOSED TO HAVE BEEN RELEASED. 
                     IT WAS NOT BECAUSE AN APPLICATION WITH THE SAME
                     APPLICATION NUMBER HAD PREVIOUSLY NETTED OFF AND 
                     WHEN IT DID, ITS TERMINAL CONNECTION WAS NOT 
                     RECONNECTED TO NVF.  INSTEAD, THE APPLICATION'S
                     CONNECTION WAS LEFT IN LIMBO ALONG WITH ITS
                     CORRESPONDING ACNB.  THIS WAS DUE TO THE HIGHEST 
                     CONNECTION NUMBER FIELD IN THE ACNT BEING
                     INCORRECT.  THIS WAS DUE TO THE CONNECTION TABLE 
                     NOT INCLUDING A ENTRY FOR THE LOANED CONNECTION. 
          SOLUTION - NIP ROUTINE RELACNB HAS BEEN CORRECTED TO CHECK
                     FOR LOANED CONNECTIONS IN DETERMINING HOW MUCH OF
                     THE ACNT TABLE CAN BE SHRUNK.
          EG     04/18/85    RELACNB
 NA5B225  ADD *CDCNET* PARAMETER TO STARTUP FILE AND *COLLECT*
          TO ALLOW TWO *COLLECT* BINARIES IN SYSTEM OR LIBRARY. 
  
          RWH            03/18/85       JOBCOL,COLLECT
  
 NA5B227  PROBLEM  - NIP ABORTED WITH THE ERROR MESSAGE - MGETC/MAXFL 
                     REACHED. 
          ANALYSIS - NIP ROUTINE MGETS WAS UNABLE TO SATISFY A BUFFER 
                     REQUEST.  THIS WAS BECAUSE NIP WAS ALREADY AT ITS
                     MAXIMUM FIELD LENGTH AND NONE OF THE EXISTING
                     FREE BUFFERS WERE BIG ENOUGH.  THE CONDITION SHOULD
                     NEVER HAVE OCCURRED BECAUSE NIP SHOULD HAVE GONE 
                     INTO REGULATION LEVEL 0.  THE NIP DAYFILE SHOWED 
                     NIP HAD GONE INTO REGULATION LEVEL 0 AND THEN INTO 
                     REGULATION LEVEL 1.  IT SHOULD HAVE GONE BACK TO 
                     REGULATION LEVEL 0 BUT DID NOT DUE TO MGETS NOT
                     CALLING NIP ROUTINE MSTAVF.
          SOLUTION - THE CODE IN NIP ROUTINE MSTAVF TO SET THE
                     REGULATION LEVEL HAS BEEN MOVED TO NIP ROUTINE 
                     MSEIZE.
          EG     03/29/85    MGETC,MSEIZE,MGBGCLT 
 NA5B235  PROBLEM  - NIP DOES NOT UPDATE THE DELIVERABLE DATA BIT WHEN
                     THE TEMPORARY LIST OFF FLAG IS CLEARED FOR A 
                     CONNECTION THAT HAS DATA QUEUED FOR IT.
          ANALYSIS - NIP ROUTINE HPPUT DID NOT CHECK IF THE DELIVERABLE 
                     DATA BIT SHOULD BE SET WHEN IT CLEARED THE 
                     TEMPORARY LIST OFF FLAG. 
          SOLUTION - NIP ROUTINE HPPUT HAS BEEN CORRECTED TO SET THE
                     DELIVERABLE DATA BIT WHEN IT CLEARS THE TEMPORARY
                     LIST OFF FLAG IF DATA IS QUEUED ON THAT CONNECTION.
          EG     03/28/85    HPPUT
 NA5B247  PROBLEM  - PIP IGNORES REGULATION LEVEL 1 AND 2 MESSAGES WHEN 
                     TRANSFERRING PRU DATA. 
          ANALYSIS - NIP ROUTINE NPREGCN IS NOT SETTING THE REGULATION
                     FLAG IN THE PCNB WHEN IT IS PROCESSING THE REG/LL
                     SUPERVISORY MESSAGE.  THIS MEANS THAT PIP DOES NOT 
                     KNOW THAT THE LOGICAL LINK IS IN REGULATION. 
          SOLUTION - NIP ROUTINE NPREGCN HAS BEEN CORRECTED TO SET THE
                     REGULATION FLAG IN THE PCNB WHEN APPROPRIATE.
          EG     03/29/85    NPREGCN
 NA5B252  NIP SHOULD NOT ALLOW DOWNLINE BLOCK WITH ACT = 4 ON A TO A
          CONNECTION. 
          LTN       85/02/29       HPPUT
  
 NA5B257  PROBLEM  - FILE TRANSFER HUNG.
          ANALYSIS - NIP IS SETTING THE LIMIT POINTER IN THE PRU BUFFER 
                     ONE WORD SHORTER THAN IT SHOULD.  THIS IS CAUSING
                     PIP TO NOT BE ABLE TO GET A PRU BUFFER OF THE RIGHT
                     SIZE AND THEREBY IS CAUSING THE FILE TRANSFER TO 
                     HANG.
          SOLUTION - NIP ROUTINE XCHKABC HAS BEEN CHANGED TO SET THE
                     CORRECT ADDRESS FOR THE LIMIT POINTER IN THE FET.
          EG     03/26/85    XCHKABC
 FN2450   SUPPORT OF 8-BIT COUPLER NODE NUMBER (PIP CODE) 
  
          MODIFY NIP CODE TO HANDLE 8 BIT COUPLER NODE NUMBER.
          PIP RECEIVES 8-BIT COUPLER NODE NUMBER FROM EST IN THE REVISED
          FORMAT AND SETS UP CET ENTRIES FOR NIP IN THE REVISED FORMAT. 
          DEDICATED PIPS RECEIVE 8-BIT NODE NUMBERS FROM NIP IN NBT-S 
          IN THE REVISED FORMAT.
  
          EG     03/29/85    CET,NBT, 
          SW     85/04/08    PIP
 NA5B148  WHEN A PRIMARY APPLICATION NETTED OFF AFTER LOANING A 
          T-A CONNECTION THEN NETTED ON AGAIN, IN THE CASE OF THE SECOND
          VERSION OF APPLICATION HAVING THE SAME APPLICATION NUMBER, THE
          LOANED CONNECTION SHOULD NOT BE RETURNED TO THE SECOND VERSION
          AS THE PRIMARY APPLICATION. 
          LTN       85/04/08       HCSTTP 
  
 NA5B155   SET PRIACB VALUE TO ACB ADDRESS WHEN SENDING CON/CB/U TO 
           PRIMARY APPLICATION ONLY.
           LTN      85/04/09       HCONCBU
  
 NA5B239  NVF DOES NOT VALIDATE COLLECT FACILITIES
          CORRECTLY. THE TEMPORARY CODE IN NVF DISALLOWING
          COLLECT IS REMOVED. ALSO, THERE WAS A PROBLEM THAT
          THE VALUE OF FACPARAM WAS NOT STORED CORRECTLY, 
          ASSUMING THAT ALL FACPARAM VALUES SHOULD BE 
          STORED LEFT JUSTIFIED IN THE FACPRAM BUFFER FOR 
          VERIFICATION PURPOSES. ALSO, FAST SELECT AND
          COLLECT FACILITIES ARE SHARING A SINGLE FAC CODE. 
          THIS IS ADJUSTED BY THIS MODSET TOO.
          YCY     85/04/05     NVFARAP
 NA5B272  PROBLEM  - NIP DOES NOT UPDATE THE DELIVERABLE DATA BIT WHEN
                     THE TEMPORARY LIST OFF FLAG IS SET FOR A 
                     CONNECTION THAT HAS DATA QUEUED FOR IT.
          ANALYSIS - NIP ROUTINE HPGET DID NOT CHECK IF THE DELIVERABLE 
                     DATA BIT SHOULD BE CLEARED WHEN IT SET THE 
                     TEMPORARY LIST OFF FLAG. 
          SOLUTION - NIP ROUTINE HPGET HAS BEEN CORRECTED TO CLEAR THE
                     DELIVERABLE DATA BIT WHEN IT SETS THE TEMPORARY
                     LIST OFF FLAG IF DATA IS QUEUED ON THAT CONNECTION.
          EG     03/28/85    HPGET
 NA5B276  THIS IDENT ALLOWS COUPLER NODE NUMBERS
          TO HAVE MAXIMUM VALUE OF 255 DECIMAL. SINCE THE 
          EST ENTRY FOR COUPLER NODE NUMBER IS EXPANDED 
          FROM A 6 BIT TO AN 8 BIT FIELD, THE MAXIMUM 
          VALUE FOR COUPLER NODE NUMBER ON THE COUPLER
          STATEMENT, THE HOST NODE NUMBER ON THE DEVICE 
          AND TERMDEV STATEMENT, THE SOURCE NODE ON THE 
          OUTCALL STATEMENT AND THE DNODE ON THE
          INCALL STATEMENT SHOULD BE ALLOWED A MAXIMUM
          VALUE OF 255. 
          YCY     85/04/05     NDLCKRG,NDLNFNT
 NA5B213  MDI READ ERROR IS NOT CORRECTLY RECOVERED 
  
          AFTER MDI READ ERROR, FUNCTION TO GET MDI GENERAL STATUS
          IS TRIED WITH CHANNEL ACTIVE THAT CAUSES COUPLER ERROR 01.
  
          AT A BLOCK PROTOCOL ERROR FROM MDI, RE-READ IS TRIED BY READ
          ERROR FUNCTION FROM PIP OR AUTOMATICALLY BY MDI.
          AS THE BLOCK SEQUENCE NUMBER IS NOT RESTORED, BLOCK SEQUENCE
          ERROR WILL RESULT AT THE NEXT TRIAL.
  
          AT A BLOCK PROTOCOL ERROR DETECTED IN THE BLOCK HEADER, 
          THE CHANNEL ERROR PROCESSOR IS CALLED TO PROCESS THE ERROR. 
          IF THIS IS A REAL PROTOCOL ERROR, READ ERROR FUNCTION WILL BE 
          REPEATEDLY ISSUED UNTIL THE MAXIMUM RETRY COUNT IS REACHED. 
  
          IF THE FRONT END IS TURNED OFF AFTER A BLOCK PROTOCOL ERROR,
          PIP WILL ABORT NAM.  ERROR CODE MUST BE RESET AFTER THE 
          BLOCK PROTOCOL ERROR MESSAGE IS SENT TO NAM.
  
          SW     85/03/19    PIP
 NA5B269  USING INTEGER INSTRUCTION TO INCREMENT THE NUMBER OF SCP CALL 
          IN OSCCALL
          LTN       85/04/09       OSCCALL
  
 NA5B275  PROBLEM  - IF A USER LOANED A CONNECTION TO A SECONDARY 
                     APPLICATION, THEN THE PRIMARY APPL FAILED, 
                     WHEN THE CONNECTION WAS RETURNED TO THE PRIMARY, 
                     THE USER WOULD BE SENT AN APPLICATION PROMPT.
                     IF THE USER ENTERED "IAF" IN RESPONSE TO THE 
                     APPLICATION PROMPT, IAF WOULD GET AN ERROR.
          ANALYSIS - WHEN NVF TRIED TO SWITCH THE USER TO IAF, IT 
                     PASSED THE LOAN REASON CODE FROM THE CR/RCN TO 
                     IAF IN THE CR/SWH.  IAF DID NOT UNDERSTAND WHY 
                     IT WAS GETTING A LOAN REASON CODE BECAUSE THIS 
                     WAS NO LONGER A LOANED CONNECTION. 
          SOLUTION - IN THE CASE WHERE THE LOAN CONNECTION NO LONGER
                     EXISTS, AS WHEN THE PRIMARY APPL FAILS OR THE
                     SECONDARY APPL ABORTS THE CONNECTION, NVF WILL 
                     NOT PASS ALONG THE LOAN REASON CODE IN THE CR/SWH. 
          PAM     85/04/16     NVFTRVD
 NA5B278  THIS CODE FIXES SOME BUGS IN NA50311. 
          CYC 04/03/85  INIP,ITABS
 NA5B293  PROBLEM  - NVF ABORTED WITH THE MESSAGE "NVFTDSP -- 
                     CANNOT FIND AST ENTRY FOR MAILSRV".
          ANALYSIS - WHENEVER THE LAST APPLICATION IN THE AST TABLE 
                     WAS SELECTED, BECAUSE OF AN ERROR IN THE WAY 
                     NVF SEARCHED THE TABLE, NVF WOULD ABORT BECAUS 
                     IT THOUGHT IT COULD NOT FIND THE APPLICATION IN
                     THE TABLE. 
          SOLUTION - CHANGE THE WAY THAT NVF CHECKS IF THE APPLICATION
                     EXISTS IN THE AST TABLE. 
          PAM     85/04/16     NVFTDSP
 NA5B298  PROBLEM  - QTRM DOES NOT CLEAR THE CURRENT BLOCK LIMIT FIELD
                     IN THE NIT WHEN THE APPLICATION SENDS A DOWNLINE 
                     FC/BRK SUPERVISORY MESSAGE.
          SOLUTION - QTRM HAS BEEN CORRECTED TO CLEAR THE CURRENT BLOCK 
                     LIMIT FIELD. 
          EG     04/23/85    QTGET
 NA5B177  WHEN SECONDARY RETURN LOANED CONNECTION, RESERVED ACN SHOULD
          BE USED.
          LTN       85/04/14       HCSTTP 
  
 NA5B268  AIP HUNG ON NETWAIT.
          THE CONDITION OF THE HANG IS THAT  ATASBI FLAG WAS NOT SET
          AND THE ATASBS FLAG WAS SET.
          HWRAVAL WILL NOT UPDATE THE DATA AVAILABILITY WORD
          OR CALL OSCHAPP TO ISSUE A SWAPIN REQUEST.
          CAUSE:  
          A SHORT NETWAIT CAUSES THE ATASBF FLAG GET SET. 
          A SUPERVISORY MESSAGE (IN THIS CASE, A CONACRA) IS
          LINKED TO THE THE ACB OF THE APPLICATION CONCERNED. 
          THE FIRST UPDATE OF THE DATA-AVALABILITY WORD FAILS.
          OSCHAPP DOES NOT ISSUE A SWAPIN REQUEST BECAUSE 
          ATASBF FLAG IS SET. 
          THE NEXT CALL OF XSACB GOES TO STATE 1, BUT BECAUSE 
          OF THE TIMING, ATASBF, AND ATASBW DO NOT GET CLEARED
          IN STATE 1. THE SECOND UPDATE OF THE DATA-AVAILABILITY
          WORD FAILS TOO. BECAUSE IT IS ONLY CHECKING FOR 
          ATASBR FLAG, IT SETS THE ATASBS FLAG. THIS GENERATES
          THE NECESSARY HANG CONDITIONS.
  
         SOLUTION:  
  
           IN SECTION ENDPROC1 OF XSACB, AFTER THE UPDATE 
           OF THE DATA-AVALABILITY WORD FAILS, IT SHOULD
           CHECK FOR BOTH ATASBR AND ATASBW FLAG NOT SET
           BEFORE IT SETS THE ATASBS FLAG. NOTE, THAT 
           WHEN ATASBF FLAG IS SET, ATASBW FLAG IS ALSO SET.
          YCY     85/04/29     XSACB
 NA5B308  OUTGOING FILE TRANSFER YIELDS PRU BUFFERS TO INCOMING TRANSFER
  
          WHEN FILE TRANSFERS IN BOTH DIRECTIONS ARE ACTIVE IN A PIP, AS
          THE LAST FREE BUFFER IS ONLY ASSIGNED TO THE INBOUND TRANSFER,
          OUTGOING FILE TRNSFERS MAY BE HALTED UNTIL INBOUND TRANSFERS
          END.
          CORRECTIONS ARE MADE NOT TO KEEP ONE LIMBO BUFFER FOR INBOUND 
          TRANSFER WHEN A BUFFER IS ALREADY ASSIGNED FOR AN INBOUND 
          TRANSFER. 
  
          SW     85/04/26    PIP
 NA5B097  PROBLEM  - WHEN DATA WAS PASSED ON A LOANED CONNECTION, 
                     THE DATA WOULD NOT GET TO THE SECONDARY APPL.
          ANALYSIS - NVF WAS NOT MOVING THE DATA PROPERLY FROM THE
                     CR/RCN TO THE TEMPORARY HOLDING AREA TO THE
                     CR/SWH.  ALSO, NIP WAS NOT COPYING THE DATA
                     BUFFER FROM THE CON/END TO THE CR/RCN. 
          SOLUTION - NVF WILL MOVE THE DATA PROPERLY.  NIP WILL COPY
                     THE DATA BUFFER PROPERLY.
          PAM     85/05/07     NVFTRCN,NVFTDSP,TEXTNVF
          LTN                  HCRRCNR
 NA5B108  WHEN LINE GETS DISCONNECTED, FOR LOANED CONNECTION, PRIMARY 
          APPLICATION WILL RECEIVE CON/CB/U WITH RC = 1 AND LOAN INDICATOR
          TURNED ON.
          LTN       85/04/16       HCSTTP,HCONCBU 
  
 NA5B290  PROBLEM  - IF A PRIMARY APPL LOANED A CONNECTION TO A 
                     SECONDARY APPL, THEN THE PRIMARY APPL FAILED,
                     WHEN THE SECONDARY APPL RETURNED THE CONNECTION
                     TO THE PRIMARY APPL, THE USER WOULD GET AN 
                     APPLICATION PROMPT, BUT NO APPLICATION FAILED
                     MESSAGE. 
          ANALYSIS - IN THE CASE WHERE THE PRIMARY APPL FAILS, NVF
                     WAS NOT SENDING THE "APPLICATION FAILED" MESSAGE.
          SOLUTION - WHEN THE PRIMARY APPL FAILS, AND THE CONNECTION
                     IS RETURNED TO THE PRIMARY APPL, NVF WILL SEND 
                     THE "APPLICATION FAILED" MESSAGE.  THIS CODE 
                     ALSO DELETES SOME DEBUG MESSAGES THAT WERE 
                     TEMPORARILY PUT IN NVF.
          PAM     85/05/07     NVFTRVD,NVFTVAA,NVFTRCN
 NA5B295  TIMER MDIDLY IN MDI/GMS SHOULD BE INCREASED.
  
          TIMER MDIDLY IS QUADRUPLED TO WAIT FOR MCI WRITE LENGTH 
          ERROR PROCESSING AND TO COMPLY WITH THE PROCESSING TIMING OF
          FASTER PP-S.
  
          SW     85/05/09    PIP
 NA5B299  NVF FAILURE CAUSED BY NIP ABORTING THE WRONG APPLICATION. 
          WHEN NIP TRIED TO FORMAT A SCP CALL TO END AN APPLICATION 
          WHICH WAS AT STATE 6, IT DID NOT EXECUTE THE XABTAPP
          IMMEDIATELY IF THE NETONA FROM NVF HAS A FATAL ERROR CODE 
          AND THE UPDATE ATHAN IS SMALLER THAN THE LOOP INDEX.
          THIS WILL CAUSE NIP TO ABORT THE WRONG APPLICATION AND
          GENERATE VARIOUS MEMORY MANAGEMENT PROBLEMS.
          CODE IS CUT SO THAT UNDER THE ABOVE MENTIONED SITUATION,
          XABTAPP IS EXECUTED IMMEDIATELY.
          THIS IDENT ALSO FIXES THE PROBLEMS ADDRESSED BY NA5B312 
          NA5B305.
          YCY     85/05/13     XSACB
 NA5B323  PROBLEM  - NIP DID NOT INFORM AIP THAT TWO DATA BLOCKS WERE 
                     AVAILABLE FOR DELIVERY.  THIS RESULTED IN THE
                     APPLICATION NOT RESPONDING TO TERMINAL TYPEINS.
          ANALYSIS - THE APPLICATION HAD ISSUED A LST/OFF SUPERVISORY 
                     MESSAGE FOLLOWED BY A LST/ON SUPERVISORY MESSAGE.
                     IN PROCESSING THE LST/ON SUPERVISORY MESSAGE, NIP
                     DID NOT UPDATE THE DELIVERABLE DATA BIT IN THE 
                     ACB. 
          SOLUTION - NIP ROUTINE HLONOFF HAS BEEN CORRECTED TO CLEAR
                     THE LST-OFF FLAG IN THE ACB BEFORE CALLING NIP 
                     ROUTINE HUPDTDB TO UPDATE THE DELIVERABLE DATA 
                     BIT. 
          EG     05/20/85    HLONOFF
 NA5B338  NIP FAILED WHEN SECONDARY TRIED TO NETOFF.
          WHEN AN APPLICATION TRIED TO LOAN A CONNECTION TO 
          ITSELF, IT MAY HAVE THE SITUATION THAT THE PRIMARY
          INFORMATION ENTRY WITHIN THE ACNT IS AFTER THE
          SECONDARY ENTRY. IN THIS CASE, NIP SHOULD 
          UPDATE ACTION 5 OF THE HCSTTP SUCH THAT THE 
          APPLICATION NUMBER AND ACN IN ACNTPRID OF THE 
          THE PRIMARY APPLICATION NOW REFER TO NVF APPLICATION
          NUMBER AND THE ACN OWNED BY NVF.
          YCY     85/05/20     HCSTTP 
 FA6467   FEATURE - MODIFY NIP TO SUPPORT DOWNLINE BREAKS ON DEVICE 
                    CONNECTIONS.
          EG     11/20/84    NBSTTP,STATTBL 
 NA5B178  PROBLEM  - NVF SENT OUT THE WRONG REASON CODE ON A CR/RCN/A 
                     IF THE SECONDARY APPL WAS AT MAXACN. 
          ANALYSIS - THE REASON CODE FOR THE CR/RCN/A WAS HARD CODED
                     TO BE 22 (SECONDARY NOT AVAILABLE).
          SOLUTION - USE THE REASON CODE VALUE PASSED AS A PARAMETER
                     TO NVFTRLC WHEN SETTING THE RC IN THE CR/RCN/A.
          PAM     85/06/04     NVFTDSP,NVFTRLC
 NA5B311  PRIMARY FILES CANNOT BE TRANSFERRED BY NETXFR.
          PIP WHICH PERFORMS RANDOM READ CAN NOT OPERATE
          ON PRIMARY FILES. 
          NETXFR WILL GENERATE ILLEGAL FILE TYPE MESSAGE
          FOR PRIMARY FILE XFR. 
          YCY        85/05/22        NP$INFO
 NA5B352  NIP SHOULD ISSUE SST CALL TO RETURN OWNERSHIP OF
          THE FILE TO THE APPLICATION ONLY IF THE APPLICATION IS
          SWAPPED IN. 
          PROBELM: NIP ISSUES SST CALL (RETURN FILE OWNERSHIP) EVEN 
            WHEN THE APPLICATION IS SWAPPED OUT.
          SOLUTION: BEFORE NIP ISSUES THE SST CALL FOR RETURNING FILE 
            OWNERSHIP FROM THE OS TO THE APPLICATION, IT
            CHECKS IF THE ATASBSO FLAG IS SET. IF THE FLAG IS 
            SET, IT FAKES THE REASON CODE TO BE THE ONE FOR 
            UCP-SWAPPED-OUT. THIS WILL FORCE NIP TO PROCESS 
            THE CHAINED REQUEST LATER. ALSO, IN THE SECTION 
            THAT ISSUES THE SST DAYFILE MESSAGE WITH THE
            REASON CODE, IT CHECKS IF THE ATASBSO IS NOT SET BEFORE 
            IT DOES SO. THIS WAY, IF INDEED THE SST CALL IS 
            REJECTED EVEN IF THE APPLICATION IS SWAPPED IN, NIP 
            WILL STILL DAYFILE THE REASON CODE. 
          YCY     85/05/30     NRCSSTP
 NA5B263  REDUCE NIP-S CPU USAGE, FIELD LENGTH, AND THE INTERACTIVE 
          RESPONSE TIME BY MAKING THE FOLLOWING CHANGES.
          1. USE PRESET WORDS WERE POSSIBLE.
          2. USE SPECIAL DOWNLINE BUFFER FOR BACKS TO REDUCE USAGE OF 
             BUFFER MANAGEMENT ROUTINES.
          3. USE GLOBAL BASED ARRAY FOR AT, PIT, CET, AND TNT.
          4. REPLACE USE OF LIST RING WITH CONNECTION DATA QUEUE RING.
          5. USE BASED ARRAYS FOR PASSING PARAMETERS WHERE APPLICABLE.
          6. REMOVE USE OF INTERLOCK TABLE AND SIMPLIFY INTERFACE 
             BETWEEN PIP AND NIP. 
          7. MISCELLANEOUS CHANGES TO VARIOUS ROUTINES TO REDUCE THEIR
             CPU USAGE AND THEREBY ALSO IMPROVE RESPONSE TIME.
          8. ADD NEW FEATURE TO ALLOW APPLICATION TO RECEIVE MULTIPLE 
             UPLINE DATA MESSAGES IN SINGLE WORKLIST TRANSFER.
          EG     04/22/85    MOST OF NIP AND AIP, PIP 
 NA5B335  THIS MODSET ALLOWS A CODED FILE TRANSFER OF 1920
          CHARACTERS. 
          YCY     85/06/10     NX$ADEF
 NA5B354  PROBLEM: APPLICATION ABORTS ON BAD REASON CODE
                   RETURNED TO BY NIP DURING CONNECTION REQUEST.
          SOLUTION: 
            CASE (1)
            WHEN A REGLL OCCURS, NIP SENDS CRCB WITH REASON CODE 17B
            TO NVF. WHEN CRTRM IS RECEIVED, NIP SHOULD MAP 17B TO 
            43B, MEANING LOGICAL LINK FAILURE FOR THE APPLICATION 
            TO UNDERSTAND THE RC2 FIELD.
  
            CASE (2)
            WHEN NIP SENDS TCNTA TO CCP, IT SHOULD SET THE REASON CODE
            ACCORDING TO THE VALUE OF RCBRK.
            IN NTCNTAR, NIP SHOULD ALSO SET THE VALUE OF TCNRC TO 
            THE VALUE OF RCBRK. 
  
  
          YCY     85/06/10     HCACRQA,NCSTTP,NTCNTAR 
 NA5B357  PROBLEM: WHEN THE CHARACTER MODE SENDER RETURNS 
          AFTER RECEIVING A ER(E), IT SETS THE RC FIELD TO 25 
          ARBITRARILY.
  
          SOLUTION: 
          THE REASON CODE THAT THE NETXFR RETURNS TO THE APPLICATION
          FOR A ER(E) SHOULD BE THE ONE SET WHEN THE CHARACTER MODE 
          SENDER SENDS THE ES(E). 
          YCY     85/06/05     NP$STTP
 NA50376  PROBLEM -  NIP FAILS WHEN TWO APPLICATIONS WHICH INITIATE 
                     INTRAHOST APPLICATION-TO-APPLICATIONS ARE RUN. 
          ANALYSIS - NIP ROUTINE HVLLCB IS OVERWRITING THE ADDRESS OF 
                     THE FIRST LLCB POINTED TO BY THE TERMINAL NODE 
                     TABLE WITH THE ADDRESS OF THE NEW LLCB THAT WAS
                     JUST ADDED.  WITH THE BAD ADDRESS IN THE TERMINAL
                     NODE TABLE, NIP NO LONGER KNOWS ABOUT ANY OF THE 
                     PREVIOUS LOGICAL LINKS WITH TERMINAL NODE 1. 
                     WHEN THE HOST-TO-HOST LOGICAL LINK IS TERMINATED,
                     THE LLCB IS RELEASED BUT THE TERMINAL NODE TABLE 
                     WILL STILL POINT TO IT.  THIS CAUSED NIP TO FAIL 
                     WITH A CPU ERROR EXITS AND MRELS BUFFER MANAGEMENT 
                     ERRORS.
          SOLUTION - HVLLCB HAS BEEN CORRECTED TO NOT OVERWRITE THE 
                     ADDRESS IN THE TERMINAL NODE TABLE UNLESS IT IS
                     CREATING THE FIRST LLLCB FOR THAT TERMINAL NODE
                     NUMBER.
          EG     05/12/85    HVLLCB 
 NA50392  PROBLEM - WHEN NAMI IS CALLED WITH RS=RCRDNAME, AND 
                    RCRDNAME IS NOT FOUND IN THE MASTER FILE, 
                    NAMI FAILS TO INCLUDE THE RCRDNAME IN THE 
                    DAYFILE ERROR MESSAGE.
  
          SOLUTION - ROUTINE LOAD$JOB HAS BEEN MODIFIED 
                     SO THAT THE ERROR MESSAGE WILL INCLUDE 
                     THE NON_EXISTING RECORD NAME.
          TET     85/06/10     NAMI 
 NA5B300  GARBARGE FOUND IN AIP STATISTICS FILE HEADER. 
          IN NETSTC ST$MSG1 SHOULD BE DEFINED AS
          35 CHARACTERS RATHER THAN 25 CHARACTERS LONG. 
          YCY    06/13/85    NETSTC 
 NA5B361  PROBLEM  - NIP ABORTED WITH MRELS BUFFER MANAGEMENT ERROR.
          ANALYSIS - NIP HAD RECEIVED A HE/CP SUPERVISORY MESSAGE 
                     FROM PIP AND CALLED NIP OVERLAY NPHECP TO PROCESS
                     THE MESSAGE. NHPECP CALLS MRELS TO RELEASE ALL 
                     THE QUEUED DOWNLINE MESSAGES.  ONE OF THE DOWNLINE 
                     MESSAGES QUEUED WAS A BACK WHICH RESIDED IN THE
                     DOWNLINE BACK BUFFER INSTEAD OF THE DYNAMIC BUFFER 
                     AREA.  WHEN MRELS TRIED TO RELEASE THIS BUFFER, IT 
                     ABORTED NIP BECAUSE THE BUFFER WAS OUTSIDE THE 
                     DYNAMIC BUFFER AREA. 
                     NIP CAN ALSO ABORT WITH THIS ERROR IF NIP PROCESSES
                     NVF-S NETOFF REQUEST AND GETS A SWAPPED OUT REASON 
                     FROM THE OPERATING SYSTEM. 
          SOLUTION - NIP OVERLAYS NPHECP AND NPESTOF HAVE BEEN CORRECTED
                     TO CHECK FOR THE SPECIAL BACK BUFFERS AND NOT CALL 
                     MRELS TO RELEASE THEM. 
                     NIP OVERLAY HPNOFF HAS BEEN CORRECTED TO ADJUST THE
                     DRHDRWD BASED ARRAY ADDRESS BEYOND THE END OF THE
                     SCP FUNCTION LISTS.
          EG     06/12/85    NPESTOF, NPHECP, HPNOFF
NA5B362   PROBLEM - TVF HAS GROWN SO ITS SPECIFIED FL IN THE
                    NAMI STARTUP RECORD (10K) IS NOW INSUFFICIENT.
                    THIS CAUSES TVF TO FAIL.
  
          SOLUTION - INCREASE TVF'S FL FROM 10K TO 15K. 
          TET     85/06/17     JOBTVF 
 NA5B369  PROBLEM  - AIP IS NOT DELIVERING DATA MESSAGES TO NVF.
          ANALYSIS - AIP ROUTINE NETGET DID NOT SET THE LIST FLAG IF STAT IS
                     NOT DEFINED.  THIS CAUSED AIP TO NOT GET THE DATA MESSAGES 
                     FROM NIP.
          SOLUTION - AIP ROUTINE NETGET HAS BEEN CORRECTED TO SET THE LIST FLAG 
                     IRREGARDLESS OF HOW IT WAS BUILT.
          EG     06/15/85    NETGET 
 NA5B370  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT AT ADDRESS 34610. 
          ANALYSIS - NIP OVERLAY KDEL USES A FORWARD POINTER IN THE 
                     LLCB WITHOUT FIRST VERIFYING THAT THE LLCB BASED 
                     ARRAY IS ASSIGNED TO A LLCB. 
          SOLUTION - NIP OVERLAY KDEL HAS BEEN CORRECTED TO ONLY LOOK 
                     AT THE FORWARD POINTER IF THE BASED ARRAY IS 
                     ASSIGNED TO A LLCB.
          EG     06/14/85    KDEL 
 NA5B371  PROBLEM  - NAM WAS NOT TALKING WITH ONE OF THE NPUS.
          ANALYSIS - PIP WAS WAITING FOR NIP TO ALLOCATE A INBOUND
                     BUFFER FOR THIS NPU.  NIP WAS NOT ALLOCATING ONE 
                     ONE BECAUSE THE CURRENT INBOUND BUFFER INDEX WAS 
                     POINTING TO THE WRONG PSEUDO FET.
          SOLUTION - NIP ROUTINE NEIB HAS BEEN CORRECTED TO SET THE 
                     CURRENT INBOUND BUFFER INDEX TO THE RIGHT VALUE. 
          EG     06/14/85    NEIB 
 NA5B372  PROBLEM  - PTFS ABORTED WITH MESSAGE - BLOCK TOO LARGE. 
          ANALYSIS - PTFS HAD RECEIVED A QMSG BLOCK WITH THE IBU BIT
                     SET.  THE IBU BIT WAS SET BECAUSE NIP COULD NOT
                     DELIVER THE QMSG BLOCK DUE TO THE CONNECTION NOT 
                     HAVING BEEN INITIALIZE FOR DATA TRAFFIC (I.E.
                     THE FC/INIT SUP MSG HAD NOT BEEN EXCHANGED YET 
                     WITH THE APPLICATION).  PTFS IS NOT CHECKING 
                     THE IBU BIT SO IT ASSUMED IT WAS RECEIVING DATA
                     WITHOUT HAVING RECEIVED A FC/INIT SUP MSG AND
                     ABORTED. 
          SOLUTION - NIP ROUTINE HGETDA HAS BEEN CHANGED TO RETURN
                     A NULL BLOCK TO THE APPLICATION IS THE 
                     CONNECTION IS IN THIS STATE. 
          EG     06/14/85    HGETDA 
 NA5B373  PROBLEM  - EXCEPT FOR THE HEADER LINE OF THE NAM STATUS 
                     DISPLAY, THERE IS NO INDICATION WHEN NIP GOES
                     INTO REGULATION.  THIS MAKES IT VERY CONFUSING 
                     FOR THE OPERATOR SINCE HE WILL NOT KNOW WHAT THE 
                     PROBLEM IS WHEN TERMINAL USERS CALL UP TO COMPLAIN 
                     ABOUT GETTING WAIT.. AT THEIR TERMINALS UNLESS HE
                     IS THOROUGHLY FAMILIAR WITH THE NAM K-DISPLAY. 
          SOLUTION - NIP OVERLAY XNBRLC HAS BEEN CORRECTED TO ISSUE 
                     INFORMATIVE DAYFILE MESSAGES WHEN NIP GOES INTO
                     REGULATION.
          EG     06/17/85    XNBRLC 
 NA5B296  PIP ISSUES BLOCK PROTOCOL WORKLIST TO NON-EXISTENT CONNECTION.
  
          WHEN CONNECTION IS NOT EXISTENT, PIP SHOULD NOT SEND BLOCK
          PROTOCOL WORKLIST ENTRY.
  
          PIP IS CHANGED TO ISSUE DAYFILE WORKLIST ENTRY WHEN IT CAN
          NOT FIND A CONNECTION.
  
          SW     85/06/25    PIP
 NA5B351  DELAY TIMER FOR MDI RESET IS TOO SHORT
  
          DELAY TIMER FOR MDI RECOVERY FROM RESET AND FOR FUNCTION
          RESPONSE IS TOO SHORT.
  
          THIS MODIFICATION MAKES THE DELAY 500 MILLISECONDS LONG 
          BASED ON SYSTEM REAL-TIME CLOCK.
  
          SW     85/06/25    PIP
 NA5B355  FILE TRANSFER USING DD=US RETURNS EXTRA EMPTY RECORD. 
  
          PIP CREATS AN EMPTY RECORD AT EOI WHEN THE FILE TRANSFER
          IS USING DD=US. 
  
          CIO CODE FOR EOI WRITE IS IMPLEMENTED FOR FILE TRANSFER.
  
          SW     85/06/25    PIP
 NA5B359  THIS MODSET UPDATES PIP TO USE THE CORRECT *REQM* 
          SUBFUNCTION WHEN REQUESTING AN EST ENTRY.  THESE ARE NEW
          SUBFUNCTIONS DEFINED BY THE RMS RAM ENHANCEMENT PROJECT.
          CRL.   85/06/15    PIP
 NA5B363  PROBLEM  - NAM ABORTED WITH PIP ERROR 67. 
          ANALYSIS - NIP ROUTINE XCHKABC HAD INCREMENTED THE NUMBER OF
                     AVAILABLE PRU BUFFERS WITHOUT ACTUALLY ALLOCATING
                     THE PRU BUFFER.
          SOLUTION - NIP SHOULD NOT INCREMENT THE NUMBER OF AVAILABLE 
                     PRU BUFFERS IF IT DOES NOT ACTUALLY ALLOCATE THE 
                     BUFFER.
          EG     06/18/85    XCHKABC
 NA5B374  THIS CODE CONTAINS THE NVF PORTION OF THE FIX FOR THIS
          PSR.  THIS CODE DEPENDS ON SOME NIP CHANGES ALSO. 
          IF NVF RECEIVES A CR/RCN FROM A SECONDARY APPL RETURNING
          TO THE PRIMARY APPL, AND IF THE APPLICATION NAME FIELD IN 
          THE SUPERVISORY MESSAGE IS ZERO, NVF WILL ASSUME THAT THE 
          PRIMARY APPL HAS FAILED, AND WILL CLEAR THE LOAN STATUS 
          FROM THE PTAC ENTRY.
          PAM     85/06/21     NVFTRVD
 NA5B375  PROBLEM  - THE APPLICATION TAPPL4 WAS DROPPED, BUT STAYED 
                     IN THE NIP K-DISPLAY.
          ANALYSIS - NVF THOUGHT THAT TAPPL4 HAD AN OUTSTANDING T-A 
                     CONNECTION.  THIS WAS BECAUSE NVF RECEIVED A 
                     CR/RCN WITH A REASON CODE OF "PRIMARY LOANING
                     CONNECTION TO SECONDARY".  THE SECONDARY APPL
                     NAME IN THE SUPERVISORY MESSAGE WAS "BYE". 
                     FOR THIS SPECIAL LOAN REASON CODE, NVF DOES NOT
                     DECREMENT THE NUMBER OF CONNECTIONS FOR THE
                     PRIMARY APPLICATION UNTIL JUST BEFORE THE
                     CONNECTION IS SWITCHED TO THE PRIMARY APPL.
                     BUT SINCE THE APPL NAME WAS "BYE", THE CONNECTION
                     WAS SIMPLY TERMINATED AND NEVER SWITCHED SO THE
                     PRIMARY APPL CONNECTION COUNT WAS NEVER DECREMENTED. 
          SOLUTION - IF NVF RECEIVES A CR/RCN WITH A REASON CODE OF 
                     "PRIMARY LOANING CONNECTION TO SECONDARY", AND IF
                     THE SECONDARY APPL NAME IS ONE OF THE RESERVED 
                     WORDS OF "BYE", "HELLO", "LOGOUT", OR "LOGIN", 
                     NVF WILL DECREMENT THE CONNECTION COUNT OF THE 
                     PRIMARY APPL BEFORE TERMINATING THE CONNECTION.
          PAM     85/06/21     NVFTCRN
 NA5B377  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT AT 25054. 
          ANALYSIS - NIP WAS PROCESSING A GETL WORKLIST REQUEST TO
                     GET A DATA BLOCK THAT WAS 10 CHARACTERS LONG.
                     THE INPUT CHARACTER TYPE WAS 3 AND THE APPLICATION 
                     HAD SPECIFIED DATA TRUNCATION FOR THE CONNECTION.
                     BECAUSE THE APPLICATION HAD SPECIFIED A SMALLER
                     BUFFER THAN THE DATA, NIP ALLOCATED A BUFFER FOR 
                     THE DATA THAT COULD NOT HOLD THE ENTIRE DATA 
                     MESSAGE.  HOWEVER, NIP ROUTINE BCONV CONVERTED THE 
                     ENTIRE MESSAGE TO ACT 3.  THIS RESULTED IN THE 
                     WORD AFTER THE BUFFER BEING OVERWRITTEN AND THE
                     RESULTING CPU ERROR EXIT.
          SOLUTION - NIP ROUTINE HGETDA HAS BEEN CORRECTED TO UPDATE
                     THE TEXT LENGTH OF THE DATA WHEN IT IS GOING TO
                     TRUNCATE THE DATA. 
          EG     06/19/85    HGETDA 
 NA5B378  CS IS NOT INTERPRETING THE STI/AP AND STITE MESSAGES
          PROPERLY. 
  
          CHANGE FIELD DEFINITIONS TO THE PROPER ALIGNMENT.  ADD
          NEW CODE FOR ADDITION OF DEVICE TYPE FIELD.  CHANGE 
          CONNECT TIME TO BE INTEGER AND NOT AN ASCII STRING. 
  
          THIS MODSET IS DEPENDENT ON FEATURE IDENT FN24CS WHICH
          ADDS SUPPORT OF ACCEPTING NEW ACCOUNTING MESSAGES FROM
          DI-S. 
  
          DKE     85/06/28     SMCS,CSESDA
 NA5B383  PROBLEM  - NIP REACHED 200K FIELD LENGTH. 
          ANALYSIS - NIP WAS NOT RELEASING NONMOVABLE BUFFERS TO THE
                     FREE CHAIN.
          SOLUTION - NIP ROUTINE HPGET HAS BEEN CORRECTED TO CALL 
                     MRELS TO RETURN BUFFERS FOR DATA MESSAGES THAT 
                     CONTAIN NO TEXT. 
          EG     06/27/85    HPGET
 NA5B384  PROBLEM  - NIP DID NOT ZERO OUT THE APPLICATION FIELD IN THE
                     CR/RCN SUPERVISORY MESSAGE WHEN IT RETURNED A
                     SECONDARY APPLICATION CONNECTION TO NVF AND THE
                     PRIMARY APPLICATION HAD FAILED.
          ANALYSIS - NIP OVERLAY HPNOFF DID NOT UPDATE THE CORRECT
                     ENTRY IN THE CONNECTION TABLE FOR THE SECONDARY
                     APPLICATION WHEN THE PRIMARY APPLICATION NETTED
                     OFF. 
          SOLUTION - NIP ROUTINE HPNOFF HAS BEEN CORRECTED TO UPDATE
                     THE CORRECT ENTRY IN THE CONNECTION TABLE OF THE 
                     SECONDARY APPLICATION. 
          EG     06/25/85    HPNOFF 
 NA5B385  PROBLEM  - NIP IS CALLING A NEW PIP EVERY TEN SECONDS TO
                     PERFORM AN EST SCAN EVEN THOUGH THERE IS A 
                     DEDICATED PIP RUNNING. 
          ANALYSIS - NIP OVERLAY XCHKCET IS NOT CHECKING CORRECTLY
                     FOR A DEDICATED PIP WHEN IT IS DETERMINING 
                     IF PIP NEEDS TO BE CALLED TO PERFORM AN EST
                     SCAN.
          SOLUTION - NIP OVERLAY XCHKCET HAS BEEN CORRECTED TO
                     CHECK CORRECTLY FOR A DEDICATED PIP. 
          EG     06/21/85    XCHKCET
 NA5B386  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT BECAUSE NIP ROUTINE 
                       XSTTP JUMPED TO BAD LOCATION.
                   - ADD GARBAGE COLLECTION FLAG TO INDICATE WHEN 
                     GARBAGE COLLECTION IS BEING PERFORMED. 
          SOLUTION - NIP ROUTINE XSTTP HAS BEEN CORRECTED TO EXECUTE A
                       RETURN JUMP INSTEAD OF A DIRECT JUMP TO THE ABORT
                       ROUTINE. 
          EG     06/19/85     XSTTP, PT, XEXEC, ITABS 
 NA5B388  PROBLEM  - PIP ABORTED  NIP WITH PIP ERROR 040. 
          ANALYSIS - THE PRU BUFFER POINTER IN THE PIT ENTRY WAS BAD. 
                     BETWEEN THE TIME THAT MSETPTR SET THE BACKWARD 
                     POINTERS IN THE PRU FREE CHAIN AND THE TIME THE
                     GARBAGE COLLECTION ROUTINE EXECUTED, PIP MODIFIED
                     THE PRU BUFFER POINTERS. 
          SOLUTION - NIP ROUTINE MSETPTR HAS BEEN CORRECTED TO NOT
                     CLEAR THE NIP/PIP INTERLOCK. 
          EG     05/30/85    MSETPTR
 NA5B389  PROBLEM  - PIP ABORTED NIP WITH PIP ERROR 067.
          ANALYSIS - NIP HAD OVERWRITTEN WORD ONE OF A NCNT TABLE WITH
                     CONNECTION DATA RING POINTERS.  THIS WAS MOST
                     LIKELY DONE BY GARBAGE COLLECTION.  NIP HAD AN ACNB
                     WITH CONNECTION DATA RING POINTERS WHICH SHOULD
                     HAVE POINTED TO ITSELF BUT DID NOT.  THE PROBLEM 
                     MAY HAVE BEEN CAUSED BY NIP ROUTINE INSCDR BEING 
                     CALLED TWICE TO INSERT THE SAME ACNB IN THE
                     CONNECTION DATA RING.  THIS COULD ONLY OCCUR IF
                     DURING A CONNECTION SWITCH, DATA IS QUEUED FOR THE 
                     ACNB.
          SOLUTION - NIP OVERLAY HSWACNB HAS BEEN CORRECTED TO CALL 
                     NIP ROUTINE INSCDR TO INSERT THE ACNB IN THE 
                     CONNECTION DATA RING IF THERE IS DATA QUEUED ON
                     IT.  NIP ROUTINE UPACNB3 AND NIP OVERLAY UPACNB4 
                     HAVE BEEN CORRECTED TO NOT CALL NIP ROUTINE
                     INSCDR.  NIP OVERLAYS HSWACNB AND RELACNB HAVE 
                     BEEN CORRECTED TO NOT CALL NIP ROUTINE DELCDR
                     UNLESS THE ACNB IS ALREADY IN THE CONNECTION 
                     DATA RING. 
          EG     06/30/85    HSWACNB, RELACNB, UPACNB3, UPACNB4,
                             SKENIP 
 NA5B353  THIS IDENT CORRECTS THE PROBLEM THAT
          SOMETIMES WHEN AN APPLICATION SENDS A HOP/ALT 
          MESAGE TO NAM IN IGNORED STATE, NAM DOES NOT
          REPOND TO THE APPLICATION WITH A HOP/IG.
  
  
          YCY     85/07/09     HPNOFF 
 NA5B360  WHEN NIP GETS A NOINTERLOCK REPONSE FROM PIP, NIP 
          SHOULD ABORT BECAUSE THE RESULT OF THE MEMEORY MOVE IS
          UNPREDITABLE. 
          IN THIS CASE, WE GOT A MREL PROBLEM IN GARBAGE COLLECTION 
          BUT MEMORY COULD BE ALTERED WHEN THERE WAS A NOINTERLOCK
          REPOSNSE FROM PIP.
          YCY     85/07/02     MSETIL 
 NA5B387  PIP DOES NOT RESPOND TO NAM INTERLOCK REQUEST.
  
          PIP HUNG WITHOUT PAUSING OR RESPONDING TO NAM INTERLOCK 
          REQUEST WHEN ACTIVE FRONT END COUNT OR ACTIVE PRU COUNT IS
          GARBLED.
  
          CHECK FOR NAM INTERLOCK REQUEST AND PAUSE ARE ADDED AT THE
          END OF ONE PIP CYCLE WHEN THERE MAY BE NO ACTIVE NBT NETRY. 
  
          SW     85/07/01    PIP
 NA50398  PROBLEM: NIP DOES NOT HANDLE CONDITIONAL CODE 
                   CODE FOR TRACE AND DEBUG CONSISTENTLY. 
  
          ANALYSIS: IN INIDP AND THE CALL TO INIDP, TRACE 
                    OPTION,ZZDN SHOULD BE TESTED RATHER 
                    THAN DEBUG, SINCE TRACE SHOULD BE 
                    ENABLED BY SETTING ZZDN TO 1 ONLY.
                    IN KNAMCOM, WHEN LB IS USED, ZZDN 
                    INSTEAD OF DEBUG SHOULD BE TESTED.
          SOLUTION: CHANGES FROM TESTING DEBUG TO TESTING 
                    ZZDN SHOULD BE APPLIED TO THE CODE
                    SECTIONS MENTIONED ABOVE. 
          YCY     85/07/02     NIP,INIPD,KNAMCOM
 NA5B368  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT WHEN K-DISPLAY
                      TYPEIN WAS MADE.
          ANALYSIS - NIP OVERLAY KPTYPIN CAN ONLY HANDLE 8 TOKENS, I.E. 
                     8 PARAMETERS.  THE OPERATOR ENTERED A TYPEIN WITH
                     12 PARAMETERS. 
          SOLUTION - NIP OVERLAY KPTYPIN HAS BEEN CORRECTED TO HANDLE 
                     UP TO 25 PARAMETERS. 
          EG     07/17/85    KPTYPIN
 NA5B403  PROBLEM  - NIP FAILED WITH CPU ERROR EXIT WHEN PLATO INTERFACE
                     CODE WAS INCORPORATED INTO IAF.
          ANALYSIS - NIP ROUTINE OMOVE HAD BEEN CALLED TO MOVE ZERO 
                     WORDS.  IT CANNOT HANDLE THIS. 
                   - NIP ALSO DID NOT RELEASE THE UPDATE DATA QUEUE 
                     BUFFER WHEN NO DATA MESSAGES WERE DELIVERABLE. 
          SOLUTION - NIP ROUTINE OMOVE HAS BEEN CORRECTED TO HANDLE 
                     MOVING ZERO WORDS. 
                   - NIP ROUTINE HPGETMM HAS BEEN CORRECTED TO RELEASE
                     THE BUFFER IF NOT DATA MESSAGES ARE DELIVERABLE. 
          EG     07/03/85    OMOVE, HPGETMM 
 NA5B407  PIP WOULD NOT DROP ON NAM IDLE DOWN.
  
          PIP-S INTERNAL COUNTER FOR ACTIVE PRU STREAMS MAY NOT GO TO 
          ZERO WHEN ALL STREAMS ARE TERMINATED.  INSTEAD, IT MAY BECOME 
          NEGATIVE.  THIS CONDITION PREVENTS PIP FROM DROPPING ITSELF 
          WHEN NAM IS IDLED.
  
          THIS CORRECTIVE CODE REMOVES CHECK FOR COUNT OF ACTIVE PRU
          STREAMS.  PIP-S ACTIVITY IS CHECKED ONLY BY COUNT OF ACTIVE 
          FRONT END PROCESSORS AND THAT SHOULD BE SUFFICIENT. 
  
          SW     85/07/19    PIP
 NA5B408  PROBLEM  - NVF HUNG WITH 65 SUPERVISORY MESSAGES QUEUED FOR 
                     IT.
          ANALYSIS - THE NVF TRACE SHOWED THE LAST SUPERVISORY MESSAGE
                     THAT NVF RECEIVED WAS A CR/CB SUPERVISORY MESSAGE
                     FOR A CONNECTION THAT NVF HAD JUST SEND A CR/IAP/A 
                     SUPERVISORY MESSAGE.  IT IS BELIEVED THAT NVF GOT
                     CONFUSED WHEN IT RECEIVED THIS SUPERVISORY MESSAGE 
                     SINCE IT HAD NO RECORD OF THE CONNECTION ANY MORE. 
          SOLUTION - NIP COMMON DECK STATTBL HAS BEEN CORRECTED TO NOT
                     SEND NVF A CR/CB SUPERVISORY MESSAGE WHILE IT IS 
                     WAITING FOR A RESPONSE TO A CR/IAP/R SUPERVISORY 
                     MESSAGE. 
          EG     07/12/85    STATTBL
 NA5B415  PROBLEM  - AIP ABORTED APPLICATION WITH DAYFILE MESSAGE:  
                     NWL HAS OVERFLOWED.
          ANALYSIS - THE APPLICATION ISSUED A NETPUT CALL WITH A
                     BAD APPLICATION BLOCK HEADER WORD.  AIP USED 
                     THE BAD ABH WORD TO COMPUTE THE SIZE OF THE
                     MESSAGE AND COMPUTED A NEGATIVE SIZE.  THIS
                     CAUSED BAD VALUES TO BE STORED IN THE NWL
                     HEADER AND THE RESULTING ERROR.
          SOLUTION - AIP ROUTINE NP$PUT HAS BEEN CORRECTED TO 
                     CHECK FOR CORRECT ACT TYPE WHILE PROCESSING
                     THE ABH WORD.
          EG     07/17/85    NP$PUT 
 NA5B415  PROBLEM  - NAM DID NOT RETURN ERR/LGL SUP MSG TO APP WHEN 
                     IT ISSUED FRAGMENTED GETL CALL WITH ZERO LENGTH
                     TEXT ARRAY.
          ANALYSIS - THE FRAGMENTED GETL CALL ON LIST ZERO WAS CONVERTED
                     INTO A GETSM WORKLIST BY AIP SINCE NIP HAD 
                     SUPERVISORY MESSAGES QUEUED FOR THE APPLICATION. 
                     AFTER THE SUPERVISORY MESSAGES WERE DELIVERED TO 
                     NIP, AIP HAD NOT CHOICE BUT TO RETURN A BLOCK
                     HEADER WITH THE IBU BIT SET TO THE APPLICATION 
                     SINCE AIP DOES NOT GENERATE ERR/LGL SUP MSGS.
          SOLUTION - THE NAM REFERENCE MANUAL IS BEING UPDATED TO ALLOW 
                     ZERO LENGTH TEXT ARRAY AND AIP ROUTINE NETGETF 
                     IS ALSO BEING MODIFIED TO ALLOW ZERO LENGTH TEXT 
                     ARRAY. 
          EG     07/19/85    NETGETF
